<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for POCD_MT000040 - Operation Note </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces -->
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario nukopn -->

   <!-- OperationNote -->
   <include href="include/2.16.578.1.34.10.2003-2014-03-11T000000.sch"/>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->



   <!-- includes -->
   <!-- EKGmeasurements -->
   <include href="include/2.16.578.1.34.10.3001-2012-12-12T000000.sch"/>
   <!-- EKGimpression -->
   <include href="include/2.16.578.1.34.10.3002-2012-12-12T000000.sch"/>
   <!-- ObjectiveandPreoperativeAssessment -->
   <include href="include/2.16.578.1.34.10.3003-2012-12-12T000000.sch"/>
   <!-- PreoperativeAssessment -->
   <include href="include/2.16.578.1.34.10.3004-2012-12-12T000000.sch"/>
   <!-- RealTimeVariables -->
   <include href="include/2.16.578.1.34.10.3005-2012-12-12T000000.sch"/>
   <!-- MedicationAnesthesia -->
   <include href="include/2.16.578.1.34.10.3006-2012-12-12T000000.sch"/>
   <!-- OperativeNoteFluids -->
   <include href="include/2.16.578.1.34.10.3007-2012-12-12T000000.sch"/>
   <!-- ResultsLaboratory -->
   <include href="include/2.16.578.1.34.10.3008-2012-12-12T000000.sch"/>
   <!-- EquipmentSection -->
   <include href="include/2.16.578.1.34.10.3009-2012-12-12T000000.sch"/>
   <!-- NotesAnnotationSection -->
   <include href="include/2.16.578.1.34.10.3010-2012-12-12T000000.sch"/>
   <!-- PreoperativeDiagnosisSection -->
   <include href="include/2.16.578.1.34.10.3011-2014-03-11T000000.sch"/>
   <!-- ProcedureFindings -->
   <include href="include/2.16.578.1.34.10.3012-2012-12-12T000000.sch"/>
   <!-- SurgicalOperationNoteFindingsSection -->
   <include href="include/2.16.578.1.34.10.3013-2014-03-11T000000.sch"/>
   <!-- ProceduresSection -->
   <include href="include/2.16.578.1.34.10.3014-2014-03-11T000000.sch"/>
   <!-- PreTestClinicalInformation -->
   <include href="include/2.16.578.1.34.10.3015-2014-03-01T000000.sch"/>
   <!-- PulmonaryFunctionTestsSection -->
   <include href="include/2.16.578.1.34.10.3016-2014-03-01T000000.sch"/>
   <!-- MedicationActivity -->
   <include href="include/2.16.578.1.34.10.4001-2012-12-12T000000.sch"/>
   <!-- MedicationInformation -->
   <include href="include/2.16.578.1.34.10.4002-2012-12-12T000000.sch"/>
   <!-- ResultOrganizer -->
   <include href="include/2.16.578.1.34.10.4003-2012-12-12T000000.sch"/>
   <!-- ResultObservation -->
   <include href="include/2.16.578.1.34.10.4004-2012-12-12T000000.sch"/>
   <!-- TotalFluidInput -->
   <include href="include/2.16.578.1.34.10.4005-2012-12-12T000000.sch"/>
   <!-- TotalFluidOutput -->
   <include href="include/2.16.578.1.34.10.4006-2012-12-12T000000.sch"/>
   <!-- EstimatedBloodLoss -->
   <include href="include/2.16.578.1.34.10.4007-2012-12-12T000000.sch"/>
   <!-- UrineOutput -->
   <include href="include/2.16.578.1.34.10.4008-2013-02-20T000000.sch"/>
   <!-- CareRelationship -->
   <include href="include/2.16.578.1.34.10.4009-2014-03-11T000000.sch"/>
   <!-- OperationsPhase -->
   <include href="include/2.16.578.1.34.10.4015-2014-03-11T000000.sch"/>
   <!-- Transportation -->
   <include href="include/2.16.578.1.34.10.4016-2014-03-11T000000.sch"/>
   <!-- Procedures -->
   <include href="include/2.16.578.1.34.10.4017-2014-03-11T000000.sch"/>
   <!-- ProcedureDetail -->
   <include href="include/2.16.578.1.34.10.4018-2014-03-11T000000.sch"/>
   <!-- Diagnosis -->
   <include href="include/2.16.578.1.34.10.4019-2014-03-11T000000.sch"/>
   <!-- EmbeddedGraphicEntry -->
   <include href="include/2.16.578.1.34.10.4020-2014-03-01T000000.sch"/>
   <!-- ResultOrganizerSpirometryClinicalInformation -->
   <include href="include/2.16.578.1.34.10.4021-2014-03-31T000000.sch"/>
   <!-- ResultOrganizerSpirometry -->
   <include href="include/2.16.578.1.34.10.4022-2014-03-31T000000.sch"/>
   <!-- Ageatonsetofclinicalfinding -->
   <include href="include/2.16.578.1.34.10.5001-2014-03-30T000000.sch"/>
   <!-- Height -->
   <include href="include/2.16.578.1.34.10.5002-2014-03-30T000000.sch"/>
   <!-- Weightmeasured -->
   <include href="include/2.16.578.1.34.10.5003-2014-03-30T000000.sch"/>
   <!-- Bmibodymassindex -->
   <include href="include/2.16.578.1.34.10.5004-2014-03-30T000000.sch"/>
   <!-- Ethnicbackgroundstated -->
   <include href="include/2.16.578.1.34.10.5005-2014-03-30T000000.sch"/>
   <!-- Tobaccouseandexposure -->
   <include href="include/2.16.578.1.34.10.5006-2014-03-30T000000.sch"/>
   <!-- Icbspreop -->
   <include href="include/2.16.578.1.34.10.5021-2014-03-30T000000.sch"/>
   <!-- Icbspreopspirometry -->
   <include href="include/2.16.578.1.34.10.5023-2014-03-30T000000.sch"/>
   <!-- Icmeaspredicted -->
   <include href="include/2.16.578.1.34.10.5025-2014-03-30T000000.sch"/>
   <!-- Pefairway -->
   <include href="include/2.16.578.1.34.10.5029-2014-03-30T000000.sch"/>
   <!-- Pefairwaypfm -->
   <include href="include/2.16.578.1.34.10.5031-2014-03-30T000000.sch"/>
   <!-- Pefairwaypredicted -->
   <include href="include/2.16.578.1.34.10.5033-2014-03-30T000000.sch"/>
   <!-- Pefpredictedpbdairway -->
   <include href="include/2.16.578.1.34.10.5035-2014-03-30T000000.sch"/>
   <!-- Pefpredictedprebdairway -->
   <include href="include/2.16.578.1.34.10.5037-2014-03-30T000000.sch"/>
   <!-- Pefpbdairway -->
   <include href="include/2.16.578.1.34.10.5039-2014-03-30T000000.sch"/>
   <!-- Pefptherapyairway -->
   <include href="include/2.16.578.1.34.10.5041-2014-03-30T000000.sch"/>
   <!-- Pefptherapyairwaypfm -->
   <include href="include/2.16.578.1.34.10.5043-2014-03-30T000000.sch"/>
   <!-- Pefprebdairway -->
   <include href="include/2.16.578.1.34.10.5045-2014-03-30T000000.sch"/>
   <!-- Pefpretherapyairway -->
   <include href="include/2.16.578.1.34.10.5047-2014-03-30T000000.sch"/>
   <!-- Pefpretherapyairwaypfm -->
   <include href="include/2.16.578.1.34.10.5049-2014-03-30T000000.sch"/>
   <!-- Extrapolatedvolumerespiratory -->
   <include href="include/2.16.578.1.34.10.5051-2014-03-30T000000.sch"/>
   <!-- Fev1qarespiratoryphenx -->
   <include href="include/2.16.578.1.34.10.5053-2014-03-30T000000.sch"/>
   <!-- Fvcvolrespiratory -->
   <include href="include/2.16.578.1.34.10.5055-2014-03-30T000000.sch"/>
   <!-- Fvcvolrespiratorypredicted -->
   <include href="include/2.16.578.1.34.10.5057-2014-03-30T000000.sch"/>
   <!-- Fvcvolrespiratoryspirometry -->
   <include href="include/2.16.578.1.34.10.5059-2014-03-30T000000.sch"/>
   <!-- Fvcchangerespiratory -->
   <include href="include/2.16.578.1.34.10.5061-2014-03-30T000000.sch"/>
   <!-- Fvcmeaspredictedfvcrespiratory -->
   <include href="include/2.16.578.1.34.10.5065-2014-03-30T000000.sch"/>
   <!-- Fvcmeaspredictedfvcpbdrespiratory -->
   <include href="include/2.16.578.1.34.10.5067-2014-03-30T000000.sch"/>
   <!-- Fvcmeaspredictedfvcprebd -->
   <include href="include/2.16.578.1.34.10.5069-2014-03-30T000000.sch"/>
   <!-- Fvcpbdvolrespiratory -->
   <include href="include/2.16.578.1.34.10.5071-2014-03-30T000000.sch"/>
   <!-- Fvcpbdvolrespiratoryspirometry -->
   <include href="include/2.16.578.1.34.10.5073-2014-03-30T000000.sch"/>
   <!-- Fvcprebdvolrespiratory -->
   <include href="include/2.16.578.1.34.10.5075-2014-03-30T000000.sch"/>
   <!-- Fvcprebdvolrespiratoryspirometry -->
   <include href="include/2.16.578.1.34.10.5077-2014-03-30T000000.sch"/>
   <!-- Fvcqarespiratoryphenx -->
   <include href="include/2.16.578.1.34.10.5079-2014-03-30T000000.sch"/>
   <!-- Gasflowfev2575 -->
   <include href="include/2.16.578.1.34.10.5081-2014-03-30T000000.sch"/>
   <!-- Fef2575predicted -->
   <include href="include/2.16.578.1.34.10.5083-2014-03-30T000000.sch"/>
   <!-- Gasflowfev2575airway -->
   <include href="include/2.16.578.1.34.10.5085-2014-03-30T000000.sch"/>
   <!-- Fef2575pbd -->
   <include href="include/2.16.578.1.34.10.5087-2014-03-30T000000.sch"/>
   <!-- Fef2575prebd -->
   <include href="include/2.16.578.1.34.10.5089-2014-03-30T000000.sch"/>
   <!-- Gasflowfev25 -->
   <include href="include/2.16.578.1.34.10.5091-2014-03-30T000000.sch"/>
   <!-- Gasflowfev50 -->
   <include href="include/2.16.578.1.34.10.5093-2014-03-30T000000.sch"/>
   <!-- Fef50fiv50pbd -->
   <include href="include/2.16.578.1.34.10.5095-2014-03-30T000000.sch"/>
   <!-- Fef50fiv50prebd -->
   <include href="include/2.16.578.1.34.10.5099-2014-03-30T000000.sch"/>
   <!-- Gasflowfev75 -->
   <include href="include/2.16.578.1.34.10.5103-2014-03-30T000000.sch"/>
   <!-- Gasflowfev90 -->
   <include href="include/2.16.578.1.34.10.5105-2014-03-30T000000.sch"/>
   <!-- Peakflowmeasuredurairwaypfm -->
   <include href="include/2.16.578.1.34.10.5107-2014-03-30T000000.sch"/>
   <!-- Pmax05lsonventairwayopening -->
   <include href="include/2.16.578.1.34.10.5109-2014-03-30T000000.sch"/>
   <!-- Pmax10lsonventairwayopening -->
   <include href="include/2.16.578.1.34.10.5111-2014-03-30T000000.sch"/>
   <!-- Pmax15lsonventairwayopening -->
   <include href="include/2.16.578.1.34.10.5113-2014-03-30T000000.sch"/>
   <!-- Pmax20lsonventairwayopening -->
   <include href="include/2.16.578.1.34.10.5115-2014-03-30T000000.sch"/>
   <!-- Pmax25lsonventairwayopening -->
   <include href="include/2.16.578.1.34.10.5117-2014-03-30T000000.sch"/>
   <!-- Vcvolrespiratory -->
   <include href="include/2.16.578.1.34.10.5119-2014-03-30T000000.sch"/>
   <!-- Vcvolrespiratoryherebreath -->
   <include href="include/2.16.578.1.34.10.5121-2014-03-30T000000.sch"/>
   <!-- Vcvolrespiratoryhesb -->
   <include href="include/2.16.578.1.34.10.5123-2014-03-30T000000.sch"/>
   <!-- Vcvolrespiratorypredicted -->
   <include href="include/2.16.578.1.34.10.5125-2014-03-30T000000.sch"/>
   <!-- Vcvolrespiratoryspirometry -->
   <include href="include/2.16.578.1.34.10.5127-2014-03-30T000000.sch"/>
   <!-- Fev2575pbdpredictedrespiratory -->
   <include href="include/2.16.578.1.34.10.5129-2014-03-30T000000.sch"/>
   <!-- Fev2575prebdpredictedrespiratory -->
   <include href="include/2.16.578.1.34.10.5131-2014-03-30T000000.sch"/>
   <!-- Fev2575predictedrespiratory -->
   <include href="include/2.16.578.1.34.10.5133-2014-03-30T000000.sch"/>
   <!-- Fev5 -->
   <include href="include/2.16.578.1.34.10.5135-2014-03-30T000000.sch"/>
   <!-- Fev5predicted -->
   <include href="include/2.16.578.1.34.10.5137-2014-03-30T000000.sch"/>
   <!-- Fev1 -->
   <include href="include/2.16.578.1.34.10.5139-2014-03-30T000000.sch"/>
   <!-- Fev1predicted -->
   <include href="include/2.16.578.1.34.10.5141-2014-03-30T000000.sch"/>
   <!-- Fev1change -->
   <include href="include/2.16.578.1.34.10.5145-2014-03-30T000000.sch"/>
   <!-- Fev1fvc -->
   <include href="include/2.16.578.1.34.10.5147-2014-03-30T000000.sch"/>
   <!-- Fev1fvcpredicted -->
   <include href="include/2.16.578.1.34.10.5149-2014-03-30T000000.sch"/>
   <!-- Fev1fvcchange -->
   <include href="include/2.16.578.1.34.10.5151-2014-03-30T000000.sch"/>
   <!-- Fev1fvcpbd -->
   <include href="include/2.16.578.1.34.10.5153-2014-03-30T000000.sch"/>
   <!-- Fev1fev6predicted -->
   <include href="include/2.16.578.1.34.10.5155-2014-03-30T000000.sch"/>
   <!-- Fev1fevtotalvfr -->
   <include href="include/2.16.578.1.34.10.5159-2014-03-30T000000.sch"/>
   <!-- Fev110mpexc -->
   <include href="include/2.16.578.1.34.10.5161-2014-03-30T000000.sch"/>
   <!-- Fev115mpexc -->
   <include href="include/2.16.578.1.34.10.5165-2014-03-30T000000.sch"/>
   <!-- Fev15mpexcz -->
   <include href="include/2.16.578.1.34.10.5169-2014-03-30T000000.sch"/>
   <!-- Fev1p0025mgmlmech -->
   <include href="include/2.16.578.1.34.10.5173-2014-03-30T000000.sch"/>
   <!-- Fev1p025mgmlmech -->
   <include href="include/2.16.578.1.34.10.5175-2014-03-30T000000.sch"/>
   <!-- Fev1p10mgmlmech -->
   <include href="include/2.16.578.1.34.10.5177-2014-03-30T000000.sch"/>
   <!-- Fev1p25mgmlmech -->
   <include href="include/2.16.578.1.34.10.5179-2014-03-30T000000.sch"/>
   <!-- Fev1pbd -->
   <include href="include/2.16.578.1.34.10.5181-2014-03-30T000000.sch"/>
   <!-- Fev1pbdpredicted -->
   <include href="include/2.16.578.1.34.10.5183-2014-03-30T000000.sch"/>
   <!-- Fev1pmech -->
   <include href="include/2.16.578.1.34.10.5185-2014-03-30T000000.sch"/>
   <!-- Fev1prebd -->
   <include href="include/2.16.578.1.34.10.5187-2014-03-30T000000.sch"/>
   <!-- Fev1prebdpredicted -->
   <include href="include/2.16.578.1.34.10.5189-2014-03-30T000000.sch"/>
   <!-- Fev1premech -->
   <include href="include/2.16.578.1.34.10.5191-2014-03-30T000000.sch"/>
   <!-- Fev1preexc -->
   <include href="include/2.16.578.1.34.10.5193-2014-03-30T000000.sch"/>
   <!-- Fev1p25mgmlmethacholine -->
   <include href="include/2.16.578.1.34.10.5197-2014-03-30T000000.sch"/>
   <!-- Fev2fevtotalvfr -->
   <include href="include/2.16.578.1.34.10.5199-2014-03-30T000000.sch"/>
   <!-- Fev3predicted -->
   <include href="include/2.16.578.1.34.10.5201-2014-03-30T000000.sch"/>
   <!-- Fev3fevtotalvfr -->
   <include href="include/2.16.578.1.34.10.5203-2014-03-30T000000.sch"/>
   <!-- Fev6 -->
   <include href="include/2.16.578.1.34.10.5205-2014-03-30T000000.sch"/>
   <!-- Fev6predicted -->
   <include href="include/2.16.578.1.34.10.5207-2014-03-30T000000.sch"/>
   <!-- Volexp1m -->
   <include href="include/2.16.578.1.34.10.5209-2014-03-30T000000.sch"/>
   <!-- Volexp -->
   <include href="include/2.16.578.1.34.10.5211-2014-03-30T000000.sch"/>
   <!-- Volexprate -->
   <include href="include/2.16.578.1.34.10.5213-2014-03-30T000000.sch"/>
   <!-- Fev -->
   <include href="include/2.16.578.1.34.10.5215-2014-03-30T000000.sch"/>
   <!-- Fiv1predicted -->
   <include href="include/2.16.578.1.34.10.5217-2014-03-30T000000.sch"/>
   <!-- Fiv1fivpredicted -->
   <include href="include/2.16.578.1.34.10.5219-2014-03-30T000000.sch"/>
   <!-- Respratemaxvolvent -->
   <include href="include/2.16.578.1.34.10.5221-2014-03-30T000000.sch"/>
   <!-- Respratemaxvolventspirometry -->
   <include href="include/2.16.578.1.34.10.5223-2014-03-30T000000.sch"/>
   <!-- Mvv -->
   <include href="include/2.16.578.1.34.10.5225-2014-03-30T000000.sch"/>
   <!-- Mvvpredicted -->
   <include href="include/2.16.578.1.34.10.5227-2014-03-30T000000.sch"/>
   <!-- Mvvpbd -->
   <include href="include/2.16.578.1.34.10.5229-2014-03-30T000000.sch"/>
   <!-- Mvvpbdpredrelvrat -->
   <include href="include/2.16.578.1.34.10.5231-2014-03-30T000000.sch"/>
   <!-- Mvvprebd -->
   <include href="include/2.16.578.1.34.10.5233-2014-03-30T000000.sch"/>
   <!-- Mvvprebdmeasured -->
   <include href="include/2.16.578.1.34.10.5235-2014-03-30T000000.sch"/>
   <!-- Mvvprebdpredrelvrat -->
   <include href="include/2.16.578.1.34.10.5237-2014-03-30T000000.sch"/>
   <!-- Frc -->
   <include href="include/2.16.578.1.34.10.5245-2014-03-30T000000.sch"/>
   <!-- Frcherebreath -->
   <include href="include/2.16.578.1.34.10.5247-2014-03-30T000000.sch"/>
   <!-- Frchesb -->
   <include href="include/2.16.578.1.34.10.5249-2014-03-30T000000.sch"/>
   <!-- Frcplethysmograph -->
   <include href="include/2.16.578.1.34.10.5251-2014-03-30T000000.sch"/>
   <!-- Frcpredicted -->
   <include href="include/2.16.578.1.34.10.5253-2014-03-30T000000.sch"/>
   <!-- Ic -->
   <include href="include/2.16.578.1.34.10.5255-2014-03-30T000000.sch"/>
   <!-- Icherebreath -->
   <include href="include/2.16.578.1.34.10.5257-2014-03-30T000000.sch"/>
   <!-- Ichesb -->
   <include href="include/2.16.578.1.34.10.5259-2014-03-30T000000.sch"/>
   <!-- Icpredicted -->
   <include href="include/2.16.578.1.34.10.5261-2014-03-30T000000.sch"/>
   <!-- Icspirometry -->
   <include href="include/2.16.578.1.34.10.5263-2014-03-30T000000.sch"/>
   <!-- Icmeaspredictedspirometry -->
   <include href="include/2.16.578.1.34.10.5269-2014-03-30T000000.sch"/>
   <!-- Tlcherebreath -->
   <include href="include/2.16.578.1.34.10.5273-2014-03-30T000000.sch"/>
   <!-- Tlchesb -->
   <include href="include/2.16.578.1.34.10.5275-2014-03-30T000000.sch"/>
   <!-- Tlcplethysmograph -->
   <include href="include/2.16.578.1.34.10.5277-2014-03-30T000000.sch"/>
   <!-- Tlcchestxraycalc -->
   <include href="include/2.16.578.1.34.10.5279-2014-03-30T000000.sch"/>
   <!-- Tlcpredicted -->
   <include href="include/2.16.578.1.34.10.5281-2014-03-30T000000.sch"/>
   <!-- Tlc -->
   <include href="include/2.16.578.1.34.10.5283-2014-03-30T000000.sch"/>
   <!-- Expiratoryreserveherebreath -->
   <include href="include/2.16.578.1.34.10.5285-2014-03-30T000000.sch"/>
   <!-- Expiratoryreservehesb -->
   <include href="include/2.16.578.1.34.10.5287-2014-03-30T000000.sch"/>
   <!-- Expiratoryreservepredicted -->
   <include href="include/2.16.578.1.34.10.5289-2014-03-30T000000.sch"/>
   <!-- Expiratoryreserve -->
   <include href="include/2.16.578.1.34.10.5291-2014-03-30T000000.sch"/>
   <!-- Residualvolherebreath -->
   <include href="include/2.16.578.1.34.10.5293-2014-03-30T000000.sch"/>
   <!-- Residualvolhesb -->
   <include href="include/2.16.578.1.34.10.5295-2014-03-30T000000.sch"/>
   <!-- Residualvolpredicted -->
   <include href="include/2.16.578.1.34.10.5297-2014-03-30T000000.sch"/>
   <!-- Residualvol -->
   <include href="include/2.16.578.1.34.10.5299-2014-03-30T000000.sch"/>
   <!-- Residualvoltotalcapacitypredicted -->
   <include href="include/2.16.578.1.34.10.5301-2014-03-30T000000.sch"/>
   <!-- Diffcapco -->
   <include href="include/2.16.578.1.34.10.5309-2014-03-30T000000.sch"/>
   <!-- Diffcapcopredicted -->
   <include href="include/2.16.578.1.34.10.5311-2014-03-30T000000.sch"/>
   <!-- Diffcapcoalvvolhgbadj -->
   <include href="include/2.16.578.1.34.10.5313-2014-03-30T000000.sch"/>
   <!-- Diffcapcohgbadj -->
   <include href="include/2.16.578.1.34.10.5315-2014-03-30T000000.sch"/>
   <!-- Diffcapcohgbadjhesb -->
   <include href="include/2.16.578.1.34.10.5317-2014-03-30T000000.sch"/>
   <!-- Diffcapalvvol -->
   <include href="include/2.16.578.1.34.10.5319-2014-03-30T000000.sch"/>
   <!-- Diffcapalvvolpredicted -->
   <include href="include/2.16.578.1.34.10.5321-2014-03-30T000000.sch"/>
   <!-- Diffcapalvvolsbcohe -->
   <include href="include/2.16.578.1.34.10.5323-2014-03-30T000000.sch"/>
   <!-- Diffcapbodycondadj -->
   <include href="include/2.16.578.1.34.10.5325-2014-03-30T000000.sch"/>
   <!-- Diffcapbodycondadjsbcohe -->
   <include href="include/2.16.578.1.34.10.5327-2014-03-30T000000.sch"/>
   <!-- Expiratoryresistancemaxrespiratory -->
   <include href="include/2.16.578.1.34.10.5335-2014-03-30T000000.sch"/>
   <!-- Airwayresistmean -->
   <include href="include/2.16.578.1.34.10.5337-2014-03-30T000000.sch"/>
   <!-- Airwayresistmeancalc -->
   <include href="include/2.16.578.1.34.10.5339-2014-03-30T000000.sch"/>
   <!-- Airwayresistmeanplethysmograph -->
   <include href="include/2.16.578.1.34.10.5341-2014-03-30T000000.sch"/>
   <!-- Dyspneapexcrespiratory -->
   <include href="include/2.16.578.1.34.10.5351-2014-03-30T000000.sch"/>
   <!-- Dyspnearestingrespiratory -->
   <include href="include/2.16.578.1.34.10.5353-2014-03-30T000000.sch"/>
   <!-- Exercisedistance -->
   <include href="include/2.16.578.1.34.10.5355-2014-03-30T000000.sch"/>
   <!-- Gasdelivsourcerespiratory -->
   <include href="include/2.16.578.1.34.10.5357-2014-03-30T000000.sch"/>
   <!-- Gasdelivsourcerestingrespiratory -->
   <include href="include/2.16.578.1.34.10.5359-2014-03-30T000000.sch"/>
   <!-- Gasflowairway -->
   <include href="include/2.16.578.1.34.10.5361-2014-03-30T000000.sch"/>
   <!-- Gasflowairwayrebreath -->
   <include href="include/2.16.578.1.34.10.5363-2014-03-30T000000.sch"/>
   <!-- Gasflowo2o2deliverysys -->
   <include href="include/2.16.578.1.34.10.5365-2014-03-30T000000.sch"/>
   <!-- Gasflowo2pexco2deliverysys -->
   <include href="include/2.16.578.1.34.10.5367-2014-03-30T000000.sch"/>
   <!-- Gasflowo2restingo2deliverysys -->
   <include href="include/2.16.578.1.34.10.5369-2014-03-30T000000.sch"/>
   <!-- Heartrate1stenctr -->
   <include href="include/2.16.578.1.34.10.5373-2014-03-30T000000.sch"/>
   <!-- Heartrateenctrmax -->
   <include href="include/2.16.578.1.34.10.5375-2014-03-30T000000.sch"/>
   <!-- Heartratetmmaxpedometer -->
   <include href="include/2.16.578.1.34.10.5377-2014-03-30T000000.sch"/>
   <!-- Heartratetmmeanpedometer -->
   <include href="include/2.16.578.1.34.10.5379-2014-03-30T000000.sch"/>
   <!-- Heartratebldpostductalpulseox -->
   <include href="include/2.16.578.1.34.10.5381-2014-03-30T000000.sch"/>
   <!-- Heartratebldpreductalpulseox -->
   <include href="include/2.16.578.1.34.10.5383-2014-03-30T000000.sch"/>
   <!-- Heartrateepisodemaxoximetry -->
   <include href="include/2.16.578.1.34.10.5385-2014-03-30T000000.sch"/>
   <!-- Heartrateepisodemeanoximetry -->
   <include href="include/2.16.578.1.34.10.5387-2014-03-30T000000.sch"/>
   <!-- Heartrateepisodeminoximetry -->
   <include href="include/2.16.578.1.34.10.5389-2014-03-30T000000.sch"/>
   <!-- Heartrateoximetry -->
   <include href="include/2.16.578.1.34.10.5391-2014-03-30T000000.sch"/>
   <!-- Heartratepexc -->
   <include href="include/2.16.578.1.34.10.5393-2014-03-30T000000.sch"/>
   <!-- Heartratepexcoximetry -->
   <include href="include/2.16.578.1.34.10.5395-2014-03-30T000000.sch"/>
   <!-- Sao2bldpostductalpulseox -->
   <include href="include/2.16.578.1.34.10.5397-2014-03-30T000000.sch"/>
   <!-- Sao2bldpreductalpulseox -->
   <include href="include/2.16.578.1.34.10.5399-2014-03-30T000000.sch"/>
   <!-- Sao28hmaxbldapulseox -->
   <include href="include/2.16.578.1.34.10.5401-2014-03-30T000000.sch"/>
   <!-- Sao28hminbldapulseox -->
   <include href="include/2.16.578.1.34.10.5403-2014-03-30T000000.sch"/>
   <!-- Sao2bldapulseox -->
   <include href="include/2.16.578.1.34.10.5405-2014-03-30T000000.sch"/>
   <!-- Sao2duringtxbldapulseox -->
   <include href="include/2.16.578.1.34.10.5407-2014-03-30T000000.sch"/>
   <!-- Sao2roomairbldapulseox -->
   <include href="include/2.16.578.1.34.10.5409-2014-03-30T000000.sch"/>
   <!-- Sao2pbdbldapulseox -->
   <include href="include/2.16.578.1.34.10.5411-2014-03-30T000000.sch"/>
   <!-- Sao2pexcbldapulseox -->
   <include href="include/2.16.578.1.34.10.5413-2014-03-30T000000.sch"/>
   <!-- Sao2ptxbldapulseox -->
   <include href="include/2.16.578.1.34.10.5417-2014-03-30T000000.sch"/>
   <!-- Sao2prebdbldapulseox -->
   <include href="include/2.16.578.1.34.10.5419-2014-03-30T000000.sch"/>
   <!-- Sao2preptbldapulseox -->
   <include href="include/2.16.578.1.34.10.5421-2014-03-30T000000.sch"/>
   <!-- Sao2pretxbldapulseox -->
   <include href="include/2.16.578.1.34.10.5423-2014-03-30T000000.sch"/>
   <!-- Sao2restingbldapulseox -->
   <include href="include/2.16.578.1.34.10.5425-2014-03-30T000000.sch"/>
   <!-- Fio2gasdilrebreath -->
   <include href="include/2.16.578.1.34.10.5427-2014-03-30T000000.sch"/>
   <!-- Fio2hesb -->
   <include href="include/2.16.578.1.34.10.5429-2014-03-30T000000.sch"/>
   <!-- Walkdistance6m -->
   <include href="include/2.16.578.1.34.10.5435-2014-03-30T000000.sch"/>
   <!-- Altitude -->
   <include href="include/2.16.578.1.34.10.5443-2014-03-30T000000.sch"/>
   <!-- Resprate -->
   <include href="include/2.16.578.1.34.10.5445-2014-03-30T000000.sch"/>
   <!-- Resprateresting -->
   <include href="include/2.16.578.1.34.10.5447-2014-03-30T000000.sch"/>
   <!-- Compllast20ofbreathentirebreath -->
   <include href="include/2.16.578.1.34.10.5449-2014-03-30T000000.sch"/>
   <!-- Hxofrespiratorydisorders -->
   <include href="include/2.16.578.1.34.10.5453-2014-03-30T000000.sch"/>
   <!-- po2ihg -->
   <include href="include/2.16.578.1.34.10.5455-2014-03-30T000000.sch"/>
   <!-- Pulmonaryfunctiontestmethod -->
   <include href="include/2.16.578.1.34.10.5461-2014-03-30T000000.sch"/>
   <!-- Respiratoryseverityscore -->
   <include href="include/2.16.578.1.34.10.5463-2014-03-30T000000.sch"/>
   <!-- Respiratorytestpredictionmethod -->
   <include href="include/2.16.578.1.34.10.5465-2014-03-30T000000.sch"/>
   <!-- Respiratorytherapygoal -->
   <include href="include/2.16.578.1.34.10.5467-2014-03-30T000000.sch"/>
   <!-- Testchallengetyperespiratory -->
   <include href="include/2.16.578.1.34.10.5469-2014-03-30T000000.sch"/>

</schema>
