<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.2003
Name: Operation Note
Description: 
                 Introduction  This template reflects the implementation guide for the Operation Note document as used within Helse Vest. The Operation Note is a document created by the responsible surgeon about a surgical operation which has been performed.  This implementation guide for the Operation Note based on the HL7 version 3 Clinical Document Architecture (CDA R2) standard. A
                copy of the CDA standard can be found here: http://www.hl7.org/v3ballot2009jan/html/infrastructure/cda/cda.htm.   The CDA standard contains the structure of electronic documents. A CDA document contains  
                     A Header: a class structure which identifies document metadata such as the author, the patient, the document type, the language of the document and the time of creation of the document. 
                     A Body: contains a human readable text (mandatory), and (optionally) one or more class structures which contain a ‘coded/structured’ (or: software processable) v
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.2003-2014-03-11T000000">
   <title>Operation Note</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2003
Context: /
Item: (OperationNote)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]
Item: (OperationNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]"
         id="tmp-r-8d4bf72f-7956-4e5b-bef4-1786f60ce03f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(OperationNote): The value for @classCode SHALL be 'DOCCLIN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(OperationNote): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:realmCode[@code='NO'])&gt;=1 and not(hl7:realmCode[@code='NO']/@nullFlavor)">(OperationNote): element hl7:realmCode[@code='NO'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:realmCode[@code='NO'])&lt;=1">(OperationNote): element hl7:realmCode[@code='NO'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(OperationNote): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(OperationNote): element hl7:typeId[@root='2.16.840.1.113883.1.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.2003'])&gt;=1 and not(hl7:templateId[@root='2.16.578.1.34.10.2003']/@nullFlavor)">(OperationNote): element hl7:templateId[@root='2.16.578.1.34.10.2003'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.2003'])&lt;=1">(OperationNote): element hl7:templateId[@root='2.16.578.1.34.10.2003'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.6.1'])&gt;=1 and not(hl7:templateId[@root='2.16.578.1.34.6.1']/@nullFlavor)">(OperationNote): element hl7:templateId[@root='2.16.578.1.34.6.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.6.1'])&lt;=1">(OperationNote): element hl7:templateId[@root='2.16.578.1.34.6.1'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.1000'])&gt;=1 and not(hl7:templateId[@root='2.16.578.1.34.10.1000']/@nullFlavor)">(OperationNote): element hl7:templateId[@root='2.16.578.1.34.10.1000'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.1000'])&lt;=1">(OperationNote): element hl7:templateId[@root='2.16.578.1.34.10.1000'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1.23.2.2'])&gt;=1 and not(hl7:id[@root='2.16.578.1.34.1.23.2.2']/@nullFlavor)">(OperationNote): element hl7:id[@root='2.16.578.1.34.1.23.2.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1.23.2.2'])&lt;=1">(OperationNote): element hl7:id[@root='2.16.578.1.34.1.23.2.2'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:code[(@code='34874-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='34874-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(OperationNote): element hl7:code[(@code='34874-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:code[(@code='34874-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(OperationNote): element hl7:code[(@code='34874-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:title)&lt;=1">(OperationNote): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(OperationNote): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(OperationNote): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&gt;=1 and not(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]/@nullFlavor)">(OperationNote): element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&lt;=1">(OperationNote): element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:languageCode)&gt;=1 and not(hl7:languageCode/@nullFlavor)">(OperationNote): element hl7:languageCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:languageCode)&lt;=1">(OperationNote): element hl7:languageCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(OperationNote): element hl7:setId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:setId)&lt;=1">(OperationNote): element hl7:setId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(OperationNote): element hl7:versionNumber is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(OperationNote): element hl7:versionNumber appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(OperationNote): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(OperationNote): element hl7:recordTarget appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(OperationNote): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(OperationNote): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:custodian)&lt;=1">(OperationNote): element hl7:custodian appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:legalAuthenticator)&gt;=1 ">(OperationNote): element hl7:legalAuthenticator is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]]])&gt;=1 and not(hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]]]/@nullFlavor)">(OperationNote): element hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]]])&lt;=1">(OperationNote): element hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]]] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900800
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:realmCode[@code='NO']
Item: (CDArealmCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:realmCode[@code='NO']"
         id="tmp-r-60c63b55-4a8b-4402-a63b-495d5bdb5aac">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900800-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArealmCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900800-2012-12-12T000000.html"
              test="@nullFlavor or (@code='NO')">(CDArealmCode): The element value SHALL be code 'NO'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900801
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-81f8af52-b39e-4eeb-9674-526d377f7d6e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900801-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtypeId): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900801-2012-12-12T000000.html"
              test="string(@extension)='POCD_HD000040'">(CDAtypeId): The value for @extension SHALL be 'POCD_HD000040'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900801-2012-12-12T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(CDAtypeId): @root SHALL have value '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.10.2003']
Item: (OperationNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.10.2003']"
         id="tmp-r-42ca675e-26eb-473a-a1df-43bad5774c38">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OperationNote): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.10.2003'">(OperationNote): @root SHALL have value '2.16.578.1.34.10.2003'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.6.1']
Item: (OperationNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.6.1']"
         id="tmp-r-a609fd5e-089b-4128-9a17-02267323b94c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OperationNote): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.6.1'">(OperationNote): @root SHALL have value '2.16.578.1.34.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.10.1000']
Item: (OperationNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.10.1000']"
         id="tmp-r-fa7ebc35-90b4-4894-9023-af18924c26a6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OperationNote): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.10.1000'">(OperationNote): @root SHALL have value '2.16.578.1.34.10.1000'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:id[@root='2.16.578.1.34.1.23.2.2']
Item: (OperationNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:id[@root='2.16.578.1.34.1.23.2.2']"
         id="tmp-r-e86fb15c-d8a7-443b-bf9c-c5217abdd700">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OperationNote): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.1.23.2.2'">(OperationNote): The value for @root SHALL be '2.16.578.1.34.1.23.2.2'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:code[(@code='34874-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (OperationNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:code[(@code='34874-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-51f27e34-2c89-4e22-b1d1-160c0ac065bb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OperationNote): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="@nullFlavor or (@code='34874-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Surgical operation note - by surgeon')">(OperationNote): The element value SHALL be code '34874-8' codeSystem '2.16.840.1.113883.6.1' displayName='Surgical operation note - by surgeon'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900803
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:title
Item: (CDAtitle)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:title"
         id="tmp-r-eb5b2f0b-785e-46b7-9332-0890424ddb5d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900803-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtitle): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900804
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:effectiveTime
Item: (CDAeffectiveTime)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:effectiveTime"
         id="tmp-r-2a9d87a4-04fd-42ce-b686-31b3909c36e0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900804-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAeffectiveTime): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]
Item: (OperationNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]"
         id="tmp-r-273b7cb1-3f32-4875-888f-b53b77aa220a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OperationNote): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="@nullFlavor or (@code='N' and @codeSystem='2.16.840.1.113883.5.25')">(OperationNote): The element value SHALL be code 'N' codeSystem '2.16.840.1.113883.5.25'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900806
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:languageCode
Item: (CDAlanguageCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:languageCode"
         id="tmp-r-ac213787-ad96-48ee-86f3-0b70c6c7d282">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900806-2012-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAlanguageCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS.LANG"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900807
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:setId
Item: (CDAsetIdversionNumber)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:setId"
         id="tmp-r-937222a6-9c19-4784-84c1-3934a338c53f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900807-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAsetIdversionNumber): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900807
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:versionNumber
Item: (CDAsetIdversionNumber)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:versionNumber"
         id="tmp-r-369a95fb-dbfc-4451-a697-93818d048508">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900807-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAsetIdversionNumber): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900807-2012-12-12T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(CDAsetIdversionNumber): value SHALL be in range [1..]  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900807-2012-12-12T000000.html"
              test="$digitok or @nullFlavor">(CDAsetIdversionNumber): @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget"
         id="tmp-r-f2a11b8e-f88d-4eb2-b9fc-69dbdcd47aea">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@typeCode)='RCT'">(CDArecordTarget): The value for @typeCode SHALL be 'RCT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@contextControlCode)='OP'">(CDArecordTarget): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:patientRole)&gt;=1 ">(CDArecordTarget): element hl7:patientRole is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): element hl7:patientRole appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole"
         id="tmp-r-759aea5d-b9ee-4375-83c1-ce6d17c7a564">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@classCode)='PAT'">(CDArecordTarget): The value for @classCode SHALL be 'PAT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDArecordTarget): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): element hl7:patient appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:providerOrganization)&lt;=1">(CDArecordTarget): element hl7:providerOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:id
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:id"
         id="tmp-r-6d1c35be-28e7-47a7-a12d-29a726503c0b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:addr
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:addr"
         id="tmp-r-cafa89ad-5f5e-4e6c-ac63-6e3e758fb99a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:telecom
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:telecom"
         id="tmp-r-9c88862e-5575-42aa-b6a5-b6aad6b8312a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-r-9401f524-0761-436e-8210-7a5dffd142b2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDArecordTarget): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDArecordTarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 ">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(CDArecordTarget): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): element hl7:birthTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:maritalStatusCode)&lt;=1">(CDArecordTarget): element hl7:maritalStatusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:birthPlace)&lt;=1">(CDArecordTarget): element hl7:birthPlace appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-r-d1e316d8-eae3-4c61-af3c-312647da98ce">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-bf7d6c6c-f605-4507-8e3e-b7a304fab13c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): The element value SHALL be AdministrativeGender (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(CDArecordTarget): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set AdministrativeGender (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-r-614cdbd4-3b04-4b35-bbd9-3bf565a4d3c6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:maritalStatusCode
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:maritalStatusCode"
         id="tmp-r-5da2d7e5-929f-48d7-ab1d-07e1f57d4d4c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.12212-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): The element value SHALL be MaritalStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.12212-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(CDArecordTarget): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set MaritalStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace"
         id="tmp-r-b3ce9574-50ef-41f0-b1f8-cb73f70cc867">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:place)&gt;=1 and not(hl7:place/@nullFlavor)">(CDArecordTarget): element hl7:place is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:place)&lt;=1">(CDArecordTarget): element hl7:place appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place"
         id="tmp-r-a7618c34-3734-4c84-a694-39b747a99228">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(CDArecordTarget): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:addr)&lt;=1">(CDArecordTarget): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place/hl7:addr
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place/hl7:addr"
         id="tmp-r-e4f75b95-ea34-4637-98d6-71c7b9bdd61f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization"
         id="tmp-r-37283e69-b9be-40db-959f-7afdb5e06b06">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDArecordTarget): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&gt;=1 and not(hl7:id[@root='2.16.578.1.34.1000.5']/@nullFlavor)">(CDArecordTarget): element hl7:id[@root='2.16.578.1.34.1000.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDArecordTarget): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-e8f751cd-d3fe-415f-a13c-6c31b8203890">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@extension)='983658725'">(CDArecordTarget): The value for @extension SHALL be '983658725'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArecordTarget): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author"
         id="tmp-r-e3d3e00d-23b6-4fb9-8f01-3af29b03b538">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@typeCode)='AUT'">(CDAauthor): The value for @typeCode SHALL be 'AUT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@contextControlCode)='OP'">(CDAauthor): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDAauthor): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(CDAauthor): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): element hl7:assignedAuthor appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:time
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:time"
         id="tmp-r-9730c7fe-f764-48e3-992e-83aea8069a2a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor"
         id="tmp-r-6281fba9-d058-4ae3-b75c-81b13613fdaa">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAauthor): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.578.1.34.1000.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthor): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-r-f02cf520-6422-43bd-a6cd-3c1fcabf1ec2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.578.1.34.1000.3']
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.578.1.34.1000.3']"
         id="tmp-r-4168d9bd-162e-4504-896c-7549d771c323">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.3'">(CDAassignedEntityIdentification): @root SHALL have value '2.16.578.1.34.1000.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="tmp-r-959180d3-2cf8-4cf7-be08-a7958b7af528">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:addr"
         id="tmp-r-a8c2609b-e4d7-49c6-87ad-8771a2148bea">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-8419df68-b1ac-48c8-b954-7883260df784">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDAauthor): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900817
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-a96c1e0f-6140-4a96-983b-42e13e0f645d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900817-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-173eef60-5ebe-4973-88fe-93212b5d9013">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAauthor): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-ac569b7e-f101-454e-a9e5-43b6c17b8273">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-ccfe1837-1ec7-4b55-b5a3-33227529e5f5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-8536010f-a404-4428-904e-84ced42a71ce">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-34e97b7c-a2ef-4968-843c-c22271945e5e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900810
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:custodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:custodian"
         id="tmp-r-685a1d37-3059-4639-b9af-dfffb432a9c5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="string(@typeCode)='CST'">(CDAcustodian): The value for @typeCode SHALL be 'CST'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(CDAcustodian): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(CDAcustodian): element hl7:assignedCustodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900810
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian"
         id="tmp-r-393f7e4b-fe33-4674-aacc-ef6cd8e90d1a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAcustodian): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): element hl7:representedCustodianOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900810
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-r-72ef181d-a49b-4d4a-918d-ef60d99c0844">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAcustodian): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAcustodian): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAcustodian): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAcustodian): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAcustodian): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-554190f4-c732-459c-95df-c9be78ec40a7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name"
         id="tmp-r-861584e0-3b45-41c0-9216-5c6b94304c84">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom"
         id="tmp-r-c61dcef8-79b3-4701-992f-81ef8c40cb9f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr"
         id="tmp-r-7c80cd5f-7f87-4dae-abd4-1490f5837490">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900813
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator
Item: (CDlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator"
         id="tmp-r-3c8bf337-f696-45d9-b0a6-13c103611689">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="string(@typeCode)='LA'">(CDlegalAuthenticator): The value for @typeCode SHALL be 'LA'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDlegalAuthenticator): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:time)&lt;=1">(CDlegalAuthenticator): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:signatureCode[@code='S'])&gt;=1 and not(hl7:signatureCode[@code='S']/@nullFlavor)">(CDlegalAuthenticator): element hl7:signatureCode[@code='S'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:signatureCode[@code='S'])&lt;=1">(CDlegalAuthenticator): element hl7:signatureCode[@code='S'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(CDlegalAuthenticator): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDlegalAuthenticator): element hl7:assignedEntity appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900813
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:time
Item: (CDlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:time"
         id="tmp-r-733dfca5-243c-419b-8ca1-452a8c95b35c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDlegalAuthenticator): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900813
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:signatureCode[@code='S']
Item: (CDlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:signatureCode[@code='S']"
         id="tmp-r-7b4a1606-d4fa-41d3-aada-ba6f26670d4d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDlegalAuthenticator): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="@nullFlavor or (@code='S')">(CDlegalAuthenticator): The element value SHALL be code 'S'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900813
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity
Item: (CDlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity"
         id="tmp-r-c2dafeee-5bbf-4ce7-8f14-a6c9d991856b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDlegalAuthenticator): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&lt;=1">(CDlegalAuthenticator): element hl7:id[@root='2.16.578.1.34.1000.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(CDlegalAuthenticator): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:addr)&lt;=1">(CDlegalAuthenticator): element hl7:addr appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(CDlegalAuthenticator): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDlegalAuthenticator): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDlegalAuthenticator): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id"
         id="tmp-r-9b12b875-dfc5-44c4-9f3d-1af163b35896">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']"
         id="tmp-r-e6b62140-7a94-4a4b-b15f-de9fa5e2c5c2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.3'">(CDAassignedEntityIdentification): @root SHALL have value '2.16.578.1.34.1000.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:code"
         id="tmp-r-719ac26e-4d77-4fff-8b02-9fe7f16c06b7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:addr"
         id="tmp-r-28b02602-cee1-44b2-a279-1464ab73fedd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-67019e8c-2ada-485d-aa13-ec33a87c0b21">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-fffa5338-48eb-46dc-9a9f-6f6c71ad9ec6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDAAssignedEntity): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900817
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-0cdf8f8d-f9f9-402d-be12-01030702d60d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900817-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-26dd94eb-b5b0-41d0-b99c-2762bdbe395c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAAssignedEntity): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAAssignedEntity): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAAssignedEntity): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAAssignedEntity): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-0333af53-bdbc-4d59-8a7e-bf0e80211e3f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-r-d7fc06bf-35ed-49a0-a024-0d9b6632200d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-462bad51-c1ea-4a95-a66f-0ec1b616ccd8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-r-38f8b85f-ad32-441e-a7f6-233b9607352e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900819
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]]]
Item: (CDAdocumentationOfOPNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]]]"
         id="tmp-r-e506d24f-4a0a-4f6f-acbd-1c72f20ca788">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900819-2014-03-11T000000.html"
              test="string(@typeCode)='DOC'">(CDAdocumentationOfOPNote): The value for @typeCode SHALL be 'DOC'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900819-2014-03-11T000000.html"
              test="count(hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]])&gt;=1 and not(hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]]/@nullFlavor)">(CDAdocumentationOfOPNote): element hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900819-2014-03-11T000000.html"
              test="count(hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]])&lt;=1">(CDAdocumentationOfOPNote): element hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900819
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent
Item: (CDAdocumentationOfOPNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent"
         id="tmp-r-ead92da8-de2e-4ae1-a836-9dc906cd6669">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900819-2014-03-11T000000.html"
              test="string(@classCode)='PCPR'">(CDAdocumentationOfOPNote): The value for @classCode SHALL be 'PCPR'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900819-2014-03-11T000000.html"
              test="string(@moodCode)='EVN'">(CDAdocumentationOfOPNote): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900819-2014-03-11T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAdocumentationOfOPNote): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900819-2014-03-11T000000.html"
              test="count(hl7:id)&lt;=1">(CDAdocumentationOfOPNote): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900819-2014-03-11T000000.html"
              test="count(hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(CDAdocumentationOfOPNote): element hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900819-2014-03-11T000000.html"
              test="count(hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(CDAdocumentationOfOPNote): element hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900819
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:id
Item: (CDAdocumentationOfOPNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:id"
         id="tmp-r-5fb16c40-0aef-4d22-ab3b-3a28597e5eaa">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900819-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOfOPNote): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900819
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (CDAdocumentationOfOPNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:code[(@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-eb708d09-b485-4ce9-9d06-8afd05ecb378">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900819-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOfOPNote): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900819-2014-03-11T000000.html"
              test="@nullFlavor or (@code='SURG' and @codeSystem='2.16.840.1.113883.5.4')">(CDAdocumentationOfOPNote): The element value SHALL be code 'SURG' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:component
Item: (OperationNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:component"
         id="tmp-r-2056af57-da46-4124-a1a4-01582279c825">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="string(@typeCode)='COMP'">(OperationNote): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="string(@contextConductionInd)='true'">(OperationNote): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody
Item: (OperationNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody"
         id="tmp-r-4dbe47f9-d9b1-4f07-b38d-545fd72739ea">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="string(@classCode)='DOCBODY'">(OperationNote): The value for @classCode SHALL be 'DOCBODY'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="string(@moodCode)='EVN'">(OperationNote): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]])&gt;=1 ">(OperationNote): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]])&lt;=1">(OperationNote): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]])&gt;=1 ">(OperationNote): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]])&lt;=1">(OperationNote): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3011']]])&lt;=1">(OperationNote): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3011']]] appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]]
Item: (OperationNote)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]]"
         id="tmp-r-e24ec2b3-08b8-45d2-848a-d8d5aab39c9b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="string(@typeCode)='COMP'">(OperationNote): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="string(@contextConductionInd)='true'">(OperationNote): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]]
Item: (OperationNote)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]]"
         id="tmp-r-b240e7f2-5353-4db2-8b87-08425d08e8ec">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="string(@typeCode)='COMP'">(OperationNote): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="string(@contextConductionInd)='true'">(OperationNote): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3011']]]
Item: (OperationNote)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2003' or @root='2.16.578.1.34.6.1' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3011']]]"
         id="tmp-r-408f8f90-d3e1-4597-bd23-efb4bdcb9355">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="string(@typeCode)='COMP'">(OperationNote): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2003-2014-03-11T000000.html"
              test="string(@contextConductionInd)='true'">(OperationNote): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
</pattern>
