<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.2004
Name: Pulmonary Function Report
Description: 
                 Introduction 
                This template describes a Pulmonary function report.
                 Use Case 
                A spirometry is performed and documented as a Pulmonary function report.
                 Storyboard pfr-1 
                 Fredrik Sun, born 8. april 1951 (age 62) has to undergo a spirometry. His body height is 182 cm, body weight : 92.0 kg with a BMI of 27.8. He is a non-smoker.
                He belongs to the caucasian ethnic group. 
                    A typical spriometry is performed by Aril Horn on 2. March 2014. The results are summarized in the following table. 
                 
                     
                         Param 
                         Unit 
                         Ref 
                         Pre Meas 
                         Pre %Ref 
                         Post Meas 
                         Post %Ref 
                         Post %Chg 
                         Max Meas 
                         Max %
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.2004-2014-03-11T000000">
   <title>Pulmonary Function Report</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2004
Context: /
Item: (PulmonaryFunctionReport)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2004
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]
Item: (PulmonaryFunctionReport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]"
         id="tmp-r-9b8ffb57-01c1-40ed-a531-ffdf044da513">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(PulmonaryFunctionReport): The value for @classCode SHALL be 'DOCCLIN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(PulmonaryFunctionReport): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:realmCode[@code='NO'])&gt;=1 and not(hl7:realmCode[@code='NO']/@nullFlavor)">(PulmonaryFunctionReport): element hl7:realmCode[@code='NO'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:realmCode[@code='NO'])&lt;=1">(PulmonaryFunctionReport): element hl7:realmCode[@code='NO'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(PulmonaryFunctionReport): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(PulmonaryFunctionReport): element hl7:typeId[@root='2.16.840.1.113883.1.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.2004'])&gt;=1 and not(hl7:templateId[@root='2.16.578.1.34.10.2004']/@nullFlavor)">(PulmonaryFunctionReport): element hl7:templateId[@root='2.16.578.1.34.10.2004'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.2004'])&lt;=1">(PulmonaryFunctionReport): element hl7:templateId[@root='2.16.578.1.34.10.2004'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.1000'])&gt;=1 and not(hl7:templateId[@root='2.16.578.1.34.10.1000']/@nullFlavor)">(PulmonaryFunctionReport): element hl7:templateId[@root='2.16.578.1.34.10.1000'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.1000'])&lt;=1">(PulmonaryFunctionReport): element hl7:templateId[@root='2.16.578.1.34.10.1000'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1.23.2.2'])&gt;=1 and not(hl7:id[@root='2.16.578.1.34.1.23.2.2']/@nullFlavor)">(PulmonaryFunctionReport): element hl7:id[@root='2.16.578.1.34.1.23.2.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1.23.2.2'])&lt;=1">(PulmonaryFunctionReport): element hl7:id[@root='2.16.578.1.34.1.23.2.2'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:code[(@code='58477-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='58477-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(PulmonaryFunctionReport): element hl7:code[(@code='58477-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:code[(@code='58477-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(PulmonaryFunctionReport): element hl7:code[(@code='58477-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:title)&lt;=1">(PulmonaryFunctionReport): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(PulmonaryFunctionReport): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(PulmonaryFunctionReport): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&gt;=1 and not(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]/@nullFlavor)">(PulmonaryFunctionReport): element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&lt;=1">(PulmonaryFunctionReport): element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:languageCode)&gt;=1 and not(hl7:languageCode/@nullFlavor)">(PulmonaryFunctionReport): element hl7:languageCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:languageCode)&lt;=1">(PulmonaryFunctionReport): element hl7:languageCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(PulmonaryFunctionReport): element hl7:setId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:setId)&lt;=1">(PulmonaryFunctionReport): element hl7:setId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(PulmonaryFunctionReport): element hl7:versionNumber is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(PulmonaryFunctionReport): element hl7:versionNumber appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(PulmonaryFunctionReport): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(PulmonaryFunctionReport): element hl7:recordTarget appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(PulmonaryFunctionReport): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(PulmonaryFunctionReport): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:custodian)&lt;=1">(PulmonaryFunctionReport): element hl7:custodian appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:legalAuthenticator)&gt;=1 ">(PulmonaryFunctionReport): element hl7:legalAuthenticator is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]])&gt;=1 and not(hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/@nullFlavor)">(PulmonaryFunctionReport): element hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]])&lt;=1">(PulmonaryFunctionReport): element hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900800
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:realmCode[@code='NO']
Item: (CDArealmCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:realmCode[@code='NO']"
         id="tmp-r-3d5d61ba-2e1e-4a4d-86ab-1fd7f3f86d7b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900800-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArealmCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900800-2012-12-12T000000.html"
              test="@nullFlavor or (@code='NO')">(CDArealmCode): The element value SHALL be code 'NO'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900801
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-121540e1-ac2a-4509-b7ff-2d1d8217c99a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900801-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtypeId): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900801-2012-12-12T000000.html"
              test="string(@extension)='POCD_HD000040'">(CDAtypeId): The value for @extension SHALL be 'POCD_HD000040'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900801-2012-12-12T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(CDAtypeId): @root SHALL have value '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2004
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.10.2004']
Item: (PulmonaryFunctionReport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.10.2004']"
         id="tmp-r-9b340848-d7fa-459c-9d7c-44a82148bd5f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PulmonaryFunctionReport): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.10.2004'">(PulmonaryFunctionReport): @root SHALL have value '2.16.578.1.34.10.2004'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2004
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.10.1000']
Item: (PulmonaryFunctionReport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.10.1000']"
         id="tmp-r-0b8ab44a-6c84-4364-82fa-20c7403fdb1c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PulmonaryFunctionReport): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.10.1000'">(PulmonaryFunctionReport): @root SHALL have value '2.16.578.1.34.10.1000'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2004
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:id[@root='2.16.578.1.34.1.23.2.2']
Item: (PulmonaryFunctionReport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:id[@root='2.16.578.1.34.1.23.2.2']"
         id="tmp-r-18776755-db6a-4cf3-8139-9aa136fa93fc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PulmonaryFunctionReport): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.1.23.2.2'">(PulmonaryFunctionReport): The value for @root SHALL be '2.16.578.1.34.1.23.2.2'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2004
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:code[(@code='58477-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (PulmonaryFunctionReport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:code[(@code='58477-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-aaebd944-dcfe-4360-9911-fd62b98264d4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PulmonaryFunctionReport): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="@nullFlavor or (@code='58477-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Pulmonary function report')">(PulmonaryFunctionReport): The element value SHALL be code '58477-1' codeSystem '2.16.840.1.113883.6.1' displayName='Pulmonary function report'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900803
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:title
Item: (CDAtitle)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:title"
         id="tmp-r-0f65d314-15af-4b4f-af6e-7f16fb9c1198">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900803-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtitle): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900804
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:effectiveTime
Item: (CDAeffectiveTime)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:effectiveTime"
         id="tmp-r-f752602d-a98f-441e-a7d4-89c30b078608">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900804-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAeffectiveTime): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2004
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]
Item: (PulmonaryFunctionReport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]"
         id="tmp-r-e72917f7-7074-49b4-8d6e-7cadc8080cc6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PulmonaryFunctionReport): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="@nullFlavor or (@code='N' and @codeSystem='2.16.840.1.113883.5.25')">(PulmonaryFunctionReport): The element value SHALL be code 'N' codeSystem '2.16.840.1.113883.5.25'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900806
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:languageCode
Item: (CDAlanguageCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:languageCode"
         id="tmp-r-b207bf74-0afc-491e-bc85-48f991ecd1e7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900806-2012-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAlanguageCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS.LANG"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900807
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:setId
Item: (CDAsetIdversionNumber)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:setId"
         id="tmp-r-73c50f9b-4b7b-4f8d-a8d2-683f03940b29">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900807-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAsetIdversionNumber): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900807
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:versionNumber
Item: (CDAsetIdversionNumber)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:versionNumber"
         id="tmp-r-af684a25-4430-4932-82c2-cf2d8a3c1e68">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900807-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAsetIdversionNumber): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900807-2012-12-12T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(CDAsetIdversionNumber): value SHALL be in range [1..]  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900807-2012-12-12T000000.html"
              test="$digitok or @nullFlavor">(CDAsetIdversionNumber): @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget"
         id="tmp-r-e8256835-0ce8-4e24-b635-8391d3dd6b67">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@typeCode)='RCT'">(CDArecordTarget): The value for @typeCode SHALL be 'RCT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@contextControlCode)='OP'">(CDArecordTarget): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:patientRole)&gt;=1 ">(CDArecordTarget): element hl7:patientRole is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): element hl7:patientRole appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole"
         id="tmp-r-51be326c-fbbc-4d8a-a1d9-79760e16ec5d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@classCode)='PAT'">(CDArecordTarget): The value for @classCode SHALL be 'PAT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDArecordTarget): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): element hl7:patient appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:providerOrganization)&lt;=1">(CDArecordTarget): element hl7:providerOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:id
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:id"
         id="tmp-r-25df71ef-7e0a-406b-bbe6-48224df067b8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:addr
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:addr"
         id="tmp-r-c9b9d7c8-ecc2-4983-b007-afce48d804ab">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:telecom
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:telecom"
         id="tmp-r-73ef9ac3-3626-4e3c-a1d9-abacbd749cf4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-r-fe812afc-6582-4fba-9548-f6adcae4510f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDArecordTarget): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDArecordTarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 ">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(CDArecordTarget): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): element hl7:birthTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:maritalStatusCode)&lt;=1">(CDArecordTarget): element hl7:maritalStatusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:birthPlace)&lt;=1">(CDArecordTarget): element hl7:birthPlace appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-r-a597ec25-29b2-4703-af9a-c4dd22a36c93">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-edac1b8f-bb05-4566-a252-c4123f29efeb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): The element value SHALL be AdministrativeGender (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(CDArecordTarget): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set AdministrativeGender (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-r-b2e983ca-1afc-49b1-9053-c48712508cd3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:maritalStatusCode
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:maritalStatusCode"
         id="tmp-r-21c98685-e942-4d55-8ab8-e024d005f086">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.12212-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): The element value SHALL be MaritalStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.12212-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(CDArecordTarget): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set MaritalStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace"
         id="tmp-r-f1df130b-9e95-4a92-9414-b96662e68fef">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:place)&gt;=1 and not(hl7:place/@nullFlavor)">(CDArecordTarget): element hl7:place is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:place)&lt;=1">(CDArecordTarget): element hl7:place appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place"
         id="tmp-r-6a16141f-8bbc-41ca-87c3-388eb3c6486b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(CDArecordTarget): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:addr)&lt;=1">(CDArecordTarget): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place/hl7:addr
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place/hl7:addr"
         id="tmp-r-6a028dd9-5ad8-4899-94c6-e51f398441e3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization"
         id="tmp-r-2c9c2a79-98e7-4763-93c1-3981d0184238">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDArecordTarget): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&gt;=1 and not(hl7:id[@root='2.16.578.1.34.1000.5']/@nullFlavor)">(CDArecordTarget): element hl7:id[@root='2.16.578.1.34.1000.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDArecordTarget): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-84568952-bdc2-46b0-8d7d-25d79409f2b4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@extension)='983658725'">(CDArecordTarget): The value for @extension SHALL be '983658725'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArecordTarget): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author"
         id="tmp-r-6279d80b-d840-4882-8e29-27484277f161">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@typeCode)='AUT'">(CDAauthor): The value for @typeCode SHALL be 'AUT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@contextControlCode)='OP'">(CDAauthor): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDAauthor): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(CDAauthor): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): element hl7:assignedAuthor appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:time
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:time"
         id="tmp-r-c61cc98a-fb90-42aa-8b23-632122444311">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor"
         id="tmp-r-c45fa3e9-33c8-4600-898b-cf0557894a8b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAauthor): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.578.1.34.1000.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthor): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-r-37634d9d-8055-4bab-9157-73f16338bf9b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.578.1.34.1000.3']
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.578.1.34.1000.3']"
         id="tmp-r-f7f26370-acf0-4625-8af5-0fbac71bff53">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.3'">(CDAassignedEntityIdentification): @root SHALL have value '2.16.578.1.34.1000.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="tmp-r-3e8b1f98-00f7-4db3-9155-ca63821f110f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:addr"
         id="tmp-r-6af21727-fe69-41e4-9424-8935bf33127b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-de365b5e-0f83-47de-87f3-20049d73cee8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDAauthor): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900817
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-41759d1d-4dd8-456d-84a1-20af95f14182">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900817-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-180bd84d-91d6-4676-9e82-bf785435b63c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAauthor): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-ed15090e-6d59-472f-9d4e-04846b8db5fa">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-bba9a01f-2c8f-4ba3-b5b1-c0e86c5660b9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-52e9d71a-e5d3-43ce-8b82-536d42c78561">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-df9f4c52-2c26-4053-87a8-31d1083bddb1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900810
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:custodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:custodian"
         id="tmp-r-bedb3d0b-e401-4f99-802a-8ca2d1469b9a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="string(@typeCode)='CST'">(CDAcustodian): The value for @typeCode SHALL be 'CST'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(CDAcustodian): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(CDAcustodian): element hl7:assignedCustodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900810
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian"
         id="tmp-r-df984443-6fed-49f1-a8d5-5be25ce3a138">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAcustodian): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): element hl7:representedCustodianOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900810
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-r-79720224-9936-4533-85dd-f2ceaeadd3ef">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAcustodian): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAcustodian): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAcustodian): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAcustodian): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAcustodian): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-7ddab9ef-c127-448f-8660-1cb41c0b4ed1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name"
         id="tmp-r-50820b3c-8371-42e8-b7a3-f982218137f4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom"
         id="tmp-r-59a94bd8-1b6b-4138-bacd-db95ad38cfa6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr"
         id="tmp-r-9de0406a-c810-4f26-b31b-1f91ba5a6435">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900813
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator
Item: (CDlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator"
         id="tmp-r-90de669a-9c4d-4c44-b3cf-cbf6ac1f2590">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="string(@typeCode)='LA'">(CDlegalAuthenticator): The value for @typeCode SHALL be 'LA'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDlegalAuthenticator): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:time)&lt;=1">(CDlegalAuthenticator): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:signatureCode[@code='S'])&gt;=1 and not(hl7:signatureCode[@code='S']/@nullFlavor)">(CDlegalAuthenticator): element hl7:signatureCode[@code='S'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:signatureCode[@code='S'])&lt;=1">(CDlegalAuthenticator): element hl7:signatureCode[@code='S'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(CDlegalAuthenticator): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDlegalAuthenticator): element hl7:assignedEntity appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900813
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:time
Item: (CDlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:time"
         id="tmp-r-f996ff32-d53d-4f79-a87b-fd5c4727c032">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDlegalAuthenticator): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900813
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:signatureCode[@code='S']
Item: (CDlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:signatureCode[@code='S']"
         id="tmp-r-1eae0fb3-5edc-4d84-a57e-f283d5f66807">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDlegalAuthenticator): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="@nullFlavor or (@code='S')">(CDlegalAuthenticator): The element value SHALL be code 'S'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900813
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity
Item: (CDlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity"
         id="tmp-r-800d1815-1e2c-4e0b-b9a1-ba7c3137d71b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDlegalAuthenticator): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&lt;=1">(CDlegalAuthenticator): element hl7:id[@root='2.16.578.1.34.1000.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(CDlegalAuthenticator): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:addr)&lt;=1">(CDlegalAuthenticator): element hl7:addr appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(CDlegalAuthenticator): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDlegalAuthenticator): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDlegalAuthenticator): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id"
         id="tmp-r-8c7f4e72-4745-44b9-a376-a2f321d86c45">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']"
         id="tmp-r-d936f745-14d2-4a6c-b649-a10e468c6161">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.3'">(CDAassignedEntityIdentification): @root SHALL have value '2.16.578.1.34.1000.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:code"
         id="tmp-r-bf3ade61-04cf-47e9-91e0-2095b01e1296">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:addr"
         id="tmp-r-824e9b33-a0de-4869-9010-c675bc1c1ecf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-4ac5e287-6301-4e52-90b5-0613a5e8f8c3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-c06283f5-dfd3-43d6-ad95-8993ec5a176f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDAAssignedEntity): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900817
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-1430fdb6-1b3d-44c1-a093-e01c34d1fcfc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900817-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-bef7c3d8-24c6-424a-a4b3-6aed268bcce4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAAssignedEntity): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAAssignedEntity): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAAssignedEntity): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAAssignedEntity): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-da385bc8-54eb-4c6a-9db3-90d8b67c6cac">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-r-5e75af40-6f6a-4476-81b3-54069a8c78d1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-e71a9766-7082-4aa8-a16e-f46eaadc16a4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-r-657540c5-6423-4273-be43-ab25cfd94b4f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900820
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]
Item: (CDAdocumentationOfPulmonaryReport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]"
         id="tmp-r-68256948-13d3-4c07-8954-c661b0a5ca6f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="string(@typeCode)='DOC'">(CDAdocumentationOfPulmonaryReport): The value for @typeCode SHALL be 'DOC'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]])&gt;=1 and not(hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]/@nullFlavor)">(CDAdocumentationOfPulmonaryReport): element hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]])&lt;=1">(CDAdocumentationOfPulmonaryReport): element hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900820
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent
Item: (CDAdocumentationOfPulmonaryReport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent"
         id="tmp-r-71b2c115-ba6a-4a91-b867-0d1374f29a5e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="string(@classCode)='OBS'">(CDAdocumentationOfPulmonaryReport): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="string(@moodCode)='EVN'">(CDAdocumentationOfPulmonaryReport): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAdocumentationOfPulmonaryReport): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:id)&lt;=1">(CDAdocumentationOfPulmonaryReport): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(CDAdocumentationOfPulmonaryReport): element hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(CDAdocumentationOfPulmonaryReport): element hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(CDAdocumentationOfPulmonaryReport): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAdocumentationOfPulmonaryReport): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:performer)&gt;=1 ">(CDAdocumentationOfPulmonaryReport): element hl7:performer is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:performer)&lt;=1">(CDAdocumentationOfPulmonaryReport): element hl7:performer appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900820
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:id
Item: (CDAdocumentationOfPulmonaryReport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:id"
         id="tmp-r-6b25d27d-0dc7-4e20-bc05-d146760598ac">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOfPulmonaryReport): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900820
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (CDAdocumentationOfPulmonaryReport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-9fbdd1f0-7862-4c76-9ea4-a64b0392c67a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOfPulmonaryReport): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="@nullFlavor or (@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')">(CDAdocumentationOfPulmonaryReport): The element value SHALL be code 'COPD' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900820
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:effectiveTime
Item: (CDAdocumentationOfPulmonaryReport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:effectiveTime"
         id="tmp-r-1cb0a885-ce6a-4079-b36e-ed3d728c4369">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOfPulmonaryReport): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900820
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer
Item: (CDAdocumentationOfPulmonaryReport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer"
         id="tmp-r-f5099494-d589-4a82-8f71-1903120986b8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="string(@typeCode)='PRF'">(CDAdocumentationOfPulmonaryReport): The value for @typeCode SHALL be 'PRF'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 ">(CDAdocumentationOfPulmonaryReport): element hl7:assignedEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDAdocumentationOfPulmonaryReport): element hl7:assignedEntity appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900820
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity
Item: (CDAdocumentationOfPulmonaryReport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity"
         id="tmp-r-4783879d-7ede-4bf5-9cb6-de553f5916a9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAdocumentationOfPulmonaryReport): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&lt;=1">(CDAdocumentationOfPulmonaryReport): element hl7:id[@root='2.16.578.1.34.1000.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:code)&lt;=1">(CDAdocumentationOfPulmonaryReport): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAdocumentationOfPulmonaryReport): element hl7:addr appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(CDAdocumentationOfPulmonaryReport): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAdocumentationOfPulmonaryReport): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900820-2014-03-01T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAdocumentationOfPulmonaryReport): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-r-341268c1-e5e6-4289-bc2c-782895a537d9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']"
         id="tmp-r-ed7400a5-ee59-406e-89a0-be32791c3b04">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.3'">(CDAassignedEntityIdentification): @root SHALL have value '2.16.578.1.34.1000.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-r-0a4ce3a5-dfda-435a-b63d-4385b2a27391">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:addr"
         id="tmp-r-ae24dc93-3dbb-4e71-9d9d-2f6f2681077a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-b4a84c4c-4458-4818-95ee-2e4e9fe899bc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-5ee457f9-9089-4090-adbd-342fc9fe63de">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDAAssignedEntity): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900817
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-135170ec-b2cd-4c51-917a-3da516eb501a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900817-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-f4a4a497-193e-443d-a1b4-8c498aa5d7c6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAAssignedEntity): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAAssignedEntity): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAAssignedEntity): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAAssignedEntity): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-cb9b0d71-0f0e-4127-a40c-72bfede03814">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-r-a9525580-fad2-44b3-be54-e43cbaef38b4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-113439c2-d13c-4582-bba0-997a982ae72a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='COPD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-r-9b5d7c41-d7a9-4faf-a27e-00f5ca072389">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2004
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:component
Item: (PulmonaryFunctionReport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:component"
         id="tmp-r-ccaccdee-8666-4293-a3c7-2f95e2d78e34">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="string(@typeCode)='COMP'">(PulmonaryFunctionReport): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="string(@contextConductionInd)='true'">(PulmonaryFunctionReport): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2004
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody
Item: (PulmonaryFunctionReport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody"
         id="tmp-r-1834f471-3e41-455a-8c66-de5720d21481">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="string(@classCode)='DOCBODY'">(PulmonaryFunctionReport): The value for @classCode SHALL be 'DOCBODY'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="string(@moodCode)='EVN'">(PulmonaryFunctionReport): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]]/@nullFlavor)">(PulmonaryFunctionReport): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]])&lt;=1">(PulmonaryFunctionReport): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]]/@nullFlavor)">(PulmonaryFunctionReport): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]])&lt;=1">(PulmonaryFunctionReport): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]])&lt;=1">(PulmonaryFunctionReport): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]] appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2004
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]]
Item: (PulmonaryFunctionReport)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]]"
         id="tmp-r-0ec89e65-7ab5-4eb4-b28e-5f43c829a4b2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="string(@typeCode)='COMP'">(PulmonaryFunctionReport): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="string(@contextConductionInd)='true'">(PulmonaryFunctionReport): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2004
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]]
Item: (PulmonaryFunctionReport)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]]"
         id="tmp-r-d818c9c6-d311-4524-bcff-224a10daa88b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="string(@typeCode)='COMP'">(PulmonaryFunctionReport): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="string(@contextConductionInd)='true'">(PulmonaryFunctionReport): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2004
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]]
Item: (PulmonaryFunctionReport)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2004' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]]"
         id="tmp-r-89221b99-f66b-4f20-8771-babcf0f811ef">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="string(@typeCode)='COMP'">(PulmonaryFunctionReport): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2004-2014-03-11T000000.html"
              test="string(@contextConductionInd)='true'">(PulmonaryFunctionReport): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
</pattern>
