<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3001
Name: EKG measurements
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3001-2012-12-12T000000">
   <title>EKG measurements</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]
Item: (EKGmeasurements)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3001']]
Item: (EKGmeasurements)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3001']]"
         id="tmp-r-df66a1d0-1a9d-404d-bd51-d3824821a7bb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(EKGmeasurements): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3001'])&gt;=1 ">(EKGmeasurements): element hl7:templateId[@root='2.16.578.1.34.10.3001'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3001'])&lt;=1">(EKGmeasurements): element hl7:templateId[@root='2.16.578.1.34.10.3001'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="count(hl7:code[(@code='18810-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='18810-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(EKGmeasurements): element hl7:code[(@code='18810-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="count(hl7:code[(@code='18810-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(EKGmeasurements): element hl7:code[(@code='18810-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(EKGmeasurements): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(EKGmeasurements): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(EKGmeasurements): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(EKGmeasurements): element hl7:text appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3001']]/hl7:templateId
Item: (EKGmeasurements)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3001']]/hl7:templateId"
         id="tmp-r-accaa4d0-e5c7-46bc-b912-5f493485549f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EKGmeasurements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3001'">(EKGmeasurements): @root SHALL have value '2.16.578.1.34.10.3001'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3001']]/hl7:code[(@code='18810-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (EKGmeasurements)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3001']]/hl7:code[(@code='18810-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-13b7a1cc-82b5-445f-a352-300d047b3c32">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EKGmeasurements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="@nullFlavor or (@code='18810-2' and @codeSystem='2.16.840.1.113883.6.1')">(EKGmeasurements): The element value SHALL be code '18810-2' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3001']]/hl7:title
Item: (EKGmeasurements)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3001']]/hl7:title"
         id="tmp-r-5d719cea-ca84-4c03-a929-173816e48276">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EKGmeasurements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3001']]/hl7:text
Item: (EKGmeasurements)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3001']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3001']]/hl7:text"
         id="tmp-r-962e83af-cd5c-4d63-9c2f-f16c790bf584">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EKGmeasurements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
