<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3002
Name: EKG impression
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3002-2012-12-12T000000">
   <title>EKG impression</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3002
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]
Item: (EKGimpression)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3002
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]
Item: (EKGimpression)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]"
         id="tmp-r-72056276-5eac-4468-8d51-15872617a527">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(EKGimpression): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3002'])&gt;=1 ">(EKGimpression): element hl7:templateId[@root='2.16.578.1.34.10.3002'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3002'])&lt;=1">(EKGimpression): element hl7:templateId[@root='2.16.578.1.34.10.3002'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="count(hl7:code[(@code='18844-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='18844-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(EKGimpression): element hl7:code[(@code='18844-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="count(hl7:code[(@code='18844-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(EKGimpression): element hl7:code[(@code='18844-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(EKGimpression): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(EKGimpression): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(EKGimpression): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(EKGimpression): element hl7:text appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3002
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]/hl7:templateId
Item: (EKGimpression)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]/hl7:templateId"
         id="tmp-r-21aecf43-32b4-468d-b5a5-39e9efc1fe9a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EKGimpression): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3002'">(EKGimpression): @root SHALL have value '2.16.578.1.34.10.3002'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3002
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]/hl7:code[(@code='18844-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (EKGimpression)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]/hl7:code[(@code='18844-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-75aeb47c-7af3-42d3-bafc-3f548c9853f4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EKGimpression): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="@nullFlavor or (@code='18844-1' and @codeSystem='2.16.840.1.113883.6.1')">(EKGimpression): The element value SHALL be code '18844-1' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3002
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]/hl7:title
Item: (EKGimpression)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]/hl7:title"
         id="tmp-r-4bc6343a-8fa1-4ce2-848f-88857ac54eac">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EKGimpression): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3002
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]/hl7:text
Item: (EKGimpression)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3002']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]/hl7:text"
         id="tmp-r-179ed96c-0b79-4b83-9518-11b4b0b7b3e9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3002-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EKGimpression): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
