<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3004
Name: Preoperative Assessment
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3004-2012-12-12T000000">
   <title>Preoperative Assessment</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3004
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]
Item: (PreoperativeAssessment)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3004
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]
Item: (PreoperativeAssessment)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]"
         id="tmp-r-1ace0fb6-adb3-443c-99b9-9895077aa97c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(PreoperativeAssessment): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3004'])&gt;=1 ">(PreoperativeAssessment): element hl7:templateId[@root='2.16.578.1.34.10.3004'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3004'])&lt;=1">(PreoperativeAssessment): element hl7:templateId[@root='2.16.578.1.34.10.3004'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="count(hl7:code[(@code='46070-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='46070-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(PreoperativeAssessment): element hl7:code[(@code='46070-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="count(hl7:code[(@code='46070-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(PreoperativeAssessment): element hl7:code[(@code='46070-9' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(PreoperativeAssessment): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(PreoperativeAssessment): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(PreoperativeAssessment): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(PreoperativeAssessment): element hl7:text appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3004
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]/hl7:templateId
Item: (PreoperativeAssessment)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]/hl7:templateId"
         id="tmp-r-c384cdb7-050f-41f6-a6b1-c10d483f2076">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PreoperativeAssessment): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3004'">(PreoperativeAssessment): @root SHALL have value '2.16.578.1.34.10.3004'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3004
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]/hl7:code[(@code='46070-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (PreoperativeAssessment)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]/hl7:code[(@code='46070-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-0b40a4df-9324-4943-b92c-c046e131c6b9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PreoperativeAssessment): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="@nullFlavor or (@code='46070-9' and @codeSystem='2.16.840.1.113883.6.1')">(PreoperativeAssessment): The element value SHALL be code '46070-9' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3004
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]/hl7:title
Item: (PreoperativeAssessment)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]/hl7:title"
         id="tmp-r-a643ddff-75ef-4888-b333-fd69d3d073de">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PreoperativeAssessment): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3004
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]/hl7:text
Item: (PreoperativeAssessment)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3004']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]/hl7:text"
         id="tmp-r-29c8493b-8e82-41bd-8792-c68486d8781b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3004-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PreoperativeAssessment): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
