<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3006
Name: Medication Anesthesia
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3006-2012-12-12T000000">
   <title>Medication Anesthesia</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3006
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]
Item: (MedicationAnesthesia)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3006
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3006']]
Item: (MedicationAnesthesia)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3006']]"
         id="tmp-r-5ed92aed-cb2a-48a6-bd3e-2ed5ce1330d3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(MedicationAnesthesia): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3006'])&gt;=1 ">(MedicationAnesthesia): element hl7:templateId[@root='2.16.578.1.34.10.3006'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3006'])&lt;=1">(MedicationAnesthesia): element hl7:templateId[@root='2.16.578.1.34.10.3006'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="count(hl7:code[(@code='59774-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='59774-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(MedicationAnesthesia): element hl7:code[(@code='59774-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="count(hl7:code[(@code='59774-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(MedicationAnesthesia): element hl7:code[(@code='59774-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(MedicationAnesthesia): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(MedicationAnesthesia): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(MedicationAnesthesia): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(MedicationAnesthesia): element hl7:text appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3006
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3006']]/hl7:templateId
Item: (MedicationAnesthesia)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3006']]/hl7:templateId"
         id="tmp-r-7d619d4a-e1e6-48bc-996b-bd7dab2bd467">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAnesthesia): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3006'">(MedicationAnesthesia): @root SHALL have value '2.16.578.1.34.10.3006'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3006
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3006']]/hl7:code[(@code='59774-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (MedicationAnesthesia)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3006']]/hl7:code[(@code='59774-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-802f1dce-bb47-465a-9d71-327320944648">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAnesthesia): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="@nullFlavor or (@code='59774-0' and @codeSystem='2.16.840.1.113883.6.1')">(MedicationAnesthesia): The element value SHALL be code '59774-0' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3006
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3006']]/hl7:title
Item: (MedicationAnesthesia)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3006']]/hl7:title"
         id="tmp-r-a91eeb76-4281-4231-8749-76224a762516">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAnesthesia): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3006
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3006']]/hl7:text
Item: (MedicationAnesthesia)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3006']]/hl7:text"
         id="tmp-r-c78d8c3c-2259-4cd5-89f9-edc3bd206d4f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationAnesthesia): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3006
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3006']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]]
Item: (MedicationAnesthesia)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3006']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3006']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]]"
         id="tmp-r-7c9a3d11-97cf-4971-99f0-263a30f69fab">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3006-2012-12-12T000000.html"
              test="string(@typeCode)='DRIV' or not(@typeCode)">(MedicationAnesthesia): The value for @typeCode SHALL be 'DRIV'.</assert>
   </rule>
</pattern>
