<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3011
Name: Preoperative Diagnosis Section
Description: Preoperative diagnosis section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3011-2014-03-11T000000">
   <title>Preoperative Diagnosis Section</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3011
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]
Item: (PreoperativeDiagnosisSection)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3011
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3011']]
Item: (PreoperativeDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3011']]"
         id="tmp-r-30a29dd7-91f5-4a90-8f4a-58897250b0b9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="string(@classCode)='DOCSECT'">(PreoperativeDiagnosisSection): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3011'])&gt;=1 ">(PreoperativeDiagnosisSection): element hl7:templateId[@root='2.16.578.1.34.10.3011'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3011'])&lt;=1">(PreoperativeDiagnosisSection): element hl7:templateId[@root='2.16.578.1.34.10.3011'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="count(hl7:code[(@code='10219-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='10219-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(PreoperativeDiagnosisSection): element hl7:code[(@code='10219-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="count(hl7:code[(@code='10219-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(PreoperativeDiagnosisSection): element hl7:code[(@code='10219-4' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(PreoperativeDiagnosisSection): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="count(hl7:title)&lt;=1">(PreoperativeDiagnosisSection): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(PreoperativeDiagnosisSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="count(hl7:text)&lt;=1">(PreoperativeDiagnosisSection): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4019']]])&lt;=1">(PreoperativeDiagnosisSection): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4019']]] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3011
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3011']]/hl7:templateId
Item: (PreoperativeDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3011']]/hl7:templateId"
         id="tmp-r-436c27ff-a598-4e61-b018-83949192d6f1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PreoperativeDiagnosisSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.10.3011'">(PreoperativeDiagnosisSection): @root SHALL have value '2.16.578.1.34.10.3011'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3011
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3011']]/hl7:code[(@code='10219-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (PreoperativeDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3011']]/hl7:code[(@code='10219-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-f0535e9c-ca45-48fd-a5b5-0ab7b7edb120">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PreoperativeDiagnosisSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="@nullFlavor or (@code='10219-4' and @codeSystem='2.16.840.1.113883.6.1')">(PreoperativeDiagnosisSection): The element value SHALL be code '10219-4' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3011
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3011']]/hl7:title
Item: (PreoperativeDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3011']]/hl7:title"
         id="tmp-r-c3a58024-be05-403c-82ae-915b7ab603d5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PreoperativeDiagnosisSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3011
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3011']]/hl7:text
Item: (PreoperativeDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3011']]/hl7:text"
         id="tmp-r-ce35cdcc-7193-4605-997d-d798f1c5112d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PreoperativeDiagnosisSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3011
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3011']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4019']]]
Item: (PreoperativeDiagnosisSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3011']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3011']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4019']]]"
         id="tmp-r-ee81a04a-3508-47c2-8116-a25e3aca9625">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3011-2014-03-11T000000.html"
              test="string(@typeCode)='DRIV' or not(@typeCode)">(PreoperativeDiagnosisSection): The value for @typeCode SHALL be 'DRIV'.</assert>
   </rule>
</pattern>
