<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3013
Name: Surgical Operation Note Findings Section
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3013-2014-03-11T000000">
   <title>Surgical Operation Note Findings Section</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3013
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3013']]
Item: (SurgicalOperationNoteFindingsSection)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3013
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3013']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]
Item: (SurgicalOperationNoteFindingsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3013']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]"
         id="tmp-r-13484704-85f2-4001-9781-d9ba9dbd8503">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="string(@classCode)='DOCSECT'">(SurgicalOperationNoteFindingsSection): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3013'])&gt;=1 ">(SurgicalOperationNoteFindingsSection): element hl7:templateId[@root='2.16.578.1.34.10.3013'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3013'])&lt;=1">(SurgicalOperationNoteFindingsSection): element hl7:templateId[@root='2.16.578.1.34.10.3013'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="count(hl7:code[(@code='10215-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='10215-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(SurgicalOperationNoteFindingsSection): element hl7:code[(@code='10215-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="count(hl7:code[(@code='10215-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(SurgicalOperationNoteFindingsSection): element hl7:code[(@code='10215-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(SurgicalOperationNoteFindingsSection): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="count(hl7:title)&lt;=1">(SurgicalOperationNoteFindingsSection): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(SurgicalOperationNoteFindingsSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="count(hl7:text)&lt;=1">(SurgicalOperationNoteFindingsSection): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]])&lt;=1">(SurgicalOperationNoteFindingsSection): element hl7:entry[hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3013
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3013']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]/hl7:templateId
Item: (SurgicalOperationNoteFindingsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3013']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]/hl7:templateId"
         id="tmp-r-40e67f6d-79af-43b0-897a-036e7ae061b3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SurgicalOperationNoteFindingsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.10.3013'">(SurgicalOperationNoteFindingsSection): @root SHALL have value '2.16.578.1.34.10.3013'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3013
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3013']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]/hl7:code[(@code='10215-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (SurgicalOperationNoteFindingsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3013']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]/hl7:code[(@code='10215-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-3bc97dc2-b28e-44a7-ba41-0f84ad130406">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SurgicalOperationNoteFindingsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="@nullFlavor or (@code='10215-2' and @codeSystem='2.16.840.1.113883.6.1')">(SurgicalOperationNoteFindingsSection): The element value SHALL be code '10215-2' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3013
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3013']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]/hl7:title
Item: (SurgicalOperationNoteFindingsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3013']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]/hl7:title"
         id="tmp-r-015faec7-3e8a-4535-8865-5a94ecf1874e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SurgicalOperationNoteFindingsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3013
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3013']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]/hl7:text
Item: (SurgicalOperationNoteFindingsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3013']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]/hl7:text"
         id="tmp-r-e84adf7b-6f54-4909-840f-fd5c2617638a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SurgicalOperationNoteFindingsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3013
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3013']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]]
Item: (SurgicalOperationNoteFindingsSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3013']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]]"
         id="tmp-r-f035e4d0-7339-4a17-9392-ff0123c3a835">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="string(@typeCode)='DRIV' or not(@typeCode)">(SurgicalOperationNoteFindingsSection): The value for @typeCode SHALL be 'DRIV'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3013
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3013']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]]
Item: (SurgicalOperationNoteFindingsSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3013']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3013']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]]"
         id="tmp-r-0b71eaa4-45c4-4764-ba1f-6117d2e5cc80">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3013-2014-03-11T000000.html"
              test="string(@typeCode)='DRIV' or not(@typeCode)">(SurgicalOperationNoteFindingsSection): The value for @typeCode SHALL be 'DRIV'.</assert>
   </rule>
</pattern>
