<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3015
Name: Pre-Test Clinical Information
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3015-2014-03-01T000000">
   <title>Pre-Test Clinical Information</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3015
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3015']]
Item: (PreTestClinicalInformation)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3015
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3015']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]
Item: (PreTestClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3015']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]"
         id="tmp-r-9b8e6903-046d-4f3e-b269-a9096d9fe6f2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3015-2014-03-01T000000.html"
              test="string(@classCode)='DOCSECT'">(PreTestClinicalInformation): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3015-2014-03-01T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3015'])&gt;=1 ">(PreTestClinicalInformation): element hl7:templateId[@root='2.16.578.1.34.10.3015'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3015-2014-03-01T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3015'])&lt;=1">(PreTestClinicalInformation): element hl7:templateId[@root='2.16.578.1.34.10.3015'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3015-2014-03-01T000000.html"
              test="count(hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(PreTestClinicalInformation): element hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3015-2014-03-01T000000.html"
              test="count(hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(PreTestClinicalInformation): element hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3015-2014-03-01T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(PreTestClinicalInformation): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3015-2014-03-01T000000.html"
              test="count(hl7:title)&lt;=1">(PreTestClinicalInformation): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3015-2014-03-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(PreTestClinicalInformation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3015-2014-03-01T000000.html"
              test="count(hl7:text)&lt;=1">(PreTestClinicalInformation): element hl7:text appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3015
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3015']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]/hl7:templateId
Item: (PreTestClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3015']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]/hl7:templateId"
         id="tmp-r-c00485f9-b06f-4001-ad89-9e8867dce61a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3015-2014-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PreTestClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3015-2014-03-01T000000.html"
              test="string(@root)='2.16.578.1.34.10.3015'">(PreTestClinicalInformation): @root SHALL have value '2.16.578.1.34.10.3015'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3015
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3015']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]/hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (PreTestClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3015']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]/hl7:code[(@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-a1ee88f6-c1a3-40a7-a89c-333a4bb1ecaf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3015-2014-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PreTestClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3015-2014-03-01T000000.html"
              test="@nullFlavor or (@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')">(PreTestClinicalInformation): The element value SHALL be code '55752-0' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3015
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3015']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]/hl7:title
Item: (PreTestClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3015']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]/hl7:title"
         id="tmp-r-fecd1027-8973-4db5-839d-a38cdb35fefe">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3015-2014-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PreTestClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3015
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3015']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]/hl7:text
Item: (PreTestClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3015']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]/hl7:text"
         id="tmp-r-f7c20b48-a225-4421-ae06-aa262d28c413">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3015-2014-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PreTestClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3015
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3015']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]]
Item: (PreTestClinicalInformation)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3015']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3015']]/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]]"
         id="tmp-r-121cf020-d0b1-45ae-ba67-88e471dd6d24">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3015-2014-03-01T000000.html"
              test="string(@typeCode)='DRIV' or not(@typeCode)">(PreTestClinicalInformation): The value for @typeCode SHALL be 'DRIV'.</assert>
   </rule>
</pattern>
