<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4001
Name: Medication Activity
Description: Template Medication Activity
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4001-2012-12-12T000000">
   <title>Medication Activity</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]
Item: (MedicationActivity)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]
Item: (MedicationActivity)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]"
         id="tmp-r-ed444796-f9c4-4746-9403-2bb10af595d2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="string(@classCode)='SBADM'">(MedicationActivity): The value for @classCode SHALL be 'SBADM'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(MedicationActivity): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4001'])&gt;=1 ">(MedicationActivity): element hl7:templateId[@root='2.16.578.1.34.10.4001'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4001'])&lt;=1">(MedicationActivity): element hl7:templateId[@root='2.16.578.1.34.10.4001'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:code[(@code='DRUG' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='DRUG' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(MedicationActivity): element hl7:code[(@code='DRUG' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:code[(@code='DRUG' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(MedicationActivity): element hl7:code[(@code='DRUG' and @codeSystem='2.16.840.1.113883.5.4')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(MedicationActivity): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:statusCode)&lt;=1">(MedicationActivity): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(MedicationActivity): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:doseQuantity)&lt;=1">(MedicationActivity): element hl7:doseQuantity appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:routeCode)&lt;=1">(MedicationActivity): element hl7:routeCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:rateQuantity)&lt;=1">(MedicationActivity): element hl7:rateQuantity appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]])&gt;=1 ">(MedicationActivity): element hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]])&lt;=1">(MedicationActivity): element hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:templateId
Item: (MedicationActivity)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:templateId"
         id="tmp-r-6607c0bd-22f1-40a3-b177-9e7cf9790912">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.4001'">(MedicationActivity): @root SHALL have value '2.16.578.1.34.10.4001'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:id
Item: (MedicationActivity)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:id"
         id="tmp-r-5d2c4abb-01b8-4992-8989-a7a4715bd4b7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:code[(@code='DRUG' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (MedicationActivity)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:code[(@code='DRUG' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-a4d9eeae-e722-4047-a5b1-dc4c8c60efb4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="@nullFlavor or (@code='DRUG' and @codeSystem='2.16.840.1.113883.5.4')">(MedicationActivity): The element value SHALL be code 'DRUG' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:text
Item: (MedicationActivity)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:text"
         id="tmp-r-b8c049e9-69bf-4f13-8d1b-ca195bc13393">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(MedicationActivity): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="count(hl7:reference)&lt;=1">(MedicationActivity): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:text/hl7:reference
Item: (MedicationActivity)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:text/hl7:reference"
         id="tmp-r-d3c668e7-9aff-410e-a45d-1a9efcf4c16a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:statusCode
Item: (MedicationActivity)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:statusCode"
         id="tmp-r-db546f16-466b-4e20-af81-3b3584fdaa35">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="@nullFlavor or (@code='completed')">(MedicationActivity): The element value SHALL be code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:effectiveTime
Item: (MedicationActivity)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:effectiveTime"
         id="tmp-r-c2166707-8c09-47da-9ea2-9de00c0ed536">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:doseQuantity
Item: (MedicationActivity)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:doseQuantity"
         id="tmp-r-82af22dd-f11b-42fe-9133-9cbac1c8dbe7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(MedicationActivity): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(MedicationActivity): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(MedicationActivity): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:routeCode
Item: (MedicationActivity)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:routeCode"
         id="tmp-r-ee9e62a3-f407-4b4b-866a-917ebc996897">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.14581-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(MedicationActivity): The element value SHALL be RouteOfAdministration (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.14581-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(MedicationActivity): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set RouteOfAdministration (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:rateQuantity
Item: (MedicationActivity)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:rateQuantity"
         id="tmp-r-d941182b-d61f-4d14-a284-7d743630b1b4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(MedicationActivity): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(MedicationActivity): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(MedicationActivity): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4001
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]]
Item: (MedicationActivity)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.578.1.34.10.4001']]/hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]]"
         id="tmp-r-b383c194-8f2d-490e-9ec3-d589b9d4f26d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4001-2012-12-12T000000.html"
              test="string(@typeCode)='CSM'">(MedicationActivity): The value for @typeCode SHALL be 'CSM'.</assert>
   </rule>
</pattern>
