<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4002
Name: Medication Information
Description: Template Medication Information
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4002-2012-12-12T000000">
   <title>Medication Information</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]
Item: (MedicationInformation)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]"
         id="tmp-r-9479e524-2ec5-48a3-8e9b-9b6a305d2320">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']])&gt;=1 ">(MedicationInformation): element hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']])&lt;=1">(MedicationInformation): element hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]
Item: (MedicationInformation)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]"
         id="tmp-r-78753a1c-cf34-4962-9662-389edc52727c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="string(@classCode)='MANU'">(MedicationInformation): The value for @classCode SHALL be 'MANU'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4002'])&gt;=1 ">(MedicationInformation): element hl7:templateId[@root='2.16.578.1.34.10.4002'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4002'])&lt;=1">(MedicationInformation): element hl7:templateId[@root='2.16.578.1.34.10.4002'] appears to often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:manufacturedLabeledDrug|hl7:manufacturedMaterial)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="$elmcount&gt;=1">(MedicationInformation): choice (hl7:manufacturedLabeledDrug or hl7:manufacturedMaterial) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="$elmcount&lt;=1">(MedicationInformation): choice (hl7:manufacturedLabeledDrug or hl7:manufacturedMaterial) contains too many elements [max 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:templateId
Item: (MedicationInformation)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:templateId"
         id="tmp-r-32e242e3-6588-4eb7-b5e6-95e877f447d9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.4002'">(MedicationInformation): @root SHALL have value '2.16.578.1.34.10.4002'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:id
Item: (MedicationInformation)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:id"
         id="tmp-r-9bc52bac-7ebb-44ba-bb2c-b16ecb86d76e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:manufacturedLabeledDrug
Item: (MedicationInformation)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:manufacturedLabeledDrug"
         id="tmp-r-42096008-0626-4d6f-9632-58ac7ff3d513">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="string(@classCode)='MMAT'">(MedicationInformation): The value for @classCode SHALL be 'MMAT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="string(@determinerCode)='KIND'">(MedicationInformation): The value for @determinerCode SHALL be 'KIND'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(MedicationInformation): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(MedicationInformation): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900830
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:manufacturedLabeledDrug/hl7:code
Item: (CDALabeledDrug)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:manufacturedLabeledDrug/hl7:code"
         id="tmp-r-12176b0e-93a1-4d6c-8a70-52d9daf3a5fb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900830-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDALabeledDrug): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900830
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:manufacturedLabeledDrug/hl7:name
Item: (CDALabeledDrug)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:manufacturedLabeledDrug/hl7:name"
         id="tmp-r-3eaa819f-eede-4e64-9575-315893e9af65">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900830-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDALabeledDrug): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:EN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4002
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:manufacturedMaterial
Item: (MedicationInformation)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:manufacturedMaterial"
         id="tmp-r-969e8581-5333-41df-b70a-10eaa15a6cf1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="string(@classCode)='MMAT'">(MedicationInformation): The value for @classCode SHALL be 'MMAT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="string(@determinerCode)='KIND'">(MedicationInformation): The value for @determinerCode SHALL be 'KIND'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(MedicationInformation): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(MedicationInformation): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4002-2012-12-12T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(MedicationInformation): element hl7:lotNumberText appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:manufacturedMaterial/hl7:code
Item: (CDAMaterial)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:manufacturedMaterial/hl7:code"
         id="tmp-r-11740b98-3548-49b7-8a30-8210a410ac99">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900831-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:manufacturedMaterial/hl7:name
Item: (CDAMaterial)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:manufacturedMaterial/hl7:name"
         id="tmp-r-4a221f95-a069-4c41-9f5a-94e886a12822">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900831-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:EN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900831
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:manufacturedMaterial/hl7:lotNumberText
Item: (CDAMaterial)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.578.1.34.10.4002']]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.578.1.34.10.4002']]/hl7:manufacturedMaterial/hl7:lotNumberText"
         id="tmp-r-11a099db-de24-4292-ab77-9dc89052cf76">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900831-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAMaterial): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
