<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4003
Name: Result Organizer
Description: Template Result Organizer
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4003-2012-12-12T000000">
   <title>Result Organizer</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4003
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]
Item: (ResultOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4003
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4003']]
Item: (ResultOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4003']]"
         id="tmp-r-b697ede1-408e-459f-a765-67c5ea931c70">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="string(@classCode)='CLUSTER'">(ResultOrganizer): The value for @classCode SHALL be 'CLUSTER'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(ResultOrganizer): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4003'])&gt;=1 ">(ResultOrganizer): element hl7:templateId[@root='2.16.578.1.34.10.4003'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4003'])&lt;=1">(ResultOrganizer): element hl7:templateId[@root='2.16.578.1.34.10.4003'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 ">(ResultOrganizer): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(ResultOrganizer): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="count(hl7:statusCode)&lt;=1">(ResultOrganizer): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]]/@nullFlavor)">(ResultOrganizer): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4003
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4003']]/hl7:templateId
Item: (ResultOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4003']]/hl7:templateId"
         id="tmp-r-a0174443-b9ae-476b-9535-f3514375fd96">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.4003'">(ResultOrganizer): @root SHALL have value '2.16.578.1.34.10.4003'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4003
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4003']]/hl7:id
Item: (ResultOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4003']]/hl7:id"
         id="tmp-r-418775e0-563a-4720-96aa-6aad60058baf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4003
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4003']]/hl7:code
Item: (ResultOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4003']]/hl7:code"
         id="tmp-r-8fb86dfa-6402-412f-8911-98d52ff2103c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4003
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4003']]/hl7:statusCode
Item: (ResultOrganizer)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4003']]/hl7:statusCode"
         id="tmp-r-f09967bb-16bc-4ebc-9d67-201ec5059a8d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(ResultOrganizer): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(ResultOrganizer): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4003
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4003']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]]
Item: (ResultOrganizer)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4003']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4003']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]]"
         id="tmp-r-fc74e662-dbf1-4a81-af3e-06e31da566ee">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4003-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(ResultOrganizer): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>
</pattern>
