<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4004
Name: Result Observation
Description: Template Result Observation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4004-2012-12-12T000000">
   <title>Result Observation</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]
Item: (ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]
Item: (ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]"
         id="tmp-r-3db075a6-d3f6-492b-bdf4-3b85a66205f2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="string(@classCode)='OBS'">(ResultObservation): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(ResultObservation): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4004'])&gt;=1 ">(ResultObservation): element hl7:templateId[@root='2.16.578.1.34.10.4004'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4004'])&lt;=1">(ResultObservation): element hl7:templateId[@root='2.16.578.1.34.10.4004'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ResultObservation): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(ResultObservation): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(ResultObservation): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:statusCode)&lt;=1">(ResultObservation): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(ResultObservation): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:value)&gt;=1 ">(ResultObservation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:value)&lt;=1">(ResultObservation): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:templateId
Item: (ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:templateId"
         id="tmp-r-042af357-2472-45f1-b482-625568bc9251">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.4004'">(ResultObservation): @root SHALL have value '2.16.578.1.34.10.4004'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:templateId
Item: (ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:templateId"
         id="tmp-r-22df076f-ce93-42b3-ac58-2b26b97bf925">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:id
Item: (ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:id"
         id="tmp-r-c6257fd3-c597-4197-ac63-306a17c4d879">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:code
Item: (ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:code"
         id="tmp-r-36ab5dcf-4516-4c14-843d-5e8d6f24b1a9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:text
Item: (ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:text"
         id="tmp-r-c0d6e21f-bb7c-44dc-9e6a-3256f35c7461">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(ResultObservation): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:reference)&lt;=1">(ResultObservation): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:text/hl7:reference
Item: (ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:text/hl7:reference"
         id="tmp-r-20ae49b1-9933-455c-be3b-a1905f539258">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:statusCode
Item: (ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:statusCode"
         id="tmp-r-c2a563cd-b0b2-4fdd-8e5c-7ca0f894f594">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(ResultObservation): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(ResultObservation): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:effectiveTime
Item: (ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:effectiveTime"
         id="tmp-r-501041dc-3d2b-4465-88a2-fa38dda2a3d3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:value
Item: (ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:referenceRange
Item: (ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:referenceRange"
         id="tmp-r-7826ef9c-a36a-41eb-8a38-152ddb1d0692">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="string(@typeCode)='REFV'">(ResultObservation): The value for @typeCode SHALL be 'REFV'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:observationRange)&gt;=1 ">(ResultObservation): element hl7:observationRange is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:observationRange)&lt;=1">(ResultObservation): element hl7:observationRange appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:referenceRange/hl7:observationRange
Item: (ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:referenceRange/hl7:observationRange"
         id="tmp-r-3008a5a9-4e23-4d16-b120-8d2a165538d3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="string(@classCode)='OBS'">(ResultObservation): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="string(@moodCode)='EVN.CRT'">(ResultObservation): The value for @moodCode SHALL be 'EVN.CRT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:code)=0">(ResultObservation): element hl7:code MAY NOT be present.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(ResultObservation): element hl7:text appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:referenceRange/hl7:observationRange/hl7:code
Item: (ResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:referenceRange/hl7:observationRange/hl7:text
Item: (ResultObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4004']]/hl7:referenceRange/hl7:observationRange/hl7:text"
         id="tmp-r-d0de170f-39c7-4e7f-9109-4b5c4cdc9167">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4004-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
