<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4005
Name: Total Fluid Input
Description: Template Total Fluid Input
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4005-2012-12-12T000000">
   <title>Total Fluid Input</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]
Item: (TotalFluidInput)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]
Item: (TotalFluidInput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]"
         id="tmp-r-b07a1ad0-c5fe-43b9-837a-46c521b3eda2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="string(@classCode)='OBS'">(TotalFluidInput): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(TotalFluidInput): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4005'])&gt;=1 ">(TotalFluidInput): element hl7:templateId[@root='2.16.578.1.34.10.4005'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4005'])&lt;=1">(TotalFluidInput): element hl7:templateId[@root='2.16.578.1.34.10.4005'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:code[(@code='251852001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='251852001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(TotalFluidInput): element hl7:code[(@code='251852001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:code[(@code='251852001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(TotalFluidInput): element hl7:code[(@code='251852001' and @codeSystem='2.16.840.1.113883.6.96')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(TotalFluidInput): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:statusCode)&lt;=1">(TotalFluidInput): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(TotalFluidInput): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:value)&gt;=1 ">(TotalFluidInput): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:value)&lt;=1">(TotalFluidInput): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:templateId
Item: (TotalFluidInput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:templateId"
         id="tmp-r-df4e00d6-f166-4326-8dbf-1e6a64d80f3c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidInput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.4005'">(TotalFluidInput): @root SHALL have value '2.16.578.1.34.10.4005'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:id
Item: (TotalFluidInput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:id"
         id="tmp-r-524064ce-12af-4fab-8eb8-6775acb79769">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidInput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:code[(@code='251852001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (TotalFluidInput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:code[(@code='251852001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-a41fae21-2fba-4e97-a0cc-aede36e4eb69">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidInput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="@nullFlavor or (@code='251852001' and @codeSystem='2.16.840.1.113883.6.96')">(TotalFluidInput): The element value SHALL be code '251852001' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:text
Item: (TotalFluidInput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:text"
         id="tmp-r-dcc02e2b-f491-46b5-ad9a-286858d61ad7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidInput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(TotalFluidInput): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="count(hl7:reference)&lt;=1">(TotalFluidInput): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:text/hl7:reference
Item: (TotalFluidInput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:text/hl7:reference"
         id="tmp-r-0862fd42-be99-4555-b6b2-f714c78f2ad3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidInput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:statusCode
Item: (TotalFluidInput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:statusCode"
         id="tmp-r-a76876ec-09db-417c-8e34-db626627f8e7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidInput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(TotalFluidInput): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(TotalFluidInput): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:effectiveTime
Item: (TotalFluidInput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:effectiveTime"
         id="tmp-r-47f9c5a9-f97d-4505-a280-e9261548b9b3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidInput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:value
Item: (TotalFluidInput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:value"
         id="tmp-r-2e8f392c-2de4-44ef-a536-2bc365858c9b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidInput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="(@nullFlavor or (@unit='mL'))">(TotalFluidInput): value SHALL use unit 'mL' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="$digitok or @nullFlavor">(TotalFluidInput): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TotalFluidInput): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]]
Item: (TotalFluidInput)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.578.1.34.10.4001']]]"
         id="tmp-r-9602021a-865b-47fa-abc9-6c96df128049">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4005-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(TotalFluidInput): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>
</pattern>
