<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4006
Name: Total Fluid Output
Description: Template Total Fluid Output
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4006-2012-12-12T000000">
   <title>Total Fluid Output</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]
Item: (TotalFluidOutput)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]
Item: (TotalFluidOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]"
         id="tmp-r-cd7b24e8-3948-4e4a-80b1-085a9723d301">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="string(@classCode)='OBS'">(TotalFluidOutput): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(TotalFluidOutput): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4006'])&gt;=1 ">(TotalFluidOutput): element hl7:templateId[@root='2.16.578.1.34.10.4006'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4006'])&lt;=1">(TotalFluidOutput): element hl7:templateId[@root='2.16.578.1.34.10.4006'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:code[(@code='251841007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='251841007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(TotalFluidOutput): element hl7:code[(@code='251841007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:code[(@code='251841007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(TotalFluidOutput): element hl7:code[(@code='251841007' and @codeSystem='2.16.840.1.113883.6.96')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(TotalFluidOutput): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:statusCode)&lt;=1">(TotalFluidOutput): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(TotalFluidOutput): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:value)&gt;=1 ">(TotalFluidOutput): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:value)&lt;=1">(TotalFluidOutput): element hl7:value appears to often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]]|hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]])"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:templateId
Item: (TotalFluidOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:templateId"
         id="tmp-r-f64a7dcd-bad0-4eaa-badd-a02f17aeab67">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidOutput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.4006'">(TotalFluidOutput): @root SHALL have value '2.16.578.1.34.10.4006'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:id
Item: (TotalFluidOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:id"
         id="tmp-r-508d54c1-497d-46ce-bd90-1c546ea46150">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidOutput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:code[(@code='251841007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (TotalFluidOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:code[(@code='251841007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-eeaca025-525e-4485-a594-39737e594674">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidOutput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="@nullFlavor or (@code='251841007' and @codeSystem='2.16.840.1.113883.6.96')">(TotalFluidOutput): The element value SHALL be code '251841007' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:text
Item: (TotalFluidOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:text"
         id="tmp-r-860fd90a-c458-4189-9200-5cc18e34b21c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidOutput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(TotalFluidOutput): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="count(hl7:reference)&lt;=1">(TotalFluidOutput): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:text/hl7:reference
Item: (TotalFluidOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:text/hl7:reference"
         id="tmp-r-978212a9-5e5f-4ba4-a47e-4e0cbb5af280">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidOutput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:statusCode
Item: (TotalFluidOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:statusCode"
         id="tmp-r-4601b35d-17bc-400f-a966-86e49396ea54">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidOutput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(TotalFluidOutput): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(TotalFluidOutput): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:effectiveTime
Item: (TotalFluidOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:effectiveTime"
         id="tmp-r-945ac913-701d-4fba-8cc9-4a877e4f583a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidOutput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:value
Item: (TotalFluidOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:value"
         id="tmp-r-594aa9d1-c4ab-4022-8c1e-2c61ce7e8ebd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TotalFluidOutput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="(@nullFlavor or (@unit='mL'))">(TotalFluidOutput): value SHALL use unit 'mL' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="$digitok or @nullFlavor">(TotalFluidOutput): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TotalFluidOutput): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]]
Item: (TotalFluidOutput)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]]"
         id="tmp-r-6391aefc-6fa1-4b4a-9c5b-e084ccd32e6d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(TotalFluidOutput): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]]
Item: (TotalFluidOutput)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]]"
         id="tmp-r-117d4c51-7a94-484d-8cb9-044073199067">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4006-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(TotalFluidOutput): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>
</pattern>
