<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4007
Name: Estimated Blood Loss
Description: Template Total Fluid Output
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4007-2012-12-12T000000">
   <title>Estimated Blood Loss</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]
Item: (EstimatedBloodLoss)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]
Item: (EstimatedBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]"
         id="tmp-r-801c88b3-cd0a-45cf-8e02-f22cacbff508">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="string(@classCode)='OBS'">(EstimatedBloodLoss): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(EstimatedBloodLoss): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4007'])&gt;=1 ">(EstimatedBloodLoss): element hl7:templateId[@root='2.16.578.1.34.10.4007'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4007'])&lt;=1">(EstimatedBloodLoss): element hl7:templateId[@root='2.16.578.1.34.10.4007'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:code[(@code='8717-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='8717-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(EstimatedBloodLoss): element hl7:code[(@code='8717-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:code[(@code='8717-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(EstimatedBloodLoss): element hl7:code[(@code='8717-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(EstimatedBloodLoss): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:statusCode)&lt;=1">(EstimatedBloodLoss): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(EstimatedBloodLoss): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:value)&gt;=1 ">(EstimatedBloodLoss): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:value)&lt;=1">(EstimatedBloodLoss): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]/hl7:templateId
Item: (EstimatedBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]/hl7:templateId"
         id="tmp-r-f525d8cd-6e06-4752-95a4-9bca5ff3053d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedBloodLoss): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.4007'">(EstimatedBloodLoss): @root SHALL have value '2.16.578.1.34.10.4007'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]/hl7:id
Item: (EstimatedBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]/hl7:id"
         id="tmp-r-04a20a87-167a-4842-ab1c-f1ba5a76711a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedBloodLoss): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]/hl7:code[(@code='8717-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (EstimatedBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]/hl7:code[(@code='8717-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-1fbfabc1-a5f4-4297-848c-5578dda35238">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedBloodLoss): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="@nullFlavor or (@code='8717-1' and @codeSystem='2.16.840.1.113883.6.1')">(EstimatedBloodLoss): The element value SHALL be code '8717-1' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]/hl7:text
Item: (EstimatedBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]/hl7:text"
         id="tmp-r-5a1e2586-0782-450a-be10-0ad662be6efa">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedBloodLoss): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(EstimatedBloodLoss): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="count(hl7:reference)&lt;=1">(EstimatedBloodLoss): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]/hl7:text/hl7:reference
Item: (EstimatedBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]/hl7:text/hl7:reference"
         id="tmp-r-e1b189cb-eaac-4988-b827-a271b228f069">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedBloodLoss): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]/hl7:statusCode
Item: (EstimatedBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]/hl7:statusCode"
         id="tmp-r-8c960336-5428-4313-b6fd-de54f4beb837">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedBloodLoss): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(EstimatedBloodLoss): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(EstimatedBloodLoss): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]/hl7:effectiveTime
Item: (EstimatedBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]/hl7:effectiveTime"
         id="tmp-r-8239f753-992d-4a96-89f9-19828882bf93">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedBloodLoss): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4007
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]/hl7:value
Item: (EstimatedBloodLoss)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4007']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4007']]/hl7:value"
         id="tmp-r-33cf5cfc-8683-4eae-a98d-a594b9b711d0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedBloodLoss): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="(@nullFlavor or (@unit='mL'))">(EstimatedBloodLoss): value SHALL use unit 'mL' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="$digitok or @nullFlavor">(EstimatedBloodLoss): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4007-2012-12-12T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(EstimatedBloodLoss): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
