<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4008
Name: Urine Output
Description: Template Total Urine Output
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4008-2013-02-20T000000">
   <title>Urine Output</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]
Item: (UrineOutput)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]
Item: (UrineOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]"
         id="tmp-r-93f04554-9c79-431a-bd29-956e8d13e2e7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="string(@classCode)='OBS'">(UrineOutput): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="string(@moodCode)='EVN'">(UrineOutput): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4008'])&gt;=1 ">(UrineOutput): element hl7:templateId[@root='2.16.578.1.34.10.4008'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4008'])&lt;=1">(UrineOutput): element hl7:templateId[@root='2.16.578.1.34.10.4008'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:code[(@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(UrineOutput): element hl7:code[(@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:code[(@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(UrineOutput): element hl7:code[(@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:text)&lt;=1">(UrineOutput): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:statusCode)&lt;=1">(UrineOutput): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(UrineOutput): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:value)&gt;=1 ">(UrineOutput): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:value)&lt;=1">(UrineOutput): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]/hl7:templateId
Item: (UrineOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]/hl7:templateId"
         id="tmp-r-101d6ba9-f1fb-491f-bd59-1b4c9983c837">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UrineOutput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="string(@root)='2.16.578.1.34.10.4008'">(UrineOutput): @root SHALL have value '2.16.578.1.34.10.4008'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]/hl7:id
Item: (UrineOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]/hl7:id"
         id="tmp-r-3829de67-cb8d-4322-848c-1eaec46734f8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UrineOutput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]/hl7:code[(@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (UrineOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]/hl7:code[(@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-77195c66-b664-43c4-bb40-b79a61853c7d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UrineOutput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="@nullFlavor or (@code='9187-6' and @codeSystem='2.16.840.1.113883.6.1')">(UrineOutput): The element value SHALL be code '9187-6' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]/hl7:text
Item: (UrineOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]/hl7:text"
         id="tmp-r-5493c9de-bdd4-4759-8abe-7363f5bffd80">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UrineOutput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(UrineOutput): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="count(hl7:reference)&lt;=1">(UrineOutput): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]/hl7:text/hl7:reference
Item: (UrineOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]/hl7:text/hl7:reference"
         id="tmp-r-a7f3e2cf-d31f-4234-a642-72f30eceb405">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UrineOutput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]/hl7:statusCode
Item: (UrineOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]/hl7:statusCode"
         id="tmp-r-ad7f7eb9-be4c-490a-976d-3c18a005b75b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UrineOutput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(UrineOutput): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(UrineOutput): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]/hl7:effectiveTime
Item: (UrineOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]/hl7:effectiveTime"
         id="tmp-r-2b03e9c1-a966-4816-9505-bb4cc79f3c5d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UrineOutput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4008
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]/hl7:value
Item: (UrineOutput)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4008']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4008']]/hl7:value"
         id="tmp-r-17582687-3bbd-4119-bee4-6168886b8826">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UrineOutput): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="(@nullFlavor or (@unit='mL'))">(UrineOutput): value SHALL use unit 'mL' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="$digitok or @nullFlavor">(UrineOutput): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4008-2013-02-20T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(UrineOutput): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
