<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4009
Name: Care Relationship
Description: Template Care Relationship: This template represents the ‘care relationship’ the surgical department has with the patient (in other words: the operation) during which one or more procedures have been carried out.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4009-2014-03-11T000000">
   <title>Care Relationship</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4009
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]
Item: (CareRelationship)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4009
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]
Item: (CareRelationship)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]"
         id="tmp-r-a0e65c8f-a431-4f64-b810-9d32d428f03e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="string(@classCode)='PCPR'">(CareRelationship): The value for @classCode SHALL be 'PCPR'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="string(@moodCode)='EVN'">(CareRelationship): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4009'])&gt;=1 and not(hl7:templateId[@root='2.16.578.1.34.10.4009']/@nullFlavor)">(CareRelationship): element hl7:templateId[@root='2.16.578.1.34.10.4009'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4009'])&lt;=1">(CareRelationship): element hl7:templateId[@root='2.16.578.1.34.10.4009'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="count(hl7:id)&gt;=1 ">(CareRelationship): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="count(hl7:id)&lt;=1">(CareRelationship): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="count(hl7:code[(@code='Opphold' and @codeSystem='2.16.578.1.34.5.4')])&gt;=1 and not(hl7:code[(@code='Opphold' and @codeSystem='2.16.578.1.34.5.4')]/@nullFlavor)">(CareRelationship): element hl7:code[(@code='Opphold' and @codeSystem='2.16.578.1.34.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="count(hl7:code[(@code='Opphold' and @codeSystem='2.16.578.1.34.5.4')])&lt;=1">(CareRelationship): element hl7:code[(@code='Opphold' and @codeSystem='2.16.578.1.34.5.4')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(CareRelationship): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CareRelationship): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="count(hl7:participant[@typeCode='PPRF'])&gt;=1 ">(CareRelationship): element hl7:participant[@typeCode='PPRF'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="count(hl7:participant[@typeCode='PPRF'])&lt;=1">(CareRelationship): element hl7:participant[@typeCode='PPRF'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="count(hl7:participant[@typeCode='LOC'])&lt;=1">(CareRelationship): element hl7:participant[@typeCode='LOC'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4015']]])&gt;=1 ">(CareRelationship): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4015']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4009
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:templateId
Item: (CareRelationship)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:templateId"
         id="tmp-r-c03281b0-9795-4cee-a12d-558c603baa5a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CareRelationship): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.10.4009'">(CareRelationship): @root SHALL have value '2.16.578.1.34.10.4009'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4009
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:id
Item: (CareRelationship)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:id"
         id="tmp-r-e629491b-6e55-4b16-9790-e083def931d0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CareRelationship): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4009
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:code[(@code='Opphold' and @codeSystem='2.16.578.1.34.5.4')]
Item: (CareRelationship)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:code[(@code='Opphold' and @codeSystem='2.16.578.1.34.5.4')]"
         id="tmp-r-00afaa17-2c4e-4403-892e-d99ca4157266">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CareRelationship): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="@nullFlavor or (@code='Opphold' and @codeSystem='2.16.578.1.34.5.4')">(CareRelationship): The element value SHALL be code 'Opphold' codeSystem '2.16.578.1.34.5.4'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4009
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:effectiveTime
Item: (CareRelationship)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:effectiveTime"
         id="tmp-r-e3c6c541-a452-4c67-a87c-9033d0097890">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CareRelationship): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="count(hl7:low)&gt;=1 ">(CareRelationship): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="count(hl7:low)&lt;=1">(CareRelationship): element hl7:low appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="count(hl7:high)&gt;=1 ">(CareRelationship): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="count(hl7:high)&lt;=1">(CareRelationship): element hl7:high appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4009
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:effectiveTime/hl7:low
Item: (CareRelationship)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:effectiveTime/hl7:low"
         id="tmp-r-cae7f512-78a2-4898-bb8b-357f291eb00d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CareRelationship): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4009
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:effectiveTime/hl7:high
Item: (CareRelationship)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:effectiveTime/hl7:high"
         id="tmp-r-51f91de0-2a1d-4dd6-ad71-fed406b60220">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CareRelationship): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4010
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='PPRF']
Item: (PrimaryPerformer)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='PPRF']"
         id="tmp-r-732a51ed-fb92-4a62-ae00-5c73e38d13b3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4010-2014-03-11T000000.html"
              test="string(@typeCode)='PPRF'">(PrimaryPerformer): The value for @typeCode SHALL be 'PPRF'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4010-2014-03-11T000000.html"
              test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">(PrimaryPerformer): element hl7:participantRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4010-2014-03-11T000000.html"
              test="count(hl7:participantRole)&lt;=1">(PrimaryPerformer): element hl7:participantRole appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4012
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='PPRF']/hl7:participantRole
Item: (ParticipantRole)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='PPRF']/hl7:participantRole"
         id="tmp-r-8a456aa6-aee0-4447-ba1f-476b5717324b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4012-2014-03-11T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&gt;=1 ">(ParticipantRole): element hl7:id[@root='2.16.578.1.34.1000.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4012-2014-03-11T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&lt;=1">(ParticipantRole): element hl7:id[@root='2.16.578.1.34.1000.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4012-2014-03-11T000000.html"
              test="count(hl7:playingEntity)&gt;=1 ">(ParticipantRole): element hl7:playingEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4012-2014-03-11T000000.html"
              test="count(hl7:playingEntity)&lt;=1">(ParticipantRole): element hl7:playingEntity appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4012
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='PPRF']/hl7:participantRole/hl7:id[@root='2.16.578.1.34.1000.3']
Item: (ParticipantRole)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='PPRF']/hl7:participantRole/hl7:id[@root='2.16.578.1.34.1000.3']"
         id="tmp-r-be3bfd3c-f468-40c0-b16e-dbafe257befc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4012-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ParticipantRole): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4012-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.1000.3'">(ParticipantRole): @root SHALL have value '2.16.578.1.34.1000.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4012
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='PPRF']/hl7:participantRole/hl7:playingEntity
Item: (ParticipantRole)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='PPRF']/hl7:participantRole/hl7:playingEntity"
         id="tmp-r-d7659c5e-a080-4618-887a-8ebb4c192fe5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4012-2014-03-11T000000.html"
              test="count(hl7:name)&gt;=1 ">(ParticipantRole): element hl7:name is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4012
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='PPRF']/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (ParticipantRole)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='PPRF']/hl7:participantRole/hl7:playingEntity/hl7:name"
         id="tmp-r-fb814738-2596-4aff-ace0-ef25640fe134">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4012-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ParticipantRole): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4011
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='SPRF']
Item: (SecondaryPerformer)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='SPRF']"
         id="tmp-r-1ca7f68d-4318-4c50-8e04-ca24ef108680">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4011-2014-03-11T000000.html"
              test="string(@typeCode)='SPRF'">(SecondaryPerformer): The value for @typeCode SHALL be 'SPRF'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4011-2014-03-11T000000.html"
              test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">(SecondaryPerformer): element hl7:participantRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4011-2014-03-11T000000.html"
              test="count(hl7:participantRole)&lt;=1">(SecondaryPerformer): element hl7:participantRole appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4012
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='SPRF']/hl7:participantRole
Item: (ParticipantRole)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='SPRF']/hl7:participantRole"
         id="tmp-r-cd2e7c96-623a-4e08-a86a-8e08af5359bb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4012-2014-03-11T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&gt;=1 ">(ParticipantRole): element hl7:id[@root='2.16.578.1.34.1000.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4012-2014-03-11T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&lt;=1">(ParticipantRole): element hl7:id[@root='2.16.578.1.34.1000.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4012-2014-03-11T000000.html"
              test="count(hl7:playingEntity)&gt;=1 ">(ParticipantRole): element hl7:playingEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4012-2014-03-11T000000.html"
              test="count(hl7:playingEntity)&lt;=1">(ParticipantRole): element hl7:playingEntity appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4012
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='SPRF']/hl7:participantRole/hl7:id[@root='2.16.578.1.34.1000.3']
Item: (ParticipantRole)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='SPRF']/hl7:participantRole/hl7:id[@root='2.16.578.1.34.1000.3']"
         id="tmp-r-dcc02db8-25d9-4586-bee3-1e19c7da4095">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4012-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ParticipantRole): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4012-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.1000.3'">(ParticipantRole): @root SHALL have value '2.16.578.1.34.1000.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4012
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='SPRF']/hl7:participantRole/hl7:playingEntity
Item: (ParticipantRole)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='SPRF']/hl7:participantRole/hl7:playingEntity"
         id="tmp-r-3921393d-18e5-46c7-8191-80ca25b2f9b6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4012-2014-03-11T000000.html"
              test="count(hl7:name)&gt;=1 ">(ParticipantRole): element hl7:name is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4012
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='SPRF']/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (ParticipantRole)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='SPRF']/hl7:participantRole/hl7:playingEntity/hl7:name"
         id="tmp-r-aa05ee16-b9ac-4377-946c-3e5d38a3defa">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4012-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ParticipantRole): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4014
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='LOC']
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='LOC']"
         id="tmp-r-7881af92-04c1-46c6-8181-afb5518675db">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="string(@typeCode)='LOC'">(ServiceDeliveryLocation): The value for @typeCode SHALL be 'LOC'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">(ServiceDeliveryLocation): element hl7:participantRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="count(hl7:participantRole)&lt;=1">(ServiceDeliveryLocation): element hl7:participantRole appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4014
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='LOC']/hl7:participantRole
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='LOC']/hl7:participantRole"
         id="tmp-r-6977a37d-b405-4ef9-86d8-9449c4f46771">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="string(@classCode)='SDLOC'">(ServiceDeliveryLocation): The value for @classCode SHALL be 'SDLOC'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="count(hl7:playingEntity)&gt;=1 ">(ServiceDeliveryLocation): element hl7:playingEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="count(hl7:playingEntity)&lt;=1">(ServiceDeliveryLocation): element hl7:playingEntity appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4014
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='LOC']/hl7:participantRole/hl7:id[@root='2.16.578.1.34.1000.4']
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='LOC']/hl7:participantRole/hl7:id[@root='2.16.578.1.34.1000.4']"
         id="tmp-r-4f0adf01-af43-4a50-a8ec-ec3b63d24c62">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ServiceDeliveryLocation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.1000.4'">(ServiceDeliveryLocation): The value for @root SHALL be '2.16.578.1.34.1000.4'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4014
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='LOC']/hl7:participantRole/hl7:playingEntity
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='LOC']/hl7:participantRole/hl7:playingEntity"
         id="tmp-r-f48c7158-fcf9-4c26-b4a8-6b5a965e9fc2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="count(hl7:name)&gt;=1 ">(ServiceDeliveryLocation): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="count(hl7:name)&lt;=1">(ServiceDeliveryLocation): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4014
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='LOC']/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:participant[@typeCode='LOC']/hl7:participantRole/hl7:playingEntity/hl7:name"
         id="tmp-r-271e2cb5-0d02-4007-9357-3292e4e6ff22">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ServiceDeliveryLocation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4009
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4015']]]
Item: (CareRelationship)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4009']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4009']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4015']]]"
         id="tmp-r-85251aa1-31a2-4794-aebe-dc6f0abc13b5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4009-2014-03-11T000000.html"
              test="string(@typeCode)='COMP'">(CareRelationship): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>
</pattern>
