<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4015
Name: Operations Phase
Description: Template Operations Phase: Contains the details of a single phase of the operation.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4015-2014-03-11T000000">
   <title>Operations Phase</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4015
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4015']]
Item: (OperationsPhase)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4015
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4015']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4015']]
Item: (OperationsPhase)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4015']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4015']]"
         id="tmp-r-e4a33e04-801a-489d-bd28-460ecf5e59eb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="string(@classCode)='PROC'">(OperationsPhase): The value for @classCode SHALL be 'PROC'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="string(@moodCode)='EVN'">(OperationsPhase): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4015'])&gt;=1 and not(hl7:templateId[@root='2.16.578.1.34.10.4015']/@nullFlavor)">(OperationsPhase): element hl7:templateId[@root='2.16.578.1.34.10.4015'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4015'])&lt;=1">(OperationsPhase): element hl7:templateId[@root='2.16.578.1.34.10.4015'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.6-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.6-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.6-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.6-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(OperationsPhase): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.6-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.6-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.6-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.6-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(OperationsPhase): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.6-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.6-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(OperationsPhase): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(OperationsPhase): element hl7:effectiveTime appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4015
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4015']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4015']]/hl7:templateId
Item: (OperationsPhase)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4015']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4015']]/hl7:templateId"
         id="tmp-r-ad83729a-cfb0-4e20-92bf-a24428fc47c7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OperationsPhase): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.10.4015'">(OperationsPhase): @root SHALL have value '2.16.578.1.34.10.4015'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4015
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4015']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4015']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.6-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.6-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (OperationsPhase)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4015']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4015']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.6-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.6-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-18eca26b-fba0-46be-b6c5-6c837a243e52">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OperationsPhase): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.578.1.34.11.6-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(OperationsPhase): The element value SHALL be OperationsPhases (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.578.1.34.11.6-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(OperationsPhase): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set OperationsPhases (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4015
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4015']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4015']]/hl7:effectiveTime
Item: (OperationsPhase)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4015']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4015']]/hl7:effectiveTime"
         id="tmp-r-5ef60e4a-88ff-4a5e-b26f-9f1e7e58cbf1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OperationsPhase): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="count(hl7:low)&gt;=1 ">(OperationsPhase): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="count(hl7:low)&lt;=1">(OperationsPhase): element hl7:low appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="count(hl7:high)&gt;=1 ">(OperationsPhase): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="count(hl7:high)&lt;=1">(OperationsPhase): element hl7:high appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4015
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4015']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4015']]/hl7:effectiveTime/hl7:low
Item: (OperationsPhase)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4015']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4015']]/hl7:effectiveTime/hl7:low"
         id="tmp-r-fcb8a265-6099-4752-b6ea-d74e1809f073">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OperationsPhase): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4015
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4015']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4015']]/hl7:effectiveTime/hl7:high
Item: (OperationsPhase)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4015']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4015']]/hl7:effectiveTime/hl7:high"
         id="tmp-r-ad6749d9-30c9-48d7-b4b8-6b912308fd24">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4015-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OperationsPhase): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
