<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4016
Name: Transportation
Description: Template Care Relationship: This class represents the ‘care relationship’ the surgical department has with the patient (in other words: the operation) during which one or more procedures have been carried out.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4016-2014-03-11T000000">
   <title>Transportation</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4016
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]
Item: (Transportation)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4016
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]
Item: (Transportation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]"
         id="tmp-r-db85fe85-f8c2-4073-8818-b76d1d7a970f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="string(@classCode)='ACT'">(Transportation): The value for @classCode SHALL be 'ACT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="string(@moodCode)='EVN'">(Transportation): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4016'])&gt;=1 and not(hl7:templateId[@root='2.16.578.1.34.10.4016']/@nullFlavor)">(Transportation): element hl7:templateId[@root='2.16.578.1.34.10.4016'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4016'])&lt;=1">(Transportation): element hl7:templateId[@root='2.16.578.1.34.10.4016'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="count(hl7:code[(@code='Transport' and @codeSystem='2.16.578.1.34.5.4')])&gt;=1 and not(hl7:code[(@code='Transport' and @codeSystem='2.16.578.1.34.5.4')]/@nullFlavor)">(Transportation): element hl7:code[(@code='Transport' and @codeSystem='2.16.578.1.34.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="count(hl7:code[(@code='Transport' and @codeSystem='2.16.578.1.34.5.4')])&lt;=1">(Transportation): element hl7:code[(@code='Transport' and @codeSystem='2.16.578.1.34.5.4')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Transportation): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Transportation): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="count(hl7:participant[@typeCode='LOC'])&lt;=1">(Transportation): element hl7:participant[@typeCode='LOC'] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4016
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:templateId
Item: (Transportation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:templateId"
         id="tmp-r-e556d86c-16cb-49fc-b62c-b060905c1bbc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Transportation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.10.4016'">(Transportation): @root SHALL have value '2.16.578.1.34.10.4016'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4016
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:code[(@code='Transport' and @codeSystem='2.16.578.1.34.5.4')]
Item: (Transportation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:code[(@code='Transport' and @codeSystem='2.16.578.1.34.5.4')]"
         id="tmp-r-559d092c-e298-4492-9adf-c30f2b694568">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Transportation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="@nullFlavor or (@code='Transport' and @codeSystem='2.16.578.1.34.5.4')">(Transportation): The element value SHALL be code 'Transport' codeSystem '2.16.578.1.34.5.4'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4016
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:effectiveTime
Item: (Transportation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:effectiveTime"
         id="tmp-r-87ca294d-3540-494d-9129-839a829e771f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Transportation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="count(hl7:low)&gt;=1 ">(Transportation): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="count(hl7:low)&lt;=1">(Transportation): element hl7:low appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="count(hl7:high)&gt;=1 ">(Transportation): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="count(hl7:high)&lt;=1">(Transportation): element hl7:high appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4016
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:effectiveTime/hl7:low
Item: (Transportation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:effectiveTime/hl7:low"
         id="tmp-r-57f6e299-4932-4053-a9da-0168d3c03814">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Transportation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4016
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:effectiveTime/hl7:high
Item: (Transportation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:effectiveTime/hl7:high"
         id="tmp-r-0bbebf91-9554-48a1-949a-b3bdebec2c8a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4016-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Transportation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4014
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:participant[@typeCode='LOC']
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:participant[@typeCode='LOC']"
         id="tmp-r-a961990e-1961-4fc8-8d13-b132ff3efebb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="string(@typeCode)='LOC'">(ServiceDeliveryLocation): The value for @typeCode SHALL be 'LOC'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">(ServiceDeliveryLocation): element hl7:participantRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="count(hl7:participantRole)&lt;=1">(ServiceDeliveryLocation): element hl7:participantRole appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4014
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:participant[@typeCode='LOC']/hl7:participantRole
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:participant[@typeCode='LOC']/hl7:participantRole"
         id="tmp-r-e495f643-be6f-46e5-b396-44c0369be7ca">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="string(@classCode)='SDLOC'">(ServiceDeliveryLocation): The value for @classCode SHALL be 'SDLOC'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="count(hl7:playingEntity)&gt;=1 ">(ServiceDeliveryLocation): element hl7:playingEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="count(hl7:playingEntity)&lt;=1">(ServiceDeliveryLocation): element hl7:playingEntity appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4014
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:participant[@typeCode='LOC']/hl7:participantRole/hl7:id[@root='2.16.578.1.34.1000.4']
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:participant[@typeCode='LOC']/hl7:participantRole/hl7:id[@root='2.16.578.1.34.1000.4']"
         id="tmp-r-449da32d-531d-4580-9119-2ccba35fb04a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ServiceDeliveryLocation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.1000.4'">(ServiceDeliveryLocation): The value for @root SHALL be '2.16.578.1.34.1000.4'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4014
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:participant[@typeCode='LOC']/hl7:participantRole/hl7:playingEntity
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:participant[@typeCode='LOC']/hl7:participantRole/hl7:playingEntity"
         id="tmp-r-0d58f722-bdf6-41b1-8237-c255db3ab8e7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="count(hl7:name)&gt;=1 ">(ServiceDeliveryLocation): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="count(hl7:name)&lt;=1">(ServiceDeliveryLocation): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4014
Context: *[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:participant[@typeCode='LOC']/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (ServiceDeliveryLocation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.578.1.34.10.4016']]/hl7:act[hl7:templateId[@root='2.16.578.1.34.10.4016']]/hl7:participant[@typeCode='LOC']/hl7:participantRole/hl7:playingEntity/hl7:name"
         id="tmp-r-4b46ea7c-df0b-4124-affa-2d2782e0de70">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4014-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ServiceDeliveryLocation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
