<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4017
Name: Procedures
Description: Template Procedures: This template represents the surgical part of the operation, during which one or more procedures have been carried out.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4017-2014-03-11T000000">
   <title>Procedures</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4017
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4017']]
Item: (Procedures)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4017
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4017']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4017']]
Item: (Procedures)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4017']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4017']]"
         id="tmp-r-ad6020f6-edaf-44a3-a3a5-25b25a676072">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4017-2014-03-11T000000.html"
              test="string(@classCode)='PROC'">(Procedures): The value for @classCode SHALL be 'PROC'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4017-2014-03-11T000000.html"
              test="string(@moodCode)='EVN'">(Procedures): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4017-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4017'])&gt;=1 and not(hl7:templateId[@root='2.16.578.1.34.10.4017']/@nullFlavor)">(Procedures): element hl7:templateId[@root='2.16.578.1.34.10.4017'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4017-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4017'])&lt;=1">(Procedures): element hl7:templateId[@root='2.16.578.1.34.10.4017'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4017-2014-03-11T000000.html"
              test="count(hl7:code[(@code='Knivtid' and @codeSystem='2.16.578.1.34.5.4')])&gt;=1 and not(hl7:code[(@code='Knivtid' and @codeSystem='2.16.578.1.34.5.4')]/@nullFlavor)">(Procedures): element hl7:code[(@code='Knivtid' and @codeSystem='2.16.578.1.34.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4017-2014-03-11T000000.html"
              test="count(hl7:code[(@code='Knivtid' and @codeSystem='2.16.578.1.34.5.4')])&lt;=1">(Procedures): element hl7:code[(@code='Knivtid' and @codeSystem='2.16.578.1.34.5.4')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4017-2014-03-11T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4018']]])&gt;=1 ">(Procedures): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4018']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4017
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4017']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4017']]/hl7:templateId
Item: (Procedures)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4017']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4017']]/hl7:templateId"
         id="tmp-r-9860dc8e-42d5-4759-92d5-39d3083ccd99">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4017-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Procedures): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4017-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.10.4017'">(Procedures): @root SHALL have value '2.16.578.1.34.10.4017'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4017
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4017']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4017']]/hl7:code[(@code='Knivtid' and @codeSystem='2.16.578.1.34.5.4')]
Item: (Procedures)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4017']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4017']]/hl7:code[(@code='Knivtid' and @codeSystem='2.16.578.1.34.5.4')]"
         id="tmp-r-9b89d3f1-a09c-4109-b099-a829d424b52d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4017-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Procedures): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4017-2014-03-11T000000.html"
              test="@nullFlavor or (@code='Knivtid' and @codeSystem='2.16.578.1.34.5.4')">(Procedures): The element value SHALL be code 'Knivtid' codeSystem '2.16.578.1.34.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4017
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4017']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4017']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4018']]]
Item: (Procedures)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4017']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4017']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4018']]]"
         id="tmp-r-2ce5658a-e7e2-4e4b-8cde-1338a004accc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4017-2014-03-11T000000.html"
              test="string(@typeCode)='COMP'">(Procedures): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4017-2014-03-11T000000.html"
              test="count(hl7:sequenceNumber)&gt;=1 and not(hl7:sequenceNumber/@nullFlavor)">(Procedures): element hl7:sequenceNumber is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4017-2014-03-11T000000.html"
              test="count(hl7:sequenceNumber)&lt;=1">(Procedures): element hl7:sequenceNumber appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4017
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4017']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4017']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4018']]]/hl7:sequenceNumber
Item: (Procedures)
-->
   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4017']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4017']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4018']]]/hl7:sequenceNumber"
         id="tmp-r-f36a9552-f7f6-4f54-b196-11e8be5f703b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4017-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Procedures): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4017-2014-03-11T000000.html"
              test="$digitok or @nullFlavor">(Procedures): @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>
