<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4018
Name: Procedure Detail
Description: Template Procedure Detail: contains the details of one of the procedures carried out during the surgery phase of the operation.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4018-2014-03-11T000000">
   <title>Procedure Detail</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4018
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4018']]
Item: (ProcedureDetail)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4018
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4018']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4018']]
Item: (ProcedureDetail)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4018']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4018']]"
         id="tmp-r-9b3b67e6-dd1d-477a-8e60-f7afd2c1df05">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4018-2014-03-11T000000.html"
              test="string(@classCode)='PROC'">(ProcedureDetail): The value for @classCode SHALL be 'PROC'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4018-2014-03-11T000000.html"
              test="string(@moodCode)='EVN'">(ProcedureDetail): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4018-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4018'])&gt;=1 and not(hl7:templateId[@root='2.16.578.1.34.10.4018']/@nullFlavor)">(ProcedureDetail): element hl7:templateId[@root='2.16.578.1.34.10.4018'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4018-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4018'])&lt;=1">(ProcedureDetail): element hl7:templateId[@root='2.16.578.1.34.10.4018'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4018-2014-03-11T000000.html"
              test="count(hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7210' or @codeSystem='2.16.578.1.12.4.1.1.7220'])&gt;=1 and not(hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7210' or @codeSystem='2.16.578.1.12.4.1.1.7220']/@nullFlavor)">(ProcedureDetail): element hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7210' or @codeSystem='2.16.578.1.12.4.1.1.7220'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4018-2014-03-11T000000.html"
              test="count(hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7210' or @codeSystem='2.16.578.1.12.4.1.1.7220'])&lt;=1">(ProcedureDetail): element hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7210' or @codeSystem='2.16.578.1.12.4.1.1.7220'] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4018
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4018']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4018']]/hl7:templateId
Item: (ProcedureDetail)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4018']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4018']]/hl7:templateId"
         id="tmp-r-4f5850af-84ff-42c7-8527-1e48deeab527">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4018-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProcedureDetail): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4018-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.10.4018'">(ProcedureDetail): @root SHALL have value '2.16.578.1.34.10.4018'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4018
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4018']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4018']]/hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7210' or @codeSystem='2.16.578.1.12.4.1.1.7220']
Item: (ProcedureDetail)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4018']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4018']]/hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7210' or @codeSystem='2.16.578.1.12.4.1.1.7220']"
         id="tmp-r-3056c772-c566-4216-9723-3a5bb49abf6e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4018-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProcedureDetail): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4018-2014-03-11T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.578.1.12.4.1.1.7210') or (@codeSystem='2.16.578.1.12.4.1.1.7220')">(ProcedureDetail): The element value SHALL be codeSystem '2.16.578.1.12.4.1.1.7210' or codeSystem '2.16.578.1.12.4.1.1.7220'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4018-2014-03-11T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(ProcedureDetail): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4018-2014-03-11T000000.html"
              test="count(hl7:originalText)&lt;=1">(ProcedureDetail): element hl7:originalText appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4018
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4018']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4018']]/hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7210' or @codeSystem='2.16.578.1.12.4.1.1.7220']/hl7:originalText
Item: (ProcedureDetail)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4018']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4018']]/hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7210' or @codeSystem='2.16.578.1.12.4.1.1.7220']/hl7:originalText"
         id="tmp-r-6465f6d9-a8d4-4db1-abd8-104971ff81aa">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4018-2014-03-11T000000.html"
              test="count(hl7:reference)&gt;=1 ">(ProcedureDetail): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4018-2014-03-11T000000.html"
              test="count(hl7:reference)&lt;=1">(ProcedureDetail): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4018
Context: *[hl7:procedure[hl7:templateId/@root='2.16.578.1.34.10.4018']]/hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4018']]/hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7210' or @codeSystem='2.16.578.1.12.4.1.1.7220']/hl7:originalText/hl7:reference
Item: (ProcedureDetail)
-->
</pattern>
