<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4019
Name: Diagnosis
Description: Template Diagnosis
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4019-2014-03-11T000000">
   <title>Diagnosis</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4019
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4019']]
Item: (Diagnosis)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4019
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4019']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4019']]
Item: (Diagnosis)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4019']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4019']]"
         id="tmp-r-43ef2739-64c3-4be6-983c-f1e1129c9968">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="string(@classCode)='OBS'">(Diagnosis): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="string(@moodCode)='EVN'">(Diagnosis): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4019'])&gt;=1 ">(Diagnosis): element hl7:templateId[@root='2.16.578.1.34.10.4019'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4019'])&lt;=1">(Diagnosis): element hl7:templateId[@root='2.16.578.1.34.10.4019'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="count(hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7110'])&gt;=1 and not(hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7110']/@nullFlavor)">(Diagnosis): element hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7110'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="count(hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7110'])&lt;=1">(Diagnosis): element hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7110'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Diagnosis): element hl7:statusCode appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4019
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4019']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4019']]/hl7:templateId
Item: (Diagnosis)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4019']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4019']]/hl7:templateId"
         id="tmp-r-f6983c7b-d5a1-48a8-8028-94b8cb9cf97d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.10.4019'">(Diagnosis): @root SHALL have value '2.16.578.1.34.10.4019'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4019
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4019']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4019']]/hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7110']
Item: (Diagnosis)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4019']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4019']]/hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7110']"
         id="tmp-r-f7662b26-9b0a-4390-bbf5-53dc153f2640">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.578.1.12.4.1.1.7110')">(Diagnosis): The element value SHALL be codeSystem '2.16.578.1.12.4.1.1.7110'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(Diagnosis): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="count(hl7:originalText)&lt;=1">(Diagnosis): element hl7:originalText appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4019
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4019']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4019']]/hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7110']/hl7:originalText
Item: (Diagnosis)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4019']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4019']]/hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7110']/hl7:originalText"
         id="tmp-r-bb7685ce-452f-4d56-8905-b36f88b60338">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="count(hl7:reference)&gt;=1 ">(Diagnosis): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="count(hl7:reference)&lt;=1">(Diagnosis): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4019
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4019']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4019']]/hl7:code[@codeSystem='2.16.578.1.12.4.1.1.7110']/hl7:originalText/hl7:reference
Item: (Diagnosis)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4019
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4019']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4019']]/hl7:statusCode
Item: (Diagnosis)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.4019']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4019']]/hl7:statusCode"
         id="tmp-r-77888022-b3bc-4f1d-a5ce-289e3389a58a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4019-2014-03-11T000000.html"
              test="@nullFlavor or (@code='completed')">(Diagnosis): The element value SHALL be code 'completed'.</assert>
   </rule>
</pattern>
