<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4020
Name: Embedded Graphic Entry
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4020-2014-03-01T000000">
   <title>Embedded Graphic Entry</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4020
Context: *[hl7:observationMedia[hl7:templateId/@root='2.16.578.1.34.10.4020']]
Item: (EmbeddedGraphicEntry)
-->

   <rule context="*[hl7:observationMedia[hl7:templateId/@root='2.16.578.1.34.10.4020']]"
         id="tmp-r-97ef47be-10f9-46b5-b544-bdc8be66d54a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4020-2014-03-01T000000.html"
              test="count(hl7:observationMedia[hl7:templateId[@root='2.16.578.1.34.10.4020']])&gt;=1 ">(EmbeddedGraphicEntry): element hl7:observationMedia[hl7:templateId[@root='2.16.578.1.34.10.4020']] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4020-2014-03-01T000000.html"
              test="count(hl7:observationMedia[hl7:templateId[@root='2.16.578.1.34.10.4020']])&lt;=1">(EmbeddedGraphicEntry): element hl7:observationMedia[hl7:templateId[@root='2.16.578.1.34.10.4020']] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4020
Context: *[hl7:observationMedia[hl7:templateId/@root='2.16.578.1.34.10.4020']]/hl7:observationMedia[hl7:templateId[@root='2.16.578.1.34.10.4020']]
Item: (EmbeddedGraphicEntry)
-->

   <rule context="*[hl7:observationMedia[hl7:templateId/@root='2.16.578.1.34.10.4020']]/hl7:observationMedia[hl7:templateId[@root='2.16.578.1.34.10.4020']]"
         id="tmp-r-fdf2585d-c1bf-473c-bad4-621dd5e0faec">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4020-2014-03-01T000000.html"
              test="string(@classCode)='OBS'">(EmbeddedGraphicEntry): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4020-2014-03-01T000000.html"
              test="string(@moodCode)='EVN'">(EmbeddedGraphicEntry): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4020-2014-03-01T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4020'])&gt;=1 ">(EmbeddedGraphicEntry): element hl7:templateId[@root='2.16.578.1.34.10.4020'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4020-2014-03-01T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4020'])&lt;=1">(EmbeddedGraphicEntry): element hl7:templateId[@root='2.16.578.1.34.10.4020'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4020-2014-03-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(EmbeddedGraphicEntry): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4020-2014-03-01T000000.html"
              test="count(hl7:value)&lt;=1">(EmbeddedGraphicEntry): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4020
Context: *[hl7:observationMedia[hl7:templateId/@root='2.16.578.1.34.10.4020']]/hl7:observationMedia[hl7:templateId[@root='2.16.578.1.34.10.4020']]/hl7:templateId
Item: (EmbeddedGraphicEntry)
-->

   <rule context="*[hl7:observationMedia[hl7:templateId/@root='2.16.578.1.34.10.4020']]/hl7:observationMedia[hl7:templateId[@root='2.16.578.1.34.10.4020']]/hl7:templateId"
         id="tmp-r-25988810-9e37-412f-b657-d26c22ffbc76">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4020-2014-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EmbeddedGraphicEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4020-2014-03-01T000000.html"
              test="string(@root)='2.16.578.1.34.10.4020'">(EmbeddedGraphicEntry): @root SHALL have value '2.16.578.1.34.10.4020'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4020
Context: *[hl7:observationMedia[hl7:templateId/@root='2.16.578.1.34.10.4020']]/hl7:observationMedia[hl7:templateId[@root='2.16.578.1.34.10.4020']]/hl7:value
Item: (EmbeddedGraphicEntry)
-->

   <rule context="*[hl7:observationMedia[hl7:templateId/@root='2.16.578.1.34.10.4020']]/hl7:observationMedia[hl7:templateId[@root='2.16.578.1.34.10.4020']]/hl7:value"
         id="tmp-r-b3868288-3d49-43b1-a9d2-fa7da0cffa58">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4020-2014-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EmbeddedGraphicEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@mediaType),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@mediaType,' ') return if ($code=('image/png','image/jpeg')) then ($code) else ())"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4020-2014-03-01T000000.html"
              test="not(@mediaType) or count($theAttValue) = count($theAttCheck)">(EmbeddedGraphicEntry): The value for mediaType SHALL be 'code image/png or code image/jpeg'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4020-2014-03-01T000000.html"
              test="string(@representation)='B64'">(EmbeddedGraphicEntry): The value for @representation SHALL be 'B64'.</assert>
   </rule>
</pattern>
