<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4021
Name: Result Organizer Spirometry Clinical Information
Description: Template Result Organizer Spirometry Clinical Information
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4021-2014-03-31T000000">
   <title>Result Organizer Spirometry Clinical Information</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4021
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]
Item: (ResultOrganizerSpirometryClinicalInformation)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4021
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]
Item: (ResultOrganizerSpirometryClinicalInformation)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]"
         id="tmp-r-a5397f1a-c7ec-4792-9c70-008623cb36a5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="string(@classCode)='CLUSTER'">(ResultOrganizerSpirometryClinicalInformation): The value for @classCode SHALL be 'CLUSTER'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="string(@moodCode)='EVN'">(ResultOrganizerSpirometryClinicalInformation): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4021'])&gt;=1 ">(ResultOrganizerSpirometryClinicalInformation): element hl7:templateId[@root='2.16.578.1.34.10.4021'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4021'])&lt;=1">(ResultOrganizerSpirometryClinicalInformation): element hl7:templateId[@root='2.16.578.1.34.10.4021'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:code)&gt;=1 ">(ResultOrganizerSpirometryClinicalInformation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:code)&lt;=1">(ResultOrganizerSpirometryClinicalInformation): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:statusCode)&lt;=1">(ResultOrganizerSpirometryClinicalInformation): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/@nullFlavor)">(ResultOrganizerSpirometryClinicalInformation): element hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4021
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:templateId
Item: (ResultOrganizerSpirometryClinicalInformation)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:templateId"
         id="tmp-r-fc22c50f-9d3b-432c-b2eb-71284075c8ab">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometryClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="string(@root)='2.16.578.1.34.10.4021'">(ResultOrganizerSpirometryClinicalInformation): @root SHALL have value '2.16.578.1.34.10.4021'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4021
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:id
Item: (ResultOrganizerSpirometryClinicalInformation)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:id"
         id="tmp-r-757a475e-c48d-4f4b-b782-c5fcb4bca196">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometryClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4021
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:code
Item: (ResultOrganizerSpirometryClinicalInformation)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:code"
         id="tmp-r-7748c6a0-2110-4ea1-8f45-4f649a75ca39">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometryClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4021
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:statusCode
Item: (ResultOrganizerSpirometryClinicalInformation)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:statusCode"
         id="tmp-r-e1c9aa49-8265-42f2-a4f1-0205e6c74abd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometryClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(ResultOrganizerSpirometryClinicalInformation): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(ResultOrganizerSpirometryClinicalInformation): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4021
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]
Item: (ResultOrganizerSpirometryClinicalInformation)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]"
         id="tmp-r-b53f57f7-5697-48b9-9f1e-ac2d41485a5e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="string(@typeCode)='COMP'">(ResultOrganizerSpirometryClinicalInformation): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]])&gt;=1 and not(hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/@nullFlavor)">(ResultOrganizerSpirometryClinicalInformation): element hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]])&lt;=1">(ResultOrganizerSpirometryClinicalInformation): element hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4021
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]
Item: (ResultOrganizerSpirometryClinicalInformation)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]"
         id="tmp-r-95cd902b-f411-47e1-879e-3b8497841611">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:templateId)&gt;=1 and not(hl7:templateId/@nullFlavor)">(ResultOrganizerSpirometryClinicalInformation): element hl7:templateId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:templateId)&lt;=1">(ResultOrganizerSpirometryClinicalInformation): element hl7:templateId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 ">(ResultOrganizerSpirometryClinicalInformation): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(ResultOrganizerSpirometryClinicalInformation): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:text)&lt;=1">(ResultOrganizerSpirometryClinicalInformation): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:statusCode)&lt;=1">(ResultOrganizerSpirometryClinicalInformation): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:value)&gt;=1 ">(ResultOrganizerSpirometryClinicalInformation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:value)&lt;=1">(ResultOrganizerSpirometryClinicalInformation): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4021
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:templateId
Item: (ResultOrganizerSpirometryClinicalInformation)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:templateId"
         id="tmp-r-7e4c9517-e0d8-4545-b9d8-5350a0ea1e38">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometryClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4021
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (ResultOrganizerSpirometryClinicalInformation)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-9461c2cf-9797-48a1-afae-c9ec7d958547">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometryClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ResultOrganizerSpirometryClinicalInformation): The element value SHALL be SpirometryClinicalInformation Spirometry Clinical information (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(ResultOrganizerSpirometryClinicalInformation): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set SpirometryClinicalInformation Spirometry Clinical information (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4021
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:text
Item: (ResultOrganizerSpirometryClinicalInformation)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:text"
         id="tmp-r-127c2abd-16a3-4722-b441-420d1aed412a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometryClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(ResultOrganizerSpirometryClinicalInformation): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="count(hl7:reference)&lt;=1">(ResultOrganizerSpirometryClinicalInformation): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4021
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:text/hl7:reference
Item: (ResultOrganizerSpirometryClinicalInformation)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:text/hl7:reference"
         id="tmp-r-5b12a09c-a785-4df8-a1f0-ddeae3d2f7db">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometryClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4021
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:statusCode
Item: (ResultOrganizerSpirometryClinicalInformation)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:statusCode"
         id="tmp-r-233e5014-0917-4d3c-9794-fe668a4efd07">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometryClinicalInformation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(ResultOrganizerSpirometryClinicalInformation): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4021-2014-03-31T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(ResultOrganizerSpirometryClinicalInformation): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4021
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4021']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4021']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.10-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:value
Item: (ResultOrganizerSpirometryClinicalInformation)
-->
</pattern>
