<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.4022
Name: Result Organizer Spirometry
Description: Template Result Organizer Spirometry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.4022-2014-03-31T000000">
   <title>Result Organizer Spirometry</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4022
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]
Item: (ResultOrganizerSpirometry)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.4022
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]
Item: (ResultOrganizerSpirometry)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]"
         id="tmp-r-c94423f7-6a41-45d9-b3e2-709b7438ac5f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="string(@classCode)='CLUSTER'">(ResultOrganizerSpirometry): The value for @classCode SHALL be 'CLUSTER'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="string(@moodCode)='EVN'">(ResultOrganizerSpirometry): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4022'])&gt;=1 ">(ResultOrganizerSpirometry): element hl7:templateId[@root='2.16.578.1.34.10.4022'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.4022'])&lt;=1">(ResultOrganizerSpirometry): element hl7:templateId[@root='2.16.578.1.34.10.4022'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:code)&gt;=1 ">(ResultOrganizerSpirometry): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:code)&lt;=1">(ResultOrganizerSpirometry): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:statusCode)&lt;=1">(ResultOrganizerSpirometry): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/@nullFlavor)">(ResultOrganizerSpirometry): element hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4022
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:templateId
Item: (ResultOrganizerSpirometry)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:templateId"
         id="tmp-r-767cb677-fc84-49d0-a17f-9e8010fe847c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="string(@root)='2.16.578.1.34.10.4022'">(ResultOrganizerSpirometry): @root SHALL have value '2.16.578.1.34.10.4022'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4022
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:id
Item: (ResultOrganizerSpirometry)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:id"
         id="tmp-r-9ace10b9-d3da-40c7-a31b-059159a58573">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4022
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:code
Item: (ResultOrganizerSpirometry)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:code"
         id="tmp-r-77d7831a-3dc0-49c3-b3a2-8daffc834fc6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4022
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:statusCode
Item: (ResultOrganizerSpirometry)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:statusCode"
         id="tmp-r-f55111c5-a174-444d-9a76-ad08cdc98812">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(ResultOrganizerSpirometry): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(ResultOrganizerSpirometry): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4022
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]
Item: (ResultOrganizerSpirometry)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]"
         id="tmp-r-eb758096-72f8-4d2b-948e-138f81d83028">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="string(@typeCode)='COMP'">(ResultOrganizerSpirometry): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]])&gt;=1 and not(hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/@nullFlavor)">(ResultOrganizerSpirometry): element hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]])&lt;=1">(ResultOrganizerSpirometry): element hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4022
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]
Item: (ResultOrganizerSpirometry)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]"
         id="tmp-r-2c6f22a4-f30d-45ce-a05e-99c01e203659">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:templateId)&gt;=1 and not(hl7:templateId/@nullFlavor)">(ResultOrganizerSpirometry): element hl7:templateId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:templateId)&lt;=1">(ResultOrganizerSpirometry): element hl7:templateId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 ">(ResultOrganizerSpirometry): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(ResultOrganizerSpirometry): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:text)&lt;=1">(ResultOrganizerSpirometry): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:statusCode)&lt;=1">(ResultOrganizerSpirometry): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:value)&gt;=1 ">(ResultOrganizerSpirometry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:value)&lt;=1">(ResultOrganizerSpirometry): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4022
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:templateId
Item: (ResultOrganizerSpirometry)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:templateId"
         id="tmp-r-a3e636a7-1de5-4600-ac13-d9b9d3554ce8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4022
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (ResultOrganizerSpirometry)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-8069d962-8d68-444e-80a2-a8ba16ea5c60">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ResultOrganizerSpirometry): The element value SHALL be SpirometryTests Spirometry Tests (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(ResultOrganizerSpirometry): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set SpirometryTests Spirometry Tests (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4022
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:text
Item: (ResultOrganizerSpirometry)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:text"
         id="tmp-r-ef6b5e9e-8ca9-4087-a125-e32a3630909c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(ResultOrganizerSpirometry): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="count(hl7:reference)&lt;=1">(ResultOrganizerSpirometry): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4022
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:text/hl7:reference
Item: (ResultOrganizerSpirometry)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:text/hl7:reference"
         id="tmp-r-9f9029a9-85b8-4081-9445-a08f4512c6fc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4022
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:statusCode
Item: (ResultOrganizerSpirometry)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:statusCode"
         id="tmp-r-365313df-f49c-4e7e-a8fb-ce24f1bd1cc5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultOrganizerSpirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(ResultOrganizerSpirometry): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.4022-2014-03-31T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(ResultOrganizerSpirometry): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.4022
Context: *[hl7:organizer[hl7:templateId/@root='2.16.578.1.34.10.4022']]/hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]/hl7:component[hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:observation[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.11-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:value
Item: (ResultOrganizerSpirometry)
-->
</pattern>
