<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5001
Name: Age at onset of clinical finding
Description: Template Age at onset of clinical finding
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5001-2014-03-30T000000">
   <title>Age at onset of clinical finding</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5001
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5001']]
Item: (Ageatonsetofclinicalfinding)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5001
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5001']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5001']]
Item: (Ageatonsetofclinicalfinding)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5001']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5001']]"
         id="tmp-r-97936e93-8552-48b3-815e-92378ddc55fd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Ageatonsetofclinicalfinding): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Ageatonsetofclinicalfinding): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5001'])&gt;=1 ">(Ageatonsetofclinicalfinding): element hl7:templateId[@root='2.16.578.1.34.10.5001'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5001'])&lt;=1">(Ageatonsetofclinicalfinding): element hl7:templateId[@root='2.16.578.1.34.10.5001'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="count(hl7:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Ageatonsetofclinicalfinding): element hl7:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="count(hl7:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Ageatonsetofclinicalfinding): element hl7:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Ageatonsetofclinicalfinding): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Ageatonsetofclinicalfinding): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Ageatonsetofclinicalfinding): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Ageatonsetofclinicalfinding): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5001
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5001']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5001']]/hl7:templateId
Item: (Ageatonsetofclinicalfinding)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5001']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5001']]/hl7:templateId"
         id="tmp-r-2baa8a3f-48bf-4152-8dfa-f6a2acadc383">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ageatonsetofclinicalfinding): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5001'">(Ageatonsetofclinicalfinding): @root SHALL have value '2.16.578.1.34.10.5001'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5001
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5001']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5001']]/hl7:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Ageatonsetofclinicalfinding)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5001']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5001']]/hl7:code[(@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-a1507b6b-18cf-44ca-8167-e60c45f02d03">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ageatonsetofclinicalfinding): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="@nullFlavor or (@code='445518008' and @codeSystem='2.16.840.1.113883.6.96')">(Ageatonsetofclinicalfinding): The element value SHALL be code '445518008' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5001
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5001']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5001']]/hl7:text
Item: (Ageatonsetofclinicalfinding)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5001']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5001']]/hl7:text"
         id="tmp-r-20e65970-92b1-4a03-aea8-8b557b9aea91">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ageatonsetofclinicalfinding): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Ageatonsetofclinicalfinding): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Ageatonsetofclinicalfinding): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5001
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5001']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5001']]/hl7:text/hl7:reference
Item: (Ageatonsetofclinicalfinding)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5001']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5001']]/hl7:text/hl7:reference"
         id="tmp-r-86383457-650a-4170-9955-ce25e914519c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ageatonsetofclinicalfinding): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5001
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5001']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5001']]/hl7:statusCode
Item: (Ageatonsetofclinicalfinding)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5001']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5001']]/hl7:statusCode"
         id="tmp-r-56db2a58-99e8-40a0-a737-c13bb88260f2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ageatonsetofclinicalfinding): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Ageatonsetofclinicalfinding): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Ageatonsetofclinicalfinding): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5001
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5001']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5001']]/hl7:value
Item: (Ageatonsetofclinicalfinding)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5001']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5001']]/hl7:value"
         id="tmp-r-ea6061c5-332d-4197-b0e5-ff1026424116">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ageatonsetofclinicalfinding): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Ageatonsetofclinicalfinding): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Ageatonsetofclinicalfinding): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@unit),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.11.20.9.21-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5001-2014-03-30T000000.html"
              test="not(@unit) or count($theAttValue) = count($theAttCheck)">(Ageatonsetofclinicalfinding): The value for unit SHALL be selected from value set 'AgePQ_UCUM' (DYNAMIC).</assert>
   </rule>
</pattern>
