<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5003
Name: Weight Measured
Description: Template Weight Measured
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5003-2014-03-30T000000">
   <title>Weight Measured</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5003
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5003']]
Item: (Weightmeasured)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5003
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5003']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5003']]
Item: (Weightmeasured)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5003']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5003']]"
         id="tmp-r-4d3db5c0-f1be-4091-9670-977f8e36b7dd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Weightmeasured): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Weightmeasured): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5003'])&gt;=1 ">(Weightmeasured): element hl7:templateId[@root='2.16.578.1.34.10.5003'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5003'])&lt;=1">(Weightmeasured): element hl7:templateId[@root='2.16.578.1.34.10.5003'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="count(hl7:code[(@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Weightmeasured): element hl7:code[(@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="count(hl7:code[(@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Weightmeasured): element hl7:code[(@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Weightmeasured): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Weightmeasured): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Weightmeasured): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Weightmeasured): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5003
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5003']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5003']]/hl7:templateId
Item: (Weightmeasured)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5003']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5003']]/hl7:templateId"
         id="tmp-r-339dfff3-c570-4a7c-883e-2c5f21d40fd7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Weightmeasured): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5003'">(Weightmeasured): @root SHALL have value '2.16.578.1.34.10.5003'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5003
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5003']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5003']]/hl7:code[(@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Weightmeasured)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5003']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5003']]/hl7:code[(@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-6a3a7eef-ed95-4c2a-9931-7fc5c8f10de5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Weightmeasured): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="@nullFlavor or (@code='3141-9' and @codeSystem='2.16.840.1.113883.6.1')">(Weightmeasured): The element value SHALL be code '3141-9' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5003
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5003']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5003']]/hl7:text
Item: (Weightmeasured)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5003']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5003']]/hl7:text"
         id="tmp-r-f7d12bd2-f682-45f6-9303-31e9d670c7ee">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Weightmeasured): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Weightmeasured): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Weightmeasured): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5003
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5003']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5003']]/hl7:text/hl7:reference
Item: (Weightmeasured)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5003']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5003']]/hl7:text/hl7:reference"
         id="tmp-r-7609e5d6-836b-42c0-aa3f-f05d7a8a7dde">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Weightmeasured): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5003
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5003']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5003']]/hl7:statusCode
Item: (Weightmeasured)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5003']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5003']]/hl7:statusCode"
         id="tmp-r-df2c92cd-55ad-4133-8fd4-6933f1341a0b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Weightmeasured): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Weightmeasured): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Weightmeasured): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5003
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5003']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5003']]/hl7:value
Item: (Weightmeasured)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5003']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5003']]/hl7:value"
         id="tmp-r-b4ee1da1-d9be-415d-8285-cdc17033a695">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Weightmeasured): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='kg'))">(Weightmeasured): value SHALL use unit 'kg' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Weightmeasured): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5003-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Weightmeasured): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
