<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5004
Name: BMI (Body Mass Index)
Description: Template BMI (Body Mass Index)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5004-2014-03-30T000000">
   <title>BMI (Body Mass Index)</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5004']]
Item: (Bmibodymassindex)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5004']]
Item: (Bmibodymassindex)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5004']]"
         id="tmp-r-d6f05be9-84a5-4daf-8dad-4599f594e059">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Bmibodymassindex): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Bmibodymassindex): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5004'])&gt;=1 ">(Bmibodymassindex): element hl7:templateId[@root='2.16.578.1.34.10.5004'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5004'])&lt;=1">(Bmibodymassindex): element hl7:templateId[@root='2.16.578.1.34.10.5004'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="count(hl7:code[(@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Bmibodymassindex): element hl7:code[(@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="count(hl7:code[(@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Bmibodymassindex): element hl7:code[(@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Bmibodymassindex): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Bmibodymassindex): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Bmibodymassindex): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Bmibodymassindex): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5004']]/hl7:templateId
Item: (Bmibodymassindex)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5004']]/hl7:templateId"
         id="tmp-r-a5e0b54c-84fa-4b66-8040-4d99258be911">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bmibodymassindex): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5004'">(Bmibodymassindex): @root SHALL have value '2.16.578.1.34.10.5004'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5004']]/hl7:code[(@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Bmibodymassindex)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5004']]/hl7:code[(@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-65145ef9-ad9f-4f9a-b34b-b51a57d12032">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bmibodymassindex): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="@nullFlavor or (@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1')">(Bmibodymassindex): The element value SHALL be code '39156-5' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5004']]/hl7:text
Item: (Bmibodymassindex)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5004']]/hl7:text"
         id="tmp-r-f50ac62b-aba7-47a0-85fb-1e8bde83f9e6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bmibodymassindex): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Bmibodymassindex): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Bmibodymassindex): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5004']]/hl7:text/hl7:reference
Item: (Bmibodymassindex)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5004']]/hl7:text/hl7:reference"
         id="tmp-r-4481f8e4-0532-4e82-8fad-8aa5cbcbaddc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bmibodymassindex): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5004']]/hl7:statusCode
Item: (Bmibodymassindex)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5004']]/hl7:statusCode"
         id="tmp-r-4698c61b-674a-4430-adda-876f6ca7cdfd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bmibodymassindex): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Bmibodymassindex): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Bmibodymassindex): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5004
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5004']]/hl7:value
Item: (Bmibodymassindex)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5004']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5004']]/hl7:value"
         id="tmp-r-d0717ef2-eee0-437a-9a55-ba87e817d5ba">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bmibodymassindex): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='1'))">(Bmibodymassindex): value SHALL use unit '1' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Bmibodymassindex): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5004-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Bmibodymassindex): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
