<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5006
Name: Tobacco use and exposure
Description: Template Tobacco use and exposure
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5006-2014-03-30T000000">
   <title>Tobacco use and exposure</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5006']]
Item: (Tobaccouseandexposure)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5006']]
Item: (Tobaccouseandexposure)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5006']]"
         id="tmp-r-b70bd666-f44a-4531-8ce7-04823ec879d8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Tobaccouseandexposure): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Tobaccouseandexposure): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5006'])&gt;=1 ">(Tobaccouseandexposure): element hl7:templateId[@root='2.16.578.1.34.10.5006'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5006'])&lt;=1">(Tobaccouseandexposure): element hl7:templateId[@root='2.16.578.1.34.10.5006'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="count(hl7:code[(@code='229819007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='229819007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Tobaccouseandexposure): element hl7:code[(@code='229819007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="count(hl7:code[(@code='229819007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Tobaccouseandexposure): element hl7:code[(@code='229819007' and @codeSystem='2.16.840.1.113883.6.96')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Tobaccouseandexposure): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Tobaccouseandexposure): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.9-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.9-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 ">(Tobaccouseandexposure): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.9-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.9-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.9-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.9-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(Tobaccouseandexposure): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.9-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.9-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5006']]/hl7:templateId
Item: (Tobaccouseandexposure)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5006']]/hl7:templateId"
         id="tmp-r-afd00645-5ce1-42de-8996-e3863ce12bbb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tobaccouseandexposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5006'">(Tobaccouseandexposure): @root SHALL have value '2.16.578.1.34.10.5006'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5006']]/hl7:code[(@code='229819007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Tobaccouseandexposure)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5006']]/hl7:code[(@code='229819007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-77ccabd8-0619-437b-a4b2-39a2f4c60cac">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tobaccouseandexposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="@nullFlavor or (@code='229819007' and @codeSystem='2.16.840.1.113883.6.96')">(Tobaccouseandexposure): The element value SHALL be code '229819007' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5006']]/hl7:text
Item: (Tobaccouseandexposure)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5006']]/hl7:text"
         id="tmp-r-a6319f4a-350a-4a79-aa01-20258aa1786b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tobaccouseandexposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Tobaccouseandexposure): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Tobaccouseandexposure): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5006']]/hl7:text/hl7:reference
Item: (Tobaccouseandexposure)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5006']]/hl7:text/hl7:reference"
         id="tmp-r-beb92966-a3e6-489f-8e6e-c145295ecce8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tobaccouseandexposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5006']]/hl7:statusCode
Item: (Tobaccouseandexposure)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5006']]/hl7:statusCode"
         id="tmp-r-944ad2f0-237a-4337-895f-df6b9c43153a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tobaccouseandexposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Tobaccouseandexposure): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Tobaccouseandexposure): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5006
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5006']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.9-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.9-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (Tobaccouseandexposure)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5006']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5006']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.9-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.9-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-532ef147-20a0-4c67-b105-524c5a98d411">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tobaccouseandexposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.578.1.34.11.9-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Tobaccouseandexposure): The element value SHALL be SmokingStatus Smoking Status (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.578.1.34.11.9-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5006-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Tobaccouseandexposure): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set SmokingStatus Smoking Status (DYNAMIC).</assert>
   </rule>
</pattern>
