<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5025
Name: IC meas/Predicted
Description: Template Inspiratory capacity measured/Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5025-2014-03-30T000000">
   <title>IC meas/Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5025
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5025']]
Item: (Icmeaspredicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5025
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5025']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5025']]
Item: (Icmeaspredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5025']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5025']]"
         id="tmp-r-f0c9b520-0fee-47e6-b22a-0bde9fec13b8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Icmeaspredicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Icmeaspredicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5025'])&gt;=1 ">(Icmeaspredicted): element hl7:templateId[@root='2.16.578.1.34.10.5025'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5025'])&lt;=1">(Icmeaspredicted): element hl7:templateId[@root='2.16.578.1.34.10.5025'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19856-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19856-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Icmeaspredicted): element hl7:code[(@code='19856-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19856-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Icmeaspredicted): element hl7:code[(@code='19856-4' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Icmeaspredicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Icmeaspredicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Icmeaspredicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Icmeaspredicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5025
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5025']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5025']]/hl7:templateId
Item: (Icmeaspredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5025']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5025']]/hl7:templateId"
         id="tmp-r-d1bad563-295c-4ddf-94c0-775984d081f5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icmeaspredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5025'">(Icmeaspredicted): @root SHALL have value '2.16.578.1.34.10.5025'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5025
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5025']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5025']]/hl7:code[(@code='19856-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Icmeaspredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5025']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5025']]/hl7:code[(@code='19856-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-7cc0b71e-48ca-4b1c-941f-7dea50b00936">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icmeaspredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19856-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Inspiratory capacity measured/Predicted')">(Icmeaspredicted): The element value SHALL be code '19856-4' codeSystem '2.16.840.1.113883.6.1' displayName='Inspiratory capacity measured/Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5025
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5025']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5025']]/hl7:text
Item: (Icmeaspredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5025']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5025']]/hl7:text"
         id="tmp-r-87868009-24fa-4c71-9e22-72073405f493">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icmeaspredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Icmeaspredicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Icmeaspredicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5025
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5025']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5025']]/hl7:text/hl7:reference
Item: (Icmeaspredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5025']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5025']]/hl7:text/hl7:reference"
         id="tmp-r-c0af04c2-dce7-461f-9d39-05d2571f8939">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icmeaspredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5025
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5025']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5025']]/hl7:statusCode
Item: (Icmeaspredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5025']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5025']]/hl7:statusCode"
         id="tmp-r-9adf6714-b609-4130-bb84-3ca114f0dbaf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icmeaspredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Icmeaspredicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5025-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Icmeaspredicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5025
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5025']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5025']]/hl7:value
Item: (Icmeaspredicted)
-->
</pattern>
