<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5029
Name: PEF Airway
Description: Template Maximum expiratory gas flow Respiratory system airway
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5029-2014-03-30T000000">
   <title>PEF Airway</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5029
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5029']]
Item: (Pefairway)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5029
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5029']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5029']]
Item: (Pefairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5029']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5029']]"
         id="tmp-r-9fdb601d-c28a-425c-837e-41476c4a6a53">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Pefairway): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Pefairway): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5029'])&gt;=1 ">(Pefairway): element hl7:templateId[@root='2.16.578.1.34.10.5029'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5029'])&lt;=1">(Pefairway): element hl7:templateId[@root='2.16.578.1.34.10.5029'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="count(hl7:code[(@code='33452-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='33452-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Pefairway): element hl7:code[(@code='33452-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="count(hl7:code[(@code='33452-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Pefairway): element hl7:code[(@code='33452-4' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Pefairway): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Pefairway): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Pefairway): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Pefairway): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5029
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5029']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5029']]/hl7:templateId
Item: (Pefairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5029']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5029']]/hl7:templateId"
         id="tmp-r-ad6e582e-6601-42f7-98e8-9ca320a1fc0d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5029'">(Pefairway): @root SHALL have value '2.16.578.1.34.10.5029'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5029
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5029']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5029']]/hl7:code[(@code='33452-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Pefairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5029']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5029']]/hl7:code[(@code='33452-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-355f1923-edff-4db7-a253-4fbd29b8822b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="@nullFlavor or (@code='33452-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum expiratory gas flow Respiratory system airway')">(Pefairway): The element value SHALL be code '33452-4' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum expiratory gas flow Respiratory system airway'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5029
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5029']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5029']]/hl7:text
Item: (Pefairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5029']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5029']]/hl7:text"
         id="tmp-r-e797537f-d2bb-40ec-9bf2-5050d2b86b4d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Pefairway): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Pefairway): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5029
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5029']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5029']]/hl7:text/hl7:reference
Item: (Pefairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5029']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5029']]/hl7:text/hl7:reference"
         id="tmp-r-d7cd99d5-c3c3-40ef-9f94-ecea7400d625">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5029
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5029']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5029']]/hl7:statusCode
Item: (Pefairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5029']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5029']]/hl7:statusCode"
         id="tmp-r-5c3f3ff1-14ba-47c4-8b6a-394c9be9e989">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Pefairway): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Pefairway): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5029
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5029']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5029']]/hl7:value
Item: (Pefairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5029']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5029']]/hl7:value"
         id="tmp-r-97ea7027-bfbd-4cdf-b214-0bbc09b053ad">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/min'))">(Pefairway): value SHALL use unit 'L/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Pefairway): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5029-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Pefairway): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
