<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5033
Name: PEF Airway Predicted
Description: Template Maximum expiratory gas flow Respiratory system airway Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5033-2014-03-30T000000">
   <title>PEF Airway Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5033
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5033']]
Item: (Pefairwaypredicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5033
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5033']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5033']]
Item: (Pefairwaypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5033']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5033']]"
         id="tmp-r-6de54070-e94d-456b-9734-9bca7390578b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Pefairwaypredicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Pefairwaypredicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5033'])&gt;=1 ">(Pefairwaypredicted): element hl7:templateId[@root='2.16.578.1.34.10.5033'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5033'])&lt;=1">(Pefairwaypredicted): element hl7:templateId[@root='2.16.578.1.34.10.5033'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69974-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='69974-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Pefairwaypredicted): element hl7:code[(@code='69974-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69974-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Pefairwaypredicted): element hl7:code[(@code='69974-4' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Pefairwaypredicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Pefairwaypredicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Pefairwaypredicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Pefairwaypredicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5033
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5033']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5033']]/hl7:templateId
Item: (Pefairwaypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5033']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5033']]/hl7:templateId"
         id="tmp-r-1e9f0695-a489-4bcd-8464-1302a58098aa">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefairwaypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5033'">(Pefairwaypredicted): @root SHALL have value '2.16.578.1.34.10.5033'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5033
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5033']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5033']]/hl7:code[(@code='69974-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Pefairwaypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5033']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5033']]/hl7:code[(@code='69974-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-80fd5630-1e0a-42f7-9fb6-2f72cd29dc66">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefairwaypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="@nullFlavor or (@code='69974-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum expiratory gas flow Respiratory system airway Predicted')">(Pefairwaypredicted): The element value SHALL be code '69974-4' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum expiratory gas flow Respiratory system airway Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5033
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5033']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5033']]/hl7:text
Item: (Pefairwaypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5033']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5033']]/hl7:text"
         id="tmp-r-47dad919-a940-471b-a2c7-10acac343142">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefairwaypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Pefairwaypredicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Pefairwaypredicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5033
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5033']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5033']]/hl7:text/hl7:reference
Item: (Pefairwaypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5033']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5033']]/hl7:text/hl7:reference"
         id="tmp-r-264388d2-a788-4432-a0c6-f842618852a1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefairwaypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5033
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5033']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5033']]/hl7:statusCode
Item: (Pefairwaypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5033']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5033']]/hl7:statusCode"
         id="tmp-r-db75cb33-6018-4e8b-b925-aee2f1f365b1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefairwaypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Pefairwaypredicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Pefairwaypredicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5033
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5033']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5033']]/hl7:value
Item: (Pefairwaypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5033']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5033']]/hl7:value"
         id="tmp-r-f899a2c6-c986-4b17-8377-286d55f475e4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefairwaypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/s'))">(Pefairwaypredicted): value SHALL use unit 'L/s' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Pefairwaypredicted): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5033-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Pefairwaypredicted): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
