<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5035
Name: PEF/Predicted p BD Airway
Description: Template Maximum expiratory gas flow/Predicted maximum expiratory gas flow Respiratory system airway - -post bronchodilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5035-2014-03-30T000000">
   <title>PEF/Predicted p BD Airway</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5035
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5035']]
Item: (Pefpredictedpbdairway)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5035
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5035']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5035']]
Item: (Pefpredictedpbdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5035']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5035']]"
         id="tmp-r-896cec7a-5257-4145-9de9-a08c710b67e6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Pefpredictedpbdairway): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Pefpredictedpbdairway): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5035'])&gt;=1 ">(Pefpredictedpbdairway): element hl7:templateId[@root='2.16.578.1.34.10.5035'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5035'])&lt;=1">(Pefpredictedpbdairway): element hl7:templateId[@root='2.16.578.1.34.10.5035'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69978-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='69978-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Pefpredictedpbdairway): element hl7:code[(@code='69978-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69978-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Pefpredictedpbdairway): element hl7:code[(@code='69978-5' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Pefpredictedpbdairway): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Pefpredictedpbdairway): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Pefpredictedpbdairway): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Pefpredictedpbdairway): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5035
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5035']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5035']]/hl7:templateId
Item: (Pefpredictedpbdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5035']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5035']]/hl7:templateId"
         id="tmp-r-ff1af325-bc45-40b3-8aa0-971333476be7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpredictedpbdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5035'">(Pefpredictedpbdairway): @root SHALL have value '2.16.578.1.34.10.5035'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5035
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5035']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5035']]/hl7:code[(@code='69978-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Pefpredictedpbdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5035']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5035']]/hl7:code[(@code='69978-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-4782c91d-f780-47d1-9718-3ce900afafd5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpredictedpbdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="@nullFlavor or (@code='69978-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum expiratory gas flow/Predicted maximum expiratory gas flow Respiratory system airway --post bronchodilation')">(Pefpredictedpbdairway): The element value SHALL be code '69978-5' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum expiratory gas flow/Predicted maximum expiratory gas flow Respiratory system airway --post bronchodilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5035
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5035']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5035']]/hl7:text
Item: (Pefpredictedpbdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5035']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5035']]/hl7:text"
         id="tmp-r-bf718b46-77b9-4e43-b2df-f51a34f8f04d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpredictedpbdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Pefpredictedpbdairway): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Pefpredictedpbdairway): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5035
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5035']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5035']]/hl7:text/hl7:reference
Item: (Pefpredictedpbdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5035']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5035']]/hl7:text/hl7:reference"
         id="tmp-r-93de4373-4673-444f-b30e-823bb814bf94">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpredictedpbdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5035
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5035']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5035']]/hl7:statusCode
Item: (Pefpredictedpbdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5035']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5035']]/hl7:statusCode"
         id="tmp-r-8d31df07-2b63-4692-9c0f-8cfe3a0bde06">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpredictedpbdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Pefpredictedpbdairway): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Pefpredictedpbdairway): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5035
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5035']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5035']]/hl7:value
Item: (Pefpredictedpbdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5035']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5035']]/hl7:value"
         id="tmp-r-8ce4b85b-6ba0-417f-a8d1-ea3c0f85c450">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpredictedpbdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='%'))">(Pefpredictedpbdairway): value SHALL use unit '%' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Pefpredictedpbdairway): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5035-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Pefpredictedpbdairway): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
