<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5037
Name: PEF/Predicted pre BD Airway
Description: Template Maximum expiratory gas flow/Predicted maximum expiratory gas flow Respiratory system airway - -pre bronchodilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5037-2014-03-30T000000">
   <title>PEF/Predicted pre BD Airway</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5037
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5037']]
Item: (Pefpredictedprebdairway)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5037
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5037']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5037']]
Item: (Pefpredictedprebdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5037']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5037']]"
         id="tmp-r-7cca1d03-7071-46c9-8b25-7c2266c624c6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Pefpredictedprebdairway): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Pefpredictedprebdairway): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5037'])&gt;=1 ">(Pefpredictedprebdairway): element hl7:templateId[@root='2.16.578.1.34.10.5037'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5037'])&lt;=1">(Pefpredictedprebdairway): element hl7:templateId[@root='2.16.578.1.34.10.5037'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69977-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='69977-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Pefpredictedprebdairway): element hl7:code[(@code='69977-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69977-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Pefpredictedprebdairway): element hl7:code[(@code='69977-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Pefpredictedprebdairway): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Pefpredictedprebdairway): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Pefpredictedprebdairway): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Pefpredictedprebdairway): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5037
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5037']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5037']]/hl7:templateId
Item: (Pefpredictedprebdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5037']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5037']]/hl7:templateId"
         id="tmp-r-c7f77baf-fba5-4fda-83ca-6ffed6da0b73">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpredictedprebdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5037'">(Pefpredictedprebdairway): @root SHALL have value '2.16.578.1.34.10.5037'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5037
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5037']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5037']]/hl7:code[(@code='69977-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Pefpredictedprebdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5037']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5037']]/hl7:code[(@code='69977-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-ca3833f2-4b73-49b7-bc88-92c5c1de9b58">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpredictedprebdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="@nullFlavor or (@code='69977-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum expiratory gas flow/Predicted maximum expiratory gas flow Respiratory system airway --pre bronchodilation')">(Pefpredictedprebdairway): The element value SHALL be code '69977-7' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum expiratory gas flow/Predicted maximum expiratory gas flow Respiratory system airway --pre bronchodilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5037
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5037']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5037']]/hl7:text
Item: (Pefpredictedprebdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5037']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5037']]/hl7:text"
         id="tmp-r-976afb8c-8541-43fc-976f-11bb5ff7b7ed">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpredictedprebdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Pefpredictedprebdairway): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Pefpredictedprebdairway): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5037
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5037']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5037']]/hl7:text/hl7:reference
Item: (Pefpredictedprebdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5037']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5037']]/hl7:text/hl7:reference"
         id="tmp-r-99ac9174-9976-4b4b-bf8f-d4f47ec0fdf0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpredictedprebdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5037
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5037']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5037']]/hl7:statusCode
Item: (Pefpredictedprebdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5037']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5037']]/hl7:statusCode"
         id="tmp-r-f6a31aed-b8b4-4537-bfa5-ac5dbe3975f6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpredictedprebdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Pefpredictedprebdairway): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Pefpredictedprebdairway): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5037
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5037']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5037']]/hl7:value
Item: (Pefpredictedprebdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5037']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5037']]/hl7:value"
         id="tmp-r-ee7bf845-9a61-4a83-98ff-d8dc3c4f274d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpredictedprebdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='%'))">(Pefpredictedprebdairway): value SHALL use unit '%' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Pefpredictedprebdairway): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5037-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Pefpredictedprebdairway): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
