<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5041
Name: PEF p therapy Airway
Description: Template Maximum expiratory gas flow Respiratory system airway - -post therapy
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5041-2014-03-30T000000">
   <title>PEF p therapy Airway</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5041
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5041']]
Item: (Pefptherapyairway)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5041
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5041']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5041']]
Item: (Pefptherapyairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5041']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5041']]"
         id="tmp-r-5d6e6d72-fe86-4883-bdae-e032b3b5a0a3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Pefptherapyairway): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Pefptherapyairway): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5041'])&gt;=1 ">(Pefptherapyairway): element hl7:templateId[@root='2.16.578.1.34.10.5041'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5041'])&lt;=1">(Pefptherapyairway): element hl7:templateId[@root='2.16.578.1.34.10.5041'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19938-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19938-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Pefptherapyairway): element hl7:code[(@code='19938-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19938-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Pefptherapyairway): element hl7:code[(@code='19938-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Pefptherapyairway): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Pefptherapyairway): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Pefptherapyairway): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Pefptherapyairway): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5041
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5041']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5041']]/hl7:templateId
Item: (Pefptherapyairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5041']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5041']]/hl7:templateId"
         id="tmp-r-f458a699-e312-4a75-b5dd-ab52672b78e5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefptherapyairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5041'">(Pefptherapyairway): @root SHALL have value '2.16.578.1.34.10.5041'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5041
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5041']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5041']]/hl7:code[(@code='19938-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Pefptherapyairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5041']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5041']]/hl7:code[(@code='19938-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-3a831f00-b5e5-4af5-b63b-5dec1f810d64">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefptherapyairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19938-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum expiratory gas flow Respiratory system airway --post therapy')">(Pefptherapyairway): The element value SHALL be code '19938-0' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum expiratory gas flow Respiratory system airway --post therapy'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5041
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5041']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5041']]/hl7:text
Item: (Pefptherapyairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5041']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5041']]/hl7:text"
         id="tmp-r-0e7696a3-5975-4384-9b7d-ec2d975b528d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefptherapyairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Pefptherapyairway): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Pefptherapyairway): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5041
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5041']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5041']]/hl7:text/hl7:reference
Item: (Pefptherapyairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5041']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5041']]/hl7:text/hl7:reference"
         id="tmp-r-10918648-5df6-4bd0-882e-de493b9b7755">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefptherapyairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5041
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5041']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5041']]/hl7:statusCode
Item: (Pefptherapyairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5041']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5041']]/hl7:statusCode"
         id="tmp-r-62a18abf-e34a-4099-a549-b1a48eb56515">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefptherapyairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Pefptherapyairway): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Pefptherapyairway): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5041
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5041']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5041']]/hl7:value
Item: (Pefptherapyairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5041']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5041']]/hl7:value"
         id="tmp-r-2714f7d2-2477-4fa6-8140-77aac1e2f49b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefptherapyairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/min'))">(Pefptherapyairway): value SHALL use unit 'L/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Pefptherapyairway): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5041-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Pefptherapyairway): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
