<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5043
Name: PEF p therapy Airway PFM
Description: Template Maximum expiratory gas flow Respiratory system airway by Peak flow meter - -post therapy
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5043-2014-03-30T000000">
   <title>PEF p therapy Airway PFM</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5043
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5043']]
Item: (Pefptherapyairwaypfm)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5043
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5043']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5043']]
Item: (Pefptherapyairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5043']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5043']]"
         id="tmp-r-66e6b5fb-104f-4fcc-9ef6-e0ff8465759b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Pefptherapyairwaypfm): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Pefptherapyairwaypfm): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5043'])&gt;=1 ">(Pefptherapyairwaypfm): element hl7:templateId[@root='2.16.578.1.34.10.5043'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5043'])&lt;=1">(Pefptherapyairwaypfm): element hl7:templateId[@root='2.16.578.1.34.10.5043'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19937-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19937-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Pefptherapyairwaypfm): element hl7:code[(@code='19937-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19937-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Pefptherapyairwaypfm): element hl7:code[(@code='19937-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Pefptherapyairwaypfm): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Pefptherapyairwaypfm): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Pefptherapyairwaypfm): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Pefptherapyairwaypfm): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5043
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5043']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5043']]/hl7:templateId
Item: (Pefptherapyairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5043']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5043']]/hl7:templateId"
         id="tmp-r-8008e7de-874d-487d-9044-f19720833af5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefptherapyairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5043'">(Pefptherapyairwaypfm): @root SHALL have value '2.16.578.1.34.10.5043'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5043
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5043']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5043']]/hl7:code[(@code='19937-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Pefptherapyairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5043']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5043']]/hl7:code[(@code='19937-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-b24fd45a-b42b-4765-951e-66f6298e78ba">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefptherapyairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19937-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum expiratory gas flow Respiratory system airway by Peak flow meter --post therapy')">(Pefptherapyairwaypfm): The element value SHALL be code '19937-2' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum expiratory gas flow Respiratory system airway by Peak flow meter --post therapy'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5043
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5043']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5043']]/hl7:text
Item: (Pefptherapyairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5043']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5043']]/hl7:text"
         id="tmp-r-aaf6ff3a-9a1a-4a4c-8260-b97f4568c086">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefptherapyairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Pefptherapyairwaypfm): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Pefptherapyairwaypfm): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5043
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5043']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5043']]/hl7:text/hl7:reference
Item: (Pefptherapyairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5043']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5043']]/hl7:text/hl7:reference"
         id="tmp-r-c11ffa39-521e-4643-9c34-8d258a3c8d8a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefptherapyairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5043
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5043']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5043']]/hl7:statusCode
Item: (Pefptherapyairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5043']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5043']]/hl7:statusCode"
         id="tmp-r-83d8bdd5-2676-4ab1-a1b9-8514e6225bc5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefptherapyairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Pefptherapyairwaypfm): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Pefptherapyairwaypfm): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5043
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5043']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5043']]/hl7:value
Item: (Pefptherapyairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5043']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5043']]/hl7:value"
         id="tmp-r-befa4d91-523d-4ed4-a56e-2ccb8a3cc14a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefptherapyairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/min'))">(Pefptherapyairwaypfm): value SHALL use unit 'L/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Pefptherapyairwaypfm): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5043-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Pefptherapyairwaypfm): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
