<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5045
Name: PEF pre BD Airway
Description: Template Maximum expiratory gas flow Respiratory system airway - -pre bronchodilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5045-2014-03-30T000000">
   <title>PEF pre BD Airway</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5045
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5045']]
Item: (Pefprebdairway)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5045
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5045']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5045']]
Item: (Pefprebdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5045']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5045']]"
         id="tmp-r-f16b8777-4ca0-4b84-84b1-9e7d7d54647b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Pefprebdairway): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Pefprebdairway): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5045'])&gt;=1 ">(Pefprebdairway): element hl7:templateId[@root='2.16.578.1.34.10.5045'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5045'])&lt;=1">(Pefprebdairway): element hl7:templateId[@root='2.16.578.1.34.10.5045'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69975-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='69975-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Pefprebdairway): element hl7:code[(@code='69975-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69975-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Pefprebdairway): element hl7:code[(@code='69975-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Pefprebdairway): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Pefprebdairway): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Pefprebdairway): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Pefprebdairway): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5045
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5045']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5045']]/hl7:templateId
Item: (Pefprebdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5045']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5045']]/hl7:templateId"
         id="tmp-r-dce5526e-0314-4086-a25d-d023c2d8dcdc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefprebdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5045'">(Pefprebdairway): @root SHALL have value '2.16.578.1.34.10.5045'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5045
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5045']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5045']]/hl7:code[(@code='69975-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Pefprebdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5045']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5045']]/hl7:code[(@code='69975-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-a803c3ad-f783-4f8c-9e0f-e04aef3dfab5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefprebdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="@nullFlavor or (@code='69975-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum expiratory gas flow Respiratory system airway --pre bronchodilation')">(Pefprebdairway): The element value SHALL be code '69975-1' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum expiratory gas flow Respiratory system airway --pre bronchodilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5045
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5045']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5045']]/hl7:text
Item: (Pefprebdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5045']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5045']]/hl7:text"
         id="tmp-r-89be0fb2-84e7-4886-ba6e-5c30ad262efc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefprebdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Pefprebdairway): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Pefprebdairway): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5045
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5045']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5045']]/hl7:text/hl7:reference
Item: (Pefprebdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5045']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5045']]/hl7:text/hl7:reference"
         id="tmp-r-eadec282-6f06-4713-b84c-1c4685b8d026">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefprebdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5045
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5045']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5045']]/hl7:statusCode
Item: (Pefprebdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5045']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5045']]/hl7:statusCode"
         id="tmp-r-6e7d2c83-f82b-419d-a742-8dccdc77b621">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefprebdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Pefprebdairway): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Pefprebdairway): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5045
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5045']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5045']]/hl7:value
Item: (Pefprebdairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5045']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5045']]/hl7:value"
         id="tmp-r-c0cf316a-4c3b-4b0e-9a5d-0f13426cf11e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefprebdairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/s'))">(Pefprebdairway): value SHALL use unit 'L/s' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Pefprebdairway): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5045-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Pefprebdairway): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
