<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5047
Name: PEF pre therapy Airway
Description: Template Maximum expiratory gas flow Respiratory system airway - -pre therapy
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5047-2014-03-30T000000">
   <title>PEF pre therapy Airway</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5047
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5047']]
Item: (Pefpretherapyairway)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5047
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5047']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5047']]
Item: (Pefpretherapyairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5047']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5047']]"
         id="tmp-r-7dbbc7d8-bbf6-4eb7-8b7c-b3feb6a98d64">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Pefpretherapyairway): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Pefpretherapyairway): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5047'])&gt;=1 ">(Pefpretherapyairway): element hl7:templateId[@root='2.16.578.1.34.10.5047'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5047'])&lt;=1">(Pefpretherapyairway): element hl7:templateId[@root='2.16.578.1.34.10.5047'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="count(hl7:code[(@code='71794-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='71794-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Pefpretherapyairway): element hl7:code[(@code='71794-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="count(hl7:code[(@code='71794-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Pefpretherapyairway): element hl7:code[(@code='71794-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Pefpretherapyairway): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Pefpretherapyairway): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Pefpretherapyairway): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Pefpretherapyairway): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5047
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5047']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5047']]/hl7:templateId
Item: (Pefpretherapyairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5047']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5047']]/hl7:templateId"
         id="tmp-r-3cb4474e-f72b-4493-bf0b-bc13f0fe8040">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpretherapyairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5047'">(Pefpretherapyairway): @root SHALL have value '2.16.578.1.34.10.5047'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5047
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5047']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5047']]/hl7:code[(@code='71794-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Pefpretherapyairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5047']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5047']]/hl7:code[(@code='71794-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-97e4d6d0-da00-4499-8c36-58c5930f3a0f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpretherapyairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="@nullFlavor or (@code='71794-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum expiratory gas flow Respiratory system airway --pre therapy')">(Pefpretherapyairway): The element value SHALL be code '71794-2' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum expiratory gas flow Respiratory system airway --pre therapy'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5047
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5047']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5047']]/hl7:text
Item: (Pefpretherapyairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5047']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5047']]/hl7:text"
         id="tmp-r-3e580099-6edb-4d4c-836a-a2d7d55c836c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpretherapyairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Pefpretherapyairway): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Pefpretherapyairway): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5047
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5047']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5047']]/hl7:text/hl7:reference
Item: (Pefpretherapyairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5047']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5047']]/hl7:text/hl7:reference"
         id="tmp-r-d1fdd6e9-bbec-4a12-a160-2bda914a3e92">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpretherapyairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5047
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5047']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5047']]/hl7:statusCode
Item: (Pefpretherapyairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5047']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5047']]/hl7:statusCode"
         id="tmp-r-6fd6e6fb-9048-45dd-8194-0a240edc7f79">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpretherapyairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Pefpretherapyairway): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5047-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Pefpretherapyairway): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5047
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5047']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5047']]/hl7:value
Item: (Pefpretherapyairway)
-->
</pattern>
