<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5049
Name: PEF pre therapy Airway PFM
Description: Template Maximum expiratory gas flow Respiratory system airway by Peak flow meter - -pre therapy
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5049-2014-03-30T000000">
   <title>PEF pre therapy Airway PFM</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5049
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5049']]
Item: (Pefpretherapyairwaypfm)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5049
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5049']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5049']]
Item: (Pefpretherapyairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5049']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5049']]"
         id="tmp-r-d84381f2-deab-4566-b7f2-556cc5ece8b2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Pefpretherapyairwaypfm): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Pefpretherapyairwaypfm): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5049'])&gt;=1 ">(Pefpretherapyairwaypfm): element hl7:templateId[@root='2.16.578.1.34.10.5049'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5049'])&lt;=1">(Pefpretherapyairwaypfm): element hl7:templateId[@root='2.16.578.1.34.10.5049'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="count(hl7:code[(@code='71795-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='71795-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Pefpretherapyairwaypfm): element hl7:code[(@code='71795-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="count(hl7:code[(@code='71795-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Pefpretherapyairwaypfm): element hl7:code[(@code='71795-9' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Pefpretherapyairwaypfm): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Pefpretherapyairwaypfm): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Pefpretherapyairwaypfm): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Pefpretherapyairwaypfm): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5049
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5049']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5049']]/hl7:templateId
Item: (Pefpretherapyairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5049']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5049']]/hl7:templateId"
         id="tmp-r-4096fd9d-5b10-4b5f-b5c5-5ce823e2e226">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpretherapyairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5049'">(Pefpretherapyairwaypfm): @root SHALL have value '2.16.578.1.34.10.5049'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5049
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5049']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5049']]/hl7:code[(@code='71795-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Pefpretherapyairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5049']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5049']]/hl7:code[(@code='71795-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-108049d6-d9e5-44bb-a215-b8175e10e20d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpretherapyairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="@nullFlavor or (@code='71795-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum expiratory gas flow Respiratory system airway by Peak flow meter --pre therapy')">(Pefpretherapyairwaypfm): The element value SHALL be code '71795-9' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum expiratory gas flow Respiratory system airway by Peak flow meter --pre therapy'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5049
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5049']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5049']]/hl7:text
Item: (Pefpretherapyairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5049']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5049']]/hl7:text"
         id="tmp-r-16ad5f53-1543-44aa-888d-b4b5aa926edf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpretherapyairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Pefpretherapyairwaypfm): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Pefpretherapyairwaypfm): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5049
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5049']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5049']]/hl7:text/hl7:reference
Item: (Pefpretherapyairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5049']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5049']]/hl7:text/hl7:reference"
         id="tmp-r-5a7baa75-9637-4bcb-ad23-946c7c5a376f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpretherapyairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5049
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5049']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5049']]/hl7:statusCode
Item: (Pefpretherapyairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5049']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5049']]/hl7:statusCode"
         id="tmp-r-c35c1eb6-6b16-44da-a697-b40fcc0c0f12">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpretherapyairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Pefpretherapyairwaypfm): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Pefpretherapyairwaypfm): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5049
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5049']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5049']]/hl7:value
Item: (Pefpretherapyairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5049']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5049']]/hl7:value"
         id="tmp-r-42e2a40d-e695-4e31-9f19-35ae11eb8e34">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pefpretherapyairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/min'))">(Pefpretherapyairwaypfm): value SHALL use unit 'L/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Pefpretherapyairwaypfm): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5049-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Pefpretherapyairwaypfm): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
