<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5055
Name: FVC Vol Respiratory
Description: Template Forced vital capacity [Volume] Respiratory system
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5055-2014-03-30T000000">
   <title>FVC Vol Respiratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5055
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5055']]
Item: (Fvcvolrespiratory)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5055
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5055']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5055']]
Item: (Fvcvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5055']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5055']]"
         id="tmp-r-eabaa267-e34e-4912-a56d-59a4a2a66242">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fvcvolrespiratory): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fvcvolrespiratory): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5055'])&gt;=1 ">(Fvcvolrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5055'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5055'])&lt;=1">(Fvcvolrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5055'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19870-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19870-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fvcvolrespiratory): element hl7:code[(@code='19870-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19870-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fvcvolrespiratory): element hl7:code[(@code='19870-5' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fvcvolrespiratory): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fvcvolrespiratory): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fvcvolrespiratory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fvcvolrespiratory): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5055
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5055']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5055']]/hl7:templateId
Item: (Fvcvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5055']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5055']]/hl7:templateId"
         id="tmp-r-fc24648d-5227-4dcc-afc7-262dded5b5db">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5055'">(Fvcvolrespiratory): @root SHALL have value '2.16.578.1.34.10.5055'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5055
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5055']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5055']]/hl7:code[(@code='19870-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fvcvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5055']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5055']]/hl7:code[(@code='19870-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-31a3112b-3dae-4db1-ad4b-2a933306477a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19870-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Forced vital capacity [Volume] Respiratory system')">(Fvcvolrespiratory): The element value SHALL be code '19870-5' codeSystem '2.16.840.1.113883.6.1' displayName='Forced vital capacity [Volume] Respiratory system'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5055
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5055']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5055']]/hl7:text
Item: (Fvcvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5055']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5055']]/hl7:text"
         id="tmp-r-df7c1282-1bea-4db1-8739-bba8b18df2ef">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fvcvolrespiratory): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fvcvolrespiratory): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5055
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5055']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5055']]/hl7:text/hl7:reference
Item: (Fvcvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5055']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5055']]/hl7:text/hl7:reference"
         id="tmp-r-bb0c3578-e693-4b70-be67-89ab74ab9ded">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5055
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5055']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5055']]/hl7:statusCode
Item: (Fvcvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5055']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5055']]/hl7:statusCode"
         id="tmp-r-7a6aeb93-ca76-45a6-b1f4-a4dab9a50573">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fvcvolrespiratory): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fvcvolrespiratory): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5055
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5055']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5055']]/hl7:value
Item: (Fvcvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5055']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5055']]/hl7:value"
         id="tmp-r-e9b7dc8e-3079-4897-87ce-8a61bbf19c0c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fvcvolrespiratory): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fvcvolrespiratory): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5055-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fvcvolrespiratory): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
