<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5057
Name: FVC Vol Respiratory Predicted
Description: Template Forced vital capacity [Volume] Respiratory system Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5057-2014-03-30T000000">
   <title>FVC Vol Respiratory Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5057
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5057']]
Item: (Fvcvolrespiratorypredicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5057
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5057']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5057']]
Item: (Fvcvolrespiratorypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5057']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5057']]"
         id="tmp-r-261d079c-99bc-4dd5-b30c-29f54dc21847">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fvcvolrespiratorypredicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fvcvolrespiratorypredicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5057'])&gt;=1 ">(Fvcvolrespiratorypredicted): element hl7:templateId[@root='2.16.578.1.34.10.5057'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5057'])&lt;=1">(Fvcvolrespiratorypredicted): element hl7:templateId[@root='2.16.578.1.34.10.5057'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19869-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19869-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fvcvolrespiratorypredicted): element hl7:code[(@code='19869-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19869-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fvcvolrespiratorypredicted): element hl7:code[(@code='19869-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fvcvolrespiratorypredicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fvcvolrespiratorypredicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fvcvolrespiratorypredicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fvcvolrespiratorypredicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5057
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5057']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5057']]/hl7:templateId
Item: (Fvcvolrespiratorypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5057']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5057']]/hl7:templateId"
         id="tmp-r-94c4be29-53d0-43e3-a08f-d4eaf9beac29">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratorypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5057'">(Fvcvolrespiratorypredicted): @root SHALL have value '2.16.578.1.34.10.5057'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5057
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5057']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5057']]/hl7:code[(@code='19869-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fvcvolrespiratorypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5057']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5057']]/hl7:code[(@code='19869-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-788ecfbc-7072-4fb5-8c09-49029ba6b743">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratorypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19869-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Forced vital capacity [Volume] Respiratory system Predicted')">(Fvcvolrespiratorypredicted): The element value SHALL be code '19869-7' codeSystem '2.16.840.1.113883.6.1' displayName='Forced vital capacity [Volume] Respiratory system Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5057
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5057']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5057']]/hl7:text
Item: (Fvcvolrespiratorypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5057']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5057']]/hl7:text"
         id="tmp-r-5a869945-9678-4057-b7fa-f3f8c6181917">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratorypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fvcvolrespiratorypredicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fvcvolrespiratorypredicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5057
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5057']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5057']]/hl7:text/hl7:reference
Item: (Fvcvolrespiratorypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5057']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5057']]/hl7:text/hl7:reference"
         id="tmp-r-19e6ef6c-bed4-44d7-80ca-51e67f0b3d48">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratorypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5057
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5057']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5057']]/hl7:statusCode
Item: (Fvcvolrespiratorypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5057']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5057']]/hl7:statusCode"
         id="tmp-r-a26d6414-162e-4e88-9fd5-a74255446b5b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratorypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fvcvolrespiratorypredicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fvcvolrespiratorypredicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5057
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5057']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5057']]/hl7:value
Item: (Fvcvolrespiratorypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5057']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5057']]/hl7:value"
         id="tmp-r-9906575d-e5a8-4776-8117-b39bcbc54bd7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratorypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fvcvolrespiratorypredicted): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fvcvolrespiratorypredicted): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5057-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fvcvolrespiratorypredicted): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
