<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5059
Name: FVC Vol Respiratory Spirometry
Description: Template Forced vital capacity [Volume] Respiratory system by Spirometry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5059-2014-03-30T000000">
   <title>FVC Vol Respiratory Spirometry</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5059
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5059']]
Item: (Fvcvolrespiratoryspirometry)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5059
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5059']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5059']]
Item: (Fvcvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5059']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5059']]"
         id="tmp-r-4ba757b5-8a51-466d-83b3-016815571044">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fvcvolrespiratoryspirometry): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fvcvolrespiratoryspirometry): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5059'])&gt;=1 ">(Fvcvolrespiratoryspirometry): element hl7:templateId[@root='2.16.578.1.34.10.5059'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5059'])&lt;=1">(Fvcvolrespiratoryspirometry): element hl7:templateId[@root='2.16.578.1.34.10.5059'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19868-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19868-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fvcvolrespiratoryspirometry): element hl7:code[(@code='19868-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19868-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fvcvolrespiratoryspirometry): element hl7:code[(@code='19868-9' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fvcvolrespiratoryspirometry): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fvcvolrespiratoryspirometry): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fvcvolrespiratoryspirometry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fvcvolrespiratoryspirometry): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5059
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5059']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5059']]/hl7:templateId
Item: (Fvcvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5059']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5059']]/hl7:templateId"
         id="tmp-r-8f3e3bac-ce5f-47d4-bb99-1b6a419e0de3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5059'">(Fvcvolrespiratoryspirometry): @root SHALL have value '2.16.578.1.34.10.5059'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5059
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5059']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5059']]/hl7:code[(@code='19868-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fvcvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5059']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5059']]/hl7:code[(@code='19868-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-b78fa6b0-61ed-4999-90b7-3c0e5e69ed34">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19868-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Forced vital capacity [Volume] Respiratory system by Spirometry')">(Fvcvolrespiratoryspirometry): The element value SHALL be code '19868-9' codeSystem '2.16.840.1.113883.6.1' displayName='Forced vital capacity [Volume] Respiratory system by Spirometry'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5059
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5059']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5059']]/hl7:text
Item: (Fvcvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5059']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5059']]/hl7:text"
         id="tmp-r-9aa70c99-2fa3-4f82-b0e2-feb67ef1ee4a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fvcvolrespiratoryspirometry): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fvcvolrespiratoryspirometry): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5059
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5059']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5059']]/hl7:text/hl7:reference
Item: (Fvcvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5059']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5059']]/hl7:text/hl7:reference"
         id="tmp-r-a07ba52f-8311-402f-9b92-8d9017956548">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5059
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5059']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5059']]/hl7:statusCode
Item: (Fvcvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5059']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5059']]/hl7:statusCode"
         id="tmp-r-108cae86-bdb8-4b72-82a8-b84ce82db565">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fvcvolrespiratoryspirometry): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fvcvolrespiratoryspirometry): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5059
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5059']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5059']]/hl7:value
Item: (Fvcvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5059']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5059']]/hl7:value"
         id="tmp-r-4da8eec6-1a8f-4c3e-b1d0-df35515106e4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fvcvolrespiratoryspirometry): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fvcvolrespiratoryspirometry): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5059-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fvcvolrespiratoryspirometry): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
