<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5061
Name: FVC % change Respiratory
Description: Template FVC percent change Respiratory system
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5061-2014-03-30T000000">
   <title>FVC % change Respiratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5061
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5061']]
Item: (Fvcchangerespiratory)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5061
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5061']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5061']]
Item: (Fvcchangerespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5061']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5061']]"
         id="tmp-r-49d7dcf5-eac0-4bf4-9bcf-eebbb2472381">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fvcchangerespiratory): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fvcchangerespiratory): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5061'])&gt;=1 ">(Fvcchangerespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5061'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5061'])&lt;=1">(Fvcchangerespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5061'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69982-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='69982-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fvcchangerespiratory): element hl7:code[(@code='69982-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69982-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fvcchangerespiratory): element hl7:code[(@code='69982-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fvcchangerespiratory): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fvcchangerespiratory): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fvcchangerespiratory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fvcchangerespiratory): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5061
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5061']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5061']]/hl7:templateId
Item: (Fvcchangerespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5061']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5061']]/hl7:templateId"
         id="tmp-r-4cb82bbf-6339-41ab-99c8-aa898603a5fd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcchangerespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5061'">(Fvcchangerespiratory): @root SHALL have value '2.16.578.1.34.10.5061'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5061
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5061']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5061']]/hl7:code[(@code='69982-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fvcchangerespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5061']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5061']]/hl7:code[(@code='69982-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-033193e3-2459-4d9e-865e-eff57a5ebdd1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcchangerespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="@nullFlavor or (@code='69982-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FVC percent change Respiratory system')">(Fvcchangerespiratory): The element value SHALL be code '69982-7' codeSystem '2.16.840.1.113883.6.1' displayName='FVC percent change Respiratory system'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5061
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5061']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5061']]/hl7:text
Item: (Fvcchangerespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5061']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5061']]/hl7:text"
         id="tmp-r-e1f13cd2-30f5-4932-889b-742d44ef2277">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcchangerespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fvcchangerespiratory): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fvcchangerespiratory): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5061
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5061']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5061']]/hl7:text/hl7:reference
Item: (Fvcchangerespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5061']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5061']]/hl7:text/hl7:reference"
         id="tmp-r-8a22691d-3327-4353-b03c-3a4a85902895">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcchangerespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5061
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5061']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5061']]/hl7:statusCode
Item: (Fvcchangerespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5061']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5061']]/hl7:statusCode"
         id="tmp-r-d89d4f6e-e97d-44ec-b5d3-fed6b9d2713a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcchangerespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fvcchangerespiratory): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fvcchangerespiratory): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5061
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5061']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5061']]/hl7:value
Item: (Fvcchangerespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5061']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5061']]/hl7:value"
         id="tmp-r-6083c4fd-a6bb-4b21-b392-1084b874e113">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcchangerespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='%'))">(Fvcchangerespiratory): value SHALL use unit '%' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fvcchangerespiratory): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5061-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fvcchangerespiratory): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
