<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5065
Name: FVC meas/predicted FVC Respiratory
Description: Template FVC measured/predicted Respiratory system
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5065-2014-03-30T000000">
   <title>FVC meas/predicted FVC Respiratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5065
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5065']]
Item: (Fvcmeaspredictedfvcrespiratory)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5065
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5065']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5065']]
Item: (Fvcmeaspredictedfvcrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5065']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5065']]"
         id="tmp-r-ccf44805-7937-4055-9506-7d0b13c3af62">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fvcmeaspredictedfvcrespiratory): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fvcmeaspredictedfvcrespiratory): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5065'])&gt;=1 ">(Fvcmeaspredictedfvcrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5065'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5065'])&lt;=1">(Fvcmeaspredictedfvcrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5065'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19872-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19872-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fvcmeaspredictedfvcrespiratory): element hl7:code[(@code='19872-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19872-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fvcmeaspredictedfvcrespiratory): element hl7:code[(@code='19872-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fvcmeaspredictedfvcrespiratory): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fvcmeaspredictedfvcrespiratory): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fvcmeaspredictedfvcrespiratory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fvcmeaspredictedfvcrespiratory): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5065
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5065']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5065']]/hl7:templateId
Item: (Fvcmeaspredictedfvcrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5065']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5065']]/hl7:templateId"
         id="tmp-r-0a5c1a1c-dd07-417d-bc85-8344599abbff">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcmeaspredictedfvcrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5065'">(Fvcmeaspredictedfvcrespiratory): @root SHALL have value '2.16.578.1.34.10.5065'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5065
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5065']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5065']]/hl7:code[(@code='19872-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fvcmeaspredictedfvcrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5065']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5065']]/hl7:code[(@code='19872-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-3149e667-042b-4f5f-a721-d9cd1c084a36">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcmeaspredictedfvcrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19872-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FVC measured/predicted Respiratory system')">(Fvcmeaspredictedfvcrespiratory): The element value SHALL be code '19872-1' codeSystem '2.16.840.1.113883.6.1' displayName='FVC measured/predicted Respiratory system'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5065
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5065']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5065']]/hl7:text
Item: (Fvcmeaspredictedfvcrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5065']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5065']]/hl7:text"
         id="tmp-r-b9ce3db9-7fd9-41ef-b515-63c2bad7545f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcmeaspredictedfvcrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fvcmeaspredictedfvcrespiratory): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fvcmeaspredictedfvcrespiratory): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5065
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5065']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5065']]/hl7:text/hl7:reference
Item: (Fvcmeaspredictedfvcrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5065']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5065']]/hl7:text/hl7:reference"
         id="tmp-r-cac76149-4248-4f8d-b896-2d7c040bbbc9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcmeaspredictedfvcrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5065
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5065']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5065']]/hl7:statusCode
Item: (Fvcmeaspredictedfvcrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5065']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5065']]/hl7:statusCode"
         id="tmp-r-f6a11933-5960-4526-961a-c78b1fae9fa5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcmeaspredictedfvcrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fvcmeaspredictedfvcrespiratory): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5065-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fvcmeaspredictedfvcrespiratory): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5065
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5065']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5065']]/hl7:value
Item: (Fvcmeaspredictedfvcrespiratory)
-->
</pattern>
