<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5067
Name: FVC meas/predicted FVC p BD Respiratory
Description: Template FVC measured/predicted Respiratory system - -post bronchodilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5067-2014-03-30T000000">
   <title>FVC meas/predicted FVC p BD Respiratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5067
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5067']]
Item: (Fvcmeaspredictedfvcpbdrespiratory)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5067
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5067']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5067']]
Item: (Fvcmeaspredictedfvcpbdrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5067']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5067']]"
         id="tmp-r-2f937b84-f399-4d4e-b499-b85d1dccf405">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fvcmeaspredictedfvcpbdrespiratory): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fvcmeaspredictedfvcpbdrespiratory): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5067'])&gt;=1 ">(Fvcmeaspredictedfvcpbdrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5067'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5067'])&lt;=1">(Fvcmeaspredictedfvcpbdrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5067'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19873-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19873-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fvcmeaspredictedfvcpbdrespiratory): element hl7:code[(@code='19873-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19873-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fvcmeaspredictedfvcpbdrespiratory): element hl7:code[(@code='19873-9' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fvcmeaspredictedfvcpbdrespiratory): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fvcmeaspredictedfvcpbdrespiratory): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fvcmeaspredictedfvcpbdrespiratory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fvcmeaspredictedfvcpbdrespiratory): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5067
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5067']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5067']]/hl7:templateId
Item: (Fvcmeaspredictedfvcpbdrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5067']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5067']]/hl7:templateId"
         id="tmp-r-b8084691-a13c-4b4a-824e-5f77166b505a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcmeaspredictedfvcpbdrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5067'">(Fvcmeaspredictedfvcpbdrespiratory): @root SHALL have value '2.16.578.1.34.10.5067'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5067
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5067']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5067']]/hl7:code[(@code='19873-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fvcmeaspredictedfvcpbdrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5067']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5067']]/hl7:code[(@code='19873-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-f2cf7adf-ca0d-4f45-ad06-28e00ca843e4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcmeaspredictedfvcpbdrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19873-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FVC measured/predicted Respiratory system --post bronchodilation')">(Fvcmeaspredictedfvcpbdrespiratory): The element value SHALL be code '19873-9' codeSystem '2.16.840.1.113883.6.1' displayName='FVC measured/predicted Respiratory system --post bronchodilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5067
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5067']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5067']]/hl7:text
Item: (Fvcmeaspredictedfvcpbdrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5067']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5067']]/hl7:text"
         id="tmp-r-f31fc7f0-9c30-4fa5-96fc-8f63d8efda7c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcmeaspredictedfvcpbdrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fvcmeaspredictedfvcpbdrespiratory): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fvcmeaspredictedfvcpbdrespiratory): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5067
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5067']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5067']]/hl7:text/hl7:reference
Item: (Fvcmeaspredictedfvcpbdrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5067']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5067']]/hl7:text/hl7:reference"
         id="tmp-r-d548f5c9-7ae7-4d10-9bd6-fe1197248b16">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcmeaspredictedfvcpbdrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5067
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5067']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5067']]/hl7:statusCode
Item: (Fvcmeaspredictedfvcpbdrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5067']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5067']]/hl7:statusCode"
         id="tmp-r-f0e53d6b-f1a0-475b-9f19-215519a5450e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcmeaspredictedfvcpbdrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fvcmeaspredictedfvcpbdrespiratory): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5067-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fvcmeaspredictedfvcpbdrespiratory): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5067
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5067']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5067']]/hl7:value
Item: (Fvcmeaspredictedfvcpbdrespiratory)
-->
</pattern>
