<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5069
Name: FVC meas/predicted FVC pre BD
Description: Template FVC measured/predicted Respiratory system - -pre bronchodilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5069-2014-03-30T000000">
   <title>FVC meas/predicted FVC pre BD</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5069
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5069']]
Item: (Fvcmeaspredictedfvcprebd)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5069
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5069']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5069']]
Item: (Fvcmeaspredictedfvcprebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5069']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5069']]"
         id="tmp-r-b2c4203e-4b13-4644-9b13-03660d7bca7b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fvcmeaspredictedfvcprebd): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fvcmeaspredictedfvcprebd): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5069'])&gt;=1 ">(Fvcmeaspredictedfvcprebd): element hl7:templateId[@root='2.16.578.1.34.10.5069'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5069'])&lt;=1">(Fvcmeaspredictedfvcprebd): element hl7:templateId[@root='2.16.578.1.34.10.5069'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19871-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19871-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fvcmeaspredictedfvcprebd): element hl7:code[(@code='19871-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19871-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fvcmeaspredictedfvcprebd): element hl7:code[(@code='19871-3' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fvcmeaspredictedfvcprebd): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fvcmeaspredictedfvcprebd): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fvcmeaspredictedfvcprebd): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fvcmeaspredictedfvcprebd): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5069
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5069']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5069']]/hl7:templateId
Item: (Fvcmeaspredictedfvcprebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5069']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5069']]/hl7:templateId"
         id="tmp-r-de4c29b5-d141-4ba7-8541-defcfa4ea436">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcmeaspredictedfvcprebd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5069'">(Fvcmeaspredictedfvcprebd): @root SHALL have value '2.16.578.1.34.10.5069'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5069
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5069']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5069']]/hl7:code[(@code='19871-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fvcmeaspredictedfvcprebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5069']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5069']]/hl7:code[(@code='19871-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-9e631da4-8dd6-44da-a039-f81963ba8a90">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcmeaspredictedfvcprebd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19871-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FVC measured/predicted Respiratory system --pre bronchodilation')">(Fvcmeaspredictedfvcprebd): The element value SHALL be code '19871-3' codeSystem '2.16.840.1.113883.6.1' displayName='FVC measured/predicted Respiratory system --pre bronchodilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5069
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5069']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5069']]/hl7:text
Item: (Fvcmeaspredictedfvcprebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5069']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5069']]/hl7:text"
         id="tmp-r-09aff863-ae91-4b51-9d6e-e4e2e4784fbd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcmeaspredictedfvcprebd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fvcmeaspredictedfvcprebd): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fvcmeaspredictedfvcprebd): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5069
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5069']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5069']]/hl7:text/hl7:reference
Item: (Fvcmeaspredictedfvcprebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5069']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5069']]/hl7:text/hl7:reference"
         id="tmp-r-3b32b54c-5d0c-46c3-b576-4f6484db30bc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcmeaspredictedfvcprebd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5069
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5069']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5069']]/hl7:statusCode
Item: (Fvcmeaspredictedfvcprebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5069']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5069']]/hl7:statusCode"
         id="tmp-r-c499f4c9-2f70-454f-b644-729a29b98188">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcmeaspredictedfvcprebd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fvcmeaspredictedfvcprebd): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5069-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fvcmeaspredictedfvcprebd): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5069
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5069']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5069']]/hl7:value
Item: (Fvcmeaspredictedfvcprebd)
-->
</pattern>
