<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5071
Name: FVC p BD Vol Respiratory
Description: Template Forced vital capacity [Volume] Respiratory system - -post bronchodilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5071-2014-03-30T000000">
   <title>FVC p BD Vol Respiratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5071
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5071']]
Item: (Fvcpbdvolrespiratory)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5071
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5071']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5071']]
Item: (Fvcpbdvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5071']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5071']]"
         id="tmp-r-c7efa726-c7ca-4fc3-8278-5561896be8ba">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fvcpbdvolrespiratory): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fvcpbdvolrespiratory): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5071'])&gt;=1 ">(Fvcpbdvolrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5071'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5071'])&lt;=1">(Fvcpbdvolrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5071'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19875-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19875-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fvcpbdvolrespiratory): element hl7:code[(@code='19875-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19875-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fvcpbdvolrespiratory): element hl7:code[(@code='19875-4' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fvcpbdvolrespiratory): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fvcpbdvolrespiratory): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fvcpbdvolrespiratory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fvcpbdvolrespiratory): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5071
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5071']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5071']]/hl7:templateId
Item: (Fvcpbdvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5071']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5071']]/hl7:templateId"
         id="tmp-r-4860fe2d-41a5-4749-b30a-447795687ba4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcpbdvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5071'">(Fvcpbdvolrespiratory): @root SHALL have value '2.16.578.1.34.10.5071'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5071
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5071']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5071']]/hl7:code[(@code='19875-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fvcpbdvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5071']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5071']]/hl7:code[(@code='19875-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-81c130c4-7dcf-4280-9015-3802418dabb9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcpbdvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19875-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Forced vital capacity [Volume] Respiratory system --post bronchodilation')">(Fvcpbdvolrespiratory): The element value SHALL be code '19875-4' codeSystem '2.16.840.1.113883.6.1' displayName='Forced vital capacity [Volume] Respiratory system --post bronchodilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5071
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5071']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5071']]/hl7:text
Item: (Fvcpbdvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5071']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5071']]/hl7:text"
         id="tmp-r-72ca92aa-2f76-4e61-9b8f-631ae3548f5a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcpbdvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fvcpbdvolrespiratory): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fvcpbdvolrespiratory): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5071
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5071']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5071']]/hl7:text/hl7:reference
Item: (Fvcpbdvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5071']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5071']]/hl7:text/hl7:reference"
         id="tmp-r-4f14d045-c457-40fa-85d6-2cdf65d336d4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcpbdvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5071
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5071']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5071']]/hl7:statusCode
Item: (Fvcpbdvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5071']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5071']]/hl7:statusCode"
         id="tmp-r-62bd0ae5-5df7-4a92-acda-42e785a4c139">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcpbdvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fvcpbdvolrespiratory): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fvcpbdvolrespiratory): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5071
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5071']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5071']]/hl7:value
Item: (Fvcpbdvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5071']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5071']]/hl7:value"
         id="tmp-r-7f29f3d7-58fc-4129-b38f-1fa47bf304dc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcpbdvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fvcpbdvolrespiratory): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fvcpbdvolrespiratory): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5071-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fvcpbdvolrespiratory): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
