<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5073
Name: FVC p BD Vol Respiratory Spirometry
Description: Template Forced vital capacity [Volume] Respiratory system by Spirometry - -post bronchodilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5073-2014-03-30T000000">
   <title>FVC p BD Vol Respiratory Spirometry</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5073
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5073']]
Item: (Fvcpbdvolrespiratoryspirometry)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5073
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5073']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5073']]
Item: (Fvcpbdvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5073']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5073']]"
         id="tmp-r-5713bc7a-1622-41e4-bb3c-7414f9258cfd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fvcpbdvolrespiratoryspirometry): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fvcpbdvolrespiratoryspirometry): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5073'])&gt;=1 ">(Fvcpbdvolrespiratoryspirometry): element hl7:templateId[@root='2.16.578.1.34.10.5073'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5073'])&lt;=1">(Fvcpbdvolrespiratoryspirometry): element hl7:templateId[@root='2.16.578.1.34.10.5073'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19874-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19874-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fvcpbdvolrespiratoryspirometry): element hl7:code[(@code='19874-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19874-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fvcpbdvolrespiratoryspirometry): element hl7:code[(@code='19874-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fvcpbdvolrespiratoryspirometry): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fvcpbdvolrespiratoryspirometry): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fvcpbdvolrespiratoryspirometry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fvcpbdvolrespiratoryspirometry): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5073
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5073']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5073']]/hl7:templateId
Item: (Fvcpbdvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5073']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5073']]/hl7:templateId"
         id="tmp-r-9512d288-01b0-42d9-b90b-bfb5abe7fd68">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcpbdvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5073'">(Fvcpbdvolrespiratoryspirometry): @root SHALL have value '2.16.578.1.34.10.5073'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5073
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5073']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5073']]/hl7:code[(@code='19874-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fvcpbdvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5073']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5073']]/hl7:code[(@code='19874-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-e6a023e1-bcde-4147-942e-a0be09b1d428">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcpbdvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19874-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Forced vital capacity [Volume] Respiratory system by Spirometry --post bronchodilation')">(Fvcpbdvolrespiratoryspirometry): The element value SHALL be code '19874-7' codeSystem '2.16.840.1.113883.6.1' displayName='Forced vital capacity [Volume] Respiratory system by Spirometry --post bronchodilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5073
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5073']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5073']]/hl7:text
Item: (Fvcpbdvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5073']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5073']]/hl7:text"
         id="tmp-r-d0d343d7-379a-4fe9-b031-9eaf65df72de">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcpbdvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fvcpbdvolrespiratoryspirometry): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fvcpbdvolrespiratoryspirometry): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5073
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5073']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5073']]/hl7:text/hl7:reference
Item: (Fvcpbdvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5073']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5073']]/hl7:text/hl7:reference"
         id="tmp-r-a1771a49-4e1d-4acf-8cc2-531eb6e940b9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcpbdvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5073
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5073']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5073']]/hl7:statusCode
Item: (Fvcpbdvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5073']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5073']]/hl7:statusCode"
         id="tmp-r-59115605-7a4e-49ee-a99b-6a1050c7a018">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcpbdvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fvcpbdvolrespiratoryspirometry): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fvcpbdvolrespiratoryspirometry): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5073
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5073']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5073']]/hl7:value
Item: (Fvcpbdvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5073']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5073']]/hl7:value"
         id="tmp-r-edd959ab-d19c-4388-b451-e1c2137bea96">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcpbdvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fvcpbdvolrespiratoryspirometry): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fvcpbdvolrespiratoryspirometry): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5073-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fvcpbdvolrespiratoryspirometry): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
