<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5075
Name: FVC pre BD Vol Respiratory
Description: Template Forced vital capacity [Volume] Respiratory system - -pre bronchodilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5075-2014-03-30T000000">
   <title>FVC pre BD Vol Respiratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5075
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5075']]
Item: (Fvcprebdvolrespiratory)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5075
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5075']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5075']]
Item: (Fvcprebdvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5075']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5075']]"
         id="tmp-r-e9ebdcbc-6b46-42e6-b4a6-82551c64dd60">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fvcprebdvolrespiratory): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fvcprebdvolrespiratory): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5075'])&gt;=1 ">(Fvcprebdvolrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5075'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5075'])&lt;=1">(Fvcprebdvolrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5075'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19877-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19877-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fvcprebdvolrespiratory): element hl7:code[(@code='19877-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19877-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fvcprebdvolrespiratory): element hl7:code[(@code='19877-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fvcprebdvolrespiratory): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fvcprebdvolrespiratory): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fvcprebdvolrespiratory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fvcprebdvolrespiratory): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5075
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5075']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5075']]/hl7:templateId
Item: (Fvcprebdvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5075']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5075']]/hl7:templateId"
         id="tmp-r-fff221a9-1afc-413e-86d7-02e942f10a09">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcprebdvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5075'">(Fvcprebdvolrespiratory): @root SHALL have value '2.16.578.1.34.10.5075'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5075
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5075']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5075']]/hl7:code[(@code='19877-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fvcprebdvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5075']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5075']]/hl7:code[(@code='19877-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-202de9f9-dabe-43b3-a2fe-ca0f7b66898f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcprebdvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19877-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Forced vital capacity [Volume] Respiratory system --pre bronchodilation')">(Fvcprebdvolrespiratory): The element value SHALL be code '19877-0' codeSystem '2.16.840.1.113883.6.1' displayName='Forced vital capacity [Volume] Respiratory system --pre bronchodilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5075
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5075']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5075']]/hl7:text
Item: (Fvcprebdvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5075']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5075']]/hl7:text"
         id="tmp-r-7bdde2bd-9d28-4ca9-bc57-76fa48029c21">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcprebdvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fvcprebdvolrespiratory): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fvcprebdvolrespiratory): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5075
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5075']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5075']]/hl7:text/hl7:reference
Item: (Fvcprebdvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5075']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5075']]/hl7:text/hl7:reference"
         id="tmp-r-c8882d56-ccdc-4baa-af9e-f50a72b7b1e9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcprebdvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5075
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5075']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5075']]/hl7:statusCode
Item: (Fvcprebdvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5075']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5075']]/hl7:statusCode"
         id="tmp-r-c67a6087-d03f-492a-be98-68407478ec6b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcprebdvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fvcprebdvolrespiratory): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fvcprebdvolrespiratory): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5075
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5075']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5075']]/hl7:value
Item: (Fvcprebdvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5075']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5075']]/hl7:value"
         id="tmp-r-a1086825-f31c-4b6b-8000-9189448797f1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcprebdvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fvcprebdvolrespiratory): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fvcprebdvolrespiratory): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5075-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fvcprebdvolrespiratory): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
