<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5077
Name: FVC pre BD Vol Respiratory Spirometry
Description: Template Forced vital capacity [Volume] Respiratory system by Spirometry - -pre bronchodilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5077-2014-03-30T000000">
   <title>FVC pre BD Vol Respiratory Spirometry</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5077
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5077']]
Item: (Fvcprebdvolrespiratoryspirometry)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5077
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5077']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5077']]
Item: (Fvcprebdvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5077']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5077']]"
         id="tmp-r-1b9aabb9-04b8-4ad8-9039-86202edb53ed">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fvcprebdvolrespiratoryspirometry): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fvcprebdvolrespiratoryspirometry): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5077'])&gt;=1 ">(Fvcprebdvolrespiratoryspirometry): element hl7:templateId[@root='2.16.578.1.34.10.5077'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5077'])&lt;=1">(Fvcprebdvolrespiratoryspirometry): element hl7:templateId[@root='2.16.578.1.34.10.5077'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19876-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19876-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fvcprebdvolrespiratoryspirometry): element hl7:code[(@code='19876-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19876-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fvcprebdvolrespiratoryspirometry): element hl7:code[(@code='19876-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fvcprebdvolrespiratoryspirometry): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fvcprebdvolrespiratoryspirometry): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fvcprebdvolrespiratoryspirometry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fvcprebdvolrespiratoryspirometry): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5077
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5077']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5077']]/hl7:templateId
Item: (Fvcprebdvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5077']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5077']]/hl7:templateId"
         id="tmp-r-44a2b165-f261-43ed-85f6-a09decea459f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcprebdvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5077'">(Fvcprebdvolrespiratoryspirometry): @root SHALL have value '2.16.578.1.34.10.5077'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5077
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5077']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5077']]/hl7:code[(@code='19876-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fvcprebdvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5077']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5077']]/hl7:code[(@code='19876-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-e2030622-012a-4d0b-bdba-dbd260ef9358">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcprebdvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19876-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Forced vital capacity [Volume] Respiratory system by Spirometry --pre bronchodilation')">(Fvcprebdvolrespiratoryspirometry): The element value SHALL be code '19876-2' codeSystem '2.16.840.1.113883.6.1' displayName='Forced vital capacity [Volume] Respiratory system by Spirometry --pre bronchodilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5077
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5077']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5077']]/hl7:text
Item: (Fvcprebdvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5077']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5077']]/hl7:text"
         id="tmp-r-1cdadc56-d0d4-4d63-8c6d-0b9d9c7923ba">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcprebdvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fvcprebdvolrespiratoryspirometry): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fvcprebdvolrespiratoryspirometry): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5077
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5077']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5077']]/hl7:text/hl7:reference
Item: (Fvcprebdvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5077']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5077']]/hl7:text/hl7:reference"
         id="tmp-r-8cbf7265-8bf4-4386-ad16-a89997ada267">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcprebdvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5077
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5077']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5077']]/hl7:statusCode
Item: (Fvcprebdvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5077']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5077']]/hl7:statusCode"
         id="tmp-r-94c272b9-9aa6-4f04-b9a4-90c8fb5d92f1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcprebdvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fvcprebdvolrespiratoryspirometry): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fvcprebdvolrespiratoryspirometry): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5077
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5077']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5077']]/hl7:value
Item: (Fvcprebdvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5077']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5077']]/hl7:value"
         id="tmp-r-3f2bdd50-02c2-4f5f-bab9-f007d305b520">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcprebdvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fvcprebdvolrespiratoryspirometry): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fvcprebdvolrespiratoryspirometry): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5077-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fvcprebdvolrespiratoryspirometry): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
