<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5079
Name: FVCQA Respiratory PhenX
Description: Template FVC quality attribute Respiratory system [PhenX]
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5079-2014-03-30T000000">
   <title>FVCQA Respiratory PhenX</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5079
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5079']]
Item: (Fvcqarespiratoryphenx)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5079
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5079']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5079']]
Item: (Fvcqarespiratoryphenx)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5079']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5079']]"
         id="tmp-r-1bee88b8-6f0b-497d-8a95-2d49acf38d21">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fvcqarespiratoryphenx): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fvcqarespiratoryphenx): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5079'])&gt;=1 ">(Fvcqarespiratoryphenx): element hl7:templateId[@root='2.16.578.1.34.10.5079'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5079'])&lt;=1">(Fvcqarespiratoryphenx): element hl7:templateId[@root='2.16.578.1.34.10.5079'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="count(hl7:code[(@code='64592-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='64592-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fvcqarespiratoryphenx): element hl7:code[(@code='64592-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="count(hl7:code[(@code='64592-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fvcqarespiratoryphenx): element hl7:code[(@code='64592-9' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fvcqarespiratoryphenx): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fvcqarespiratoryphenx): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fvcqarespiratoryphenx): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fvcqarespiratoryphenx): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5079
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5079']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5079']]/hl7:templateId
Item: (Fvcqarespiratoryphenx)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5079']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5079']]/hl7:templateId"
         id="tmp-r-dedcbc60-f36e-4b71-851c-544fddc59f7d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcqarespiratoryphenx): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5079'">(Fvcqarespiratoryphenx): @root SHALL have value '2.16.578.1.34.10.5079'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5079
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5079']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5079']]/hl7:code[(@code='64592-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fvcqarespiratoryphenx)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5079']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5079']]/hl7:code[(@code='64592-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-4040244b-0f28-4673-a70e-7efb7f580fe7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcqarespiratoryphenx): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="@nullFlavor or (@code='64592-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FVC quality attribute Respiratory system [PhenX]')">(Fvcqarespiratoryphenx): The element value SHALL be code '64592-9' codeSystem '2.16.840.1.113883.6.1' displayName='FVC quality attribute Respiratory system [PhenX]'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5079
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5079']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5079']]/hl7:text
Item: (Fvcqarespiratoryphenx)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5079']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5079']]/hl7:text"
         id="tmp-r-3eec182a-dc00-452f-a3d5-77c6bb967462">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcqarespiratoryphenx): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fvcqarespiratoryphenx): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fvcqarespiratoryphenx): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5079
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5079']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5079']]/hl7:text/hl7:reference
Item: (Fvcqarespiratoryphenx)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5079']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5079']]/hl7:text/hl7:reference"
         id="tmp-r-8666d8e2-4fc6-46f5-b4d3-dd95e68ed600">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcqarespiratoryphenx): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5079
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5079']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5079']]/hl7:statusCode
Item: (Fvcqarespiratoryphenx)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5079']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5079']]/hl7:statusCode"
         id="tmp-r-7c5b3094-a322-465a-a86a-6d0baa3e5b6e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fvcqarespiratoryphenx): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fvcqarespiratoryphenx): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5079-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fvcqarespiratoryphenx): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5079
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5079']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5079']]/hl7:value
Item: (Fvcqarespiratoryphenx)
-->
</pattern>
