<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5085
Name: Gas flow FEV 25-75% airway
Description: Template Gas flow FEV 25%-75% airway
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5085-2014-03-30T000000">
   <title>Gas flow FEV 25-75% airway</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5085
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5085']]
Item: (Gasflowfev2575airway)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5085
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5085']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5085']]
Item: (Gasflowfev2575airway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5085']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5085']]"
         id="tmp-r-a5f31c1c-b051-4fde-b398-83b6c143fd64">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Gasflowfev2575airway): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Gasflowfev2575airway): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5085'])&gt;=1 ">(Gasflowfev2575airway): element hl7:templateId[@root='2.16.578.1.34.10.5085'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5085'])&lt;=1">(Gasflowfev2575airway): element hl7:templateId[@root='2.16.578.1.34.10.5085'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19945-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19945-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Gasflowfev2575airway): element hl7:code[(@code='19945-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19945-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Gasflowfev2575airway): element hl7:code[(@code='19945-5' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Gasflowfev2575airway): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Gasflowfev2575airway): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Gasflowfev2575airway): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Gasflowfev2575airway): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5085
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5085']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5085']]/hl7:templateId
Item: (Gasflowfev2575airway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5085']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5085']]/hl7:templateId"
         id="tmp-r-eccb56e2-d87c-4088-b759-cce23175f074">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev2575airway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5085'">(Gasflowfev2575airway): @root SHALL have value '2.16.578.1.34.10.5085'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5085
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5085']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5085']]/hl7:code[(@code='19945-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Gasflowfev2575airway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5085']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5085']]/hl7:code[(@code='19945-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-be719239-9a92-41de-a068-bb8767ec7f5d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev2575airway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19945-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Gas flow FEV 25%-75% airway')">(Gasflowfev2575airway): The element value SHALL be code '19945-5' codeSystem '2.16.840.1.113883.6.1' displayName='Gas flow FEV 25%-75% airway'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5085
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5085']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5085']]/hl7:text
Item: (Gasflowfev2575airway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5085']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5085']]/hl7:text"
         id="tmp-r-da47b803-1285-4b73-9468-dcc1255051cd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev2575airway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Gasflowfev2575airway): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Gasflowfev2575airway): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5085
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5085']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5085']]/hl7:text/hl7:reference
Item: (Gasflowfev2575airway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5085']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5085']]/hl7:text/hl7:reference"
         id="tmp-r-4eff8354-e398-4592-b1dd-188f09df6485">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev2575airway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5085
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5085']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5085']]/hl7:statusCode
Item: (Gasflowfev2575airway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5085']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5085']]/hl7:statusCode"
         id="tmp-r-d365a1d5-0762-4ced-9053-fdcf9c2d22c7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev2575airway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Gasflowfev2575airway): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Gasflowfev2575airway): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5085
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5085']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5085']]/hl7:value
Item: (Gasflowfev2575airway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5085']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5085']]/hl7:value"
         id="tmp-r-68b83aa0-04a7-4f4e-bbed-04a88ad246bb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev2575airway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/s'))">(Gasflowfev2575airway): value SHALL use unit 'L/s' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Gasflowfev2575airway): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5085-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Gasflowfev2575airway): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
