<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5089
Name: FEF 25-75% pre BD
Description: Template FEF 25-75% - -pre bronchodilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5089-2014-03-30T000000">
   <title>FEF 25-75% pre BD</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5089
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5089']]
Item: (Fef2575prebd)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5089
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5089']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5089']]
Item: (Fef2575prebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5089']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5089']]"
         id="tmp-r-8ffc4717-26c9-4dcc-9076-fc0f5a0431ab">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fef2575prebd): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fef2575prebd): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5089'])&gt;=1 ">(Fef2575prebd): element hl7:templateId[@root='2.16.578.1.34.10.5089'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5089'])&lt;=1">(Fef2575prebd): element hl7:templateId[@root='2.16.578.1.34.10.5089'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69972-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='69972-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fef2575prebd): element hl7:code[(@code='69972-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69972-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fef2575prebd): element hl7:code[(@code='69972-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fef2575prebd): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fef2575prebd): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fef2575prebd): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fef2575prebd): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5089
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5089']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5089']]/hl7:templateId
Item: (Fef2575prebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5089']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5089']]/hl7:templateId"
         id="tmp-r-a82bd08f-4adb-45cc-8d92-e9b16292e5fb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef2575prebd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5089'">(Fef2575prebd): @root SHALL have value '2.16.578.1.34.10.5089'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5089
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5089']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5089']]/hl7:code[(@code='69972-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fef2575prebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5089']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5089']]/hl7:code[(@code='69972-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-c1823678-ae19-438d-a99a-18e56cfcf5f7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef2575prebd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="@nullFlavor or (@code='69972-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEF 25-75% --pre bronchodilation')">(Fef2575prebd): The element value SHALL be code '69972-8' codeSystem '2.16.840.1.113883.6.1' displayName='FEF 25-75% --pre bronchodilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5089
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5089']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5089']]/hl7:text
Item: (Fef2575prebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5089']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5089']]/hl7:text"
         id="tmp-r-5d2d180a-4c67-4da5-9994-59fc7b8a02c4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef2575prebd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fef2575prebd): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fef2575prebd): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5089
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5089']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5089']]/hl7:text/hl7:reference
Item: (Fef2575prebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5089']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5089']]/hl7:text/hl7:reference"
         id="tmp-r-78d7b116-226e-413b-98ea-c592ee0115db">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef2575prebd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5089
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5089']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5089']]/hl7:statusCode
Item: (Fef2575prebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5089']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5089']]/hl7:statusCode"
         id="tmp-r-b2a8b560-2de0-4489-b489-36039ab563c3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef2575prebd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fef2575prebd): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fef2575prebd): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5089
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5089']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5089']]/hl7:value
Item: (Fef2575prebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5089']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5089']]/hl7:value"
         id="tmp-r-f5362e64-b543-419e-9437-b29143d7abd4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef2575prebd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/s'))">(Fef2575prebd): value SHALL use unit 'L/s' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fef2575prebd): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5089-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fef2575prebd): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
