<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5091
Name: Gas flow FEV 25%
Description: Template Gas flow FEV 25%
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5091-2014-03-30T000000">
   <title>Gas flow FEV 25%</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5091
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5091']]
Item: (Gasflowfev25)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5091
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5091']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5091']]
Item: (Gasflowfev25)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5091']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5091']]"
         id="tmp-r-588e09db-7a00-431a-bffe-25d238f84857">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Gasflowfev25): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Gasflowfev25): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5091'])&gt;=1 ">(Gasflowfev25): element hl7:templateId[@root='2.16.578.1.34.10.5091'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5091'])&lt;=1">(Gasflowfev25): element hl7:templateId[@root='2.16.578.1.34.10.5091'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="count(hl7:code[(@code='65821-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='65821-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Gasflowfev25): element hl7:code[(@code='65821-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="count(hl7:code[(@code='65821-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Gasflowfev25): element hl7:code[(@code='65821-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Gasflowfev25): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Gasflowfev25): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Gasflowfev25): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Gasflowfev25): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5091
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5091']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5091']]/hl7:templateId
Item: (Gasflowfev25)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5091']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5091']]/hl7:templateId"
         id="tmp-r-80309b44-f03b-4891-869a-6a67c6517094">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev25): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5091'">(Gasflowfev25): @root SHALL have value '2.16.578.1.34.10.5091'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5091
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5091']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5091']]/hl7:code[(@code='65821-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Gasflowfev25)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5091']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5091']]/hl7:code[(@code='65821-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-1a46c4da-30ed-4ea1-959f-c043f26c4055">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev25): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="@nullFlavor or (@code='65821-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Gas flow FEV 25%')">(Gasflowfev25): The element value SHALL be code '65821-1' codeSystem '2.16.840.1.113883.6.1' displayName='Gas flow FEV 25%'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5091
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5091']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5091']]/hl7:text
Item: (Gasflowfev25)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5091']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5091']]/hl7:text"
         id="tmp-r-49474e93-44b4-4743-8090-f851a1be0609">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev25): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Gasflowfev25): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Gasflowfev25): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5091
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5091']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5091']]/hl7:text/hl7:reference
Item: (Gasflowfev25)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5091']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5091']]/hl7:text/hl7:reference"
         id="tmp-r-b2d1edc8-2aef-4f9a-a6f0-7527055c6f1a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev25): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5091
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5091']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5091']]/hl7:statusCode
Item: (Gasflowfev25)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5091']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5091']]/hl7:statusCode"
         id="tmp-r-83906c31-ef71-4817-b343-1cf3b6bc3f6c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev25): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Gasflowfev25): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Gasflowfev25): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5091
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5091']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5091']]/hl7:value
Item: (Gasflowfev25)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5091']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5091']]/hl7:value"
         id="tmp-r-8d1d8a2d-89ef-4ab5-9da9-3cb80c011c72">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev25): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/s'))">(Gasflowfev25): value SHALL use unit 'L/s' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Gasflowfev25): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5091-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Gasflowfev25): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
