<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5093
Name: Gas flow FEV 50%
Description: Template Gas flow FEV 50%
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5093-2014-03-30T000000">
   <title>Gas flow FEV 50%</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5093
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5093']]
Item: (Gasflowfev50)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5093
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5093']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5093']]
Item: (Gasflowfev50)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5093']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5093']]"
         id="tmp-r-83ec233a-a1d2-47c4-bc32-9ff007d07e89">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Gasflowfev50): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Gasflowfev50): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5093'])&gt;=1 ">(Gasflowfev50): element hl7:templateId[@root='2.16.578.1.34.10.5093'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5093'])&lt;=1">(Gasflowfev50): element hl7:templateId[@root='2.16.578.1.34.10.5093'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="count(hl7:code[(@code='65822-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='65822-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Gasflowfev50): element hl7:code[(@code='65822-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="count(hl7:code[(@code='65822-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Gasflowfev50): element hl7:code[(@code='65822-9' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Gasflowfev50): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Gasflowfev50): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Gasflowfev50): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Gasflowfev50): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5093
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5093']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5093']]/hl7:templateId
Item: (Gasflowfev50)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5093']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5093']]/hl7:templateId"
         id="tmp-r-d8a6ac5e-de6d-4a37-8ad7-3564f83bbfdd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev50): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5093'">(Gasflowfev50): @root SHALL have value '2.16.578.1.34.10.5093'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5093
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5093']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5093']]/hl7:code[(@code='65822-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Gasflowfev50)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5093']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5093']]/hl7:code[(@code='65822-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-532aa52e-cd4e-48bb-b3fc-f8e686e42716">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev50): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="@nullFlavor or (@code='65822-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Gas flow FEV 50%')">(Gasflowfev50): The element value SHALL be code '65822-9' codeSystem '2.16.840.1.113883.6.1' displayName='Gas flow FEV 50%'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5093
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5093']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5093']]/hl7:text
Item: (Gasflowfev50)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5093']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5093']]/hl7:text"
         id="tmp-r-c7cc1eec-f71d-4237-9985-ec70bd04e882">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev50): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Gasflowfev50): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Gasflowfev50): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5093
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5093']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5093']]/hl7:text/hl7:reference
Item: (Gasflowfev50)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5093']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5093']]/hl7:text/hl7:reference"
         id="tmp-r-43a2f896-2f8a-4e26-a712-7aeb89f5f633">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev50): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5093
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5093']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5093']]/hl7:statusCode
Item: (Gasflowfev50)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5093']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5093']]/hl7:statusCode"
         id="tmp-r-34ad507c-5bc3-453e-a4fc-21243ddea5d3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev50): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Gasflowfev50): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Gasflowfev50): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5093
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5093']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5093']]/hl7:value
Item: (Gasflowfev50)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5093']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5093']]/hl7:value"
         id="tmp-r-5dfe8667-aa72-49ff-93c8-4f3d55cfb73f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev50): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/s'))">(Gasflowfev50): value SHALL use unit 'L/s' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Gasflowfev50): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5093-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Gasflowfev50): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
