<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5095
Name: FEF 50%/FIV 50% p BD
Description: Template FEF 50%/FIV 50% - -post bronchodilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5095-2014-03-30T000000">
   <title>FEF 50%/FIV 50% p BD</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5095
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5095']]
Item: (Fef50fiv50pbd)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5095
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5095']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5095']]
Item: (Fef50fiv50pbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5095']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5095']]"
         id="tmp-r-83347e93-495b-4df2-91a1-263c0e8bb376">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fef50fiv50pbd): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fef50fiv50pbd): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5095'])&gt;=1 ">(Fef50fiv50pbd): element hl7:templateId[@root='2.16.578.1.34.10.5095'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5095'])&lt;=1">(Fef50fiv50pbd): element hl7:templateId[@root='2.16.578.1.34.10.5095'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69980-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='69980-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fef50fiv50pbd): element hl7:code[(@code='69980-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69980-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fef50fiv50pbd): element hl7:code[(@code='69980-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fef50fiv50pbd): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fef50fiv50pbd): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fef50fiv50pbd): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fef50fiv50pbd): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5095
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5095']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5095']]/hl7:templateId
Item: (Fef50fiv50pbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5095']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5095']]/hl7:templateId"
         id="tmp-r-9dca9bb8-d133-4ef1-afd3-78e4dab726d1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef50fiv50pbd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5095'">(Fef50fiv50pbd): @root SHALL have value '2.16.578.1.34.10.5095'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5095
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5095']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5095']]/hl7:code[(@code='69980-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fef50fiv50pbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5095']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5095']]/hl7:code[(@code='69980-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-dfcfc2a6-cf98-457e-9ed5-f23afcc95718">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef50fiv50pbd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="@nullFlavor or (@code='69980-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEF 50%/FIV 50% --post bronchodilation')">(Fef50fiv50pbd): The element value SHALL be code '69980-1' codeSystem '2.16.840.1.113883.6.1' displayName='FEF 50%/FIV 50% --post bronchodilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5095
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5095']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5095']]/hl7:text
Item: (Fef50fiv50pbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5095']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5095']]/hl7:text"
         id="tmp-r-e886a230-1f34-4425-96aa-07fa68786e1e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef50fiv50pbd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fef50fiv50pbd): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fef50fiv50pbd): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5095
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5095']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5095']]/hl7:text/hl7:reference
Item: (Fef50fiv50pbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5095']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5095']]/hl7:text/hl7:reference"
         id="tmp-r-8b9d0ae4-0ecc-44e2-a692-9dbfd303f2ab">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef50fiv50pbd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5095
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5095']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5095']]/hl7:statusCode
Item: (Fef50fiv50pbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5095']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5095']]/hl7:statusCode"
         id="tmp-r-bcac6df9-1921-4b8f-94b5-380973d6019f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef50fiv50pbd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fef50fiv50pbd): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5095-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fef50fiv50pbd): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5095
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5095']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5095']]/hl7:value
Item: (Fef50fiv50pbd)
-->
</pattern>
