<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5103
Name: Gas flow FEV 75%
Description: Template Gas flow FEV 75%
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5103-2014-03-30T000000">
   <title>Gas flow FEV 75%</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5103
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5103']]
Item: (Gasflowfev75)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5103
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5103']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5103']]
Item: (Gasflowfev75)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5103']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5103']]"
         id="tmp-r-f936b87a-eb24-4766-b848-29dc083ad959">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Gasflowfev75): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Gasflowfev75): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5103'])&gt;=1 ">(Gasflowfev75): element hl7:templateId[@root='2.16.578.1.34.10.5103'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5103'])&lt;=1">(Gasflowfev75): element hl7:templateId[@root='2.16.578.1.34.10.5103'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="count(hl7:code[(@code='65823-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='65823-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Gasflowfev75): element hl7:code[(@code='65823-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="count(hl7:code[(@code='65823-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Gasflowfev75): element hl7:code[(@code='65823-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Gasflowfev75): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Gasflowfev75): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Gasflowfev75): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Gasflowfev75): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5103
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5103']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5103']]/hl7:templateId
Item: (Gasflowfev75)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5103']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5103']]/hl7:templateId"
         id="tmp-r-b29109d0-3544-463e-8e41-b41b306c0fc7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev75): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5103'">(Gasflowfev75): @root SHALL have value '2.16.578.1.34.10.5103'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5103
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5103']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5103']]/hl7:code[(@code='65823-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Gasflowfev75)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5103']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5103']]/hl7:code[(@code='65823-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-d3894f0f-c8af-4bc2-9d22-0f077781cd53">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev75): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="@nullFlavor or (@code='65823-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Gas flow FEV 75%')">(Gasflowfev75): The element value SHALL be code '65823-7' codeSystem '2.16.840.1.113883.6.1' displayName='Gas flow FEV 75%'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5103
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5103']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5103']]/hl7:text
Item: (Gasflowfev75)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5103']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5103']]/hl7:text"
         id="tmp-r-204af7f8-c7e1-4bc2-925e-074085f52caf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev75): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Gasflowfev75): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Gasflowfev75): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5103
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5103']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5103']]/hl7:text/hl7:reference
Item: (Gasflowfev75)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5103']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5103']]/hl7:text/hl7:reference"
         id="tmp-r-60ddb5a6-e351-4629-81fc-3603860d15ae">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev75): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5103
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5103']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5103']]/hl7:statusCode
Item: (Gasflowfev75)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5103']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5103']]/hl7:statusCode"
         id="tmp-r-5626b0ce-551e-41ca-ae9a-15938ef73bda">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev75): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Gasflowfev75): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Gasflowfev75): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5103
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5103']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5103']]/hl7:value
Item: (Gasflowfev75)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5103']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5103']]/hl7:value"
         id="tmp-r-a484fe96-c637-43fe-9217-7f9d1d89d234">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowfev75): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/s'))">(Gasflowfev75): value SHALL use unit 'L/s' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Gasflowfev75): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5103-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Gasflowfev75): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
