<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5107
Name: Peak flow measure dur Airway PFM
Description: Template Peak flow measure duration Respiratory system airway by Peak flow meter
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5107-2014-03-30T000000">
   <title>Peak flow measure dur Airway PFM</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5107
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5107']]
Item: (Peakflowmeasuredurairwaypfm)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5107
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5107']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5107']]
Item: (Peakflowmeasuredurairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5107']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5107']]"
         id="tmp-r-4fd90786-1db0-496c-b3d0-02b5ad1341bd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Peakflowmeasuredurairwaypfm): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Peakflowmeasuredurairwaypfm): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5107'])&gt;=1 ">(Peakflowmeasuredurairwaypfm): element hl7:templateId[@root='2.16.578.1.34.10.5107'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5107'])&lt;=1">(Peakflowmeasuredurairwaypfm): element hl7:templateId[@root='2.16.578.1.34.10.5107'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="count(hl7:code[(@code='41935-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='41935-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Peakflowmeasuredurairwaypfm): element hl7:code[(@code='41935-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="count(hl7:code[(@code='41935-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Peakflowmeasuredurairwaypfm): element hl7:code[(@code='41935-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Peakflowmeasuredurairwaypfm): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Peakflowmeasuredurairwaypfm): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Peakflowmeasuredurairwaypfm): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Peakflowmeasuredurairwaypfm): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5107
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5107']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5107']]/hl7:templateId
Item: (Peakflowmeasuredurairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5107']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5107']]/hl7:templateId"
         id="tmp-r-7956bea0-228f-424c-9d9c-169716762a24">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Peakflowmeasuredurairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5107'">(Peakflowmeasuredurairwaypfm): @root SHALL have value '2.16.578.1.34.10.5107'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5107
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5107']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5107']]/hl7:code[(@code='41935-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Peakflowmeasuredurairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5107']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5107']]/hl7:code[(@code='41935-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-89c250d8-8213-4535-9098-6a94f447010e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Peakflowmeasuredurairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="@nullFlavor or (@code='41935-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Peak flow measure duration Respiratory system airway by Peak flow meter')">(Peakflowmeasuredurairwaypfm): The element value SHALL be code '41935-8' codeSystem '2.16.840.1.113883.6.1' displayName='Peak flow measure duration Respiratory system airway by Peak flow meter'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5107
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5107']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5107']]/hl7:text
Item: (Peakflowmeasuredurairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5107']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5107']]/hl7:text"
         id="tmp-r-9b60a51f-7059-4f5c-bb3a-bfaafec48851">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Peakflowmeasuredurairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Peakflowmeasuredurairwaypfm): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Peakflowmeasuredurairwaypfm): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5107
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5107']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5107']]/hl7:text/hl7:reference
Item: (Peakflowmeasuredurairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5107']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5107']]/hl7:text/hl7:reference"
         id="tmp-r-16969064-b29a-46cf-99ab-ab4618be2d41">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Peakflowmeasuredurairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5107
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5107']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5107']]/hl7:statusCode
Item: (Peakflowmeasuredurairwaypfm)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5107']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5107']]/hl7:statusCode"
         id="tmp-r-b764d66f-f378-4060-bfae-06da04a73368">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Peakflowmeasuredurairwaypfm): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Peakflowmeasuredurairwaypfm): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5107-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Peakflowmeasuredurairwaypfm): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5107
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5107']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5107']]/hl7:value
Item: (Peakflowmeasuredurairwaypfm)
-->
</pattern>
