<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5111
Name: Pmax @ 1.0 L/s on vent Airway opening
Description: Template Peak inspiratory flow Respiratory system airway opening - -at 1.0 liter per second on ventilator
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5111-2014-03-30T000000">
   <title>Pmax @ 1.0 L/s on vent Airway opening</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5111
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5111']]
Item: (Pmax10lsonventairwayopening)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5111
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5111']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5111']]
Item: (Pmax10lsonventairwayopening)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5111']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5111']]"
         id="tmp-r-429593af-26c7-4c87-8495-9c8b0ae7c1e6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Pmax10lsonventairwayopening): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Pmax10lsonventairwayopening): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5111'])&gt;=1 ">(Pmax10lsonventairwayopening): element hl7:templateId[@root='2.16.578.1.34.10.5111'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5111'])&lt;=1">(Pmax10lsonventairwayopening): element hl7:templateId[@root='2.16.578.1.34.10.5111'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20037-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20037-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Pmax10lsonventairwayopening): element hl7:code[(@code='20037-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20037-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Pmax10lsonventairwayopening): element hl7:code[(@code='20037-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Pmax10lsonventairwayopening): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Pmax10lsonventairwayopening): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Pmax10lsonventairwayopening): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Pmax10lsonventairwayopening): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5111
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5111']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5111']]/hl7:templateId
Item: (Pmax10lsonventairwayopening)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5111']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5111']]/hl7:templateId"
         id="tmp-r-108b2bad-7bb3-41bf-96df-5732f96b7884">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pmax10lsonventairwayopening): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5111'">(Pmax10lsonventairwayopening): @root SHALL have value '2.16.578.1.34.10.5111'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5111
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5111']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5111']]/hl7:code[(@code='20037-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Pmax10lsonventairwayopening)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5111']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5111']]/hl7:code[(@code='20037-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-00edeb00-16ca-4f63-a5cb-e17de064db4f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pmax10lsonventairwayopening): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20037-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Peak inspiratory flow Respiratory system airway opening --at 1.0 liter per second on ventilator')">(Pmax10lsonventairwayopening): The element value SHALL be code '20037-8' codeSystem '2.16.840.1.113883.6.1' displayName='Peak inspiratory flow Respiratory system airway opening --at 1.0 liter per second on ventilator'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5111
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5111']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5111']]/hl7:text
Item: (Pmax10lsonventairwayopening)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5111']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5111']]/hl7:text"
         id="tmp-r-525a613b-94d7-45b6-bab3-199b2b99942e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pmax10lsonventairwayopening): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Pmax10lsonventairwayopening): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Pmax10lsonventairwayopening): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5111
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5111']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5111']]/hl7:text/hl7:reference
Item: (Pmax10lsonventairwayopening)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5111']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5111']]/hl7:text/hl7:reference"
         id="tmp-r-ce2bae1e-028e-4be0-aff0-610cc17b44fc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pmax10lsonventairwayopening): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5111
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5111']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5111']]/hl7:statusCode
Item: (Pmax10lsonventairwayopening)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5111']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5111']]/hl7:statusCode"
         id="tmp-r-fd741521-44cc-44fa-b361-ec6b74508bba">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pmax10lsonventairwayopening): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Pmax10lsonventairwayopening): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5111-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Pmax10lsonventairwayopening): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5111
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5111']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5111']]/hl7:value
Item: (Pmax10lsonventairwayopening)
-->
</pattern>
