<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5117
Name: Pmax @ 2.5 L/s on vent Airway opening
Description: Template Peak inspiratory flow Respiratory system airway opening - -at 2.5 liter per second on ventilator
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5117-2014-03-30T000000">
   <title>Pmax @ 2.5 L/s on vent Airway opening</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5117
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5117']]
Item: (Pmax25lsonventairwayopening)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5117
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5117']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5117']]
Item: (Pmax25lsonventairwayopening)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5117']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5117']]"
         id="tmp-r-8ef3d75b-0333-46f2-88f8-1fd9c43b01e0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Pmax25lsonventairwayopening): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Pmax25lsonventairwayopening): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5117'])&gt;=1 ">(Pmax25lsonventairwayopening): element hl7:templateId[@root='2.16.578.1.34.10.5117'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5117'])&lt;=1">(Pmax25lsonventairwayopening): element hl7:templateId[@root='2.16.578.1.34.10.5117'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20049-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20049-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Pmax25lsonventairwayopening): element hl7:code[(@code='20049-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20049-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Pmax25lsonventairwayopening): element hl7:code[(@code='20049-3' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Pmax25lsonventairwayopening): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Pmax25lsonventairwayopening): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Pmax25lsonventairwayopening): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Pmax25lsonventairwayopening): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5117
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5117']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5117']]/hl7:templateId
Item: (Pmax25lsonventairwayopening)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5117']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5117']]/hl7:templateId"
         id="tmp-r-12725604-0de0-40ac-aeeb-5e271cc48cb4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pmax25lsonventairwayopening): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5117'">(Pmax25lsonventairwayopening): @root SHALL have value '2.16.578.1.34.10.5117'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5117
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5117']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5117']]/hl7:code[(@code='20049-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Pmax25lsonventairwayopening)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5117']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5117']]/hl7:code[(@code='20049-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-c05ccde3-c678-4e55-9a71-bb96fc6e550b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pmax25lsonventairwayopening): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20049-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Peak inspiratory flow Respiratory system airway opening --at 2.5 liter per second on ventilator')">(Pmax25lsonventairwayopening): The element value SHALL be code '20049-3' codeSystem '2.16.840.1.113883.6.1' displayName='Peak inspiratory flow Respiratory system airway opening --at 2.5 liter per second on ventilator'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5117
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5117']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5117']]/hl7:text
Item: (Pmax25lsonventairwayopening)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5117']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5117']]/hl7:text"
         id="tmp-r-94ee163a-bda7-4cff-ba2a-4305c6ba459c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pmax25lsonventairwayopening): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Pmax25lsonventairwayopening): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Pmax25lsonventairwayopening): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5117
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5117']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5117']]/hl7:text/hl7:reference
Item: (Pmax25lsonventairwayopening)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5117']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5117']]/hl7:text/hl7:reference"
         id="tmp-r-68f12a96-54ca-4fa5-be4e-912efdc1aa9a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pmax25lsonventairwayopening): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5117
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5117']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5117']]/hl7:statusCode
Item: (Pmax25lsonventairwayopening)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5117']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5117']]/hl7:statusCode"
         id="tmp-r-7fe2e041-01bc-4393-9313-ac9d2681a844">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pmax25lsonventairwayopening): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Pmax25lsonventairwayopening): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5117-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Pmax25lsonventairwayopening): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5117
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5117']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5117']]/hl7:value
Item: (Pmax25lsonventairwayopening)
-->
</pattern>
