<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5119
Name: VC Vol Respiratory
Description: Template Vital capacity [Volume] Respiratory system
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5119-2014-03-30T000000">
   <title>VC Vol Respiratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5119
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5119']]
Item: (Vcvolrespiratory)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5119
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5119']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5119']]
Item: (Vcvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5119']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5119']]"
         id="tmp-r-039a0202-2fb4-48f5-93fc-2259daf33de1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Vcvolrespiratory): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Vcvolrespiratory): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5119'])&gt;=1 ">(Vcvolrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5119'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5119'])&lt;=1">(Vcvolrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5119'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19867-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19867-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Vcvolrespiratory): element hl7:code[(@code='19867-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19867-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Vcvolrespiratory): element hl7:code[(@code='19867-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Vcvolrespiratory): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Vcvolrespiratory): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Vcvolrespiratory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Vcvolrespiratory): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5119
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5119']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5119']]/hl7:templateId
Item: (Vcvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5119']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5119']]/hl7:templateId"
         id="tmp-r-9daefe23-77a0-4385-a9a2-b8d107eced6d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5119'">(Vcvolrespiratory): @root SHALL have value '2.16.578.1.34.10.5119'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5119
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5119']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5119']]/hl7:code[(@code='19867-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Vcvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5119']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5119']]/hl7:code[(@code='19867-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-1f322073-19bb-4ca3-8d45-6beddb9e8d92">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19867-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Vital capacity [Volume] Respiratory system')">(Vcvolrespiratory): The element value SHALL be code '19867-1' codeSystem '2.16.840.1.113883.6.1' displayName='Vital capacity [Volume] Respiratory system'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5119
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5119']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5119']]/hl7:text
Item: (Vcvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5119']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5119']]/hl7:text"
         id="tmp-r-d8c74237-aaf9-4b9f-8b95-23d4001fe6d9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Vcvolrespiratory): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Vcvolrespiratory): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5119
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5119']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5119']]/hl7:text/hl7:reference
Item: (Vcvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5119']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5119']]/hl7:text/hl7:reference"
         id="tmp-r-9887a85e-eba2-4369-9b02-46ac340d0e3a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5119
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5119']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5119']]/hl7:statusCode
Item: (Vcvolrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5119']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5119']]/hl7:statusCode"
         id="tmp-r-099c085d-1737-44e0-aa4e-266aa914e9ec">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Vcvolrespiratory): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5119-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Vcvolrespiratory): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5119
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5119']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5119']]/hl7:value
Item: (Vcvolrespiratory)
-->
</pattern>
