<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5121
Name: VC Vol Respiratory He Rebreath
Description: Template Vital capacity [Volume] Respiratory system by Helium rebreathing
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5121-2014-03-30T000000">
   <title>VC Vol Respiratory He Rebreath</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5121
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5121']]
Item: (Vcvolrespiratoryherebreath)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5121
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5121']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5121']]
Item: (Vcvolrespiratoryherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5121']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5121']]"
         id="tmp-r-28f53816-1878-4ca7-80ac-7729f8bf1349">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Vcvolrespiratoryherebreath): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Vcvolrespiratoryherebreath): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5121'])&gt;=1 ">(Vcvolrespiratoryherebreath): element hl7:templateId[@root='2.16.578.1.34.10.5121'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5121'])&lt;=1">(Vcvolrespiratoryherebreath): element hl7:templateId[@root='2.16.578.1.34.10.5121'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19863-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19863-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Vcvolrespiratoryherebreath): element hl7:code[(@code='19863-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19863-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Vcvolrespiratoryherebreath): element hl7:code[(@code='19863-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Vcvolrespiratoryherebreath): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Vcvolrespiratoryherebreath): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Vcvolrespiratoryherebreath): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Vcvolrespiratoryherebreath): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5121
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5121']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5121']]/hl7:templateId
Item: (Vcvolrespiratoryherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5121']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5121']]/hl7:templateId"
         id="tmp-r-cb870178-0e37-4a09-b382-19f1182b3216">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratoryherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5121'">(Vcvolrespiratoryherebreath): @root SHALL have value '2.16.578.1.34.10.5121'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5121
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5121']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5121']]/hl7:code[(@code='19863-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Vcvolrespiratoryherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5121']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5121']]/hl7:code[(@code='19863-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-40ce6575-1b6c-48cf-813b-d49a20680956">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratoryherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19863-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Vital capacity [Volume] Respiratory system by Helium rebreathing')">(Vcvolrespiratoryherebreath): The element value SHALL be code '19863-0' codeSystem '2.16.840.1.113883.6.1' displayName='Vital capacity [Volume] Respiratory system by Helium rebreathing'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5121
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5121']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5121']]/hl7:text
Item: (Vcvolrespiratoryherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5121']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5121']]/hl7:text"
         id="tmp-r-9ad875c8-e896-4f60-b800-ecfb428eb169">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratoryherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Vcvolrespiratoryherebreath): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Vcvolrespiratoryherebreath): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5121
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5121']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5121']]/hl7:text/hl7:reference
Item: (Vcvolrespiratoryherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5121']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5121']]/hl7:text/hl7:reference"
         id="tmp-r-f777aebe-5681-4d18-a7b5-48201597da34">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratoryherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5121
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5121']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5121']]/hl7:statusCode
Item: (Vcvolrespiratoryherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5121']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5121']]/hl7:statusCode"
         id="tmp-r-ec1247b9-9c5a-44ee-9bdb-4cf449f34d9c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratoryherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Vcvolrespiratoryherebreath): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5121-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Vcvolrespiratoryherebreath): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5121
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5121']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5121']]/hl7:value
Item: (Vcvolrespiratoryherebreath)
-->
</pattern>
