<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5123
Name: VC Vol Respiratory He SB
Description: Template Vital capacity [Volume] Respiratory system by Helium single breath
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5123-2014-03-30T000000">
   <title>VC Vol Respiratory He SB</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5123
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5123']]
Item: (Vcvolrespiratoryhesb)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5123
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5123']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5123']]
Item: (Vcvolrespiratoryhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5123']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5123']]"
         id="tmp-r-d24c557e-5dd5-407b-86de-f58f9c8f4c26">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Vcvolrespiratoryhesb): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Vcvolrespiratoryhesb): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5123'])&gt;=1 ">(Vcvolrespiratoryhesb): element hl7:templateId[@root='2.16.578.1.34.10.5123'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5123'])&lt;=1">(Vcvolrespiratoryhesb): element hl7:templateId[@root='2.16.578.1.34.10.5123'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19864-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19864-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Vcvolrespiratoryhesb): element hl7:code[(@code='19864-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19864-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Vcvolrespiratoryhesb): element hl7:code[(@code='19864-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Vcvolrespiratoryhesb): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Vcvolrespiratoryhesb): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Vcvolrespiratoryhesb): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Vcvolrespiratoryhesb): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5123
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5123']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5123']]/hl7:templateId
Item: (Vcvolrespiratoryhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5123']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5123']]/hl7:templateId"
         id="tmp-r-ab2bfe9e-d129-4ba1-8446-5b77268d94ba">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratoryhesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5123'">(Vcvolrespiratoryhesb): @root SHALL have value '2.16.578.1.34.10.5123'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5123
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5123']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5123']]/hl7:code[(@code='19864-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Vcvolrespiratoryhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5123']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5123']]/hl7:code[(@code='19864-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-647f7eaf-70d6-4630-9ea2-cd3eacfc3a55">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratoryhesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19864-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Vital capacity [Volume] Respiratory system by Helium single breath')">(Vcvolrespiratoryhesb): The element value SHALL be code '19864-8' codeSystem '2.16.840.1.113883.6.1' displayName='Vital capacity [Volume] Respiratory system by Helium single breath'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5123
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5123']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5123']]/hl7:text
Item: (Vcvolrespiratoryhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5123']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5123']]/hl7:text"
         id="tmp-r-ec71e4e4-f224-4773-b028-004068af4928">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratoryhesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Vcvolrespiratoryhesb): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Vcvolrespiratoryhesb): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5123
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5123']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5123']]/hl7:text/hl7:reference
Item: (Vcvolrespiratoryhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5123']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5123']]/hl7:text/hl7:reference"
         id="tmp-r-6dbb4d88-8b61-45e7-9c59-e7fdb81c0752">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratoryhesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5123
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5123']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5123']]/hl7:statusCode
Item: (Vcvolrespiratoryhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5123']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5123']]/hl7:statusCode"
         id="tmp-r-1fc48893-2c43-401b-ab28-3cd510bec030">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratoryhesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Vcvolrespiratoryhesb): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5123-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Vcvolrespiratoryhesb): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5123
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5123']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5123']]/hl7:value
Item: (Vcvolrespiratoryhesb)
-->
</pattern>
