<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5125
Name: VC Vol Respiratory Predicted
Description: Template Vital capacity [Volume] Respiratory system Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5125-2014-03-30T000000">
   <title>VC Vol Respiratory Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5125
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5125']]
Item: (Vcvolrespiratorypredicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5125
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5125']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5125']]
Item: (Vcvolrespiratorypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5125']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5125']]"
         id="tmp-r-8653956a-e6ca-4aac-a887-9f7d2f501461">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Vcvolrespiratorypredicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Vcvolrespiratorypredicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5125'])&gt;=1 ">(Vcvolrespiratorypredicted): element hl7:templateId[@root='2.16.578.1.34.10.5125'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5125'])&lt;=1">(Vcvolrespiratorypredicted): element hl7:templateId[@root='2.16.578.1.34.10.5125'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19865-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19865-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Vcvolrespiratorypredicted): element hl7:code[(@code='19865-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19865-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Vcvolrespiratorypredicted): element hl7:code[(@code='19865-5' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Vcvolrespiratorypredicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Vcvolrespiratorypredicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Vcvolrespiratorypredicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Vcvolrespiratorypredicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5125
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5125']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5125']]/hl7:templateId
Item: (Vcvolrespiratorypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5125']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5125']]/hl7:templateId"
         id="tmp-r-78a612bd-7a17-40df-8344-41520a74f4d7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratorypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5125'">(Vcvolrespiratorypredicted): @root SHALL have value '2.16.578.1.34.10.5125'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5125
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5125']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5125']]/hl7:code[(@code='19865-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Vcvolrespiratorypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5125']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5125']]/hl7:code[(@code='19865-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-7f46c5c0-f636-4f97-a009-b7b2cd29feed">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratorypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19865-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Vital capacity [Volume] Respiratory system Predicted')">(Vcvolrespiratorypredicted): The element value SHALL be code '19865-5' codeSystem '2.16.840.1.113883.6.1' displayName='Vital capacity [Volume] Respiratory system Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5125
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5125']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5125']]/hl7:text
Item: (Vcvolrespiratorypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5125']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5125']]/hl7:text"
         id="tmp-r-cda142d6-5ef0-4365-9f97-2a4d205cbe00">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratorypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Vcvolrespiratorypredicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Vcvolrespiratorypredicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5125
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5125']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5125']]/hl7:text/hl7:reference
Item: (Vcvolrespiratorypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5125']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5125']]/hl7:text/hl7:reference"
         id="tmp-r-630cf67a-69f0-4a6e-8354-9b03dd6786c5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratorypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5125
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5125']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5125']]/hl7:statusCode
Item: (Vcvolrespiratorypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5125']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5125']]/hl7:statusCode"
         id="tmp-r-9c345329-edb1-4dab-86c4-f8c24955d8d2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratorypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Vcvolrespiratorypredicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Vcvolrespiratorypredicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5125
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5125']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5125']]/hl7:value
Item: (Vcvolrespiratorypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5125']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5125']]/hl7:value"
         id="tmp-r-cd66a6b4-53cd-42b0-8bc7-252640af60aa">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratorypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Vcvolrespiratorypredicted): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Vcvolrespiratorypredicted): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5125-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Vcvolrespiratorypredicted): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
