<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5127
Name: VC Vol Respiratory Spirometry
Description: Template Vital capacity [Volume] Respiratory system by Spirometry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5127-2014-03-30T000000">
   <title>VC Vol Respiratory Spirometry</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5127
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5127']]
Item: (Vcvolrespiratoryspirometry)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5127
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5127']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5127']]
Item: (Vcvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5127']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5127']]"
         id="tmp-r-1f2d5b43-27db-4027-9496-5a03158e6a1e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Vcvolrespiratoryspirometry): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Vcvolrespiratoryspirometry): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5127'])&gt;=1 ">(Vcvolrespiratoryspirometry): element hl7:templateId[@root='2.16.578.1.34.10.5127'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5127'])&lt;=1">(Vcvolrespiratoryspirometry): element hl7:templateId[@root='2.16.578.1.34.10.5127'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19866-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19866-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Vcvolrespiratoryspirometry): element hl7:code[(@code='19866-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19866-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Vcvolrespiratoryspirometry): element hl7:code[(@code='19866-3' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Vcvolrespiratoryspirometry): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Vcvolrespiratoryspirometry): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Vcvolrespiratoryspirometry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Vcvolrespiratoryspirometry): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5127
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5127']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5127']]/hl7:templateId
Item: (Vcvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5127']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5127']]/hl7:templateId"
         id="tmp-r-c5157b12-78cf-4c87-98d0-1f315b6a489f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5127'">(Vcvolrespiratoryspirometry): @root SHALL have value '2.16.578.1.34.10.5127'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5127
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5127']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5127']]/hl7:code[(@code='19866-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Vcvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5127']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5127']]/hl7:code[(@code='19866-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-e72e0dbf-3d37-4e80-96d6-83b674d1c1e2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19866-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Vital capacity [Volume] Respiratory system by Spirometry')">(Vcvolrespiratoryspirometry): The element value SHALL be code '19866-3' codeSystem '2.16.840.1.113883.6.1' displayName='Vital capacity [Volume] Respiratory system by Spirometry'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5127
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5127']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5127']]/hl7:text
Item: (Vcvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5127']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5127']]/hl7:text"
         id="tmp-r-8c6ff9c6-9b42-48ce-b412-5e14a3057f3d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Vcvolrespiratoryspirometry): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Vcvolrespiratoryspirometry): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5127
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5127']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5127']]/hl7:text/hl7:reference
Item: (Vcvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5127']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5127']]/hl7:text/hl7:reference"
         id="tmp-r-c815762e-6c87-42ce-b579-77c2c4d41061">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5127
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5127']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5127']]/hl7:statusCode
Item: (Vcvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5127']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5127']]/hl7:statusCode"
         id="tmp-r-95472251-2c0e-4c3a-8deb-ac151595f9d4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Vcvolrespiratoryspirometry): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Vcvolrespiratoryspirometry): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5127
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5127']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5127']]/hl7:value
Item: (Vcvolrespiratoryspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5127']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5127']]/hl7:value"
         id="tmp-r-d6e8f347-211a-4a78-8378-e307c5613ffe">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Vcvolrespiratoryspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Vcvolrespiratoryspirometry): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Vcvolrespiratoryspirometry): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5127-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Vcvolrespiratoryspirometry): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
