<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5129
Name: FEV 25-75% p BD/predicted Respiratory
Description: Template FEV 25%-75% post bronchodilation/predicted Respiratory system
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5129-2014-03-30T000000">
   <title>FEV 25-75% p BD/predicted Respiratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5129
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5129']]
Item: (Fev2575pbdpredictedrespiratory)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5129
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5129']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5129']]
Item: (Fev2575pbdpredictedrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5129']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5129']]"
         id="tmp-r-474756aa-5420-48e8-b29b-ec98b508f18f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev2575pbdpredictedrespiratory): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev2575pbdpredictedrespiratory): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5129'])&gt;=1 ">(Fev2575pbdpredictedrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5129'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5129'])&lt;=1">(Fev2575pbdpredictedrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5129'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20135-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20135-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev2575pbdpredictedrespiratory): element hl7:code[(@code='20135-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20135-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev2575pbdpredictedrespiratory): element hl7:code[(@code='20135-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev2575pbdpredictedrespiratory): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev2575pbdpredictedrespiratory): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev2575pbdpredictedrespiratory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev2575pbdpredictedrespiratory): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5129
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5129']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5129']]/hl7:templateId
Item: (Fev2575pbdpredictedrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5129']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5129']]/hl7:templateId"
         id="tmp-r-d91b085d-b30b-4d8a-9c70-966ac1ebf24a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev2575pbdpredictedrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5129'">(Fev2575pbdpredictedrespiratory): @root SHALL have value '2.16.578.1.34.10.5129'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5129
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5129']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5129']]/hl7:code[(@code='20135-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev2575pbdpredictedrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5129']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5129']]/hl7:code[(@code='20135-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-45702851-347e-493a-ad04-b5378a2c73f5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev2575pbdpredictedrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20135-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV 25%-75% post bronchodilation/predicted Respiratory system')">(Fev2575pbdpredictedrespiratory): The element value SHALL be code '20135-0' codeSystem '2.16.840.1.113883.6.1' displayName='FEV 25%-75% post bronchodilation/predicted Respiratory system'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5129
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5129']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5129']]/hl7:text
Item: (Fev2575pbdpredictedrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5129']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5129']]/hl7:text"
         id="tmp-r-8deee32c-9c04-4e4d-9821-ae3b18ffb2b8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev2575pbdpredictedrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev2575pbdpredictedrespiratory): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev2575pbdpredictedrespiratory): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5129
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5129']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5129']]/hl7:text/hl7:reference
Item: (Fev2575pbdpredictedrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5129']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5129']]/hl7:text/hl7:reference"
         id="tmp-r-99f23992-adfc-43c6-841a-a772158d9280">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev2575pbdpredictedrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5129
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5129']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5129']]/hl7:statusCode
Item: (Fev2575pbdpredictedrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5129']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5129']]/hl7:statusCode"
         id="tmp-r-be833565-e08d-4d7a-98be-d415808dbad9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev2575pbdpredictedrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev2575pbdpredictedrespiratory): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5129-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev2575pbdpredictedrespiratory): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5129
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5129']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5129']]/hl7:value
Item: (Fev2575pbdpredictedrespiratory)
-->
</pattern>
