<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5131
Name: FEV 25-75% pre BD/predicted Respiratory
Description: Template FEV 25%-75% pre bronchodilation/predicted Respiratory system
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5131-2014-03-30T000000">
   <title>FEV 25-75% pre BD/predicted Respiratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5131
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5131']]
Item: (Fev2575prebdpredictedrespiratory)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5131
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5131']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5131']]
Item: (Fev2575prebdpredictedrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5131']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5131']]"
         id="tmp-r-2abde493-a9ee-4a66-83fb-a34b2221f3cc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev2575prebdpredictedrespiratory): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev2575prebdpredictedrespiratory): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5131'])&gt;=1 ">(Fev2575prebdpredictedrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5131'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5131'])&lt;=1">(Fev2575prebdpredictedrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5131'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20136-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20136-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev2575prebdpredictedrespiratory): element hl7:code[(@code='20136-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20136-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev2575prebdpredictedrespiratory): element hl7:code[(@code='20136-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev2575prebdpredictedrespiratory): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev2575prebdpredictedrespiratory): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev2575prebdpredictedrespiratory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev2575prebdpredictedrespiratory): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5131
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5131']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5131']]/hl7:templateId
Item: (Fev2575prebdpredictedrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5131']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5131']]/hl7:templateId"
         id="tmp-r-13791f64-2458-4a48-8412-ce844d2508dc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev2575prebdpredictedrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5131'">(Fev2575prebdpredictedrespiratory): @root SHALL have value '2.16.578.1.34.10.5131'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5131
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5131']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5131']]/hl7:code[(@code='20136-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev2575prebdpredictedrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5131']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5131']]/hl7:code[(@code='20136-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-7a6fcd92-26da-446f-838d-9216fd0db8e3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev2575prebdpredictedrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20136-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV 25%-75% pre bronchodilation/predicted Respiratory system')">(Fev2575prebdpredictedrespiratory): The element value SHALL be code '20136-8' codeSystem '2.16.840.1.113883.6.1' displayName='FEV 25%-75% pre bronchodilation/predicted Respiratory system'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5131
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5131']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5131']]/hl7:text
Item: (Fev2575prebdpredictedrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5131']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5131']]/hl7:text"
         id="tmp-r-f29ae700-d34a-4814-8b28-fd2a7caa708b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev2575prebdpredictedrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev2575prebdpredictedrespiratory): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev2575prebdpredictedrespiratory): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5131
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5131']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5131']]/hl7:text/hl7:reference
Item: (Fev2575prebdpredictedrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5131']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5131']]/hl7:text/hl7:reference"
         id="tmp-r-b7aac291-529a-47f8-9846-bbc224b83907">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev2575prebdpredictedrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5131
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5131']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5131']]/hl7:statusCode
Item: (Fev2575prebdpredictedrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5131']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5131']]/hl7:statusCode"
         id="tmp-r-a444c780-026f-4164-9062-a5d8427bfbd6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev2575prebdpredictedrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev2575prebdpredictedrespiratory): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5131-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev2575prebdpredictedrespiratory): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5131
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5131']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5131']]/hl7:value
Item: (Fev2575prebdpredictedrespiratory)
-->
</pattern>
