<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5141
Name: FEV1 Predicted
Description: Template FEV1 Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5141-2014-03-30T000000">
   <title>FEV1 Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5141
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5141']]
Item: (Fev1predicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5141
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5141']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5141']]
Item: (Fev1predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5141']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5141']]"
         id="tmp-r-a03def53-b65d-4f31-a6e8-f710f31d4281">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev1predicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev1predicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5141'])&gt;=1 ">(Fev1predicted): element hl7:templateId[@root='2.16.578.1.34.10.5141'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5141'])&lt;=1">(Fev1predicted): element hl7:templateId[@root='2.16.578.1.34.10.5141'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20149-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20149-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev1predicted): element hl7:code[(@code='20149-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20149-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev1predicted): element hl7:code[(@code='20149-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev1predicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev1predicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev1predicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev1predicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5141
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5141']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5141']]/hl7:templateId
Item: (Fev1predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5141']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5141']]/hl7:templateId"
         id="tmp-r-02c43867-44c7-40de-9217-d26baed3b71b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5141'">(Fev1predicted): @root SHALL have value '2.16.578.1.34.10.5141'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5141
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5141']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5141']]/hl7:code[(@code='20149-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev1predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5141']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5141']]/hl7:code[(@code='20149-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-50dc6dab-0ff6-4dac-9309-b5bef275e561">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20149-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV1 Predicted')">(Fev1predicted): The element value SHALL be code '20149-1' codeSystem '2.16.840.1.113883.6.1' displayName='FEV1 Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5141
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5141']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5141']]/hl7:text
Item: (Fev1predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5141']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5141']]/hl7:text"
         id="tmp-r-f9442b88-82ca-4b18-8dc4-ef83559fb365">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev1predicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev1predicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5141
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5141']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5141']]/hl7:text/hl7:reference
Item: (Fev1predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5141']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5141']]/hl7:text/hl7:reference"
         id="tmp-r-c44c66fc-c88e-4931-ab28-2815784fa169">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5141
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5141']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5141']]/hl7:statusCode
Item: (Fev1predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5141']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5141']]/hl7:statusCode"
         id="tmp-r-f48aff2c-6b48-4297-a248-a2501fc58b95">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev1predicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev1predicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5141
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5141']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5141']]/hl7:value
Item: (Fev1predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5141']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5141']]/hl7:value"
         id="tmp-r-177716fe-736e-4d84-afe6-bbd9d66e1b9f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fev1predicted): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fev1predicted): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5141-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fev1predicted): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
