<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5145
Name: FEV1 % change
Description: Template FEV1 percent change
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5145-2014-03-30T000000">
   <title>FEV1 % change</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5145
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5145']]
Item: (Fev1change)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5145
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5145']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5145']]
Item: (Fev1change)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5145']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5145']]"
         id="tmp-r-c6a4a76b-7ff6-4476-9906-7b4990b7b4c6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev1change): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev1change): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5145'])&gt;=1 ">(Fev1change): element hl7:templateId[@root='2.16.578.1.34.10.5145'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5145'])&lt;=1">(Fev1change): element hl7:templateId[@root='2.16.578.1.34.10.5145'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69983-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='69983-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev1change): element hl7:code[(@code='69983-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69983-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev1change): element hl7:code[(@code='69983-5' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev1change): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev1change): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev1change): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev1change): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5145
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5145']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5145']]/hl7:templateId
Item: (Fev1change)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5145']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5145']]/hl7:templateId"
         id="tmp-r-caae3c75-89aa-4767-b1f2-924085224bf2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1change): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5145'">(Fev1change): @root SHALL have value '2.16.578.1.34.10.5145'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5145
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5145']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5145']]/hl7:code[(@code='69983-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev1change)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5145']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5145']]/hl7:code[(@code='69983-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-bd5e2d24-d425-4bc5-9179-cb2255a116ba">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1change): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="@nullFlavor or (@code='69983-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV1 percent change')">(Fev1change): The element value SHALL be code '69983-5' codeSystem '2.16.840.1.113883.6.1' displayName='FEV1 percent change'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5145
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5145']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5145']]/hl7:text
Item: (Fev1change)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5145']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5145']]/hl7:text"
         id="tmp-r-1391540d-915d-4751-9cee-6f89655a9134">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1change): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev1change): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev1change): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5145
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5145']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5145']]/hl7:text/hl7:reference
Item: (Fev1change)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5145']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5145']]/hl7:text/hl7:reference"
         id="tmp-r-7481d4e9-3d38-48bf-9d97-2b3a4e167ed8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1change): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5145
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5145']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5145']]/hl7:statusCode
Item: (Fev1change)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5145']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5145']]/hl7:statusCode"
         id="tmp-r-09b4275a-e1ec-4abf-9f1a-af1fbb3b630e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1change): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev1change): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev1change): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5145
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5145']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5145']]/hl7:value
Item: (Fev1change)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5145']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5145']]/hl7:value"
         id="tmp-r-ee3ca95d-8fed-4bd9-bc90-f1ce8a48395d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1change): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='%'))">(Fev1change): value SHALL use unit '%' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fev1change): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5145-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fev1change): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
