<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5147
Name: FEV1/FVC
Description: Template FEV1/FVC
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5147-2014-03-30T000000">
   <title>FEV1/FVC</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5147
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5147']]
Item: (Fev1fvc)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5147
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5147']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5147']]
Item: (Fev1fvc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5147']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5147']]"
         id="tmp-r-2523d382-b5c9-4933-a5db-68e8bd2c0364">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev1fvc): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev1fvc): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5147'])&gt;=1 ">(Fev1fvc): element hl7:templateId[@root='2.16.578.1.34.10.5147'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5147'])&lt;=1">(Fev1fvc): element hl7:templateId[@root='2.16.578.1.34.10.5147'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19926-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19926-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev1fvc): element hl7:code[(@code='19926-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19926-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev1fvc): element hl7:code[(@code='19926-5' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev1fvc): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev1fvc): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev1fvc): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev1fvc): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5147
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5147']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5147']]/hl7:templateId
Item: (Fev1fvc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5147']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5147']]/hl7:templateId"
         id="tmp-r-b021b9c1-3faa-4461-b627-627bdb8e2126">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5147'">(Fev1fvc): @root SHALL have value '2.16.578.1.34.10.5147'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5147
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5147']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5147']]/hl7:code[(@code='19926-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev1fvc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5147']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5147']]/hl7:code[(@code='19926-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-d5e07343-baf6-4577-8cf8-065df77aaf9e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19926-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV1/FVC')">(Fev1fvc): The element value SHALL be code '19926-5' codeSystem '2.16.840.1.113883.6.1' displayName='FEV1/FVC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5147
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5147']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5147']]/hl7:text
Item: (Fev1fvc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5147']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5147']]/hl7:text"
         id="tmp-r-7c8685e0-1d77-43ae-80b1-0b17ba6719b9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev1fvc): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev1fvc): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5147
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5147']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5147']]/hl7:text/hl7:reference
Item: (Fev1fvc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5147']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5147']]/hl7:text/hl7:reference"
         id="tmp-r-dadec948-88ac-4689-9e4f-cb1ae248b00b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5147
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5147']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5147']]/hl7:statusCode
Item: (Fev1fvc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5147']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5147']]/hl7:statusCode"
         id="tmp-r-53d87042-fa97-4871-ad07-cb63c7d5a4ca">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev1fvc): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5147-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev1fvc): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5147
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5147']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5147']]/hl7:value
Item: (Fev1fvc)
-->
</pattern>
