<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5149
Name: FEV1/FVC Predicted
Description: Template FEV1/FVC Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5149-2014-03-30T000000">
   <title>FEV1/FVC Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5149
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5149']]
Item: (Fev1fvcpredicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5149
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5149']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5149']]
Item: (Fev1fvcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5149']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5149']]"
         id="tmp-r-1c57be73-a3c8-4428-84c0-b9128cceb90d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev1fvcpredicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev1fvcpredicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5149'])&gt;=1 ">(Fev1fvcpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5149'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5149'])&lt;=1">(Fev1fvcpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5149'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19925-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19925-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev1fvcpredicted): element hl7:code[(@code='19925-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19925-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev1fvcpredicted): element hl7:code[(@code='19925-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev1fvcpredicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev1fvcpredicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev1fvcpredicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev1fvcpredicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5149
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5149']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5149']]/hl7:templateId
Item: (Fev1fvcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5149']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5149']]/hl7:templateId"
         id="tmp-r-e58540ae-fbd9-4d10-bb60-8705a3ac6722">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5149'">(Fev1fvcpredicted): @root SHALL have value '2.16.578.1.34.10.5149'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5149
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5149']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5149']]/hl7:code[(@code='19925-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev1fvcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5149']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5149']]/hl7:code[(@code='19925-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-6dde1e8c-ebbc-4f88-913b-4c8bae9e0697">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19925-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV1/FVC Predicted')">(Fev1fvcpredicted): The element value SHALL be code '19925-7' codeSystem '2.16.840.1.113883.6.1' displayName='FEV1/FVC Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5149
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5149']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5149']]/hl7:text
Item: (Fev1fvcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5149']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5149']]/hl7:text"
         id="tmp-r-1ca1406b-88f9-4558-a8f3-8ce92fb71fc2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev1fvcpredicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev1fvcpredicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5149
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5149']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5149']]/hl7:text/hl7:reference
Item: (Fev1fvcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5149']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5149']]/hl7:text/hl7:reference"
         id="tmp-r-858dd92e-c55f-44ff-8c16-9eab89f46d3c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5149
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5149']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5149']]/hl7:statusCode
Item: (Fev1fvcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5149']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5149']]/hl7:statusCode"
         id="tmp-r-9e769b5b-f6d5-4ae6-bc19-ea2eb1769d48">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev1fvcpredicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5149-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev1fvcpredicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5149
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5149']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5149']]/hl7:value
Item: (Fev1fvcpredicted)
-->
</pattern>
