<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5151
Name: FEV1/FVC % change
Description: Template FEV1/FVC percent change
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5151-2014-03-30T000000">
   <title>FEV1/FVC % change</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5151
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5151']]
Item: (Fev1fvcchange)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5151
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5151']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5151']]
Item: (Fev1fvcchange)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5151']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5151']]"
         id="tmp-r-f1ef52c0-3c28-4ed5-a613-ba5ad627e497">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev1fvcchange): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev1fvcchange): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5151'])&gt;=1 ">(Fev1fvcchange): element hl7:templateId[@root='2.16.578.1.34.10.5151'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5151'])&lt;=1">(Fev1fvcchange): element hl7:templateId[@root='2.16.578.1.34.10.5151'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69984-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='69984-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev1fvcchange): element hl7:code[(@code='69984-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69984-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev1fvcchange): element hl7:code[(@code='69984-3' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev1fvcchange): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev1fvcchange): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev1fvcchange): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev1fvcchange): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5151
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5151']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5151']]/hl7:templateId
Item: (Fev1fvcchange)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5151']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5151']]/hl7:templateId"
         id="tmp-r-cb4f5f11-3d40-41e5-931f-a6a4ebfe1e35">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcchange): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5151'">(Fev1fvcchange): @root SHALL have value '2.16.578.1.34.10.5151'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5151
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5151']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5151']]/hl7:code[(@code='69984-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev1fvcchange)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5151']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5151']]/hl7:code[(@code='69984-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-860947fe-af8f-4b6f-81f5-b48372d1e745">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcchange): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="@nullFlavor or (@code='69984-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV1/FVC percent change')">(Fev1fvcchange): The element value SHALL be code '69984-3' codeSystem '2.16.840.1.113883.6.1' displayName='FEV1/FVC percent change'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5151
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5151']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5151']]/hl7:text
Item: (Fev1fvcchange)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5151']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5151']]/hl7:text"
         id="tmp-r-56e96d2e-aacb-4653-a6d0-d3a82078a5e9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcchange): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev1fvcchange): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev1fvcchange): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5151
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5151']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5151']]/hl7:text/hl7:reference
Item: (Fev1fvcchange)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5151']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5151']]/hl7:text/hl7:reference"
         id="tmp-r-8a703a0c-6b28-4286-a1d5-46180fecafac">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcchange): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5151
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5151']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5151']]/hl7:statusCode
Item: (Fev1fvcchange)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5151']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5151']]/hl7:statusCode"
         id="tmp-r-9ee8f7b9-7612-4c32-80de-7f96646b56e7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcchange): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev1fvcchange): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev1fvcchange): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5151
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5151']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5151']]/hl7:value
Item: (Fev1fvcchange)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5151']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5151']]/hl7:value"
         id="tmp-r-170840c3-b69d-44c2-8a1a-5fbfde21f2a6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcchange): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='%'))">(Fev1fvcchange): value SHALL use unit '%' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fev1fvcchange): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5151-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fev1fvcchange): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
