<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5153
Name: FEV1/FVC p BD
Description: Template FEV1/FVC - -post bronchodilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5153-2014-03-30T000000">
   <title>FEV1/FVC p BD</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5153
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5153']]
Item: (Fev1fvcpbd)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5153
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5153']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5153']]
Item: (Fev1fvcpbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5153']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5153']]"
         id="tmp-r-349f58e5-7eeb-432c-a46c-60de63c8443b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev1fvcpbd): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev1fvcpbd): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5153'])&gt;=1 ">(Fev1fvcpbd): element hl7:templateId[@root='2.16.578.1.34.10.5153'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5153'])&lt;=1">(Fev1fvcpbd): element hl7:templateId[@root='2.16.578.1.34.10.5153'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69970-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='69970-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev1fvcpbd): element hl7:code[(@code='69970-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69970-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev1fvcpbd): element hl7:code[(@code='69970-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev1fvcpbd): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev1fvcpbd): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev1fvcpbd): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev1fvcpbd): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5153
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5153']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5153']]/hl7:templateId
Item: (Fev1fvcpbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5153']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5153']]/hl7:templateId"
         id="tmp-r-40192a65-81e5-4d4f-9294-5aecbe591147">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcpbd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5153'">(Fev1fvcpbd): @root SHALL have value '2.16.578.1.34.10.5153'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5153
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5153']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5153']]/hl7:code[(@code='69970-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev1fvcpbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5153']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5153']]/hl7:code[(@code='69970-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-94c775af-7a7e-498c-9cad-9dc2588d29ac">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcpbd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="@nullFlavor or (@code='69970-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV1/FVC --post bronchodilation')">(Fev1fvcpbd): The element value SHALL be code '69970-2' codeSystem '2.16.840.1.113883.6.1' displayName='FEV1/FVC --post bronchodilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5153
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5153']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5153']]/hl7:text
Item: (Fev1fvcpbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5153']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5153']]/hl7:text"
         id="tmp-r-05fd9483-8c80-4538-9c79-1fb01a2661b7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcpbd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev1fvcpbd): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev1fvcpbd): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5153
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5153']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5153']]/hl7:text/hl7:reference
Item: (Fev1fvcpbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5153']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5153']]/hl7:text/hl7:reference"
         id="tmp-r-0c2e9468-8955-4711-8856-573937ae5870">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcpbd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5153
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5153']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5153']]/hl7:statusCode
Item: (Fev1fvcpbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5153']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5153']]/hl7:statusCode"
         id="tmp-r-7c355c26-06a3-4b1c-ba75-e7821ac99118">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcpbd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev1fvcpbd): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev1fvcpbd): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5153
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5153']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5153']]/hl7:value
Item: (Fev1fvcpbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5153']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5153']]/hl7:value"
         id="tmp-r-6a317292-8552-4cc1-880a-5bc178d48d36">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fvcpbd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='%'))">(Fev1fvcpbd): value SHALL use unit '%' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fev1fvcpbd): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5153-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fev1fvcpbd): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
