<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5159
Name: FEV1/FEV total VFr
Description: Template FEV1/FEV total
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5159-2014-03-30T000000">
   <title>FEV1/FEV total VFr</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5159
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5159']]
Item: (Fev1fevtotalvfr)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5159
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5159']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5159']]
Item: (Fev1fevtotalvfr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5159']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5159']]"
         id="tmp-r-de10e620-2552-4fbd-8118-60326127d032">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev1fevtotalvfr): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev1fevtotalvfr): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5159'])&gt;=1 ">(Fev1fevtotalvfr): element hl7:templateId[@root='2.16.578.1.34.10.5159'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5159'])&lt;=1">(Fev1fevtotalvfr): element hl7:templateId[@root='2.16.578.1.34.10.5159'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20153-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20153-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev1fevtotalvfr): element hl7:code[(@code='20153-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20153-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev1fevtotalvfr): element hl7:code[(@code='20153-3' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev1fevtotalvfr): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev1fevtotalvfr): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev1fevtotalvfr): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev1fevtotalvfr): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5159
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5159']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5159']]/hl7:templateId
Item: (Fev1fevtotalvfr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5159']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5159']]/hl7:templateId"
         id="tmp-r-7bcb6ebf-0825-4c3f-aa82-a5f1dec0be59">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fevtotalvfr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5159'">(Fev1fevtotalvfr): @root SHALL have value '2.16.578.1.34.10.5159'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5159
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5159']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5159']]/hl7:code[(@code='20153-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev1fevtotalvfr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5159']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5159']]/hl7:code[(@code='20153-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-54f12182-1c86-4685-bf47-f54b2b9b1a4f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fevtotalvfr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20153-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV1/FEV total')">(Fev1fevtotalvfr): The element value SHALL be code '20153-3' codeSystem '2.16.840.1.113883.6.1' displayName='FEV1/FEV total'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5159
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5159']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5159']]/hl7:text
Item: (Fev1fevtotalvfr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5159']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5159']]/hl7:text"
         id="tmp-r-bc8d4564-de2c-41a5-9eea-df20af53e7dd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fevtotalvfr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev1fevtotalvfr): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev1fevtotalvfr): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5159
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5159']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5159']]/hl7:text/hl7:reference
Item: (Fev1fevtotalvfr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5159']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5159']]/hl7:text/hl7:reference"
         id="tmp-r-1d8b70b9-9317-4d83-a59a-44550bb40e5b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fevtotalvfr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5159
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5159']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5159']]/hl7:statusCode
Item: (Fev1fevtotalvfr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5159']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5159']]/hl7:statusCode"
         id="tmp-r-0bbf7e9b-1b0f-4fd1-86ef-91f31a2ffb44">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fevtotalvfr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev1fevtotalvfr): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev1fevtotalvfr): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5159
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5159']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5159']]/hl7:value
Item: (Fev1fevtotalvfr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5159']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5159']]/hl7:value"
         id="tmp-r-25beba61-cd3c-42cd-a04b-699115b68cdc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fevtotalvfr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='%'))">(Fev1fevtotalvfr): value SHALL use unit '%' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fev1fevtotalvfr): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5159-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fev1fevtotalvfr): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
