<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5165
Name: FEV1 15M p Exc
Description: Template FEV1 - -15 minutes post exercise
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5165-2014-03-30T000000">
   <title>FEV1 15M p Exc</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5165
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5165']]
Item: (Fev115mpexc)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5165
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5165']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5165']]
Item: (Fev115mpexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5165']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5165']]"
         id="tmp-r-56416485-f708-4687-b6e6-101523961ded">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev115mpexc): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev115mpexc): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5165'])&gt;=1 ">(Fev115mpexc): element hl7:templateId[@root='2.16.578.1.34.10.5165'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5165'])&lt;=1">(Fev115mpexc): element hl7:templateId[@root='2.16.578.1.34.10.5165'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="count(hl7:code[(@code='43262-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='43262-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev115mpexc): element hl7:code[(@code='43262-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="count(hl7:code[(@code='43262-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev115mpexc): element hl7:code[(@code='43262-5' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev115mpexc): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev115mpexc): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev115mpexc): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev115mpexc): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5165
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5165']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5165']]/hl7:templateId
Item: (Fev115mpexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5165']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5165']]/hl7:templateId"
         id="tmp-r-be877598-5f26-4444-b7bf-f912cfec8365">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev115mpexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5165'">(Fev115mpexc): @root SHALL have value '2.16.578.1.34.10.5165'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5165
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5165']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5165']]/hl7:code[(@code='43262-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev115mpexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5165']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5165']]/hl7:code[(@code='43262-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-4ce503ee-98c4-4af3-bb2c-c11a7d23b3f7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev115mpexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="@nullFlavor or (@code='43262-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV1 --15 minutes post exercise')">(Fev115mpexc): The element value SHALL be code '43262-5' codeSystem '2.16.840.1.113883.6.1' displayName='FEV1 --15 minutes post exercise'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5165
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5165']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5165']]/hl7:text
Item: (Fev115mpexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5165']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5165']]/hl7:text"
         id="tmp-r-e0cb09f2-c124-47b2-85fe-cda75ef9d75a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev115mpexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev115mpexc): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev115mpexc): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5165
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5165']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5165']]/hl7:text/hl7:reference
Item: (Fev115mpexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5165']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5165']]/hl7:text/hl7:reference"
         id="tmp-r-80d9b7e3-e372-41ba-962a-d53404d739ee">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev115mpexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5165
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5165']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5165']]/hl7:statusCode
Item: (Fev115mpexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5165']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5165']]/hl7:statusCode"
         id="tmp-r-f7098c8a-5e7a-4cd8-a3af-a02fb1de363d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev115mpexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev115mpexc): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev115mpexc): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5165
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5165']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5165']]/hl7:value
Item: (Fev115mpexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5165']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5165']]/hl7:value"
         id="tmp-r-446e4365-fc95-425d-9bb5-9f678705bf1e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev115mpexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fev115mpexc): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fev115mpexc): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5165-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fev115mpexc): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
