<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5175
Name: FEV1 p 0.25 mg/mL MECH
Description: Template FEV1 - - post 0.25 mg/mL methacholine
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5175-2014-03-30T000000">
   <title>FEV1 p 0.25 mg/mL MECH</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5175
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5175']]
Item: (Fev1p025mgmlmech)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5175
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5175']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5175']]
Item: (Fev1p025mgmlmech)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5175']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5175']]"
         id="tmp-r-c2c4c238-cfe2-4d9c-a6ec-7b87e0f2bcab">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev1p025mgmlmech): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev1p025mgmlmech): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5175'])&gt;=1 ">(Fev1p025mgmlmech): element hl7:templateId[@root='2.16.578.1.34.10.5175'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5175'])&lt;=1">(Fev1p025mgmlmech): element hl7:templateId[@root='2.16.578.1.34.10.5175'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="count(hl7:code[(@code='43259-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='43259-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev1p025mgmlmech): element hl7:code[(@code='43259-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="count(hl7:code[(@code='43259-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev1p025mgmlmech): element hl7:code[(@code='43259-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev1p025mgmlmech): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev1p025mgmlmech): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev1p025mgmlmech): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev1p025mgmlmech): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5175
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5175']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5175']]/hl7:templateId
Item: (Fev1p025mgmlmech)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5175']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5175']]/hl7:templateId"
         id="tmp-r-b0b15ead-fbe3-428b-bea7-cc3703f3d843">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1p025mgmlmech): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5175'">(Fev1p025mgmlmech): @root SHALL have value '2.16.578.1.34.10.5175'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5175
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5175']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5175']]/hl7:code[(@code='43259-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev1p025mgmlmech)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5175']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5175']]/hl7:code[(@code='43259-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-385d26c5-447f-4197-9e99-cd3a5f996bac">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1p025mgmlmech): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="@nullFlavor or (@code='43259-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV1 -- post 0.25 mg/mL methacholine')">(Fev1p025mgmlmech): The element value SHALL be code '43259-1' codeSystem '2.16.840.1.113883.6.1' displayName='FEV1 -- post 0.25 mg/mL methacholine'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5175
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5175']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5175']]/hl7:text
Item: (Fev1p025mgmlmech)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5175']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5175']]/hl7:text"
         id="tmp-r-9aa02528-68cd-46ac-9117-65243ebea56d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1p025mgmlmech): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev1p025mgmlmech): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev1p025mgmlmech): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5175
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5175']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5175']]/hl7:text/hl7:reference
Item: (Fev1p025mgmlmech)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5175']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5175']]/hl7:text/hl7:reference"
         id="tmp-r-8310e7a1-a2d6-47ff-838c-7c062ed95164">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1p025mgmlmech): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5175
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5175']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5175']]/hl7:statusCode
Item: (Fev1p025mgmlmech)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5175']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5175']]/hl7:statusCode"
         id="tmp-r-8312b9c7-28a8-44d0-8d0c-137b38b31ec1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1p025mgmlmech): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev1p025mgmlmech): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev1p025mgmlmech): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5175
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5175']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5175']]/hl7:value
Item: (Fev1p025mgmlmech)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5175']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5175']]/hl7:value"
         id="tmp-r-d0f8cc30-cfc1-44db-ba2b-f1f56c8ebe06">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1p025mgmlmech): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fev1p025mgmlmech): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fev1p025mgmlmech): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5175-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fev1p025mgmlmech): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
