<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5189
Name: FEV1 pre BD Predicted
Description: Template FEV1 Predicted - -pre bronchodilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5189-2014-03-30T000000">
   <title>FEV1 pre BD Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5189
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5189']]
Item: (Fev1prebdpredicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5189
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5189']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5189']]
Item: (Fev1prebdpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5189']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5189']]"
         id="tmp-r-bd8dd782-53da-4143-b358-50de2cc2cb17">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev1prebdpredicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev1prebdpredicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5189'])&gt;=1 ">(Fev1prebdpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5189'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5189'])&lt;=1">(Fev1prebdpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5189'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20156-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20156-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev1prebdpredicted): element hl7:code[(@code='20156-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20156-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev1prebdpredicted): element hl7:code[(@code='20156-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev1prebdpredicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev1prebdpredicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev1prebdpredicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev1prebdpredicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5189
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5189']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5189']]/hl7:templateId
Item: (Fev1prebdpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5189']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5189']]/hl7:templateId"
         id="tmp-r-23445c05-4d22-4a22-8b86-b48f36dc0a8b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1prebdpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5189'">(Fev1prebdpredicted): @root SHALL have value '2.16.578.1.34.10.5189'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5189
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5189']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5189']]/hl7:code[(@code='20156-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev1prebdpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5189']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5189']]/hl7:code[(@code='20156-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-4e5400b9-b1d4-41b3-8678-498666aed354">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1prebdpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20156-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV1 Predicted --pre bronchodilation')">(Fev1prebdpredicted): The element value SHALL be code '20156-6' codeSystem '2.16.840.1.113883.6.1' displayName='FEV1 Predicted --pre bronchodilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5189
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5189']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5189']]/hl7:text
Item: (Fev1prebdpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5189']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5189']]/hl7:text"
         id="tmp-r-47a7477c-b0f8-4761-ac07-83f71d501f7a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1prebdpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev1prebdpredicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev1prebdpredicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5189
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5189']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5189']]/hl7:text/hl7:reference
Item: (Fev1prebdpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5189']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5189']]/hl7:text/hl7:reference"
         id="tmp-r-7c2e95ae-93e1-4789-8f94-b98990710254">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1prebdpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5189
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5189']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5189']]/hl7:statusCode
Item: (Fev1prebdpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5189']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5189']]/hl7:statusCode"
         id="tmp-r-0634a598-2f58-4e7f-b41b-fcdb80e1e630">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1prebdpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev1prebdpredicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev1prebdpredicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5189
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5189']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5189']]/hl7:value
Item: (Fev1prebdpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5189']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5189']]/hl7:value"
         id="tmp-r-a4745fc3-b8cd-4959-b677-2ee4ccd4879c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1prebdpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fev1prebdpredicted): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fev1prebdpredicted): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5189-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fev1prebdpredicted): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
