<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5199
Name: FEV2/FEV total VFr
Description: Template FEV2/FEV total
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5199-2014-03-30T000000">
   <title>FEV2/FEV total VFr</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5199
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5199']]
Item: (Fev2fevtotalvfr)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5199
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5199']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5199']]
Item: (Fev2fevtotalvfr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5199']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5199']]"
         id="tmp-r-79671bff-e26d-40ca-8f09-25343e54d43b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev2fevtotalvfr): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev2fevtotalvfr): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5199'])&gt;=1 ">(Fev2fevtotalvfr): element hl7:templateId[@root='2.16.578.1.34.10.5199'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5199'])&lt;=1">(Fev2fevtotalvfr): element hl7:templateId[@root='2.16.578.1.34.10.5199'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="count(hl7:code[(@code='52486-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='52486-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev2fevtotalvfr): element hl7:code[(@code='52486-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="count(hl7:code[(@code='52486-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev2fevtotalvfr): element hl7:code[(@code='52486-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev2fevtotalvfr): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev2fevtotalvfr): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev2fevtotalvfr): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev2fevtotalvfr): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5199
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5199']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5199']]/hl7:templateId
Item: (Fev2fevtotalvfr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5199']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5199']]/hl7:templateId"
         id="tmp-r-3840e051-785f-4679-8d8c-9372f57d84d0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev2fevtotalvfr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5199'">(Fev2fevtotalvfr): @root SHALL have value '2.16.578.1.34.10.5199'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5199
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5199']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5199']]/hl7:code[(@code='52486-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev2fevtotalvfr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5199']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5199']]/hl7:code[(@code='52486-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-de1b582d-98d3-47c0-9506-2efcde012e8e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev2fevtotalvfr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="@nullFlavor or (@code='52486-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV2/FEV total')">(Fev2fevtotalvfr): The element value SHALL be code '52486-8' codeSystem '2.16.840.1.113883.6.1' displayName='FEV2/FEV total'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5199
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5199']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5199']]/hl7:text
Item: (Fev2fevtotalvfr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5199']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5199']]/hl7:text"
         id="tmp-r-bc26320b-efb9-4a23-b545-3b3541514402">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev2fevtotalvfr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev2fevtotalvfr): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev2fevtotalvfr): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5199
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5199']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5199']]/hl7:text/hl7:reference
Item: (Fev2fevtotalvfr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5199']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5199']]/hl7:text/hl7:reference"
         id="tmp-r-3a885acd-2f60-4369-9850-353165ba8c59">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev2fevtotalvfr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5199
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5199']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5199']]/hl7:statusCode
Item: (Fev2fevtotalvfr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5199']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5199']]/hl7:statusCode"
         id="tmp-r-94a1c5f3-7d38-4793-83d6-8aca9f0b5827">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev2fevtotalvfr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev2fevtotalvfr): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5199-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev2fevtotalvfr): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5199
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5199']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5199']]/hl7:value
Item: (Fev2fevtotalvfr)
-->
</pattern>
