<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5201
Name: FEV3 Predicted
Description: Template FEV3 Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5201-2014-03-30T000000">
   <title>FEV3 Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5201
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5201']]
Item: (Fev3predicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5201
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5201']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5201']]
Item: (Fev3predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5201']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5201']]"
         id="tmp-r-4ae4b5a4-01ab-436a-b8d8-3901555e5bf2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev3predicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev3predicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5201'])&gt;=1 ">(Fev3predicted): element hl7:templateId[@root='2.16.578.1.34.10.5201'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5201'])&lt;=1">(Fev3predicted): element hl7:templateId[@root='2.16.578.1.34.10.5201'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="count(hl7:code[(@code='41233-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='41233-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev3predicted): element hl7:code[(@code='41233-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="count(hl7:code[(@code='41233-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev3predicted): element hl7:code[(@code='41233-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev3predicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev3predicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev3predicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev3predicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5201
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5201']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5201']]/hl7:templateId
Item: (Fev3predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5201']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5201']]/hl7:templateId"
         id="tmp-r-55f3988f-b5ba-4408-b9d6-6ebb230f543b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev3predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5201'">(Fev3predicted): @root SHALL have value '2.16.578.1.34.10.5201'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5201
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5201']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5201']]/hl7:code[(@code='41233-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev3predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5201']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5201']]/hl7:code[(@code='41233-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-6605072b-ed61-4a27-927f-19162183429d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev3predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="@nullFlavor or (@code='41233-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV3 Predicted')">(Fev3predicted): The element value SHALL be code '41233-8' codeSystem '2.16.840.1.113883.6.1' displayName='FEV3 Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5201
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5201']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5201']]/hl7:text
Item: (Fev3predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5201']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5201']]/hl7:text"
         id="tmp-r-a7ba1e24-304c-4acd-868d-5b636ac2f01f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev3predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev3predicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev3predicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5201
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5201']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5201']]/hl7:text/hl7:reference
Item: (Fev3predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5201']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5201']]/hl7:text/hl7:reference"
         id="tmp-r-2bc2d66d-4229-4ce6-8f42-43373a5ec47d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev3predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5201
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5201']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5201']]/hl7:statusCode
Item: (Fev3predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5201']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5201']]/hl7:statusCode"
         id="tmp-r-a0f3a480-4fcd-4725-8c2f-2fcad0276103">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev3predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev3predicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev3predicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5201
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5201']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5201']]/hl7:value
Item: (Fev3predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5201']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5201']]/hl7:value"
         id="tmp-r-ae5b564f-33d7-42b7-8018-645cfcaed1bb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev3predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fev3predicted): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fev3predicted): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5201-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fev3predicted): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
