<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5205
Name: FEV6
Description: Template FEV6
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5205-2014-03-30T000000">
   <title>FEV6</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5205
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5205']]
Item: (Fev6)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5205
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5205']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5205']]
Item: (Fev6)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5205']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5205']]"
         id="tmp-r-909d3b22-fc08-47e8-8aa1-bdc51c626093">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev6): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev6): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5205'])&gt;=1 ">(Fev6): element hl7:templateId[@root='2.16.578.1.34.10.5205'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5205'])&lt;=1">(Fev6): element hl7:templateId[@root='2.16.578.1.34.10.5205'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="count(hl7:code[(@code='65655-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='65655-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev6): element hl7:code[(@code='65655-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="count(hl7:code[(@code='65655-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev6): element hl7:code[(@code='65655-3' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev6): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev6): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev6): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev6): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5205
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5205']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5205']]/hl7:templateId
Item: (Fev6)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5205']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5205']]/hl7:templateId"
         id="tmp-r-71a8a9ab-b170-44d8-8f0e-c275f502383b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev6): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5205'">(Fev6): @root SHALL have value '2.16.578.1.34.10.5205'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5205
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5205']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5205']]/hl7:code[(@code='65655-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev6)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5205']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5205']]/hl7:code[(@code='65655-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-dcbdc2ea-8c56-44d4-8176-c07a2de58fdc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev6): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="@nullFlavor or (@code='65655-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV6')">(Fev6): The element value SHALL be code '65655-3' codeSystem '2.16.840.1.113883.6.1' displayName='FEV6'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5205
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5205']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5205']]/hl7:text
Item: (Fev6)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5205']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5205']]/hl7:text"
         id="tmp-r-1c7a1c48-6918-497c-8a4e-3618baff5a5e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev6): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev6): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev6): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5205
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5205']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5205']]/hl7:text/hl7:reference
Item: (Fev6)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5205']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5205']]/hl7:text/hl7:reference"
         id="tmp-r-53457a3b-2cb4-4bb7-b58e-3b4316877f7a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev6): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5205
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5205']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5205']]/hl7:statusCode
Item: (Fev6)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5205']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5205']]/hl7:statusCode"
         id="tmp-r-2500489a-17c5-4de8-871f-2370df024707">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev6): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev6): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev6): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5205
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5205']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5205']]/hl7:value
Item: (Fev6)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5205']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5205']]/hl7:value"
         id="tmp-r-93c645a0-bf85-49f3-befd-f4ff4e5cd183">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev6): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fev6): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fev6): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5205-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fev6): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
