<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5207
Name: FEV6 Predicted
Description: Template FEV6 Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5207-2014-03-30T000000">
   <title>FEV6 Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5207
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5207']]
Item: (Fev6predicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5207
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5207']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5207']]
Item: (Fev6predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5207']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5207']]"
         id="tmp-r-e4a7ea98-6004-4c66-a52d-483e76e11a29">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev6predicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev6predicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5207'])&gt;=1 ">(Fev6predicted): element hl7:templateId[@root='2.16.578.1.34.10.5207'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5207'])&lt;=1">(Fev6predicted): element hl7:templateId[@root='2.16.578.1.34.10.5207'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="count(hl7:code[(@code='65656-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='65656-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev6predicted): element hl7:code[(@code='65656-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="count(hl7:code[(@code='65656-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev6predicted): element hl7:code[(@code='65656-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev6predicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev6predicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev6predicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev6predicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5207
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5207']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5207']]/hl7:templateId
Item: (Fev6predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5207']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5207']]/hl7:templateId"
         id="tmp-r-72f7cdd0-c85c-4c91-91d5-e97e4610a452">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev6predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5207'">(Fev6predicted): @root SHALL have value '2.16.578.1.34.10.5207'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5207
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5207']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5207']]/hl7:code[(@code='65656-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev6predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5207']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5207']]/hl7:code[(@code='65656-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-e29cac6d-65e5-4bb4-a7f8-82f6b2450e32">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev6predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="@nullFlavor or (@code='65656-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV6 Predicted')">(Fev6predicted): The element value SHALL be code '65656-1' codeSystem '2.16.840.1.113883.6.1' displayName='FEV6 Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5207
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5207']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5207']]/hl7:text
Item: (Fev6predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5207']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5207']]/hl7:text"
         id="tmp-r-aa3b4053-0735-4815-8206-cd44c540aa52">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev6predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev6predicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev6predicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5207
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5207']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5207']]/hl7:text/hl7:reference
Item: (Fev6predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5207']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5207']]/hl7:text/hl7:reference"
         id="tmp-r-1fdf62d4-e8a9-4a01-a9ce-f31dfcff3121">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev6predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5207
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5207']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5207']]/hl7:statusCode
Item: (Fev6predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5207']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5207']]/hl7:statusCode"
         id="tmp-r-bb126382-d716-4189-b1e0-1627946f84db">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev6predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev6predicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5207-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev6predicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5207
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5207']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5207']]/hl7:value
Item: (Fev6predicted)
-->
</pattern>
