<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5209
Name: Vol exp 1M
Description: Template Volume expired 1 minute
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5209-2014-03-30T000000">
   <title>Vol exp 1M</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5209
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5209']]
Item: (Volexp1m)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5209
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5209']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5209']]
Item: (Volexp1m)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5209']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5209']]"
         id="tmp-r-265a0ac6-d0ac-4ed0-be12-cbb827b38b4a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Volexp1m): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Volexp1m): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5209'])&gt;=1 ">(Volexp1m): element hl7:templateId[@root='2.16.578.1.34.10.5209'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5209'])&lt;=1">(Volexp1m): element hl7:templateId[@root='2.16.578.1.34.10.5209'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20139-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20139-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Volexp1m): element hl7:code[(@code='20139-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20139-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Volexp1m): element hl7:code[(@code='20139-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Volexp1m): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Volexp1m): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Volexp1m): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Volexp1m): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5209
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5209']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5209']]/hl7:templateId
Item: (Volexp1m)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5209']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5209']]/hl7:templateId"
         id="tmp-r-e449e5d8-e36f-4e32-ba46-4e9edb0c777d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Volexp1m): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5209'">(Volexp1m): @root SHALL have value '2.16.578.1.34.10.5209'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5209
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5209']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5209']]/hl7:code[(@code='20139-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Volexp1m)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5209']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5209']]/hl7:code[(@code='20139-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-43338922-72db-4cfb-a920-3b25fae3da90">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Volexp1m): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20139-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Volume expired 1 minute')">(Volexp1m): The element value SHALL be code '20139-2' codeSystem '2.16.840.1.113883.6.1' displayName='Volume expired 1 minute'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5209
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5209']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5209']]/hl7:text
Item: (Volexp1m)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5209']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5209']]/hl7:text"
         id="tmp-r-e1d4efda-553c-44fc-a02e-5d9e585ea0f5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Volexp1m): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Volexp1m): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Volexp1m): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5209
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5209']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5209']]/hl7:text/hl7:reference
Item: (Volexp1m)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5209']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5209']]/hl7:text/hl7:reference"
         id="tmp-r-cf54a6b0-0ebf-4532-93a3-a60e3fad2b5e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Volexp1m): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5209
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5209']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5209']]/hl7:statusCode
Item: (Volexp1m)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5209']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5209']]/hl7:statusCode"
         id="tmp-r-ffdcbaa9-0c8c-49ca-bbda-b71327549663">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Volexp1m): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Volexp1m): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5209-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Volexp1m): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5209
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5209']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5209']]/hl7:value
Item: (Volexp1m)
-->
</pattern>
