<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5211
Name: Vol exp
Description: Template Volume expired
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5211-2014-03-30T000000">
   <title>Vol exp</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5211
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5211']]
Item: (Volexp)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5211
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5211']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5211']]
Item: (Volexp)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5211']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5211']]"
         id="tmp-r-998e235b-64d3-4a7d-948d-1fdc90cda51c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Volexp): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Volexp): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5211'])&gt;=1 ">(Volexp): element hl7:templateId[@root='2.16.578.1.34.10.5211'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5211'])&lt;=1">(Volexp): element hl7:templateId[@root='2.16.578.1.34.10.5211'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20140-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20140-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Volexp): element hl7:code[(@code='20140-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20140-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Volexp): element hl7:code[(@code='20140-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Volexp): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Volexp): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Volexp): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Volexp): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5211
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5211']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5211']]/hl7:templateId
Item: (Volexp)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5211']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5211']]/hl7:templateId"
         id="tmp-r-aa956a81-4ccb-4686-b363-0833e16c077f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Volexp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5211'">(Volexp): @root SHALL have value '2.16.578.1.34.10.5211'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5211
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5211']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5211']]/hl7:code[(@code='20140-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Volexp)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5211']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5211']]/hl7:code[(@code='20140-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-18523ad5-529b-4ad5-9da9-a0247ede2795">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Volexp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20140-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Volume expired')">(Volexp): The element value SHALL be code '20140-0' codeSystem '2.16.840.1.113883.6.1' displayName='Volume expired'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5211
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5211']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5211']]/hl7:text
Item: (Volexp)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5211']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5211']]/hl7:text"
         id="tmp-r-8bf510b6-82a6-4e38-a36a-58543d2e223e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Volexp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Volexp): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Volexp): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5211
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5211']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5211']]/hl7:text/hl7:reference
Item: (Volexp)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5211']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5211']]/hl7:text/hl7:reference"
         id="tmp-r-2ced6b25-cbcf-4fb2-9e82-28a89582a206">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Volexp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5211
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5211']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5211']]/hl7:statusCode
Item: (Volexp)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5211']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5211']]/hl7:statusCode"
         id="tmp-r-ecdc6efe-fda6-4eb8-a50d-ef7142b54c6b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Volexp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Volexp): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5211-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Volexp): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5211
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5211']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5211']]/hl7:value
Item: (Volexp)
-->
</pattern>
