<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5213
Name: Vol exp - rate
Description: Template Volume expired (vol/time)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5213-2014-03-30T000000">
   <title>Vol exp - rate</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5213
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5213']]
Item: (Volexprate)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5213
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5213']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5213']]
Item: (Volexprate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5213']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5213']]"
         id="tmp-r-43ce84ac-9e35-4d05-bb95-d6e82dc7f7bf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Volexprate): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Volexprate): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5213'])&gt;=1 ">(Volexprate): element hl7:templateId[@root='2.16.578.1.34.10.5213'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5213'])&lt;=1">(Volexprate): element hl7:templateId[@root='2.16.578.1.34.10.5213'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="count(hl7:code[(@code='33434-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='33434-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Volexprate): element hl7:code[(@code='33434-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="count(hl7:code[(@code='33434-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Volexprate): element hl7:code[(@code='33434-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Volexprate): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Volexprate): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Volexprate): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Volexprate): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5213
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5213']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5213']]/hl7:templateId
Item: (Volexprate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5213']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5213']]/hl7:templateId"
         id="tmp-r-03eb179b-1ecc-4543-9728-5799bc873978">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Volexprate): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5213'">(Volexprate): @root SHALL have value '2.16.578.1.34.10.5213'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5213
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5213']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5213']]/hl7:code[(@code='33434-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Volexprate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5213']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5213']]/hl7:code[(@code='33434-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-c50f73ee-4fe0-4f5c-b2e0-62806b114478">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Volexprate): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="@nullFlavor or (@code='33434-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Volume expired (vol/time)')">(Volexprate): The element value SHALL be code '33434-2' codeSystem '2.16.840.1.113883.6.1' displayName='Volume expired (vol/time)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5213
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5213']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5213']]/hl7:text
Item: (Volexprate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5213']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5213']]/hl7:text"
         id="tmp-r-11eea73f-f52c-4ac2-9baa-2749b8449296">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Volexprate): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Volexprate): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Volexprate): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5213
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5213']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5213']]/hl7:text/hl7:reference
Item: (Volexprate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5213']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5213']]/hl7:text/hl7:reference"
         id="tmp-r-d36c4f28-1791-4b6b-af63-3e878defdba4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Volexprate): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5213
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5213']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5213']]/hl7:statusCode
Item: (Volexprate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5213']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5213']]/hl7:statusCode"
         id="tmp-r-28e254f5-521d-43ec-90d0-bdd818155c6b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Volexprate): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Volexprate): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Volexprate): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5213
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5213']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5213']]/hl7:value
Item: (Volexprate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5213']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5213']]/hl7:value"
         id="tmp-r-1620ce62-732d-4119-a37c-07f8a02f59a3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Volexprate): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/min'))">(Volexprate): value SHALL use unit 'L/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Volexprate): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5213-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Volexprate): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
