<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5221
Name: Resp rate @ max vol vent
Description: Template Respiratory rate - -at maximum voluntary ventilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5221-2014-03-30T000000">
   <title>Resp rate @ max vol vent</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5221
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5221']]
Item: (Respratemaxvolvent)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5221
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5221']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5221']]
Item: (Respratemaxvolvent)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5221']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5221']]"
         id="tmp-r-06088585-c6e7-4164-93e1-b29081f0d440">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Respratemaxvolvent): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Respratemaxvolvent): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5221'])&gt;=1 ">(Respratemaxvolvent): element hl7:templateId[@root='2.16.578.1.34.10.5221'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5221'])&lt;=1">(Respratemaxvolvent): element hl7:templateId[@root='2.16.578.1.34.10.5221'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19842-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19842-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Respratemaxvolvent): element hl7:code[(@code='19842-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19842-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Respratemaxvolvent): element hl7:code[(@code='19842-4' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Respratemaxvolvent): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Respratemaxvolvent): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Respratemaxvolvent): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Respratemaxvolvent): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5221
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5221']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5221']]/hl7:templateId
Item: (Respratemaxvolvent)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5221']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5221']]/hl7:templateId"
         id="tmp-r-095161a9-8376-449f-927c-e90db093210e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respratemaxvolvent): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5221'">(Respratemaxvolvent): @root SHALL have value '2.16.578.1.34.10.5221'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5221
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5221']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5221']]/hl7:code[(@code='19842-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Respratemaxvolvent)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5221']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5221']]/hl7:code[(@code='19842-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-eef29ab8-51d5-4db2-b6b1-7edbadadc917">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respratemaxvolvent): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19842-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Respiratory rate --at maximum voluntary ventilation')">(Respratemaxvolvent): The element value SHALL be code '19842-4' codeSystem '2.16.840.1.113883.6.1' displayName='Respiratory rate --at maximum voluntary ventilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5221
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5221']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5221']]/hl7:text
Item: (Respratemaxvolvent)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5221']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5221']]/hl7:text"
         id="tmp-r-7bc92b3d-6266-4f70-90e3-5f999e1ca9f2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respratemaxvolvent): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Respratemaxvolvent): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Respratemaxvolvent): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5221
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5221']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5221']]/hl7:text/hl7:reference
Item: (Respratemaxvolvent)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5221']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5221']]/hl7:text/hl7:reference"
         id="tmp-r-4f37b45c-7415-4718-989d-2f45a817cd1c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respratemaxvolvent): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5221
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5221']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5221']]/hl7:statusCode
Item: (Respratemaxvolvent)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5221']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5221']]/hl7:statusCode"
         id="tmp-r-3b7abcfe-59f2-4ad5-9f34-1cb52f47a3e7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respratemaxvolvent): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Respratemaxvolvent): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Respratemaxvolvent): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5221
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5221']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5221']]/hl7:value
Item: (Respratemaxvolvent)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5221']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5221']]/hl7:value"
         id="tmp-r-95ba74fe-555b-4492-accf-908df8d55209">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respratemaxvolvent): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='{breaths}/min'))">(Respratemaxvolvent): value SHALL use unit '{breaths}/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Respratemaxvolvent): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5221-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Respratemaxvolvent): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
