<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5223
Name: Resp rate @ max vol vent Spirometry
Description: Template Respiratory rate by Spirometry - -at maximum voluntary ventilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5223-2014-03-30T000000">
   <title>Resp rate @ max vol vent Spirometry</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5223
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5223']]
Item: (Respratemaxvolventspirometry)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5223
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5223']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5223']]
Item: (Respratemaxvolventspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5223']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5223']]"
         id="tmp-r-a342c6cc-08ac-4c26-aedd-93eafb8dc767">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Respratemaxvolventspirometry): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Respratemaxvolventspirometry): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5223'])&gt;=1 ">(Respratemaxvolventspirometry): element hl7:templateId[@root='2.16.578.1.34.10.5223'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5223'])&lt;=1">(Respratemaxvolventspirometry): element hl7:templateId[@root='2.16.578.1.34.10.5223'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19841-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19841-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Respratemaxvolventspirometry): element hl7:code[(@code='19841-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19841-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Respratemaxvolventspirometry): element hl7:code[(@code='19841-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Respratemaxvolventspirometry): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Respratemaxvolventspirometry): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Respratemaxvolventspirometry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Respratemaxvolventspirometry): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5223
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5223']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5223']]/hl7:templateId
Item: (Respratemaxvolventspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5223']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5223']]/hl7:templateId"
         id="tmp-r-e8ece5fa-bcbc-49e8-adea-d8f04be63483">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respratemaxvolventspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5223'">(Respratemaxvolventspirometry): @root SHALL have value '2.16.578.1.34.10.5223'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5223
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5223']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5223']]/hl7:code[(@code='19841-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Respratemaxvolventspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5223']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5223']]/hl7:code[(@code='19841-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-9a975aa2-78f1-49a2-ac3b-0f7d81fbda86">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respratemaxvolventspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19841-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Respiratory rate by Spirometry --at maximum voluntary ventilation')">(Respratemaxvolventspirometry): The element value SHALL be code '19841-6' codeSystem '2.16.840.1.113883.6.1' displayName='Respiratory rate by Spirometry --at maximum voluntary ventilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5223
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5223']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5223']]/hl7:text
Item: (Respratemaxvolventspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5223']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5223']]/hl7:text"
         id="tmp-r-37c77f99-2f26-4b2a-97d7-d7794892a1b2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respratemaxvolventspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Respratemaxvolventspirometry): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Respratemaxvolventspirometry): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5223
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5223']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5223']]/hl7:text/hl7:reference
Item: (Respratemaxvolventspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5223']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5223']]/hl7:text/hl7:reference"
         id="tmp-r-aa4c02c3-b2b9-4026-b11a-b06182cb054b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respratemaxvolventspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5223
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5223']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5223']]/hl7:statusCode
Item: (Respratemaxvolventspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5223']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5223']]/hl7:statusCode"
         id="tmp-r-2cac9320-9f60-44f6-b32f-504524a2c28d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respratemaxvolventspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Respratemaxvolventspirometry): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Respratemaxvolventspirometry): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5223
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5223']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5223']]/hl7:value
Item: (Respratemaxvolventspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5223']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5223']]/hl7:value"
         id="tmp-r-034f512a-e5f1-4c7d-8772-5d247432415a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respratemaxvolventspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='{breaths}/min'))">(Respratemaxvolventspirometry): value SHALL use unit '{breaths}/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Respratemaxvolventspirometry): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5223-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Respratemaxvolventspirometry): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
