<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5225
Name: MVV
Description: Template Maximum voluntary ventilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5225-2014-03-30T000000">
   <title>MVV</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5225
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5225']]
Item: (Mvv)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5225
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5225']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5225']]
Item: (Mvv)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5225']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5225']]"
         id="tmp-r-5af57adc-dbe1-4d1f-b4e7-088a18f618bb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Mvv): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Mvv): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5225'])&gt;=1 ">(Mvv): element hl7:templateId[@root='2.16.578.1.34.10.5225'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5225'])&lt;=1">(Mvv): element hl7:templateId[@root='2.16.578.1.34.10.5225'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20159-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20159-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Mvv): element hl7:code[(@code='20159-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20159-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Mvv): element hl7:code[(@code='20159-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Mvv): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Mvv): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Mvv): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Mvv): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5225
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5225']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5225']]/hl7:templateId
Item: (Mvv)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5225']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5225']]/hl7:templateId"
         id="tmp-r-d26e0c3b-40e3-4fbb-b002-359a400c994e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvv): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5225'">(Mvv): @root SHALL have value '2.16.578.1.34.10.5225'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5225
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5225']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5225']]/hl7:code[(@code='20159-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Mvv)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5225']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5225']]/hl7:code[(@code='20159-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-0c610825-f67f-44b7-881e-e1bc8f5228de">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvv): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20159-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum voluntary ventilation')">(Mvv): The element value SHALL be code '20159-0' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum voluntary ventilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5225
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5225']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5225']]/hl7:text
Item: (Mvv)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5225']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5225']]/hl7:text"
         id="tmp-r-d9f39dd5-e634-450d-9e4a-24ced8f8d467">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvv): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Mvv): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Mvv): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5225
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5225']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5225']]/hl7:text/hl7:reference
Item: (Mvv)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5225']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5225']]/hl7:text/hl7:reference"
         id="tmp-r-c7195317-d145-4e05-a681-5eeaa3ba6f0d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvv): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5225
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5225']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5225']]/hl7:statusCode
Item: (Mvv)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5225']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5225']]/hl7:statusCode"
         id="tmp-r-594b593a-1421-47d1-8c9b-c4d3ab1b5389">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvv): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Mvv): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5225-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Mvv): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5225
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5225']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5225']]/hl7:value
Item: (Mvv)
-->
</pattern>
