<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5227
Name: MVV Predicted
Description: Template Maximum voluntary ventilation Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5227-2014-03-30T000000">
   <title>MVV Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5227
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5227']]
Item: (Mvvpredicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5227
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5227']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5227']]
Item: (Mvvpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5227']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5227']]"
         id="tmp-r-db60b08d-4256-42eb-9b58-fa7b63c0a605">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Mvvpredicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Mvvpredicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5227'])&gt;=1 ">(Mvvpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5227'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5227'])&lt;=1">(Mvvpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5227'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20158-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20158-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Mvvpredicted): element hl7:code[(@code='20158-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20158-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Mvvpredicted): element hl7:code[(@code='20158-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Mvvpredicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Mvvpredicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Mvvpredicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Mvvpredicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5227
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5227']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5227']]/hl7:templateId
Item: (Mvvpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5227']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5227']]/hl7:templateId"
         id="tmp-r-5631e426-9c16-454b-9efe-6e823db10f3c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5227'">(Mvvpredicted): @root SHALL have value '2.16.578.1.34.10.5227'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5227
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5227']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5227']]/hl7:code[(@code='20158-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Mvvpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5227']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5227']]/hl7:code[(@code='20158-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-f73c1ed5-ef00-4942-9088-9a6a51368917">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20158-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum voluntary ventilation Predicted')">(Mvvpredicted): The element value SHALL be code '20158-2' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum voluntary ventilation Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5227
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5227']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5227']]/hl7:text
Item: (Mvvpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5227']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5227']]/hl7:text"
         id="tmp-r-3b98e073-67b4-4876-b548-2bb0acd2df5a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Mvvpredicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Mvvpredicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5227
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5227']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5227']]/hl7:text/hl7:reference
Item: (Mvvpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5227']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5227']]/hl7:text/hl7:reference"
         id="tmp-r-86ce2be1-36b5-4a5e-96c6-9270489d01f4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5227
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5227']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5227']]/hl7:statusCode
Item: (Mvvpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5227']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5227']]/hl7:statusCode"
         id="tmp-r-16d8dfe9-1ba1-4d8e-915e-3b362ca4fa02">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Mvvpredicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5227-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Mvvpredicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5227
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5227']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5227']]/hl7:value
Item: (Mvvpredicted)
-->
</pattern>
