<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5229
Name: MVV p BD
Description: Template Maximum voluntary ventilation - -post bronchodilator
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5229-2014-03-30T000000">
   <title>MVV p BD</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5229
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5229']]
Item: (Mvvpbd)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5229
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5229']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5229']]
Item: (Mvvpbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5229']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5229']]"
         id="tmp-r-54d7a527-dd7a-4b8f-adc8-98e774b1aabb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Mvvpbd): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Mvvpbd): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5229'])&gt;=1 ">(Mvvpbd): element hl7:templateId[@root='2.16.578.1.34.10.5229'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5229'])&lt;=1">(Mvvpbd): element hl7:templateId[@root='2.16.578.1.34.10.5229'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20160-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20160-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Mvvpbd): element hl7:code[(@code='20160-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20160-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Mvvpbd): element hl7:code[(@code='20160-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Mvvpbd): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Mvvpbd): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Mvvpbd): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Mvvpbd): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5229
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5229']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5229']]/hl7:templateId
Item: (Mvvpbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5229']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5229']]/hl7:templateId"
         id="tmp-r-864527a4-2a58-4b1f-b419-30cfd69b9dbe">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvpbd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5229'">(Mvvpbd): @root SHALL have value '2.16.578.1.34.10.5229'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5229
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5229']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5229']]/hl7:code[(@code='20160-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Mvvpbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5229']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5229']]/hl7:code[(@code='20160-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-867bc1cb-f059-4ce0-abc1-e4d786ea3dbb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvpbd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20160-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum voluntary ventilation --post bronchodilator')">(Mvvpbd): The element value SHALL be code '20160-8' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum voluntary ventilation --post bronchodilator'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5229
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5229']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5229']]/hl7:text
Item: (Mvvpbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5229']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5229']]/hl7:text"
         id="tmp-r-4ace3f01-7728-4e4b-b443-773886f2943d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvpbd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Mvvpbd): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Mvvpbd): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5229
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5229']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5229']]/hl7:text/hl7:reference
Item: (Mvvpbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5229']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5229']]/hl7:text/hl7:reference"
         id="tmp-r-0f9ba4ff-d41c-4791-b5e7-72071c9abe30">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvpbd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5229
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5229']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5229']]/hl7:statusCode
Item: (Mvvpbd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5229']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5229']]/hl7:statusCode"
         id="tmp-r-d967ef67-6c2d-4470-bfab-40e71bdf3a3f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvpbd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Mvvpbd): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5229-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Mvvpbd): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5229
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5229']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5229']]/hl7:value
Item: (Mvvpbd)
-->
</pattern>
