<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5231
Name: MVV p BD/Pred RelVRat
Description: Template Maximum voluntary ventilation [Flow] - -post bronchodilator/Voluntary ventilation.maximum predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5231-2014-03-30T000000">
   <title>MVV p BD/Pred RelVRat</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5231
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5231']]
Item: (Mvvpbdpredrelvrat)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5231
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5231']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5231']]
Item: (Mvvpbdpredrelvrat)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5231']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5231']]"
         id="tmp-r-3d848b2b-b588-4c45-b3a1-c6d17f819f74">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Mvvpbdpredrelvrat): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Mvvpbdpredrelvrat): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5231'])&gt;=1 ">(Mvvpbdpredrelvrat): element hl7:templateId[@root='2.16.578.1.34.10.5231'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5231'])&lt;=1">(Mvvpbdpredrelvrat): element hl7:templateId[@root='2.16.578.1.34.10.5231'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20161-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20161-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Mvvpbdpredrelvrat): element hl7:code[(@code='20161-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20161-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Mvvpbdpredrelvrat): element hl7:code[(@code='20161-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Mvvpbdpredrelvrat): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Mvvpbdpredrelvrat): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Mvvpbdpredrelvrat): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Mvvpbdpredrelvrat): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5231
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5231']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5231']]/hl7:templateId
Item: (Mvvpbdpredrelvrat)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5231']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5231']]/hl7:templateId"
         id="tmp-r-b2564fc5-c928-4d3c-9b11-3255ab7e8d21">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvpbdpredrelvrat): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5231'">(Mvvpbdpredrelvrat): @root SHALL have value '2.16.578.1.34.10.5231'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5231
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5231']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5231']]/hl7:code[(@code='20161-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Mvvpbdpredrelvrat)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5231']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5231']]/hl7:code[(@code='20161-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-71fe820f-88f6-4932-8ba8-260a66a650a1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvpbdpredrelvrat): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20161-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum voluntary ventilation [Flow] --post bronchodilator/Voluntary ventilation.maximum predicted')">(Mvvpbdpredrelvrat): The element value SHALL be code '20161-6' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum voluntary ventilation [Flow] --post bronchodilator/Voluntary ventilation.maximum predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5231
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5231']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5231']]/hl7:text
Item: (Mvvpbdpredrelvrat)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5231']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5231']]/hl7:text"
         id="tmp-r-8b9621e2-9894-4a38-94f6-9d4de5f025be">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvpbdpredrelvrat): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Mvvpbdpredrelvrat): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Mvvpbdpredrelvrat): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5231
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5231']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5231']]/hl7:text/hl7:reference
Item: (Mvvpbdpredrelvrat)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5231']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5231']]/hl7:text/hl7:reference"
         id="tmp-r-393d61a8-9f40-47f5-9c05-ff1a188d1183">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvpbdpredrelvrat): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5231
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5231']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5231']]/hl7:statusCode
Item: (Mvvpbdpredrelvrat)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5231']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5231']]/hl7:statusCode"
         id="tmp-r-48372f44-501f-4ed1-95d7-be59b7647109">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvpbdpredrelvrat): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Mvvpbdpredrelvrat): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5231-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Mvvpbdpredrelvrat): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5231
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5231']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5231']]/hl7:value
Item: (Mvvpbdpredrelvrat)
-->
</pattern>
