<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5233
Name: MVV pre BD
Description: Template Maximum voluntary ventilation - -pre bronchodilator
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5233-2014-03-30T000000">
   <title>MVV pre BD</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5233
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5233']]
Item: (Mvvprebd)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5233
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5233']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5233']]
Item: (Mvvprebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5233']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5233']]"
         id="tmp-r-504cae18-cdaa-4b77-8a75-78ce1bda35d7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Mvvprebd): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Mvvprebd): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5233'])&gt;=1 ">(Mvvprebd): element hl7:templateId[@root='2.16.578.1.34.10.5233'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5233'])&lt;=1">(Mvvprebd): element hl7:templateId[@root='2.16.578.1.34.10.5233'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20163-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20163-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Mvvprebd): element hl7:code[(@code='20163-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20163-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Mvvprebd): element hl7:code[(@code='20163-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Mvvprebd): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Mvvprebd): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Mvvprebd): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Mvvprebd): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5233
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5233']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5233']]/hl7:templateId
Item: (Mvvprebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5233']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5233']]/hl7:templateId"
         id="tmp-r-3ede26c1-b349-4a4a-880d-b6fd0178fc57">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvprebd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5233'">(Mvvprebd): @root SHALL have value '2.16.578.1.34.10.5233'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5233
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5233']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5233']]/hl7:code[(@code='20163-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Mvvprebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5233']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5233']]/hl7:code[(@code='20163-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-bed569f0-dc21-486b-9088-00f1ed51ada8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvprebd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20163-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum voluntary ventilation --pre bronchodilator')">(Mvvprebd): The element value SHALL be code '20163-2' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum voluntary ventilation --pre bronchodilator'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5233
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5233']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5233']]/hl7:text
Item: (Mvvprebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5233']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5233']]/hl7:text"
         id="tmp-r-b2ca4aca-6a29-4cbe-a436-1d4fa6c983a6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvprebd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Mvvprebd): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Mvvprebd): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5233
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5233']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5233']]/hl7:text/hl7:reference
Item: (Mvvprebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5233']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5233']]/hl7:text/hl7:reference"
         id="tmp-r-801e8e52-fdcd-4bfb-86c8-9bc96425bec1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvprebd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5233
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5233']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5233']]/hl7:statusCode
Item: (Mvvprebd)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5233']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5233']]/hl7:statusCode"
         id="tmp-r-92692fc1-4d8e-41a5-964a-3765f717a4a7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvprebd): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Mvvprebd): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5233-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Mvvprebd): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5233
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5233']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5233']]/hl7:value
Item: (Mvvprebd)
-->
</pattern>
