<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5235
Name: MVV pre BD Measured
Description: Template Maximum voluntary ventilation Measured - -pre bronchodilator
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5235-2014-03-30T000000">
   <title>MVV pre BD Measured</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5235
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5235']]
Item: (Mvvprebdmeasured)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5235
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5235']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5235']]
Item: (Mvvprebdmeasured)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5235']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5235']]"
         id="tmp-r-9331177d-7d07-4d44-a909-a3dfc7ebeef9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Mvvprebdmeasured): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Mvvprebdmeasured): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5235'])&gt;=1 ">(Mvvprebdmeasured): element hl7:templateId[@root='2.16.578.1.34.10.5235'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5235'])&lt;=1">(Mvvprebdmeasured): element hl7:templateId[@root='2.16.578.1.34.10.5235'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20162-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20162-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Mvvprebdmeasured): element hl7:code[(@code='20162-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20162-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Mvvprebdmeasured): element hl7:code[(@code='20162-4' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Mvvprebdmeasured): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Mvvprebdmeasured): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Mvvprebdmeasured): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Mvvprebdmeasured): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5235
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5235']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5235']]/hl7:templateId
Item: (Mvvprebdmeasured)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5235']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5235']]/hl7:templateId"
         id="tmp-r-f815cc60-e21a-47e6-b0fc-8343ba88fd2c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvprebdmeasured): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5235'">(Mvvprebdmeasured): @root SHALL have value '2.16.578.1.34.10.5235'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5235
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5235']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5235']]/hl7:code[(@code='20162-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Mvvprebdmeasured)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5235']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5235']]/hl7:code[(@code='20162-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-0ed80812-4923-47bf-9d03-c07974ca0d14">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvprebdmeasured): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20162-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum voluntary ventilation Measured --pre bronchodilator')">(Mvvprebdmeasured): The element value SHALL be code '20162-4' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum voluntary ventilation Measured --pre bronchodilator'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5235
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5235']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5235']]/hl7:text
Item: (Mvvprebdmeasured)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5235']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5235']]/hl7:text"
         id="tmp-r-b5d8a759-740a-41f3-891b-46aabcb4fcce">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvprebdmeasured): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Mvvprebdmeasured): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Mvvprebdmeasured): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5235
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5235']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5235']]/hl7:text/hl7:reference
Item: (Mvvprebdmeasured)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5235']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5235']]/hl7:text/hl7:reference"
         id="tmp-r-d8c09209-a0c9-43b8-bb36-c66a0946ddda">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvprebdmeasured): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5235
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5235']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5235']]/hl7:statusCode
Item: (Mvvprebdmeasured)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5235']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5235']]/hl7:statusCode"
         id="tmp-r-f501845b-9b26-4c2a-bcfa-42b416c3eee2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvprebdmeasured): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Mvvprebdmeasured): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5235-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Mvvprebdmeasured): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5235
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5235']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5235']]/hl7:value
Item: (Mvvprebdmeasured)
-->
</pattern>
