<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5237
Name: MVV pre BD/Pred RelVRat
Description: Template Maximum voluntary ventilation [Flow] - -pre bronchodilator/Voluntary ventilation.maximum predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5237-2014-03-30T000000">
   <title>MVV pre BD/Pred RelVRat</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5237
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5237']]
Item: (Mvvprebdpredrelvrat)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5237
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5237']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5237']]
Item: (Mvvprebdpredrelvrat)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5237']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5237']]"
         id="tmp-r-66fef420-7c68-4d85-adf0-6aa61cf08e60">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Mvvprebdpredrelvrat): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Mvvprebdpredrelvrat): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5237'])&gt;=1 ">(Mvvprebdpredrelvrat): element hl7:templateId[@root='2.16.578.1.34.10.5237'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5237'])&lt;=1">(Mvvprebdpredrelvrat): element hl7:templateId[@root='2.16.578.1.34.10.5237'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20164-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20164-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Mvvprebdpredrelvrat): element hl7:code[(@code='20164-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20164-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Mvvprebdpredrelvrat): element hl7:code[(@code='20164-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Mvvprebdpredrelvrat): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Mvvprebdpredrelvrat): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Mvvprebdpredrelvrat): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Mvvprebdpredrelvrat): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5237
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5237']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5237']]/hl7:templateId
Item: (Mvvprebdpredrelvrat)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5237']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5237']]/hl7:templateId"
         id="tmp-r-42f37ca5-8ab7-4973-8b71-e1a7bbcb75a2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvprebdpredrelvrat): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5237'">(Mvvprebdpredrelvrat): @root SHALL have value '2.16.578.1.34.10.5237'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5237
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5237']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5237']]/hl7:code[(@code='20164-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Mvvprebdpredrelvrat)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5237']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5237']]/hl7:code[(@code='20164-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-533c1122-120f-44f3-9fb2-8a133aaf913a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvprebdpredrelvrat): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20164-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum voluntary ventilation [Flow] --pre bronchodilator/Voluntary ventilation.maximum predicted')">(Mvvprebdpredrelvrat): The element value SHALL be code '20164-0' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum voluntary ventilation [Flow] --pre bronchodilator/Voluntary ventilation.maximum predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5237
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5237']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5237']]/hl7:text
Item: (Mvvprebdpredrelvrat)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5237']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5237']]/hl7:text"
         id="tmp-r-cdfa30b5-4ed5-44f5-a49c-1c12bef793f1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvprebdpredrelvrat): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Mvvprebdpredrelvrat): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Mvvprebdpredrelvrat): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5237
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5237']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5237']]/hl7:text/hl7:reference
Item: (Mvvprebdpredrelvrat)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5237']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5237']]/hl7:text/hl7:reference"
         id="tmp-r-b25f4c6a-690d-4a4f-8f49-cc305cedfd15">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvprebdpredrelvrat): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5237
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5237']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5237']]/hl7:statusCode
Item: (Mvvprebdpredrelvrat)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5237']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5237']]/hl7:statusCode"
         id="tmp-r-cfeaa84f-d042-4cbb-bd87-47980a9c99f8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mvvprebdpredrelvrat): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Mvvprebdpredrelvrat): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5237-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Mvvprebdpredrelvrat): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5237
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5237']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5237']]/hl7:value
Item: (Mvvprebdpredrelvrat)
-->
</pattern>
