<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5245
Name: FRC
Description: Template Functional residual capacity
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5245-2014-03-30T000000">
   <title>FRC</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5245
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5245']]
Item: (Frc)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5245
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5245']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5245']]
Item: (Frc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5245']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5245']]"
         id="tmp-r-31c6d2b5-835b-47a8-a0b2-2d3f59c255cd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Frc): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Frc): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5245'])&gt;=1 ">(Frc): element hl7:templateId[@root='2.16.578.1.34.10.5245'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5245'])&lt;=1">(Frc): element hl7:templateId[@root='2.16.578.1.34.10.5245'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19843-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19843-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Frc): element hl7:code[(@code='19843-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19843-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Frc): element hl7:code[(@code='19843-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Frc): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Frc): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Frc): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Frc): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5245
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5245']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5245']]/hl7:templateId
Item: (Frc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5245']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5245']]/hl7:templateId"
         id="tmp-r-8ad590ac-6354-42d6-9a4e-c2c43f78ca78">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5245'">(Frc): @root SHALL have value '2.16.578.1.34.10.5245'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5245
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5245']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5245']]/hl7:code[(@code='19843-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Frc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5245']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5245']]/hl7:code[(@code='19843-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-a6e96b59-07d1-4b82-ae67-d5131e0250c0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19843-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Functional residual capacity')">(Frc): The element value SHALL be code '19843-2' codeSystem '2.16.840.1.113883.6.1' displayName='Functional residual capacity'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5245
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5245']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5245']]/hl7:text
Item: (Frc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5245']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5245']]/hl7:text"
         id="tmp-r-db7ce280-0833-421c-a594-9b8da0d4dc2b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Frc): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Frc): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5245
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5245']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5245']]/hl7:text/hl7:reference
Item: (Frc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5245']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5245']]/hl7:text/hl7:reference"
         id="tmp-r-abba13ec-1fce-44f6-b462-1030d880feed">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5245
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5245']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5245']]/hl7:statusCode
Item: (Frc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5245']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5245']]/hl7:statusCode"
         id="tmp-r-70349f21-8405-414f-8351-10b72531305d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Frc): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5245-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Frc): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5245
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5245']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5245']]/hl7:value
Item: (Frc)
-->
</pattern>
