<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5249
Name: FRC He SB
Description: Template Functional residual capacity by Helium single breath
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5249-2014-03-30T000000">
   <title>FRC He SB</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5249
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5249']]
Item: (Frchesb)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5249
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5249']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5249']]
Item: (Frchesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5249']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5249']]"
         id="tmp-r-ca303143-948a-4c0b-80ec-6578d11758fc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Frchesb): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Frchesb): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5249'])&gt;=1 ">(Frchesb): element hl7:templateId[@root='2.16.578.1.34.10.5249'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5249'])&lt;=1">(Frchesb): element hl7:templateId[@root='2.16.578.1.34.10.5249'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19845-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19845-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Frchesb): element hl7:code[(@code='19845-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19845-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Frchesb): element hl7:code[(@code='19845-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Frchesb): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Frchesb): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Frchesb): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Frchesb): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5249
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5249']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5249']]/hl7:templateId
Item: (Frchesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5249']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5249']]/hl7:templateId"
         id="tmp-r-d07eace9-a140-48a5-a695-6419ce84b693">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frchesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5249'">(Frchesb): @root SHALL have value '2.16.578.1.34.10.5249'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5249
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5249']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5249']]/hl7:code[(@code='19845-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Frchesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5249']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5249']]/hl7:code[(@code='19845-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-07eff91d-3953-4511-9246-7b7044ba37e1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frchesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19845-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Functional residual capacity by Helium single breath')">(Frchesb): The element value SHALL be code '19845-7' codeSystem '2.16.840.1.113883.6.1' displayName='Functional residual capacity by Helium single breath'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5249
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5249']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5249']]/hl7:text
Item: (Frchesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5249']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5249']]/hl7:text"
         id="tmp-r-90fe9afe-bfe1-4e7c-aff8-b98c6afc2423">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frchesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Frchesb): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Frchesb): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5249
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5249']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5249']]/hl7:text/hl7:reference
Item: (Frchesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5249']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5249']]/hl7:text/hl7:reference"
         id="tmp-r-d7e2977f-2059-48be-97a7-1c0fd7ccca00">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frchesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5249
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5249']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5249']]/hl7:statusCode
Item: (Frchesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5249']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5249']]/hl7:statusCode"
         id="tmp-r-4c58c220-bbea-4230-bade-964a993b6eaa">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frchesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Frchesb): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5249-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Frchesb): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5249
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5249']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5249']]/hl7:value
Item: (Frchesb)
-->
</pattern>
