<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5251
Name: FRC Plethysmograph
Description: Template Functional residual capacity by Plethysmograph body box
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5251-2014-03-30T000000">
   <title>FRC Plethysmograph</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5251
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5251']]
Item: (Frcplethysmograph)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5251
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5251']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5251']]
Item: (Frcplethysmograph)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5251']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5251']]"
         id="tmp-r-a2bdde0c-78ce-488a-bfc3-dd04ee7f53e9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Frcplethysmograph): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Frcplethysmograph): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5251'])&gt;=1 ">(Frcplethysmograph): element hl7:templateId[@root='2.16.578.1.34.10.5251'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5251'])&lt;=1">(Frcplethysmograph): element hl7:templateId[@root='2.16.578.1.34.10.5251'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19846-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19846-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Frcplethysmograph): element hl7:code[(@code='19846-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19846-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Frcplethysmograph): element hl7:code[(@code='19846-5' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Frcplethysmograph): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Frcplethysmograph): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Frcplethysmograph): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Frcplethysmograph): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5251
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5251']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5251']]/hl7:templateId
Item: (Frcplethysmograph)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5251']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5251']]/hl7:templateId"
         id="tmp-r-27929cfb-5437-4824-a509-23de842883a0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frcplethysmograph): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5251'">(Frcplethysmograph): @root SHALL have value '2.16.578.1.34.10.5251'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5251
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5251']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5251']]/hl7:code[(@code='19846-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Frcplethysmograph)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5251']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5251']]/hl7:code[(@code='19846-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-27d418c8-a3fb-44fe-aca0-0d1126524b86">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frcplethysmograph): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19846-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Functional residual capacity by Plethysmograph body box')">(Frcplethysmograph): The element value SHALL be code '19846-5' codeSystem '2.16.840.1.113883.6.1' displayName='Functional residual capacity by Plethysmograph body box'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5251
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5251']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5251']]/hl7:text
Item: (Frcplethysmograph)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5251']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5251']]/hl7:text"
         id="tmp-r-92033117-dd0f-449b-8f04-abe40d9ea881">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frcplethysmograph): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Frcplethysmograph): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Frcplethysmograph): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5251
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5251']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5251']]/hl7:text/hl7:reference
Item: (Frcplethysmograph)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5251']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5251']]/hl7:text/hl7:reference"
         id="tmp-r-6238a2f2-86c7-471f-bb22-e9b35ceefddf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frcplethysmograph): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5251
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5251']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5251']]/hl7:statusCode
Item: (Frcplethysmograph)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5251']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5251']]/hl7:statusCode"
         id="tmp-r-3425c7a6-4313-43a0-814a-c4b24988ce38">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frcplethysmograph): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Frcplethysmograph): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5251-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Frcplethysmograph): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5251
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5251']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5251']]/hl7:value
Item: (Frcplethysmograph)
-->
</pattern>
