<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5253
Name: FRC Predicted
Description: Template Functional residual capacity Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5253-2014-03-30T000000">
   <title>FRC Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5253
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5253']]
Item: (Frcpredicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5253
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5253']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5253']]
Item: (Frcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5253']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5253']]"
         id="tmp-r-bcc717e4-8637-488c-a884-3f0763879933">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Frcpredicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Frcpredicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5253'])&gt;=1 ">(Frcpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5253'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5253'])&lt;=1">(Frcpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5253'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19847-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19847-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Frcpredicted): element hl7:code[(@code='19847-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19847-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Frcpredicted): element hl7:code[(@code='19847-3' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Frcpredicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Frcpredicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Frcpredicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Frcpredicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5253
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5253']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5253']]/hl7:templateId
Item: (Frcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5253']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5253']]/hl7:templateId"
         id="tmp-r-c285bac2-ff61-439e-a9a4-853fa77a0a05">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5253'">(Frcpredicted): @root SHALL have value '2.16.578.1.34.10.5253'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5253
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5253']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5253']]/hl7:code[(@code='19847-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Frcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5253']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5253']]/hl7:code[(@code='19847-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-d48277cd-bd67-454c-b699-ea592594a362">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19847-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Functional residual capacity Predicted')">(Frcpredicted): The element value SHALL be code '19847-3' codeSystem '2.16.840.1.113883.6.1' displayName='Functional residual capacity Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5253
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5253']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5253']]/hl7:text
Item: (Frcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5253']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5253']]/hl7:text"
         id="tmp-r-1a6b921c-060d-4226-a208-5c437c7eefe6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Frcpredicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Frcpredicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5253
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5253']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5253']]/hl7:text/hl7:reference
Item: (Frcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5253']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5253']]/hl7:text/hl7:reference"
         id="tmp-r-0a325fe5-8eff-499c-87e7-297a4639a3fe">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5253
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5253']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5253']]/hl7:statusCode
Item: (Frcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5253']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5253']]/hl7:statusCode"
         id="tmp-r-c513a533-4ccc-4f3a-9738-dd3895d91fc8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Frcpredicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Frcpredicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5253
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5253']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5253']]/hl7:value
Item: (Frcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5253']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5253']]/hl7:value"
         id="tmp-r-317fbc09-0cb8-4bb2-ac30-82f0cfd86203">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Frcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Frcpredicted): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Frcpredicted): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5253-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Frcpredicted): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
