<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5261
Name: IC Predicted
Description: Template Inspiratory capacity Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5261-2014-03-30T000000">
   <title>IC Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5261
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5261']]
Item: (Icpredicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5261
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5261']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5261']]
Item: (Icpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5261']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5261']]"
         id="tmp-r-17fac8c1-889e-4b82-bd8a-b6d2968078d4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Icpredicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Icpredicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5261'])&gt;=1 ">(Icpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5261'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5261'])&lt;=1">(Icpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5261'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19851-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19851-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Icpredicted): element hl7:code[(@code='19851-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19851-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Icpredicted): element hl7:code[(@code='19851-5' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Icpredicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Icpredicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Icpredicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Icpredicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5261
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5261']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5261']]/hl7:templateId
Item: (Icpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5261']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5261']]/hl7:templateId"
         id="tmp-r-e3d63520-a90b-452d-9aa5-c1a568114d93">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5261'">(Icpredicted): @root SHALL have value '2.16.578.1.34.10.5261'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5261
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5261']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5261']]/hl7:code[(@code='19851-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Icpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5261']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5261']]/hl7:code[(@code='19851-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-4e952927-9d33-480f-bf6e-d31635995805">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19851-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Inspiratory capacity Predicted')">(Icpredicted): The element value SHALL be code '19851-5' codeSystem '2.16.840.1.113883.6.1' displayName='Inspiratory capacity Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5261
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5261']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5261']]/hl7:text
Item: (Icpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5261']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5261']]/hl7:text"
         id="tmp-r-c89f9569-e69d-4e0f-9b3d-c74a6ff96dea">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Icpredicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Icpredicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5261
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5261']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5261']]/hl7:text/hl7:reference
Item: (Icpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5261']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5261']]/hl7:text/hl7:reference"
         id="tmp-r-104e0370-4a91-4e1d-9ca2-752ae0156713">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5261
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5261']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5261']]/hl7:statusCode
Item: (Icpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5261']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5261']]/hl7:statusCode"
         id="tmp-r-9b7fa94e-bec7-4398-b098-5acf26c830b4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Icpredicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Icpredicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5261
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5261']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5261']]/hl7:value
Item: (Icpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5261']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5261']]/hl7:value"
         id="tmp-r-31249e9c-c7eb-41cb-9930-8adf11470373">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Icpredicted): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Icpredicted): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5261-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Icpredicted): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
