<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5263
Name: IC Spirometry
Description: Template Inspiratory capacity by Spirometry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5263-2014-03-30T000000">
   <title>IC Spirometry</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5263
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5263']]
Item: (Icspirometry)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5263
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5263']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5263']]
Item: (Icspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5263']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5263']]"
         id="tmp-r-6d3bab9e-ce2a-4e0f-8952-b31beeebb9d0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Icspirometry): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Icspirometry): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5263'])&gt;=1 ">(Icspirometry): element hl7:templateId[@root='2.16.578.1.34.10.5263'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5263'])&lt;=1">(Icspirometry): element hl7:templateId[@root='2.16.578.1.34.10.5263'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19852-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19852-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Icspirometry): element hl7:code[(@code='19852-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19852-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Icspirometry): element hl7:code[(@code='19852-3' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Icspirometry): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Icspirometry): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Icspirometry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Icspirometry): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5263
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5263']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5263']]/hl7:templateId
Item: (Icspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5263']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5263']]/hl7:templateId"
         id="tmp-r-88bdaad4-8038-43ba-a0ed-c2230cb321de">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5263'">(Icspirometry): @root SHALL have value '2.16.578.1.34.10.5263'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5263
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5263']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5263']]/hl7:code[(@code='19852-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Icspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5263']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5263']]/hl7:code[(@code='19852-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-4fef25e4-8c8a-41b2-bbb2-f1c2dd69f6c5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19852-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Inspiratory capacity by Spirometry')">(Icspirometry): The element value SHALL be code '19852-3' codeSystem '2.16.840.1.113883.6.1' displayName='Inspiratory capacity by Spirometry'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5263
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5263']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5263']]/hl7:text
Item: (Icspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5263']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5263']]/hl7:text"
         id="tmp-r-b804e6be-dc56-4e96-84b8-527964b3a770">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Icspirometry): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Icspirometry): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5263
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5263']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5263']]/hl7:text/hl7:reference
Item: (Icspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5263']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5263']]/hl7:text/hl7:reference"
         id="tmp-r-c3ba775c-4dc2-47e1-a07d-2af790680735">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5263
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5263']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5263']]/hl7:statusCode
Item: (Icspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5263']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5263']]/hl7:statusCode"
         id="tmp-r-dbc378aa-5d60-43d0-a17a-9198bf0e4f2e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Icspirometry): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Icspirometry): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5263
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5263']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5263']]/hl7:value
Item: (Icspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5263']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5263']]/hl7:value"
         id="tmp-r-bc12fd88-580e-459a-8789-80efdc669993">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Icspirometry): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5263-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Icspirometry): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
