<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5269
Name: IC meas/Predicted Spirometry
Description: Template Inspiratory capacity measured/Predicted by Spirometry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5269-2014-03-30T000000">
   <title>IC meas/Predicted Spirometry</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5269
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5269']]
Item: (Icmeaspredictedspirometry)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5269
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5269']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5269']]
Item: (Icmeaspredictedspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5269']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5269']]"
         id="tmp-r-5da5771f-c934-4402-9174-7d13e3aa70af">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Icmeaspredictedspirometry): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Icmeaspredictedspirometry): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5269'])&gt;=1 ">(Icmeaspredictedspirometry): element hl7:templateId[@root='2.16.578.1.34.10.5269'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5269'])&lt;=1">(Icmeaspredictedspirometry): element hl7:templateId[@root='2.16.578.1.34.10.5269'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19855-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19855-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Icmeaspredictedspirometry): element hl7:code[(@code='19855-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19855-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Icmeaspredictedspirometry): element hl7:code[(@code='19855-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Icmeaspredictedspirometry): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Icmeaspredictedspirometry): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Icmeaspredictedspirometry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Icmeaspredictedspirometry): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5269
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5269']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5269']]/hl7:templateId
Item: (Icmeaspredictedspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5269']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5269']]/hl7:templateId"
         id="tmp-r-ca6aa7ce-65ee-47e0-95c9-4a17fb1feda2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icmeaspredictedspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5269'">(Icmeaspredictedspirometry): @root SHALL have value '2.16.578.1.34.10.5269'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5269
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5269']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5269']]/hl7:code[(@code='19855-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Icmeaspredictedspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5269']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5269']]/hl7:code[(@code='19855-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-1b225137-738d-4b4d-ab70-3a9d7df849de">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icmeaspredictedspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19855-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Inspiratory capacity measured/Predicted by Spirometry')">(Icmeaspredictedspirometry): The element value SHALL be code '19855-6' codeSystem '2.16.840.1.113883.6.1' displayName='Inspiratory capacity measured/Predicted by Spirometry'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5269
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5269']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5269']]/hl7:text
Item: (Icmeaspredictedspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5269']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5269']]/hl7:text"
         id="tmp-r-44e6b6ec-667f-4fc5-912f-8089140aa9ae">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icmeaspredictedspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Icmeaspredictedspirometry): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Icmeaspredictedspirometry): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5269
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5269']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5269']]/hl7:text/hl7:reference
Item: (Icmeaspredictedspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5269']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5269']]/hl7:text/hl7:reference"
         id="tmp-r-94e0767e-357b-45f0-bc32-afba2d44ca22">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icmeaspredictedspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5269
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5269']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5269']]/hl7:statusCode
Item: (Icmeaspredictedspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5269']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5269']]/hl7:statusCode"
         id="tmp-r-4451e646-2320-4283-8cc0-885910627d56">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icmeaspredictedspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Icmeaspredictedspirometry): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Icmeaspredictedspirometry): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5269
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5269']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5269']]/hl7:value
Item: (Icmeaspredictedspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5269']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5269']]/hl7:value"
         id="tmp-r-f9f96d29-52f6-420d-ab41-0fbcad0c2d08">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icmeaspredictedspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Icmeaspredictedspirometry): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5269-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Icmeaspredictedspirometry): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
