<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5275
Name: TLC He SB
Description: Template Total lung capacity by Helium single breath
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5275-2014-03-30T000000">
   <title>TLC He SB</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5275
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5275']]
Item: (Tlchesb)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5275
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5275']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5275']]
Item: (Tlchesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5275']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5275']]"
         id="tmp-r-df9aff92-4176-4421-a86d-21c52238f4bd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Tlchesb): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Tlchesb): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5275'])&gt;=1 ">(Tlchesb): element hl7:templateId[@root='2.16.578.1.34.10.5275'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5275'])&lt;=1">(Tlchesb): element hl7:templateId[@root='2.16.578.1.34.10.5275'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19858-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19858-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Tlchesb): element hl7:code[(@code='19858-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19858-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Tlchesb): element hl7:code[(@code='19858-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Tlchesb): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Tlchesb): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Tlchesb): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Tlchesb): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5275
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5275']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5275']]/hl7:templateId
Item: (Tlchesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5275']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5275']]/hl7:templateId"
         id="tmp-r-033be3b4-d08c-41d8-b318-e8cff639c117">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlchesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5275'">(Tlchesb): @root SHALL have value '2.16.578.1.34.10.5275'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5275
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5275']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5275']]/hl7:code[(@code='19858-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Tlchesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5275']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5275']]/hl7:code[(@code='19858-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-f2101887-690d-4b3b-bee5-c53ed7789f26">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlchesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19858-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Total lung capacity by Helium single breath')">(Tlchesb): The element value SHALL be code '19858-0' codeSystem '2.16.840.1.113883.6.1' displayName='Total lung capacity by Helium single breath'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5275
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5275']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5275']]/hl7:text
Item: (Tlchesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5275']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5275']]/hl7:text"
         id="tmp-r-34917fbc-8c14-4a03-a393-57920e27c220">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlchesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Tlchesb): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Tlchesb): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5275
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5275']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5275']]/hl7:text/hl7:reference
Item: (Tlchesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5275']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5275']]/hl7:text/hl7:reference"
         id="tmp-r-17b05602-3d2e-434d-9833-b8c9dfc31c51">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlchesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5275
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5275']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5275']]/hl7:statusCode
Item: (Tlchesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5275']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5275']]/hl7:statusCode"
         id="tmp-r-cd80ca6f-ea83-4a33-8410-60601263701e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlchesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Tlchesb): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5275-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Tlchesb): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5275
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5275']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5275']]/hl7:value
Item: (Tlchesb)
-->
</pattern>
