<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5277
Name: TLC Plethysmograph
Description: Template Total lung capacity by Plethysmograph body box
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5277-2014-03-30T000000">
   <title>TLC Plethysmograph</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5277
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5277']]
Item: (Tlcplethysmograph)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5277
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5277']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5277']]
Item: (Tlcplethysmograph)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5277']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5277']]"
         id="tmp-r-d446c628-995d-4158-971a-8f0397b675c1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Tlcplethysmograph): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Tlcplethysmograph): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5277'])&gt;=1 ">(Tlcplethysmograph): element hl7:templateId[@root='2.16.578.1.34.10.5277'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5277'])&lt;=1">(Tlcplethysmograph): element hl7:templateId[@root='2.16.578.1.34.10.5277'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19859-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19859-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Tlcplethysmograph): element hl7:code[(@code='19859-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19859-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Tlcplethysmograph): element hl7:code[(@code='19859-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Tlcplethysmograph): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Tlcplethysmograph): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Tlcplethysmograph): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Tlcplethysmograph): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5277
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5277']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5277']]/hl7:templateId
Item: (Tlcplethysmograph)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5277']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5277']]/hl7:templateId"
         id="tmp-r-66c1299f-ba92-4765-b7ce-97a97951f530">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlcplethysmograph): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5277'">(Tlcplethysmograph): @root SHALL have value '2.16.578.1.34.10.5277'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5277
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5277']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5277']]/hl7:code[(@code='19859-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Tlcplethysmograph)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5277']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5277']]/hl7:code[(@code='19859-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-6872336f-069c-480a-9462-4a18d2bbb251">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlcplethysmograph): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19859-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Total lung capacity by Plethysmograph body box')">(Tlcplethysmograph): The element value SHALL be code '19859-8' codeSystem '2.16.840.1.113883.6.1' displayName='Total lung capacity by Plethysmograph body box'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5277
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5277']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5277']]/hl7:text
Item: (Tlcplethysmograph)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5277']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5277']]/hl7:text"
         id="tmp-r-04c3e750-6995-4044-99d9-12e0ae42d639">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlcplethysmograph): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Tlcplethysmograph): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Tlcplethysmograph): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5277
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5277']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5277']]/hl7:text/hl7:reference
Item: (Tlcplethysmograph)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5277']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5277']]/hl7:text/hl7:reference"
         id="tmp-r-0471efeb-d1c6-4a80-b59f-e62b4e279719">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlcplethysmograph): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5277
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5277']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5277']]/hl7:statusCode
Item: (Tlcplethysmograph)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5277']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5277']]/hl7:statusCode"
         id="tmp-r-5dc06e2c-615d-4ac6-9492-47f30a873900">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlcplethysmograph): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Tlcplethysmograph): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5277-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Tlcplethysmograph): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5277
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5277']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5277']]/hl7:value
Item: (Tlcplethysmograph)
-->
</pattern>
