<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5279
Name: TLC Chest Xray.calc
Description: Template Total lung capacity by Chest xray.calculated
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5279-2014-03-30T000000">
   <title>TLC Chest Xray.calc</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5279
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5279']]
Item: (Tlcchestxraycalc)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5279
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5279']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5279']]
Item: (Tlcchestxraycalc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5279']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5279']]"
         id="tmp-r-3c8f3eac-ae53-42bf-9195-2d010d38a495">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Tlcchestxraycalc): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Tlcchestxraycalc): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5279'])&gt;=1 ">(Tlcchestxraycalc): element hl7:templateId[@root='2.16.578.1.34.10.5279'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5279'])&lt;=1">(Tlcchestxraycalc): element hl7:templateId[@root='2.16.578.1.34.10.5279'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19860-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19860-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Tlcchestxraycalc): element hl7:code[(@code='19860-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19860-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Tlcchestxraycalc): element hl7:code[(@code='19860-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Tlcchestxraycalc): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Tlcchestxraycalc): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Tlcchestxraycalc): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Tlcchestxraycalc): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5279
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5279']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5279']]/hl7:templateId
Item: (Tlcchestxraycalc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5279']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5279']]/hl7:templateId"
         id="tmp-r-7a2c4b33-c538-45c7-86f7-8b12e78152b7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlcchestxraycalc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5279'">(Tlcchestxraycalc): @root SHALL have value '2.16.578.1.34.10.5279'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5279
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5279']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5279']]/hl7:code[(@code='19860-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Tlcchestxraycalc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5279']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5279']]/hl7:code[(@code='19860-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-cc4efd35-49f4-4d6d-9a5f-79ab9ea1483a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlcchestxraycalc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19860-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Total lung capacity by Chest xray.calculated')">(Tlcchestxraycalc): The element value SHALL be code '19860-6' codeSystem '2.16.840.1.113883.6.1' displayName='Total lung capacity by Chest xray.calculated'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5279
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5279']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5279']]/hl7:text
Item: (Tlcchestxraycalc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5279']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5279']]/hl7:text"
         id="tmp-r-82b34f60-e4f8-4d88-a4bc-59b6956bd02a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlcchestxraycalc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Tlcchestxraycalc): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Tlcchestxraycalc): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5279
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5279']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5279']]/hl7:text/hl7:reference
Item: (Tlcchestxraycalc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5279']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5279']]/hl7:text/hl7:reference"
         id="tmp-r-2842e669-9e97-410f-bf4a-a8796f0d1f86">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlcchestxraycalc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5279
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5279']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5279']]/hl7:statusCode
Item: (Tlcchestxraycalc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5279']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5279']]/hl7:statusCode"
         id="tmp-r-4a127a69-75d8-472d-a526-c85e4ab9ba03">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlcchestxraycalc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Tlcchestxraycalc): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5279-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Tlcchestxraycalc): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5279
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5279']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5279']]/hl7:value
Item: (Tlcchestxraycalc)
-->
</pattern>
