<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5281
Name: TLC Predicted
Description: Template Total lung capacity Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5281-2014-03-30T000000">
   <title>TLC Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5281
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5281']]
Item: (Tlcpredicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5281
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5281']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5281']]
Item: (Tlcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5281']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5281']]"
         id="tmp-r-995bbc78-4a30-4d6b-b5b9-9e5fbe69710f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Tlcpredicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Tlcpredicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5281'])&gt;=1 ">(Tlcpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5281'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5281'])&lt;=1">(Tlcpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5281'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19861-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19861-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Tlcpredicted): element hl7:code[(@code='19861-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19861-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Tlcpredicted): element hl7:code[(@code='19861-4' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Tlcpredicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Tlcpredicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Tlcpredicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Tlcpredicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5281
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5281']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5281']]/hl7:templateId
Item: (Tlcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5281']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5281']]/hl7:templateId"
         id="tmp-r-3d8a225e-5d10-4cfb-8fe4-d997d12af7d0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5281'">(Tlcpredicted): @root SHALL have value '2.16.578.1.34.10.5281'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5281
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5281']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5281']]/hl7:code[(@code='19861-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Tlcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5281']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5281']]/hl7:code[(@code='19861-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-fc423282-3d87-42cf-81c9-030bdffe92a1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19861-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Total lung capacity Predicted')">(Tlcpredicted): The element value SHALL be code '19861-4' codeSystem '2.16.840.1.113883.6.1' displayName='Total lung capacity Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5281
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5281']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5281']]/hl7:text
Item: (Tlcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5281']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5281']]/hl7:text"
         id="tmp-r-8417710d-a117-4736-9043-23e9a9f552f4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Tlcpredicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Tlcpredicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5281
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5281']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5281']]/hl7:text/hl7:reference
Item: (Tlcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5281']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5281']]/hl7:text/hl7:reference"
         id="tmp-r-202334df-996d-4066-9f23-3a55aec5b784">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5281
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5281']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5281']]/hl7:statusCode
Item: (Tlcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5281']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5281']]/hl7:statusCode"
         id="tmp-r-594b1cbe-9d42-406a-be38-acc219db1a6d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Tlcpredicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Tlcpredicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5281
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5281']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5281']]/hl7:value
Item: (Tlcpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5281']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5281']]/hl7:value"
         id="tmp-r-eaa1eb4f-4087-4631-bac3-b97506767b1e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlcpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Tlcpredicted): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Tlcpredicted): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5281-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Tlcpredicted): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
