<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5283
Name: TLC
Description: Template Total lung capacity
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5283-2014-03-30T000000">
   <title>TLC</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5283
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5283']]
Item: (Tlc)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5283
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5283']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5283']]
Item: (Tlc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5283']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5283']]"
         id="tmp-r-d9016876-129a-4f88-9277-a5e327f7361a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Tlc): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Tlc): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5283'])&gt;=1 ">(Tlc): element hl7:templateId[@root='2.16.578.1.34.10.5283'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5283'])&lt;=1">(Tlc): element hl7:templateId[@root='2.16.578.1.34.10.5283'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19862-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19862-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Tlc): element hl7:code[(@code='19862-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19862-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Tlc): element hl7:code[(@code='19862-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Tlc): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Tlc): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Tlc): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Tlc): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5283
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5283']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5283']]/hl7:templateId
Item: (Tlc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5283']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5283']]/hl7:templateId"
         id="tmp-r-be554b7e-74d1-4a06-8378-3979716ba40a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5283'">(Tlc): @root SHALL have value '2.16.578.1.34.10.5283'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5283
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5283']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5283']]/hl7:code[(@code='19862-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Tlc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5283']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5283']]/hl7:code[(@code='19862-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-aaacaa4e-4530-4fb2-873d-415639d21d0b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19862-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Total lung capacity')">(Tlc): The element value SHALL be code '19862-2' codeSystem '2.16.840.1.113883.6.1' displayName='Total lung capacity'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5283
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5283']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5283']]/hl7:text
Item: (Tlc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5283']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5283']]/hl7:text"
         id="tmp-r-95e869b0-7886-4484-9f07-12fe6c9ba55d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Tlc): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Tlc): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5283
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5283']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5283']]/hl7:text/hl7:reference
Item: (Tlc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5283']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5283']]/hl7:text/hl7:reference"
         id="tmp-r-472bfffa-4028-47dd-a4a8-0dda7b4653c3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5283
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5283']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5283']]/hl7:statusCode
Item: (Tlc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5283']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5283']]/hl7:statusCode"
         id="tmp-r-d2ea4f5a-59f3-4815-ad50-987f03e91b8a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tlc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Tlc): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5283-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Tlc): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5283
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5283']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5283']]/hl7:value
Item: (Tlc)
-->
</pattern>
