<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5293
Name: Residual vol He Rebreath
Description: Template Residual volume by Helium rebreathing
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5293-2014-03-30T000000">
   <title>Residual vol He Rebreath</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5293
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5293']]
Item: (Residualvolherebreath)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5293
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5293']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5293']]
Item: (Residualvolherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5293']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5293']]"
         id="tmp-r-d8e00178-390c-4591-9e5b-0911ad9b8b54">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Residualvolherebreath): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Residualvolherebreath): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5293'])&gt;=1 ">(Residualvolherebreath): element hl7:templateId[@root='2.16.578.1.34.10.5293'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5293'])&lt;=1">(Residualvolherebreath): element hl7:templateId[@root='2.16.578.1.34.10.5293'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20143-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20143-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Residualvolherebreath): element hl7:code[(@code='20143-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20143-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Residualvolherebreath): element hl7:code[(@code='20143-4' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Residualvolherebreath): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Residualvolherebreath): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Residualvolherebreath): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Residualvolherebreath): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5293
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5293']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5293']]/hl7:templateId
Item: (Residualvolherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5293']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5293']]/hl7:templateId"
         id="tmp-r-6b950315-7409-4c40-86f5-1ec902fd1bde">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvolherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5293'">(Residualvolherebreath): @root SHALL have value '2.16.578.1.34.10.5293'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5293
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5293']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5293']]/hl7:code[(@code='20143-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Residualvolherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5293']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5293']]/hl7:code[(@code='20143-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-2c0bf341-d5a6-4d30-9f7f-2dd88b31306e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvolherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20143-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Residual volume by Helium rebreathing')">(Residualvolherebreath): The element value SHALL be code '20143-4' codeSystem '2.16.840.1.113883.6.1' displayName='Residual volume by Helium rebreathing'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5293
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5293']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5293']]/hl7:text
Item: (Residualvolherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5293']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5293']]/hl7:text"
         id="tmp-r-4cd326d9-8da5-4008-b03b-9e0128ae1278">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvolherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Residualvolherebreath): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Residualvolherebreath): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5293
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5293']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5293']]/hl7:text/hl7:reference
Item: (Residualvolherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5293']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5293']]/hl7:text/hl7:reference"
         id="tmp-r-fab4ec39-4a53-4e48-8cba-503875b2444c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvolherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5293
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5293']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5293']]/hl7:statusCode
Item: (Residualvolherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5293']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5293']]/hl7:statusCode"
         id="tmp-r-b58f48b0-42f4-4629-abc3-8bad0ad533c2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvolherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Residualvolherebreath): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5293-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Residualvolherebreath): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5293
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5293']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5293']]/hl7:value
Item: (Residualvolherebreath)
-->
</pattern>
