<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5295
Name: Residual vol He SB
Description: Template Residual volume by Helium single breath
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5295-2014-03-30T000000">
   <title>Residual vol He SB</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5295
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5295']]
Item: (Residualvolhesb)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5295
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5295']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5295']]
Item: (Residualvolhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5295']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5295']]"
         id="tmp-r-a1f7f1c7-32a3-4b27-810d-8669b10fe925">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Residualvolhesb): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Residualvolhesb): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5295'])&gt;=1 ">(Residualvolhesb): element hl7:templateId[@root='2.16.578.1.34.10.5295'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5295'])&lt;=1">(Residualvolhesb): element hl7:templateId[@root='2.16.578.1.34.10.5295'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20144-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20144-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Residualvolhesb): element hl7:code[(@code='20144-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20144-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Residualvolhesb): element hl7:code[(@code='20144-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Residualvolhesb): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Residualvolhesb): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Residualvolhesb): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Residualvolhesb): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5295
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5295']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5295']]/hl7:templateId
Item: (Residualvolhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5295']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5295']]/hl7:templateId"
         id="tmp-r-44c69ca5-2b94-4ade-b3e9-6a6c97fa48d9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvolhesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5295'">(Residualvolhesb): @root SHALL have value '2.16.578.1.34.10.5295'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5295
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5295']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5295']]/hl7:code[(@code='20144-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Residualvolhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5295']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5295']]/hl7:code[(@code='20144-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-573b3e67-66a2-437b-b6b2-865ed261df5f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvolhesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20144-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Residual volume by Helium single breath')">(Residualvolhesb): The element value SHALL be code '20144-2' codeSystem '2.16.840.1.113883.6.1' displayName='Residual volume by Helium single breath'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5295
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5295']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5295']]/hl7:text
Item: (Residualvolhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5295']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5295']]/hl7:text"
         id="tmp-r-8ceb9df4-f61b-4403-9409-e0ba676fbcf8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvolhesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Residualvolhesb): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Residualvolhesb): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5295
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5295']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5295']]/hl7:text/hl7:reference
Item: (Residualvolhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5295']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5295']]/hl7:text/hl7:reference"
         id="tmp-r-7a2d5c8f-5b17-408e-ae74-813cd0c3a28b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvolhesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5295
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5295']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5295']]/hl7:statusCode
Item: (Residualvolhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5295']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5295']]/hl7:statusCode"
         id="tmp-r-678eecad-c2f9-4847-9482-fc6854448a7c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvolhesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Residualvolhesb): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5295-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Residualvolhesb): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5295
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5295']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5295']]/hl7:value
Item: (Residualvolhesb)
-->
</pattern>
