<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5297
Name: Residual vol Predicted
Description: Template Residual volume Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5297-2014-03-30T000000">
   <title>Residual vol Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5297
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5297']]
Item: (Residualvolpredicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5297
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5297']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5297']]
Item: (Residualvolpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5297']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5297']]"
         id="tmp-r-1fae3a3c-ab51-426f-8c5e-d63879d26c6c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Residualvolpredicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Residualvolpredicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5297'])&gt;=1 ">(Residualvolpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5297'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5297'])&lt;=1">(Residualvolpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5297'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20145-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20145-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Residualvolpredicted): element hl7:code[(@code='20145-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20145-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Residualvolpredicted): element hl7:code[(@code='20145-9' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Residualvolpredicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Residualvolpredicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Residualvolpredicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Residualvolpredicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5297
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5297']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5297']]/hl7:templateId
Item: (Residualvolpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5297']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5297']]/hl7:templateId"
         id="tmp-r-3860eaba-aaa3-4836-81ca-a456ca9d063f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvolpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5297'">(Residualvolpredicted): @root SHALL have value '2.16.578.1.34.10.5297'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5297
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5297']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5297']]/hl7:code[(@code='20145-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Residualvolpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5297']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5297']]/hl7:code[(@code='20145-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-cbda8153-967b-475a-8991-a84f1ebcfc79">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvolpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20145-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Residual volume Predicted')">(Residualvolpredicted): The element value SHALL be code '20145-9' codeSystem '2.16.840.1.113883.6.1' displayName='Residual volume Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5297
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5297']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5297']]/hl7:text
Item: (Residualvolpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5297']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5297']]/hl7:text"
         id="tmp-r-43f831ce-a91d-4f10-965d-514e72da0622">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvolpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Residualvolpredicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Residualvolpredicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5297
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5297']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5297']]/hl7:text/hl7:reference
Item: (Residualvolpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5297']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5297']]/hl7:text/hl7:reference"
         id="tmp-r-f2d479ca-c272-4838-8fff-4d21db86c24d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvolpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5297
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5297']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5297']]/hl7:statusCode
Item: (Residualvolpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5297']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5297']]/hl7:statusCode"
         id="tmp-r-43baffd4-12c3-4c3b-b8b7-da2d7f213427">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvolpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Residualvolpredicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5297-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Residualvolpredicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5297
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5297']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5297']]/hl7:value
Item: (Residualvolpredicted)
-->
</pattern>
