<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5299
Name: Residual vol
Description: Template Residual volume
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5299-2014-03-30T000000">
   <title>Residual vol</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5299
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5299']]
Item: (Residualvol)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5299
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5299']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5299']]
Item: (Residualvol)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5299']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5299']]"
         id="tmp-r-a2071bd4-b562-44e2-ab18-7caac3bce5cb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Residualvol): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Residualvol): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5299'])&gt;=1 ">(Residualvol): element hl7:templateId[@root='2.16.578.1.34.10.5299'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5299'])&lt;=1">(Residualvol): element hl7:templateId[@root='2.16.578.1.34.10.5299'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20146-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20146-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Residualvol): element hl7:code[(@code='20146-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20146-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Residualvol): element hl7:code[(@code='20146-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Residualvol): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Residualvol): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Residualvol): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Residualvol): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5299
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5299']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5299']]/hl7:templateId
Item: (Residualvol)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5299']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5299']]/hl7:templateId"
         id="tmp-r-ebef92e5-3956-4089-a044-dde8d5aa5c46">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvol): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5299'">(Residualvol): @root SHALL have value '2.16.578.1.34.10.5299'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5299
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5299']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5299']]/hl7:code[(@code='20146-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Residualvol)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5299']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5299']]/hl7:code[(@code='20146-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-1b2c88c0-2d3c-4462-9603-2e6c4aedd320">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvol): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20146-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Residual volume')">(Residualvol): The element value SHALL be code '20146-7' codeSystem '2.16.840.1.113883.6.1' displayName='Residual volume'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5299
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5299']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5299']]/hl7:text
Item: (Residualvol)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5299']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5299']]/hl7:text"
         id="tmp-r-adda7498-03c1-4da6-aafe-d73820b8978f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvol): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Residualvol): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Residualvol): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5299
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5299']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5299']]/hl7:text/hl7:reference
Item: (Residualvol)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5299']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5299']]/hl7:text/hl7:reference"
         id="tmp-r-35404b93-302b-4d3d-b0e8-a8565929f071">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvol): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5299
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5299']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5299']]/hl7:statusCode
Item: (Residualvol)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5299']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5299']]/hl7:statusCode"
         id="tmp-r-002de869-67aa-4a2f-a0a7-82bc75ba784b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvol): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Residualvol): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5299-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Residualvol): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5299
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5299']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5299']]/hl7:value
Item: (Residualvol)
-->
</pattern>
