<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5301
Name: Residual vol/Total capacity Predicted
Description: Template Residual volume/Total capacity Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5301-2014-03-30T000000">
   <title>Residual vol/Total capacity Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5301
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5301']]
Item: (Residualvoltotalcapacitypredicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5301
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5301']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5301']]
Item: (Residualvoltotalcapacitypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5301']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5301']]"
         id="tmp-r-fd56ab12-38b0-4b13-8fbe-4ece791f7507">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Residualvoltotalcapacitypredicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Residualvoltotalcapacitypredicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5301'])&gt;=1 ">(Residualvoltotalcapacitypredicted): element hl7:templateId[@root='2.16.578.1.34.10.5301'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5301'])&lt;=1">(Residualvoltotalcapacitypredicted): element hl7:templateId[@root='2.16.578.1.34.10.5301'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="count(hl7:code[(@code='43252-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='43252-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Residualvoltotalcapacitypredicted): element hl7:code[(@code='43252-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="count(hl7:code[(@code='43252-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Residualvoltotalcapacitypredicted): element hl7:code[(@code='43252-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Residualvoltotalcapacitypredicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Residualvoltotalcapacitypredicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Residualvoltotalcapacitypredicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Residualvoltotalcapacitypredicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5301
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5301']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5301']]/hl7:templateId
Item: (Residualvoltotalcapacitypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5301']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5301']]/hl7:templateId"
         id="tmp-r-1fcfe111-4815-4ef2-b3de-ddb618e566b2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvoltotalcapacitypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5301'">(Residualvoltotalcapacitypredicted): @root SHALL have value '2.16.578.1.34.10.5301'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5301
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5301']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5301']]/hl7:code[(@code='43252-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Residualvoltotalcapacitypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5301']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5301']]/hl7:code[(@code='43252-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-b25f96e8-2fff-4d2d-b8c4-f7b10b10d973">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvoltotalcapacitypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="@nullFlavor or (@code='43252-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Residual volume/Total capacity Predicted')">(Residualvoltotalcapacitypredicted): The element value SHALL be code '43252-6' codeSystem '2.16.840.1.113883.6.1' displayName='Residual volume/Total capacity Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5301
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5301']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5301']]/hl7:text
Item: (Residualvoltotalcapacitypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5301']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5301']]/hl7:text"
         id="tmp-r-d29bce80-2428-49d2-898d-56136a36048f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvoltotalcapacitypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Residualvoltotalcapacitypredicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Residualvoltotalcapacitypredicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5301
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5301']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5301']]/hl7:text/hl7:reference
Item: (Residualvoltotalcapacitypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5301']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5301']]/hl7:text/hl7:reference"
         id="tmp-r-a61948ea-d912-4231-b335-723b664ceab4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvoltotalcapacitypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5301
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5301']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5301']]/hl7:statusCode
Item: (Residualvoltotalcapacitypredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5301']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5301']]/hl7:statusCode"
         id="tmp-r-d75933f8-9e87-4a65-8be0-879bae7ead90">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Residualvoltotalcapacitypredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Residualvoltotalcapacitypredicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5301-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Residualvoltotalcapacitypredicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5301
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5301']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5301']]/hl7:value
Item: (Residualvoltotalcapacitypredicted)
-->
</pattern>
