<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5309
Name: Diff cap.CO
Description: Template Diffusion capacity.carbon monoxide
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5309-2014-03-30T000000">
   <title>Diff cap.CO</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5309
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5309']]
Item: (Diffcapco)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5309
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5309']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5309']]
Item: (Diffcapco)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5309']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5309']]"
         id="tmp-r-45b01796-fb0f-418b-9621-fd0dffed6fa2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Diffcapco): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Diffcapco): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5309'])&gt;=1 ">(Diffcapco): element hl7:templateId[@root='2.16.578.1.34.10.5309'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5309'])&lt;=1">(Diffcapco): element hl7:templateId[@root='2.16.578.1.34.10.5309'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19911-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19911-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Diffcapco): element hl7:code[(@code='19911-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19911-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Diffcapco): element hl7:code[(@code='19911-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Diffcapco): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Diffcapco): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Diffcapco): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Diffcapco): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5309
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5309']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5309']]/hl7:templateId
Item: (Diffcapco)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5309']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5309']]/hl7:templateId"
         id="tmp-r-45d17c7c-8dd2-42cf-b323-986ec8ba2a69">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapco): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5309'">(Diffcapco): @root SHALL have value '2.16.578.1.34.10.5309'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5309
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5309']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5309']]/hl7:code[(@code='19911-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Diffcapco)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5309']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5309']]/hl7:code[(@code='19911-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-e92c5601-886b-4296-ab70-6da4c674d862">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapco): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19911-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Diffusion capacity.carbon monoxide')">(Diffcapco): The element value SHALL be code '19911-7' codeSystem '2.16.840.1.113883.6.1' displayName='Diffusion capacity.carbon monoxide'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5309
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5309']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5309']]/hl7:text
Item: (Diffcapco)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5309']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5309']]/hl7:text"
         id="tmp-r-d3671d5e-1f7f-4b81-bbc8-236835662a97">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapco): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Diffcapco): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Diffcapco): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5309
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5309']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5309']]/hl7:text/hl7:reference
Item: (Diffcapco)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5309']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5309']]/hl7:text/hl7:reference"
         id="tmp-r-450adc46-0cdd-4f3e-aba5-ce6c85668754">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapco): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5309
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5309']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5309']]/hl7:statusCode
Item: (Diffcapco)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5309']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5309']]/hl7:statusCode"
         id="tmp-r-3713f518-26be-48f6-bd8b-83e7d600d404">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapco): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Diffcapco): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Diffcapco): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5309
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5309']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5309']]/hl7:value
Item: (Diffcapco)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5309']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5309']]/hl7:value"
         id="tmp-r-6749618b-c389-4faf-b222-5eb50ca61f82">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapco): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='mmol/kPa.min'))">(Diffcapco): value SHALL use unit 'mmol/kPa.min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Diffcapco): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5309-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Diffcapco): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
