<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5313
Name: Diff cap.CO/Alv vol Hgb adj
Description: Template Diffusion capacity.carbon monoxide/Alveolar volume adjusted for hemoglobin
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5313-2014-03-30T000000">
   <title>Diff cap.CO/Alv vol Hgb adj</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5313
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5313']]
Item: (Diffcapcoalvvolhgbadj)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5313
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5313']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5313']]
Item: (Diffcapcoalvvolhgbadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5313']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5313']]"
         id="tmp-r-6f9d1692-f8da-40ff-9477-b8693623b637">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Diffcapcoalvvolhgbadj): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Diffcapcoalvvolhgbadj): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5313'])&gt;=1 ">(Diffcapcoalvvolhgbadj): element hl7:templateId[@root='2.16.578.1.34.10.5313'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5313'])&lt;=1">(Diffcapcoalvvolhgbadj): element hl7:templateId[@root='2.16.578.1.34.10.5313'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69578-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='69578-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Diffcapcoalvvolhgbadj): element hl7:code[(@code='69578-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69578-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Diffcapcoalvvolhgbadj): element hl7:code[(@code='69578-3' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Diffcapcoalvvolhgbadj): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Diffcapcoalvvolhgbadj): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Diffcapcoalvvolhgbadj): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Diffcapcoalvvolhgbadj): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5313
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5313']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5313']]/hl7:templateId
Item: (Diffcapcoalvvolhgbadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5313']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5313']]/hl7:templateId"
         id="tmp-r-400d6e92-a676-4a94-9186-40d954a39bb2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcoalvvolhgbadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5313'">(Diffcapcoalvvolhgbadj): @root SHALL have value '2.16.578.1.34.10.5313'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5313
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5313']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5313']]/hl7:code[(@code='69578-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Diffcapcoalvvolhgbadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5313']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5313']]/hl7:code[(@code='69578-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-c504d334-70fc-451c-8195-c4590c5e93e5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcoalvvolhgbadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="@nullFlavor or (@code='69578-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Diffusion capacity.carbon monoxide/Alveolar volume adjusted for hemoglobin')">(Diffcapcoalvvolhgbadj): The element value SHALL be code '69578-3' codeSystem '2.16.840.1.113883.6.1' displayName='Diffusion capacity.carbon monoxide/Alveolar volume adjusted for hemoglobin'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5313
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5313']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5313']]/hl7:text
Item: (Diffcapcoalvvolhgbadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5313']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5313']]/hl7:text"
         id="tmp-r-2cabfabb-7a83-4ac1-bd53-0d60c558560f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcoalvvolhgbadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Diffcapcoalvvolhgbadj): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Diffcapcoalvvolhgbadj): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5313
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5313']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5313']]/hl7:text/hl7:reference
Item: (Diffcapcoalvvolhgbadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5313']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5313']]/hl7:text/hl7:reference"
         id="tmp-r-69b89452-b56a-4f9c-8c2a-9386b025b81a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcoalvvolhgbadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5313
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5313']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5313']]/hl7:statusCode
Item: (Diffcapcoalvvolhgbadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5313']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5313']]/hl7:statusCode"
         id="tmp-r-240f0a8e-6d14-4731-81ca-066a30f208c6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcoalvvolhgbadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Diffcapcoalvvolhgbadj): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Diffcapcoalvvolhgbadj): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5313
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5313']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5313']]/hl7:value
Item: (Diffcapcoalvvolhgbadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5313']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5313']]/hl7:value"
         id="tmp-r-e2fbb1b1-e5d0-4a92-98ab-9f607910b14f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcoalvvolhgbadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/min/mm[Hg]')) or (@nullFlavor or (@unit='L/min/kPa'))">(Diffcapcoalvvolhgbadj): value SHALL use unit 'L/min/mm[Hg]'  or use unit 'L/min/kPa' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Diffcapcoalvvolhgbadj): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5313-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Diffcapcoalvvolhgbadj): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
