<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5315
Name: Diff cap.CO Hgb adj
Description: Template Diffusion capacity.carbon monoxide adjusted for hemoglobin
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5315-2014-03-30T000000">
   <title>Diff cap.CO Hgb adj</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5315
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5315']]
Item: (Diffcapcohgbadj)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5315
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5315']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5315']]
Item: (Diffcapcohgbadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5315']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5315']]"
         id="tmp-r-df598f90-d75f-4d5c-b130-a6cd5b5fd76c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Diffcapcohgbadj): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Diffcapcohgbadj): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5315'])&gt;=1 ">(Diffcapcohgbadj): element hl7:templateId[@root='2.16.578.1.34.10.5315'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5315'])&lt;=1">(Diffcapcohgbadj): element hl7:templateId[@root='2.16.578.1.34.10.5315'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19913-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19913-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Diffcapcohgbadj): element hl7:code[(@code='19913-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19913-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Diffcapcohgbadj): element hl7:code[(@code='19913-3' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Diffcapcohgbadj): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Diffcapcohgbadj): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Diffcapcohgbadj): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Diffcapcohgbadj): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5315
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5315']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5315']]/hl7:templateId
Item: (Diffcapcohgbadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5315']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5315']]/hl7:templateId"
         id="tmp-r-19baee02-33f3-488a-8775-6c68c8a1f800">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcohgbadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5315'">(Diffcapcohgbadj): @root SHALL have value '2.16.578.1.34.10.5315'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5315
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5315']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5315']]/hl7:code[(@code='19913-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Diffcapcohgbadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5315']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5315']]/hl7:code[(@code='19913-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-70c13f73-89f8-4835-8ffd-b5bbfd078f09">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcohgbadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19913-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Diffusion capacity.carbon monoxide adjusted for hemoglobin')">(Diffcapcohgbadj): The element value SHALL be code '19913-3' codeSystem '2.16.840.1.113883.6.1' displayName='Diffusion capacity.carbon monoxide adjusted for hemoglobin'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5315
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5315']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5315']]/hl7:text
Item: (Diffcapcohgbadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5315']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5315']]/hl7:text"
         id="tmp-r-3f31e71c-37dd-4e5a-8865-adba3b4abca3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcohgbadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Diffcapcohgbadj): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Diffcapcohgbadj): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5315
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5315']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5315']]/hl7:text/hl7:reference
Item: (Diffcapcohgbadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5315']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5315']]/hl7:text/hl7:reference"
         id="tmp-r-8eee0652-0221-4f25-865c-ba2e7ea16e38">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcohgbadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5315
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5315']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5315']]/hl7:statusCode
Item: (Diffcapcohgbadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5315']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5315']]/hl7:statusCode"
         id="tmp-r-b5326255-eb9d-4021-81ec-4242a4771c97">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcohgbadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Diffcapcohgbadj): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Diffcapcohgbadj): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5315
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5315']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5315']]/hl7:value
Item: (Diffcapcohgbadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5315']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5315']]/hl7:value"
         id="tmp-r-a9f58234-8a33-4ae8-8b3f-fdc608bdc91e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcohgbadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='mmol/kPa.min'))">(Diffcapcohgbadj): value SHALL use unit 'mmol/kPa.min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Diffcapcohgbadj): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5315-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Diffcapcohgbadj): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
