<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5317
Name: Diff cap.CO Hgb adj He SB
Description: Template Diffusion capacity.carbon monoxide adjusted for hemoglobin by Helium single breath
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5317-2014-03-30T000000">
   <title>Diff cap.CO Hgb adj He SB</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5317
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5317']]
Item: (Diffcapcohgbadjhesb)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5317
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5317']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5317']]
Item: (Diffcapcohgbadjhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5317']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5317']]"
         id="tmp-r-a36e0cfa-50ba-4b49-b672-abd9b245cd1a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Diffcapcohgbadjhesb): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Diffcapcohgbadjhesb): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5317'])&gt;=1 ">(Diffcapcohgbadjhesb): element hl7:templateId[@root='2.16.578.1.34.10.5317'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5317'])&lt;=1">(Diffcapcohgbadjhesb): element hl7:templateId[@root='2.16.578.1.34.10.5317'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19912-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19912-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Diffcapcohgbadjhesb): element hl7:code[(@code='19912-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19912-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Diffcapcohgbadjhesb): element hl7:code[(@code='19912-5' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Diffcapcohgbadjhesb): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Diffcapcohgbadjhesb): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Diffcapcohgbadjhesb): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Diffcapcohgbadjhesb): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5317
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5317']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5317']]/hl7:templateId
Item: (Diffcapcohgbadjhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5317']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5317']]/hl7:templateId"
         id="tmp-r-80bc0f6a-038c-45fe-b92a-c0c62001c522">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcohgbadjhesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5317'">(Diffcapcohgbadjhesb): @root SHALL have value '2.16.578.1.34.10.5317'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5317
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5317']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5317']]/hl7:code[(@code='19912-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Diffcapcohgbadjhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5317']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5317']]/hl7:code[(@code='19912-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-f07a9cb4-b4fb-4224-9759-7bc078b807c7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcohgbadjhesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19912-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Diffusion capacity.carbon monoxide adjusted for hemoglobin by Helium single breath')">(Diffcapcohgbadjhesb): The element value SHALL be code '19912-5' codeSystem '2.16.840.1.113883.6.1' displayName='Diffusion capacity.carbon monoxide adjusted for hemoglobin by Helium single breath'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5317
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5317']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5317']]/hl7:text
Item: (Diffcapcohgbadjhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5317']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5317']]/hl7:text"
         id="tmp-r-a1570e17-63ac-40f3-9bf1-e7baf49f4ce3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcohgbadjhesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Diffcapcohgbadjhesb): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Diffcapcohgbadjhesb): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5317
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5317']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5317']]/hl7:text/hl7:reference
Item: (Diffcapcohgbadjhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5317']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5317']]/hl7:text/hl7:reference"
         id="tmp-r-b3de4cdf-be0e-43be-92c8-0c3546785d62">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcohgbadjhesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5317
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5317']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5317']]/hl7:statusCode
Item: (Diffcapcohgbadjhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5317']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5317']]/hl7:statusCode"
         id="tmp-r-3a881de8-2887-44a0-a1c3-6fb4f52d6874">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcohgbadjhesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Diffcapcohgbadjhesb): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Diffcapcohgbadjhesb): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5317
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5317']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5317']]/hl7:value
Item: (Diffcapcohgbadjhesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5317']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5317']]/hl7:value"
         id="tmp-r-8033d614-ebe8-4230-962f-b525cf197065">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapcohgbadjhesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='mmol/kPa.min'))">(Diffcapcohgbadjhesb): value SHALL use unit 'mmol/kPa.min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Diffcapcohgbadjhesb): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5317-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Diffcapcohgbadjhesb): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
