<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5319
Name: Diff cap/Alv vol
Description: Template Diffusion capacity/Alveolar volume
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5319-2014-03-30T000000">
   <title>Diff cap/Alv vol</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5319
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5319']]
Item: (Diffcapalvvol)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5319
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5319']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5319']]
Item: (Diffcapalvvol)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5319']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5319']]"
         id="tmp-r-8246b9e8-d396-47da-8479-643566651733">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Diffcapalvvol): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Diffcapalvvol): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5319'])&gt;=1 ">(Diffcapalvvol): element hl7:templateId[@root='2.16.578.1.34.10.5319'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5319'])&lt;=1">(Diffcapalvvol): element hl7:templateId[@root='2.16.578.1.34.10.5319'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19916-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19916-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Diffcapalvvol): element hl7:code[(@code='19916-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19916-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Diffcapalvvol): element hl7:code[(@code='19916-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Diffcapalvvol): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Diffcapalvvol): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Diffcapalvvol): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Diffcapalvvol): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5319
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5319']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5319']]/hl7:templateId
Item: (Diffcapalvvol)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5319']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5319']]/hl7:templateId"
         id="tmp-r-44fb8762-3dcf-4a77-a4e5-28f8b999b0c5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapalvvol): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5319'">(Diffcapalvvol): @root SHALL have value '2.16.578.1.34.10.5319'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5319
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5319']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5319']]/hl7:code[(@code='19916-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Diffcapalvvol)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5319']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5319']]/hl7:code[(@code='19916-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-217a398c-e28d-4277-8d8f-b2c65168fe10">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapalvvol): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19916-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Diffusion capacity/Alveolar volume')">(Diffcapalvvol): The element value SHALL be code '19916-6' codeSystem '2.16.840.1.113883.6.1' displayName='Diffusion capacity/Alveolar volume'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5319
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5319']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5319']]/hl7:text
Item: (Diffcapalvvol)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5319']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5319']]/hl7:text"
         id="tmp-r-252fe162-8f3a-4246-ac85-d87696e44b33">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapalvvol): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Diffcapalvvol): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Diffcapalvvol): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5319
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5319']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5319']]/hl7:text/hl7:reference
Item: (Diffcapalvvol)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5319']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5319']]/hl7:text/hl7:reference"
         id="tmp-r-80807086-713e-40d8-82bb-0cb0120dcf51">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapalvvol): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5319
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5319']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5319']]/hl7:statusCode
Item: (Diffcapalvvol)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5319']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5319']]/hl7:statusCode"
         id="tmp-r-5603c714-3285-45f1-809d-3b1c427d5d3b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapalvvol): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Diffcapalvvol): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5319-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Diffcapalvvol): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5319
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5319']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5319']]/hl7:value
Item: (Diffcapalvvol)
-->
</pattern>
