<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5321
Name: Diff cap/Alv vol Predicted
Description: Template Diffusion capacity/Alveolar volume Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5321-2014-03-30T000000">
   <title>Diff cap/Alv vol Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5321
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5321']]
Item: (Diffcapalvvolpredicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5321
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5321']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5321']]
Item: (Diffcapalvvolpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5321']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5321']]"
         id="tmp-r-c363965c-87ee-40b9-b47c-36ccbc9716f5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Diffcapalvvolpredicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Diffcapalvvolpredicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5321'])&gt;=1 ">(Diffcapalvvolpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5321'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5321'])&lt;=1">(Diffcapalvvolpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5321'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19915-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19915-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Diffcapalvvolpredicted): element hl7:code[(@code='19915-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19915-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Diffcapalvvolpredicted): element hl7:code[(@code='19915-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Diffcapalvvolpredicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Diffcapalvvolpredicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Diffcapalvvolpredicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Diffcapalvvolpredicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5321
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5321']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5321']]/hl7:templateId
Item: (Diffcapalvvolpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5321']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5321']]/hl7:templateId"
         id="tmp-r-de46eb5c-a9d3-429a-b0df-79b0d8edf47b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapalvvolpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5321'">(Diffcapalvvolpredicted): @root SHALL have value '2.16.578.1.34.10.5321'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5321
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5321']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5321']]/hl7:code[(@code='19915-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Diffcapalvvolpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5321']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5321']]/hl7:code[(@code='19915-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-84a565e1-b5f1-4714-98c5-72461105a015">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapalvvolpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19915-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Diffusion capacity/Alveolar volume Predicted')">(Diffcapalvvolpredicted): The element value SHALL be code '19915-8' codeSystem '2.16.840.1.113883.6.1' displayName='Diffusion capacity/Alveolar volume Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5321
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5321']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5321']]/hl7:text
Item: (Diffcapalvvolpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5321']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5321']]/hl7:text"
         id="tmp-r-7d31b651-a386-4195-ab81-b1eeb4c49404">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapalvvolpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Diffcapalvvolpredicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Diffcapalvvolpredicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5321
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5321']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5321']]/hl7:text/hl7:reference
Item: (Diffcapalvvolpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5321']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5321']]/hl7:text/hl7:reference"
         id="tmp-r-fff68250-8212-47fd-ae8e-26fd18ef0526">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapalvvolpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5321
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5321']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5321']]/hl7:statusCode
Item: (Diffcapalvvolpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5321']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5321']]/hl7:statusCode"
         id="tmp-r-29422c65-522e-4783-9ead-680b462bbc23">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapalvvolpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Diffcapalvvolpredicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5321-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Diffcapalvvolpredicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5321
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5321']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5321']]/hl7:value
Item: (Diffcapalvvolpredicted)
-->
</pattern>
