<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5323
Name: Diff cap/Alv vol SB.CO+He
Description: Template Diffusion capacity/Alveolar volume by Single breath.carbon monoxide+Helium
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5323-2014-03-30T000000">
   <title>Diff cap/Alv vol SB.CO+He</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5323
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5323']]
Item: (Diffcapalvvolsbcohe)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5323
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5323']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5323']]
Item: (Diffcapalvvolsbcohe)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5323']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5323']]"
         id="tmp-r-e203d341-786c-494e-b812-a7151219012d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Diffcapalvvolsbcohe): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Diffcapalvvolsbcohe): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5323'])&gt;=1 ">(Diffcapalvvolsbcohe): element hl7:templateId[@root='2.16.578.1.34.10.5323'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5323'])&lt;=1">(Diffcapalvvolsbcohe): element hl7:templateId[@root='2.16.578.1.34.10.5323'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19914-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19914-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Diffcapalvvolsbcohe): element hl7:code[(@code='19914-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19914-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Diffcapalvvolsbcohe): element hl7:code[(@code='19914-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Diffcapalvvolsbcohe): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Diffcapalvvolsbcohe): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Diffcapalvvolsbcohe): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Diffcapalvvolsbcohe): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5323
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5323']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5323']]/hl7:templateId
Item: (Diffcapalvvolsbcohe)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5323']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5323']]/hl7:templateId"
         id="tmp-r-d56eedcf-a234-4e12-98f7-44aaeac2940a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapalvvolsbcohe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5323'">(Diffcapalvvolsbcohe): @root SHALL have value '2.16.578.1.34.10.5323'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5323
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5323']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5323']]/hl7:code[(@code='19914-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Diffcapalvvolsbcohe)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5323']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5323']]/hl7:code[(@code='19914-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-f9226786-5a33-4cf2-b911-ae22c8a01148">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapalvvolsbcohe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19914-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Diffusion capacity/Alveolar volume by Single breath.carbon monoxide+Helium')">(Diffcapalvvolsbcohe): The element value SHALL be code '19914-1' codeSystem '2.16.840.1.113883.6.1' displayName='Diffusion capacity/Alveolar volume by Single breath.carbon monoxide+Helium'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5323
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5323']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5323']]/hl7:text
Item: (Diffcapalvvolsbcohe)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5323']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5323']]/hl7:text"
         id="tmp-r-14bf670e-7990-4458-b930-c607d607738c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapalvvolsbcohe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Diffcapalvvolsbcohe): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Diffcapalvvolsbcohe): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5323
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5323']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5323']]/hl7:text/hl7:reference
Item: (Diffcapalvvolsbcohe)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5323']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5323']]/hl7:text/hl7:reference"
         id="tmp-r-358c9fdf-2613-4523-9e3e-9c253758e035">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapalvvolsbcohe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5323
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5323']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5323']]/hl7:statusCode
Item: (Diffcapalvvolsbcohe)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5323']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5323']]/hl7:statusCode"
         id="tmp-r-ba78800f-ff85-4d2f-be78-419523e75a09">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapalvvolsbcohe): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Diffcapalvvolsbcohe): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5323-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Diffcapalvvolsbcohe): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5323
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5323']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5323']]/hl7:value
Item: (Diffcapalvvolsbcohe)
-->
</pattern>
