<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5325
Name: Diff cap Body cond adj
Description: Template Diffusion capacity adjusted to body conditions
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5325-2014-03-30T000000">
   <title>Diff cap Body cond adj</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5325
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5325']]
Item: (Diffcapbodycondadj)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5325
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5325']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5325']]
Item: (Diffcapbodycondadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5325']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5325']]"
         id="tmp-r-52859d49-deab-45ac-b7e8-107194eaf33b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Diffcapbodycondadj): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Diffcapbodycondadj): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5325'])&gt;=1 ">(Diffcapbodycondadj): element hl7:templateId[@root='2.16.578.1.34.10.5325'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5325'])&lt;=1">(Diffcapbodycondadj): element hl7:templateId[@root='2.16.578.1.34.10.5325'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19918-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19918-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Diffcapbodycondadj): element hl7:code[(@code='19918-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19918-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Diffcapbodycondadj): element hl7:code[(@code='19918-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Diffcapbodycondadj): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Diffcapbodycondadj): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Diffcapbodycondadj): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Diffcapbodycondadj): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5325
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5325']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5325']]/hl7:templateId
Item: (Diffcapbodycondadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5325']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5325']]/hl7:templateId"
         id="tmp-r-da2335f6-f0eb-46ad-9e97-f2e290a6999b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapbodycondadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5325'">(Diffcapbodycondadj): @root SHALL have value '2.16.578.1.34.10.5325'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5325
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5325']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5325']]/hl7:code[(@code='19918-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Diffcapbodycondadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5325']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5325']]/hl7:code[(@code='19918-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-416e32be-aa35-4855-840d-d61e5be19611">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapbodycondadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19918-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Diffusion capacity adjusted to body conditions')">(Diffcapbodycondadj): The element value SHALL be code '19918-2' codeSystem '2.16.840.1.113883.6.1' displayName='Diffusion capacity adjusted to body conditions'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5325
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5325']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5325']]/hl7:text
Item: (Diffcapbodycondadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5325']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5325']]/hl7:text"
         id="tmp-r-a818db31-d748-4d9c-94c3-e2b9d486f877">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapbodycondadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Diffcapbodycondadj): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Diffcapbodycondadj): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5325
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5325']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5325']]/hl7:text/hl7:reference
Item: (Diffcapbodycondadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5325']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5325']]/hl7:text/hl7:reference"
         id="tmp-r-61c6b093-6e0e-40d1-a1f8-c7d0e62e9f0b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapbodycondadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5325
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5325']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5325']]/hl7:statusCode
Item: (Diffcapbodycondadj)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5325']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5325']]/hl7:statusCode"
         id="tmp-r-6efb8076-3353-4169-828e-5f1decbd7413">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diffcapbodycondadj): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Diffcapbodycondadj): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5325-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Diffcapbodycondadj): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5325
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5325']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5325']]/hl7:value
Item: (Diffcapbodycondadj)
-->
</pattern>
