<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5337
Name: Airway resist Mean
Description: Template Airway resistance mean
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5337-2014-03-30T000000">
   <title>Airway resist Mean</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5337
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5337']]
Item: (Airwayresistmean)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5337
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5337']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5337']]
Item: (Airwayresistmean)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5337']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5337']]"
         id="tmp-r-60248a65-bd26-4934-95ab-892a304763db">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Airwayresistmean): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Airwayresistmean): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5337'])&gt;=1 ">(Airwayresistmean): element hl7:templateId[@root='2.16.578.1.34.10.5337'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5337'])&lt;=1">(Airwayresistmean): element hl7:templateId[@root='2.16.578.1.34.10.5337'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20084-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20084-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Airwayresistmean): element hl7:code[(@code='20084-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20084-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Airwayresistmean): element hl7:code[(@code='20084-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Airwayresistmean): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Airwayresistmean): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Airwayresistmean): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Airwayresistmean): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5337
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5337']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5337']]/hl7:templateId
Item: (Airwayresistmean)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5337']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5337']]/hl7:templateId"
         id="tmp-r-b1eace59-8a47-4c5f-ab00-1f06a242b839">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Airwayresistmean): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5337'">(Airwayresistmean): @root SHALL have value '2.16.578.1.34.10.5337'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5337
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5337']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5337']]/hl7:code[(@code='20084-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Airwayresistmean)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5337']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5337']]/hl7:code[(@code='20084-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-8d708241-6174-46a6-a505-190cc794a73c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Airwayresistmean): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20084-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Airway resistance mean')">(Airwayresistmean): The element value SHALL be code '20084-0' codeSystem '2.16.840.1.113883.6.1' displayName='Airway resistance mean'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5337
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5337']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5337']]/hl7:text
Item: (Airwayresistmean)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5337']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5337']]/hl7:text"
         id="tmp-r-fae4412a-df81-4139-848a-7cebef46b3cb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Airwayresistmean): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Airwayresistmean): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Airwayresistmean): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5337
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5337']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5337']]/hl7:text/hl7:reference
Item: (Airwayresistmean)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5337']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5337']]/hl7:text/hl7:reference"
         id="tmp-r-5cf51bbc-f5a6-45e8-a97f-7cf58575461e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Airwayresistmean): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5337
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5337']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5337']]/hl7:statusCode
Item: (Airwayresistmean)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5337']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5337']]/hl7:statusCode"
         id="tmp-r-ab1d2771-b79c-44dd-8388-6f7b75555a04">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Airwayresistmean): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Airwayresistmean): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5337-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Airwayresistmean): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5337
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5337']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5337']]/hl7:value
Item: (Airwayresistmean)
-->
</pattern>
