<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5339
Name: Airway resist Mean Calc
Description: Template Airway resistance mean Calculated
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5339-2014-03-30T000000">
   <title>Airway resist Mean Calc</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5339
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5339']]
Item: (Airwayresistmeancalc)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5339
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5339']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5339']]
Item: (Airwayresistmeancalc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5339']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5339']]"
         id="tmp-r-dcfbc233-f826-432c-8425-98ca59a35bda">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Airwayresistmeancalc): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Airwayresistmeancalc): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5339'])&gt;=1 ">(Airwayresistmeancalc): element hl7:templateId[@root='2.16.578.1.34.10.5339'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5339'])&lt;=1">(Airwayresistmeancalc): element hl7:templateId[@root='2.16.578.1.34.10.5339'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20085-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20085-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Airwayresistmeancalc): element hl7:code[(@code='20085-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20085-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Airwayresistmeancalc): element hl7:code[(@code='20085-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Airwayresistmeancalc): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Airwayresistmeancalc): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Airwayresistmeancalc): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Airwayresistmeancalc): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5339
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5339']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5339']]/hl7:templateId
Item: (Airwayresistmeancalc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5339']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5339']]/hl7:templateId"
         id="tmp-r-d28067c5-43ab-49a2-b2bf-b11f8cda07f6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Airwayresistmeancalc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5339'">(Airwayresistmeancalc): @root SHALL have value '2.16.578.1.34.10.5339'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5339
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5339']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5339']]/hl7:code[(@code='20085-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Airwayresistmeancalc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5339']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5339']]/hl7:code[(@code='20085-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-1b1ee55f-a73b-46ac-9bee-5b46b30fb09d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Airwayresistmeancalc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20085-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Airway resistance mean Calculated')">(Airwayresistmeancalc): The element value SHALL be code '20085-7' codeSystem '2.16.840.1.113883.6.1' displayName='Airway resistance mean Calculated'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5339
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5339']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5339']]/hl7:text
Item: (Airwayresistmeancalc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5339']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5339']]/hl7:text"
         id="tmp-r-69414594-06d9-4434-9add-9fb5b7cfbd6b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Airwayresistmeancalc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Airwayresistmeancalc): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Airwayresistmeancalc): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5339
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5339']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5339']]/hl7:text/hl7:reference
Item: (Airwayresistmeancalc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5339']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5339']]/hl7:text/hl7:reference"
         id="tmp-r-5a4ca90e-36bc-4fae-a97d-38c02b512ab8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Airwayresistmeancalc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5339
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5339']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5339']]/hl7:statusCode
Item: (Airwayresistmeancalc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5339']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5339']]/hl7:statusCode"
         id="tmp-r-c6e00464-1fd1-40e0-9107-1db34c0d7961">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Airwayresistmeancalc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Airwayresistmeancalc): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5339-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Airwayresistmeancalc): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5339
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5339']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5339']]/hl7:value
Item: (Airwayresistmeancalc)
-->
</pattern>
