<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5353
Name: Dyspnea Resting Respiratory
Description: Template Respiratory system - -resting
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5353-2014-03-30T000000">
   <title>Dyspnea Resting Respiratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5353
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5353']]
Item: (Dyspnearestingrespiratory)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5353
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5353']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5353']]
Item: (Dyspnearestingrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5353']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5353']]"
         id="tmp-r-926dc737-fb55-41f3-95f5-04612a148191">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Dyspnearestingrespiratory): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Dyspnearestingrespiratory): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5353'])&gt;=1 ">(Dyspnearestingrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5353'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5353'])&lt;=1">(Dyspnearestingrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5353'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="count(hl7:code[(@code='64113-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='64113-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Dyspnearestingrespiratory): element hl7:code[(@code='64113-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="count(hl7:code[(@code='64113-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Dyspnearestingrespiratory): element hl7:code[(@code='64113-4' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Dyspnearestingrespiratory): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Dyspnearestingrespiratory): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Dyspnearestingrespiratory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Dyspnearestingrespiratory): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5353
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5353']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5353']]/hl7:templateId
Item: (Dyspnearestingrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5353']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5353']]/hl7:templateId"
         id="tmp-r-e4aa1a3e-0ba4-4033-bc09-1abba7b8260e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dyspnearestingrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5353'">(Dyspnearestingrespiratory): @root SHALL have value '2.16.578.1.34.10.5353'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5353
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5353']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5353']]/hl7:code[(@code='64113-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Dyspnearestingrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5353']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5353']]/hl7:code[(@code='64113-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-ef3d7891-fbda-4edb-a3e4-f7f069c66085">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dyspnearestingrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="@nullFlavor or (@code='64113-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Respiratory system --resting')">(Dyspnearestingrespiratory): The element value SHALL be code '64113-4' codeSystem '2.16.840.1.113883.6.1' displayName='Respiratory system --resting'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5353
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5353']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5353']]/hl7:text
Item: (Dyspnearestingrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5353']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5353']]/hl7:text"
         id="tmp-r-a1000b99-69c8-4416-818a-2aa38dad3911">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dyspnearestingrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Dyspnearestingrespiratory): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Dyspnearestingrespiratory): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5353
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5353']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5353']]/hl7:text/hl7:reference
Item: (Dyspnearestingrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5353']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5353']]/hl7:text/hl7:reference"
         id="tmp-r-0fe59128-04a4-44cb-9df1-c622a115d78a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dyspnearestingrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5353
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5353']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5353']]/hl7:statusCode
Item: (Dyspnearestingrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5353']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5353']]/hl7:statusCode"
         id="tmp-r-e7848224-33e0-47eb-b711-424500cddf8c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dyspnearestingrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Dyspnearestingrespiratory): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5353-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Dyspnearestingrespiratory): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5353
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5353']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5353']]/hl7:value
Item: (Dyspnearestingrespiratory)
-->
</pattern>
