<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5357
Name: Gas deliv source Respiratory
Description: Template Gas delivery source Respiratory system
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5357-2014-03-30T000000">
   <title>Gas deliv source Respiratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5357
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5357']]
Item: (Gasdelivsourcerespiratory)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5357
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5357']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5357']]
Item: (Gasdelivsourcerespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5357']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5357']]"
         id="tmp-r-adba7406-051b-4c7b-88e4-d7c974a8a3ba">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Gasdelivsourcerespiratory): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Gasdelivsourcerespiratory): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5357'])&gt;=1 ">(Gasdelivsourcerespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5357'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5357'])&lt;=1">(Gasdelivsourcerespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5357'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19928-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19928-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Gasdelivsourcerespiratory): element hl7:code[(@code='19928-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19928-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Gasdelivsourcerespiratory): element hl7:code[(@code='19928-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Gasdelivsourcerespiratory): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Gasdelivsourcerespiratory): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Gasdelivsourcerespiratory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Gasdelivsourcerespiratory): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5357
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5357']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5357']]/hl7:templateId
Item: (Gasdelivsourcerespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5357']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5357']]/hl7:templateId"
         id="tmp-r-299e5e59-afef-43c9-8b7f-8b77a34693ab">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasdelivsourcerespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5357'">(Gasdelivsourcerespiratory): @root SHALL have value '2.16.578.1.34.10.5357'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5357
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5357']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5357']]/hl7:code[(@code='19928-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Gasdelivsourcerespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5357']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5357']]/hl7:code[(@code='19928-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-b6887ff9-6794-401e-9a3b-72942f0bd8c9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasdelivsourcerespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19928-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Gas delivery source Respiratory system')">(Gasdelivsourcerespiratory): The element value SHALL be code '19928-1' codeSystem '2.16.840.1.113883.6.1' displayName='Gas delivery source Respiratory system'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5357
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5357']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5357']]/hl7:text
Item: (Gasdelivsourcerespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5357']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5357']]/hl7:text"
         id="tmp-r-f7446f0f-1cc0-4517-b526-c5068efb88dc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasdelivsourcerespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Gasdelivsourcerespiratory): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Gasdelivsourcerespiratory): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5357
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5357']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5357']]/hl7:text/hl7:reference
Item: (Gasdelivsourcerespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5357']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5357']]/hl7:text/hl7:reference"
         id="tmp-r-e6dbedb1-b9cf-45f7-8a86-bd716daa3eb4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasdelivsourcerespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5357
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5357']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5357']]/hl7:statusCode
Item: (Gasdelivsourcerespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5357']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5357']]/hl7:statusCode"
         id="tmp-r-ec667ccd-07c1-4552-935b-8bbad32103d7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasdelivsourcerespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Gasdelivsourcerespiratory): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5357-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Gasdelivsourcerespiratory): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5357
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5357']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5357']]/hl7:value
Item: (Gasdelivsourcerespiratory)
-->
</pattern>
