<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5359
Name: Gas deliv source Resting Respiratory
Description: Template Gas delivery source Respiratory system - -resting
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5359-2014-03-30T000000">
   <title>Gas deliv source Resting Respiratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5359
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5359']]
Item: (Gasdelivsourcerestingrespiratory)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5359
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5359']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5359']]
Item: (Gasdelivsourcerestingrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5359']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5359']]"
         id="tmp-r-b2e4af37-c6d4-4502-8991-b64fe3b38a71">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Gasdelivsourcerestingrespiratory): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Gasdelivsourcerestingrespiratory): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5359'])&gt;=1 ">(Gasdelivsourcerestingrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5359'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5359'])&lt;=1">(Gasdelivsourcerestingrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5359'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="count(hl7:code[(@code='40445-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='40445-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Gasdelivsourcerestingrespiratory): element hl7:code[(@code='40445-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="count(hl7:code[(@code='40445-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Gasdelivsourcerestingrespiratory): element hl7:code[(@code='40445-9' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Gasdelivsourcerestingrespiratory): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Gasdelivsourcerestingrespiratory): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Gasdelivsourcerestingrespiratory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Gasdelivsourcerestingrespiratory): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5359
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5359']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5359']]/hl7:templateId
Item: (Gasdelivsourcerestingrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5359']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5359']]/hl7:templateId"
         id="tmp-r-c9d8b447-c3d8-479f-b192-77d7f650cde1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasdelivsourcerestingrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5359'">(Gasdelivsourcerestingrespiratory): @root SHALL have value '2.16.578.1.34.10.5359'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5359
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5359']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5359']]/hl7:code[(@code='40445-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Gasdelivsourcerestingrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5359']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5359']]/hl7:code[(@code='40445-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-ece90ee7-1c2f-4b10-86b9-52a98237bcfe">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasdelivsourcerestingrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="@nullFlavor or (@code='40445-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Gas delivery source Respiratory system --resting')">(Gasdelivsourcerestingrespiratory): The element value SHALL be code '40445-9' codeSystem '2.16.840.1.113883.6.1' displayName='Gas delivery source Respiratory system --resting'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5359
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5359']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5359']]/hl7:text
Item: (Gasdelivsourcerestingrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5359']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5359']]/hl7:text"
         id="tmp-r-eab2f47d-bef2-4d95-9ae0-629ee7228472">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasdelivsourcerestingrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Gasdelivsourcerestingrespiratory): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Gasdelivsourcerestingrespiratory): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5359
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5359']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5359']]/hl7:text/hl7:reference
Item: (Gasdelivsourcerestingrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5359']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5359']]/hl7:text/hl7:reference"
         id="tmp-r-3f43db9b-84d9-4bd2-9589-58e4c87e74c3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasdelivsourcerestingrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5359
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5359']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5359']]/hl7:statusCode
Item: (Gasdelivsourcerestingrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5359']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5359']]/hl7:statusCode"
         id="tmp-r-f52d661b-dd58-4323-b76c-6334dc68d648">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasdelivsourcerestingrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Gasdelivsourcerestingrespiratory): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5359-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Gasdelivsourcerestingrespiratory): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5359
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5359']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5359']]/hl7:value
Item: (Gasdelivsourcerestingrespiratory)
-->
</pattern>
