<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5361
Name: Gas flow Airway
Description: Template Gas flow Respiratory system airway
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5361-2014-03-30T000000">
   <title>Gas flow Airway</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5361
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5361']]
Item: (Gasflowairway)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5361
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5361']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5361']]
Item: (Gasflowairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5361']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5361']]"
         id="tmp-r-d78ce3bf-34ed-4dc5-999e-fb0f3b2baf07">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Gasflowairway): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Gasflowairway): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5361'])&gt;=1 ">(Gasflowairway): element hl7:templateId[@root='2.16.578.1.34.10.5361'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5361'])&lt;=1">(Gasflowairway): element hl7:templateId[@root='2.16.578.1.34.10.5361'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19930-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19930-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Gasflowairway): element hl7:code[(@code='19930-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19930-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Gasflowairway): element hl7:code[(@code='19930-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Gasflowairway): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Gasflowairway): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Gasflowairway): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Gasflowairway): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5361
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5361']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5361']]/hl7:templateId
Item: (Gasflowairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5361']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5361']]/hl7:templateId"
         id="tmp-r-fe6fa4a3-d9f9-466f-869b-f01756a29d8a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5361'">(Gasflowairway): @root SHALL have value '2.16.578.1.34.10.5361'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5361
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5361']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5361']]/hl7:code[(@code='19930-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Gasflowairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5361']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5361']]/hl7:code[(@code='19930-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-36f5203a-99d4-4429-b788-dc649429bd07">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19930-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Gas flow Respiratory system airway')">(Gasflowairway): The element value SHALL be code '19930-7' codeSystem '2.16.840.1.113883.6.1' displayName='Gas flow Respiratory system airway'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5361
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5361']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5361']]/hl7:text
Item: (Gasflowairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5361']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5361']]/hl7:text"
         id="tmp-r-ddc13f48-e3be-45d2-8547-c14a37ed8d19">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Gasflowairway): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Gasflowairway): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5361
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5361']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5361']]/hl7:text/hl7:reference
Item: (Gasflowairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5361']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5361']]/hl7:text/hl7:reference"
         id="tmp-r-3c0ddadf-2705-404e-9a35-7ac9d47a8908">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5361
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5361']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5361']]/hl7:statusCode
Item: (Gasflowairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5361']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5361']]/hl7:statusCode"
         id="tmp-r-cd6615f5-ded7-4a0c-9129-14a273579bd1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Gasflowairway): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Gasflowairway): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5361
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5361']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5361']]/hl7:value
Item: (Gasflowairway)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5361']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5361']]/hl7:value"
         id="tmp-r-01405e99-8138-4be7-afd9-221090f24669">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowairway): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/min'))">(Gasflowairway): value SHALL use unit 'L/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Gasflowairway): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5361-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Gasflowairway): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
