<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5363
Name: Gas flow Airway Rebreath
Description: Template Gas flow Respiratory system airway by Rebreathing
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5363-2014-03-30T000000">
   <title>Gas flow Airway Rebreath</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5363
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5363']]
Item: (Gasflowairwayrebreath)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5363
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5363']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5363']]
Item: (Gasflowairwayrebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5363']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5363']]"
         id="tmp-r-0fe02076-5780-413d-aaf4-36be4f286a05">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Gasflowairwayrebreath): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Gasflowairwayrebreath): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5363'])&gt;=1 ">(Gasflowairwayrebreath): element hl7:templateId[@root='2.16.578.1.34.10.5363'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5363'])&lt;=1">(Gasflowairwayrebreath): element hl7:templateId[@root='2.16.578.1.34.10.5363'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19929-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19929-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Gasflowairwayrebreath): element hl7:code[(@code='19929-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19929-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Gasflowairwayrebreath): element hl7:code[(@code='19929-9' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Gasflowairwayrebreath): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Gasflowairwayrebreath): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Gasflowairwayrebreath): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Gasflowairwayrebreath): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5363
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5363']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5363']]/hl7:templateId
Item: (Gasflowairwayrebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5363']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5363']]/hl7:templateId"
         id="tmp-r-3fd140c2-743e-4277-ba0c-7d7ffca0f47b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowairwayrebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5363'">(Gasflowairwayrebreath): @root SHALL have value '2.16.578.1.34.10.5363'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5363
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5363']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5363']]/hl7:code[(@code='19929-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Gasflowairwayrebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5363']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5363']]/hl7:code[(@code='19929-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-f2919ce5-1ffb-4ff9-bba2-0bbf395c3f02">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowairwayrebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19929-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Gas flow Respiratory system airway by Rebreathing')">(Gasflowairwayrebreath): The element value SHALL be code '19929-9' codeSystem '2.16.840.1.113883.6.1' displayName='Gas flow Respiratory system airway by Rebreathing'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5363
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5363']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5363']]/hl7:text
Item: (Gasflowairwayrebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5363']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5363']]/hl7:text"
         id="tmp-r-c1f16829-97d0-4133-a1cc-5a4c3e1ce96c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowairwayrebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Gasflowairwayrebreath): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Gasflowairwayrebreath): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5363
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5363']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5363']]/hl7:text/hl7:reference
Item: (Gasflowairwayrebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5363']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5363']]/hl7:text/hl7:reference"
         id="tmp-r-677cb0b2-db71-4564-a808-a9fbf29539f1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowairwayrebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5363
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5363']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5363']]/hl7:statusCode
Item: (Gasflowairwayrebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5363']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5363']]/hl7:statusCode"
         id="tmp-r-5681ac63-4b83-48b2-ae50-35cb71b9d7c2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowairwayrebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Gasflowairwayrebreath): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Gasflowairwayrebreath): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5363
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5363']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5363']]/hl7:value
Item: (Gasflowairwayrebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5363']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5363']]/hl7:value"
         id="tmp-r-edb4c297-c763-434c-9347-e61a49430eff">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowairwayrebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/min'))">(Gasflowairwayrebreath): value SHALL use unit 'L/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Gasflowairwayrebreath): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5363-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Gasflowairwayrebreath): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
