<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5365
Name: Gas flow.O2 O2 delivery sys
Description: Template Oxygen gas flow Oxygen delivery system
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5365-2014-03-30T000000">
   <title>Gas flow.O2 O2 delivery sys</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5365
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5365']]
Item: (Gasflowo2o2deliverysys)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5365
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5365']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5365']]
Item: (Gasflowo2o2deliverysys)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5365']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5365']]"
         id="tmp-r-9963fbbd-f64c-472b-a8a5-587389a5a595">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Gasflowo2o2deliverysys): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Gasflowo2o2deliverysys): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5365'])&gt;=1 ">(Gasflowo2o2deliverysys): element hl7:templateId[@root='2.16.578.1.34.10.5365'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5365'])&lt;=1">(Gasflowo2o2deliverysys): element hl7:templateId[@root='2.16.578.1.34.10.5365'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19941-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19941-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Gasflowo2o2deliverysys): element hl7:code[(@code='19941-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19941-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Gasflowo2o2deliverysys): element hl7:code[(@code='19941-4' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Gasflowo2o2deliverysys): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Gasflowo2o2deliverysys): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Gasflowo2o2deliverysys): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Gasflowo2o2deliverysys): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5365
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5365']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5365']]/hl7:templateId
Item: (Gasflowo2o2deliverysys)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5365']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5365']]/hl7:templateId"
         id="tmp-r-508521af-7cb6-4383-b439-5b443209af57">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowo2o2deliverysys): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5365'">(Gasflowo2o2deliverysys): @root SHALL have value '2.16.578.1.34.10.5365'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5365
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5365']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5365']]/hl7:code[(@code='19941-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Gasflowo2o2deliverysys)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5365']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5365']]/hl7:code[(@code='19941-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-0ecb7211-0ad0-4a09-8ec8-e1d6641c947c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowo2o2deliverysys): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19941-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Oxygen gas flow Oxygen delivery system')">(Gasflowo2o2deliverysys): The element value SHALL be code '19941-4' codeSystem '2.16.840.1.113883.6.1' displayName='Oxygen gas flow Oxygen delivery system'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5365
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5365']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5365']]/hl7:text
Item: (Gasflowo2o2deliverysys)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5365']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5365']]/hl7:text"
         id="tmp-r-56244b5d-5d0f-4cb7-ac08-efb9e4269b0d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowo2o2deliverysys): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Gasflowo2o2deliverysys): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Gasflowo2o2deliverysys): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5365
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5365']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5365']]/hl7:text/hl7:reference
Item: (Gasflowo2o2deliverysys)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5365']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5365']]/hl7:text/hl7:reference"
         id="tmp-r-bcc2f769-a2ef-4407-ace7-03a62bcd662b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowo2o2deliverysys): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5365
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5365']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5365']]/hl7:statusCode
Item: (Gasflowo2o2deliverysys)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5365']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5365']]/hl7:statusCode"
         id="tmp-r-94754542-ab62-4997-b3bb-c4a33acccfd2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowo2o2deliverysys): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Gasflowo2o2deliverysys): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Gasflowo2o2deliverysys): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5365
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5365']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5365']]/hl7:value
Item: (Gasflowo2o2deliverysys)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5365']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5365']]/hl7:value"
         id="tmp-r-c64a587c-14e5-401f-8f78-2009a84c8a1c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gasflowo2o2deliverysys): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/min'))">(Gasflowo2o2deliverysys): value SHALL use unit 'L/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Gasflowo2o2deliverysys): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5365-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Gasflowo2o2deliverysys): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
