<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5373
Name: Heart rate 1st enctr
Description: Template Heart rate at First encounter
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5373-2014-03-30T000000">
   <title>Heart rate 1st enctr</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5373
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5373']]
Item: (Heartrate1stenctr)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5373
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5373']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5373']]
Item: (Heartrate1stenctr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5373']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5373']]"
         id="tmp-r-2b3467dd-a69c-4b66-83e8-77ab53cd51cc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Heartrate1stenctr): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Heartrate1stenctr): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5373'])&gt;=1 ">(Heartrate1stenctr): element hl7:templateId[@root='2.16.578.1.34.10.5373'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5373'])&lt;=1">(Heartrate1stenctr): element hl7:templateId[@root='2.16.578.1.34.10.5373'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="count(hl7:code[(@code='11328-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11328-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Heartrate1stenctr): element hl7:code[(@code='11328-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="count(hl7:code[(@code='11328-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Heartrate1stenctr): element hl7:code[(@code='11328-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Heartrate1stenctr): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Heartrate1stenctr): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Heartrate1stenctr): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Heartrate1stenctr): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5373
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5373']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5373']]/hl7:templateId
Item: (Heartrate1stenctr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5373']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5373']]/hl7:templateId"
         id="tmp-r-56316009-c8e2-4410-92d9-b66339d94ae4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrate1stenctr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5373'">(Heartrate1stenctr): @root SHALL have value '2.16.578.1.34.10.5373'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5373
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5373']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5373']]/hl7:code[(@code='11328-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Heartrate1stenctr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5373']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5373']]/hl7:code[(@code='11328-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-c8fc7bab-7a37-4397-a01b-e685549bd209">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrate1stenctr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="@nullFlavor or (@code='11328-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Heart rate at First encounter')">(Heartrate1stenctr): The element value SHALL be code '11328-2' codeSystem '2.16.840.1.113883.6.1' displayName='Heart rate at First encounter'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5373
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5373']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5373']]/hl7:text
Item: (Heartrate1stenctr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5373']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5373']]/hl7:text"
         id="tmp-r-353e521d-f0d7-42bf-a8d5-da3c1b3174e2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrate1stenctr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Heartrate1stenctr): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Heartrate1stenctr): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5373
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5373']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5373']]/hl7:text/hl7:reference
Item: (Heartrate1stenctr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5373']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5373']]/hl7:text/hl7:reference"
         id="tmp-r-583109a7-9842-41f8-9e8d-0b6bff429a94">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrate1stenctr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5373
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5373']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5373']]/hl7:statusCode
Item: (Heartrate1stenctr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5373']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5373']]/hl7:statusCode"
         id="tmp-r-7c6bcac1-6cd4-4c98-a3d8-27bd0c3b270e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrate1stenctr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Heartrate1stenctr): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Heartrate1stenctr): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5373
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5373']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5373']]/hl7:value
Item: (Heartrate1stenctr)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5373']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5373']]/hl7:value"
         id="tmp-r-9876510b-71f2-40dc-92ee-7354259cf7d9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrate1stenctr): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='{beats}/min'))">(Heartrate1stenctr): value SHALL use unit '{beats}/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Heartrate1stenctr): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5373-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Heartrate1stenctr): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
