<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5375
Name: Heart rate Enctr Max
Description: Template Heart rate Encounter maximum
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5375-2014-03-30T000000">
   <title>Heart rate Enctr Max</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5375
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5375']]
Item: (Heartrateenctrmax)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5375
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5375']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5375']]
Item: (Heartrateenctrmax)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5375']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5375']]"
         id="tmp-r-75513a06-2c3b-4edc-a633-c7a2a2a99fc8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Heartrateenctrmax): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Heartrateenctrmax): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5375'])&gt;=1 ">(Heartrateenctrmax): element hl7:templateId[@root='2.16.578.1.34.10.5375'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5375'])&lt;=1">(Heartrateenctrmax): element hl7:templateId[@root='2.16.578.1.34.10.5375'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="count(hl7:code[(@code='55422-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='55422-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Heartrateenctrmax): element hl7:code[(@code='55422-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="count(hl7:code[(@code='55422-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Heartrateenctrmax): element hl7:code[(@code='55422-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Heartrateenctrmax): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Heartrateenctrmax): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Heartrateenctrmax): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Heartrateenctrmax): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5375
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5375']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5375']]/hl7:templateId
Item: (Heartrateenctrmax)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5375']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5375']]/hl7:templateId"
         id="tmp-r-dea8bc8b-87ba-43d3-96ef-1e1d13cdfd89">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateenctrmax): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5375'">(Heartrateenctrmax): @root SHALL have value '2.16.578.1.34.10.5375'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5375
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5375']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5375']]/hl7:code[(@code='55422-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Heartrateenctrmax)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5375']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5375']]/hl7:code[(@code='55422-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-b9b46f22-ae0f-4793-90c1-7f6c99e73373">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateenctrmax): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="@nullFlavor or (@code='55422-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Heart rate Encounter maximum')">(Heartrateenctrmax): The element value SHALL be code '55422-0' codeSystem '2.16.840.1.113883.6.1' displayName='Heart rate Encounter maximum'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5375
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5375']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5375']]/hl7:text
Item: (Heartrateenctrmax)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5375']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5375']]/hl7:text"
         id="tmp-r-7f8185f3-941d-4bca-b874-0d00cf11e1cb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateenctrmax): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Heartrateenctrmax): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Heartrateenctrmax): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5375
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5375']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5375']]/hl7:text/hl7:reference
Item: (Heartrateenctrmax)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5375']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5375']]/hl7:text/hl7:reference"
         id="tmp-r-abf7e660-4432-4fe5-927f-96f8c173a261">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateenctrmax): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5375
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5375']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5375']]/hl7:statusCode
Item: (Heartrateenctrmax)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5375']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5375']]/hl7:statusCode"
         id="tmp-r-fc7cf22b-f226-4e1e-86eb-21ab3bda3068">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateenctrmax): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Heartrateenctrmax): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Heartrateenctrmax): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5375
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5375']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5375']]/hl7:value
Item: (Heartrateenctrmax)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5375']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5375']]/hl7:value"
         id="tmp-r-ca4a43af-881e-417e-80b3-9f76e24f1840">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateenctrmax): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='{beats}/min'))">(Heartrateenctrmax): value SHALL use unit '{beats}/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Heartrateenctrmax): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5375-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Heartrateenctrmax): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
