<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5377
Name: Heart rate ?Tm Max Pedometer
Description: Template Heart rate unspecified time maximum by Pedometer
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5377-2014-03-30T000000">
   <title>Heart rate ?Tm Max Pedometer</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5377
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5377']]
Item: (Heartratetmmaxpedometer)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5377
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5377']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5377']]
Item: (Heartratetmmaxpedometer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5377']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5377']]"
         id="tmp-r-d87aaa9f-d977-41c3-9b1b-c19dae6ec08c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Heartratetmmaxpedometer): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Heartratetmmaxpedometer): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5377'])&gt;=1 ">(Heartratetmmaxpedometer): element hl7:templateId[@root='2.16.578.1.34.10.5377'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5377'])&lt;=1">(Heartratetmmaxpedometer): element hl7:templateId[@root='2.16.578.1.34.10.5377'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="count(hl7:code[(@code='55426-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='55426-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Heartratetmmaxpedometer): element hl7:code[(@code='55426-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="count(hl7:code[(@code='55426-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Heartratetmmaxpedometer): element hl7:code[(@code='55426-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Heartratetmmaxpedometer): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Heartratetmmaxpedometer): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Heartratetmmaxpedometer): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Heartratetmmaxpedometer): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5377
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5377']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5377']]/hl7:templateId
Item: (Heartratetmmaxpedometer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5377']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5377']]/hl7:templateId"
         id="tmp-r-049bfea2-ceaa-41b7-8611-764607feab5d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratetmmaxpedometer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5377'">(Heartratetmmaxpedometer): @root SHALL have value '2.16.578.1.34.10.5377'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5377
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5377']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5377']]/hl7:code[(@code='55426-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Heartratetmmaxpedometer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5377']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5377']]/hl7:code[(@code='55426-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-04f80981-8ee8-4e03-bba0-d8e912297afd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratetmmaxpedometer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="@nullFlavor or (@code='55426-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Heart rate unspecified time maximum by Pedometer')">(Heartratetmmaxpedometer): The element value SHALL be code '55426-1' codeSystem '2.16.840.1.113883.6.1' displayName='Heart rate unspecified time maximum by Pedometer'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5377
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5377']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5377']]/hl7:text
Item: (Heartratetmmaxpedometer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5377']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5377']]/hl7:text"
         id="tmp-r-20e86b22-b3a2-4176-9a51-fc344ea4e8bd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratetmmaxpedometer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Heartratetmmaxpedometer): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Heartratetmmaxpedometer): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5377
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5377']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5377']]/hl7:text/hl7:reference
Item: (Heartratetmmaxpedometer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5377']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5377']]/hl7:text/hl7:reference"
         id="tmp-r-9a9b174c-b33c-4f13-885b-b0c96e278420">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratetmmaxpedometer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5377
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5377']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5377']]/hl7:statusCode
Item: (Heartratetmmaxpedometer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5377']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5377']]/hl7:statusCode"
         id="tmp-r-b11dfbe7-c96c-459c-b5a5-9157be7643cd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratetmmaxpedometer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Heartratetmmaxpedometer): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Heartratetmmaxpedometer): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5377
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5377']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5377']]/hl7:value
Item: (Heartratetmmaxpedometer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5377']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5377']]/hl7:value"
         id="tmp-r-d170f964-7e72-4419-8e99-6e6844a70004">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratetmmaxpedometer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='{beats}/min'))">(Heartratetmmaxpedometer): value SHALL use unit '{beats}/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Heartratetmmaxpedometer): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5377-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Heartratetmmaxpedometer): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
