<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5381
Name: Heart rate Bld Postductal PulseOx
Description: Template Heart rate Blood Postductal Pulse oximetry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5381-2014-03-30T000000">
   <title>Heart rate Bld Postductal PulseOx</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5381
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5381']]
Item: (Heartratebldpostductalpulseox)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5381
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5381']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5381']]
Item: (Heartratebldpostductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5381']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5381']]"
         id="tmp-r-6deaeb22-93c9-4d33-aa9f-84024bb6aae0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Heartratebldpostductalpulseox): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Heartratebldpostductalpulseox): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5381'])&gt;=1 ">(Heartratebldpostductalpulseox): element hl7:templateId[@root='2.16.578.1.34.10.5381'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5381'])&lt;=1">(Heartratebldpostductalpulseox): element hl7:templateId[@root='2.16.578.1.34.10.5381'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="count(hl7:code[(@code='73795-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='73795-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Heartratebldpostductalpulseox): element hl7:code[(@code='73795-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="count(hl7:code[(@code='73795-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Heartratebldpostductalpulseox): element hl7:code[(@code='73795-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Heartratebldpostductalpulseox): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Heartratebldpostductalpulseox): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Heartratebldpostductalpulseox): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Heartratebldpostductalpulseox): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5381
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5381']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5381']]/hl7:templateId
Item: (Heartratebldpostductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5381']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5381']]/hl7:templateId"
         id="tmp-r-e66854eb-8bbc-43e5-83c8-9c23d4034e1a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratebldpostductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5381'">(Heartratebldpostductalpulseox): @root SHALL have value '2.16.578.1.34.10.5381'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5381
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5381']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5381']]/hl7:code[(@code='73795-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Heartratebldpostductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5381']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5381']]/hl7:code[(@code='73795-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-15715a49-72e4-4336-8dde-5c979370e457">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratebldpostductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="@nullFlavor or (@code='73795-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Heart rate Blood Postductal Pulse oximetry')">(Heartratebldpostductalpulseox): The element value SHALL be code '73795-7' codeSystem '2.16.840.1.113883.6.1' displayName='Heart rate Blood Postductal Pulse oximetry'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5381
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5381']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5381']]/hl7:text
Item: (Heartratebldpostductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5381']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5381']]/hl7:text"
         id="tmp-r-ae99e002-1d39-4f49-b92a-343fc6b48efc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratebldpostductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Heartratebldpostductalpulseox): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Heartratebldpostductalpulseox): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5381
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5381']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5381']]/hl7:text/hl7:reference
Item: (Heartratebldpostductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5381']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5381']]/hl7:text/hl7:reference"
         id="tmp-r-76f400d9-5bbe-43c4-b041-d609a2e5d65a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratebldpostductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5381
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5381']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5381']]/hl7:statusCode
Item: (Heartratebldpostductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5381']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5381']]/hl7:statusCode"
         id="tmp-r-ffb2aba6-ed8c-45df-b7ef-9780211aed2d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratebldpostductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Heartratebldpostductalpulseox): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Heartratebldpostductalpulseox): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5381
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5381']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5381']]/hl7:value
Item: (Heartratebldpostductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5381']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5381']]/hl7:value"
         id="tmp-r-95d3b619-8ef6-497a-bf9c-74e589d305be">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratebldpostductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='/min'))">(Heartratebldpostductalpulseox): value SHALL use unit '/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Heartratebldpostductalpulseox): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5381-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Heartratebldpostductalpulseox): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
