<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5383
Name: Heart rate Bld Preductal PulseOx
Description: Template Heart rate Blood Preductal Pulse oximetry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5383-2014-03-30T000000">
   <title>Heart rate Bld Preductal PulseOx</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5383
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5383']]
Item: (Heartratebldpreductalpulseox)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5383
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5383']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5383']]
Item: (Heartratebldpreductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5383']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5383']]"
         id="tmp-r-10b416ff-4775-492f-a5ee-e16ed63b43bb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Heartratebldpreductalpulseox): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Heartratebldpreductalpulseox): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5383'])&gt;=1 ">(Heartratebldpreductalpulseox): element hl7:templateId[@root='2.16.578.1.34.10.5383'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5383'])&lt;=1">(Heartratebldpreductalpulseox): element hl7:templateId[@root='2.16.578.1.34.10.5383'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="count(hl7:code[(@code='73799-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='73799-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Heartratebldpreductalpulseox): element hl7:code[(@code='73799-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="count(hl7:code[(@code='73799-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Heartratebldpreductalpulseox): element hl7:code[(@code='73799-9' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Heartratebldpreductalpulseox): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Heartratebldpreductalpulseox): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Heartratebldpreductalpulseox): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Heartratebldpreductalpulseox): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5383
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5383']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5383']]/hl7:templateId
Item: (Heartratebldpreductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5383']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5383']]/hl7:templateId"
         id="tmp-r-6f042479-7b5e-4e00-9ccf-05fd6ebc81d8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratebldpreductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5383'">(Heartratebldpreductalpulseox): @root SHALL have value '2.16.578.1.34.10.5383'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5383
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5383']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5383']]/hl7:code[(@code='73799-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Heartratebldpreductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5383']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5383']]/hl7:code[(@code='73799-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-28dfc7fc-1eaa-48a4-b228-72f8a63a7425">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratebldpreductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="@nullFlavor or (@code='73799-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Heart rate Blood Preductal Pulse oximetry')">(Heartratebldpreductalpulseox): The element value SHALL be code '73799-9' codeSystem '2.16.840.1.113883.6.1' displayName='Heart rate Blood Preductal Pulse oximetry'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5383
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5383']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5383']]/hl7:text
Item: (Heartratebldpreductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5383']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5383']]/hl7:text"
         id="tmp-r-c90464bb-f098-4689-bed7-f0bcf5eb1db7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratebldpreductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Heartratebldpreductalpulseox): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Heartratebldpreductalpulseox): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5383
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5383']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5383']]/hl7:text/hl7:reference
Item: (Heartratebldpreductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5383']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5383']]/hl7:text/hl7:reference"
         id="tmp-r-5944c3f4-7144-4d53-b9c5-96c613b1d223">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratebldpreductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5383
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5383']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5383']]/hl7:statusCode
Item: (Heartratebldpreductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5383']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5383']]/hl7:statusCode"
         id="tmp-r-30ec99eb-5efb-476c-8317-9af4524f175b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratebldpreductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Heartratebldpreductalpulseox): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Heartratebldpreductalpulseox): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5383
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5383']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5383']]/hl7:value
Item: (Heartratebldpreductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5383']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5383']]/hl7:value"
         id="tmp-r-6cfa58b9-a2f1-45c6-b8de-e5661e218a06">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratebldpreductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='/min'))">(Heartratebldpreductalpulseox): value SHALL use unit '/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Heartratebldpreductalpulseox): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5383-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Heartratebldpreductalpulseox): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
