<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5385
Name: Heart rate Episode Max Oximetry
Description: Template Heart rate Episode maximum by Oximetry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5385-2014-03-30T000000">
   <title>Heart rate Episode Max Oximetry</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5385
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5385']]
Item: (Heartrateepisodemaxoximetry)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5385
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5385']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5385']]
Item: (Heartrateepisodemaxoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5385']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5385']]"
         id="tmp-r-273351e0-1511-4553-b0b1-583179ee3282">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Heartrateepisodemaxoximetry): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Heartrateepisodemaxoximetry): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5385'])&gt;=1 ">(Heartrateepisodemaxoximetry): element hl7:templateId[@root='2.16.578.1.34.10.5385'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5385'])&lt;=1">(Heartrateepisodemaxoximetry): element hl7:templateId[@root='2.16.578.1.34.10.5385'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="count(hl7:code[(@code='44609-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='44609-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Heartrateepisodemaxoximetry): element hl7:code[(@code='44609-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="count(hl7:code[(@code='44609-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Heartrateepisodemaxoximetry): element hl7:code[(@code='44609-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Heartrateepisodemaxoximetry): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Heartrateepisodemaxoximetry): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Heartrateepisodemaxoximetry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Heartrateepisodemaxoximetry): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5385
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5385']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5385']]/hl7:templateId
Item: (Heartrateepisodemaxoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5385']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5385']]/hl7:templateId"
         id="tmp-r-1c3e8eaa-7167-4a43-b0af-5739f438d9ae">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateepisodemaxoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5385'">(Heartrateepisodemaxoximetry): @root SHALL have value '2.16.578.1.34.10.5385'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5385
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5385']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5385']]/hl7:code[(@code='44609-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Heartrateepisodemaxoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5385']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5385']]/hl7:code[(@code='44609-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-a485d1ba-81a0-4492-b4b6-ecd009bf4389">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateepisodemaxoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="@nullFlavor or (@code='44609-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Heart rate Episode maximum by Oximetry')">(Heartrateepisodemaxoximetry): The element value SHALL be code '44609-6' codeSystem '2.16.840.1.113883.6.1' displayName='Heart rate Episode maximum by Oximetry'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5385
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5385']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5385']]/hl7:text
Item: (Heartrateepisodemaxoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5385']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5385']]/hl7:text"
         id="tmp-r-7cf5c93a-4b2c-448a-8b79-f009572a86bf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateepisodemaxoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Heartrateepisodemaxoximetry): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Heartrateepisodemaxoximetry): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5385
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5385']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5385']]/hl7:text/hl7:reference
Item: (Heartrateepisodemaxoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5385']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5385']]/hl7:text/hl7:reference"
         id="tmp-r-a9e17e78-3124-4f6a-89f0-965b90f5403c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateepisodemaxoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5385
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5385']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5385']]/hl7:statusCode
Item: (Heartrateepisodemaxoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5385']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5385']]/hl7:statusCode"
         id="tmp-r-9a3da522-0b1c-4255-aff8-d009ac6ad0c3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateepisodemaxoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Heartrateepisodemaxoximetry): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Heartrateepisodemaxoximetry): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5385
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5385']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5385']]/hl7:value
Item: (Heartrateepisodemaxoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5385']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5385']]/hl7:value"
         id="tmp-r-fb674656-7dea-444d-832c-f2c493b23a02">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateepisodemaxoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='{beats}/min'))">(Heartrateepisodemaxoximetry): value SHALL use unit '{beats}/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Heartrateepisodemaxoximetry): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5385-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Heartrateepisodemaxoximetry): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
