<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5387
Name: Heart rate Episode Mean Oximetry
Description: Template Heart rate Episode mean by Oximetry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5387-2014-03-30T000000">
   <title>Heart rate Episode Mean Oximetry</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5387
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5387']]
Item: (Heartrateepisodemeanoximetry)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5387
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5387']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5387']]
Item: (Heartrateepisodemeanoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5387']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5387']]"
         id="tmp-r-4241d885-0e72-489d-8d02-96d7b1397093">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Heartrateepisodemeanoximetry): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Heartrateepisodemeanoximetry): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5387'])&gt;=1 ">(Heartrateepisodemeanoximetry): element hl7:templateId[@root='2.16.578.1.34.10.5387'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5387'])&lt;=1">(Heartrateepisodemeanoximetry): element hl7:templateId[@root='2.16.578.1.34.10.5387'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="count(hl7:code[(@code='44611-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='44611-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Heartrateepisodemeanoximetry): element hl7:code[(@code='44611-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="count(hl7:code[(@code='44611-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Heartrateepisodemeanoximetry): element hl7:code[(@code='44611-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Heartrateepisodemeanoximetry): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Heartrateepisodemeanoximetry): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Heartrateepisodemeanoximetry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Heartrateepisodemeanoximetry): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5387
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5387']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5387']]/hl7:templateId
Item: (Heartrateepisodemeanoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5387']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5387']]/hl7:templateId"
         id="tmp-r-dbf9f3c1-2ebf-461f-a389-068e3ddbd64b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateepisodemeanoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5387'">(Heartrateepisodemeanoximetry): @root SHALL have value '2.16.578.1.34.10.5387'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5387
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5387']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5387']]/hl7:code[(@code='44611-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Heartrateepisodemeanoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5387']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5387']]/hl7:code[(@code='44611-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-8703db89-d0e2-4de3-84fe-aa802bb57749">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateepisodemeanoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="@nullFlavor or (@code='44611-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Heart rate Episode mean by Oximetry')">(Heartrateepisodemeanoximetry): The element value SHALL be code '44611-2' codeSystem '2.16.840.1.113883.6.1' displayName='Heart rate Episode mean by Oximetry'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5387
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5387']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5387']]/hl7:text
Item: (Heartrateepisodemeanoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5387']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5387']]/hl7:text"
         id="tmp-r-7b8b9869-2d37-4a5e-bd19-c915e3eab32f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateepisodemeanoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Heartrateepisodemeanoximetry): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Heartrateepisodemeanoximetry): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5387
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5387']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5387']]/hl7:text/hl7:reference
Item: (Heartrateepisodemeanoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5387']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5387']]/hl7:text/hl7:reference"
         id="tmp-r-7523f369-35e2-484c-9139-f37e9f81c84b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateepisodemeanoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5387
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5387']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5387']]/hl7:statusCode
Item: (Heartrateepisodemeanoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5387']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5387']]/hl7:statusCode"
         id="tmp-r-ae5e5bab-d4c2-4890-9783-61911205dbb6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateepisodemeanoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Heartrateepisodemeanoximetry): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Heartrateepisodemeanoximetry): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5387
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5387']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5387']]/hl7:value
Item: (Heartrateepisodemeanoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5387']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5387']]/hl7:value"
         id="tmp-r-754c14b0-c280-4fbc-a922-e7737cc30db5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartrateepisodemeanoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='{beats}/min'))">(Heartrateepisodemeanoximetry): value SHALL use unit '{beats}/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Heartrateepisodemeanoximetry): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5387-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Heartrateepisodemeanoximetry): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
