<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5399
Name: SaO2 % Bld Preductal PulseOx
Description: Template Oxygen saturation in Blood Preductal by Pulse oximetry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5399-2014-03-30T000000">
   <title>SaO2 % Bld Preductal PulseOx</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5399
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5399']]
Item: (Sao2bldpreductalpulseox)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5399
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5399']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5399']]
Item: (Sao2bldpreductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5399']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5399']]"
         id="tmp-r-5e9a1c1a-1b6c-47ec-99e9-ab992a7b9c78">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Sao2bldpreductalpulseox): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Sao2bldpreductalpulseox): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5399'])&gt;=1 ">(Sao2bldpreductalpulseox): element hl7:templateId[@root='2.16.578.1.34.10.5399'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5399'])&lt;=1">(Sao2bldpreductalpulseox): element hl7:templateId[@root='2.16.578.1.34.10.5399'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="count(hl7:code[(@code='59407-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='59407-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sao2bldpreductalpulseox): element hl7:code[(@code='59407-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="count(hl7:code[(@code='59407-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sao2bldpreductalpulseox): element hl7:code[(@code='59407-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Sao2bldpreductalpulseox): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Sao2bldpreductalpulseox): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Sao2bldpreductalpulseox): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Sao2bldpreductalpulseox): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5399
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5399']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5399']]/hl7:templateId
Item: (Sao2bldpreductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5399']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5399']]/hl7:templateId"
         id="tmp-r-2d815bcc-bf22-4a91-921f-861be40b47cf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2bldpreductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5399'">(Sao2bldpreductalpulseox): @root SHALL have value '2.16.578.1.34.10.5399'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5399
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5399']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5399']]/hl7:code[(@code='59407-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sao2bldpreductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5399']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5399']]/hl7:code[(@code='59407-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-5b5d5df0-6c71-4f12-bd74-90cf4a3f2dea">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2bldpreductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="@nullFlavor or (@code='59407-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Oxygen saturation in Blood Preductal by Pulse oximetry')">(Sao2bldpreductalpulseox): The element value SHALL be code '59407-7' codeSystem '2.16.840.1.113883.6.1' displayName='Oxygen saturation in Blood Preductal by Pulse oximetry'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5399
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5399']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5399']]/hl7:text
Item: (Sao2bldpreductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5399']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5399']]/hl7:text"
         id="tmp-r-7e60f9af-4291-4c8b-9baf-67bcc1786897">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2bldpreductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Sao2bldpreductalpulseox): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Sao2bldpreductalpulseox): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5399
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5399']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5399']]/hl7:text/hl7:reference
Item: (Sao2bldpreductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5399']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5399']]/hl7:text/hl7:reference"
         id="tmp-r-21265913-0635-4051-a884-2c9f9cf015c6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2bldpreductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5399
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5399']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5399']]/hl7:statusCode
Item: (Sao2bldpreductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5399']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5399']]/hl7:statusCode"
         id="tmp-r-0fb60040-92b5-4037-8490-f63371376590">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2bldpreductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Sao2bldpreductalpulseox): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Sao2bldpreductalpulseox): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5399
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5399']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5399']]/hl7:value
Item: (Sao2bldpreductalpulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5399']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5399']]/hl7:value"
         id="tmp-r-3ca4013e-d6c5-407f-bc5b-30196eee9849">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2bldpreductalpulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='%'))">(Sao2bldpreductalpulseox): value SHALL use unit '%' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Sao2bldpreductalpulseox): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5399-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Sao2bldpreductalpulseox): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
