<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5401
Name: SaO2 8h Max % BldA PulseOx
Description: Template Oxygen saturation in 8 hour maximum Arterial blood by Pulse oximetry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5401-2014-03-30T000000">
   <title>SaO2 8h Max % BldA PulseOx</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5401
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5401']]
Item: (Sao28hmaxbldapulseox)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5401
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5401']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5401']]
Item: (Sao28hmaxbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5401']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5401']]"
         id="tmp-r-14b1bdc9-7d05-4cf9-b3cd-ba4635657c23">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Sao28hmaxbldapulseox): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Sao28hmaxbldapulseox): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5401'])&gt;=1 ">(Sao28hmaxbldapulseox): element hl7:templateId[@root='2.16.578.1.34.10.5401'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5401'])&lt;=1">(Sao28hmaxbldapulseox): element hl7:templateId[@root='2.16.578.1.34.10.5401'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="count(hl7:code[(@code='59405-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='59405-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sao28hmaxbldapulseox): element hl7:code[(@code='59405-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="count(hl7:code[(@code='59405-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sao28hmaxbldapulseox): element hl7:code[(@code='59405-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Sao28hmaxbldapulseox): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Sao28hmaxbldapulseox): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Sao28hmaxbldapulseox): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Sao28hmaxbldapulseox): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5401
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5401']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5401']]/hl7:templateId
Item: (Sao28hmaxbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5401']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5401']]/hl7:templateId"
         id="tmp-r-6cdf08fc-e083-4daf-a7c8-e11644cea094">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao28hmaxbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5401'">(Sao28hmaxbldapulseox): @root SHALL have value '2.16.578.1.34.10.5401'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5401
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5401']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5401']]/hl7:code[(@code='59405-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sao28hmaxbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5401']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5401']]/hl7:code[(@code='59405-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-e25bb543-8493-4c57-9c8c-25a7603af4de">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao28hmaxbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="@nullFlavor or (@code='59405-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Oxygen saturation in 8 hour maximum Arterial blood by Pulse oximetry')">(Sao28hmaxbldapulseox): The element value SHALL be code '59405-1' codeSystem '2.16.840.1.113883.6.1' displayName='Oxygen saturation in 8 hour maximum Arterial blood by Pulse oximetry'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5401
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5401']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5401']]/hl7:text
Item: (Sao28hmaxbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5401']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5401']]/hl7:text"
         id="tmp-r-99f58040-9dda-4390-8513-4d6e200c9a42">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao28hmaxbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Sao28hmaxbldapulseox): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Sao28hmaxbldapulseox): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5401
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5401']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5401']]/hl7:text/hl7:reference
Item: (Sao28hmaxbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5401']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5401']]/hl7:text/hl7:reference"
         id="tmp-r-0e6ecb92-c8e4-493c-89c9-295bf1253bd4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao28hmaxbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5401
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5401']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5401']]/hl7:statusCode
Item: (Sao28hmaxbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5401']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5401']]/hl7:statusCode"
         id="tmp-r-9f3ac156-94ff-4c6e-b062-e043633dddb1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao28hmaxbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Sao28hmaxbldapulseox): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Sao28hmaxbldapulseox): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5401
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5401']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5401']]/hl7:value
Item: (Sao28hmaxbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5401']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5401']]/hl7:value"
         id="tmp-r-7f1c98d4-5285-484a-a50d-80a86a25f05f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao28hmaxbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='%'))">(Sao28hmaxbldapulseox): value SHALL use unit '%' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Sao28hmaxbldapulseox): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5401-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Sao28hmaxbldapulseox): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
