<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5409
Name: SaO2 room air % BldA PulseOx
Description: Template Oxygen saturation in Arterial blood by Pulse oximetry - -on room air
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5409-2014-03-30T000000">
   <title>SaO2 room air % BldA PulseOx</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5409
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5409']]
Item: (Sao2roomairbldapulseox)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5409
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5409']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5409']]
Item: (Sao2roomairbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5409']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5409']]"
         id="tmp-r-5eb2722c-698c-4bca-9556-a69245785daf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Sao2roomairbldapulseox): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Sao2roomairbldapulseox): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5409'])&gt;=1 ">(Sao2roomairbldapulseox): element hl7:templateId[@root='2.16.578.1.34.10.5409'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5409'])&lt;=1">(Sao2roomairbldapulseox): element hl7:templateId[@root='2.16.578.1.34.10.5409'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="count(hl7:code[(@code='59410-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='59410-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sao2roomairbldapulseox): element hl7:code[(@code='59410-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="count(hl7:code[(@code='59410-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sao2roomairbldapulseox): element hl7:code[(@code='59410-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Sao2roomairbldapulseox): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Sao2roomairbldapulseox): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Sao2roomairbldapulseox): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Sao2roomairbldapulseox): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5409
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5409']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5409']]/hl7:templateId
Item: (Sao2roomairbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5409']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5409']]/hl7:templateId"
         id="tmp-r-c1c68fb7-c9bc-4569-8c24-f6eaebf6f099">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2roomairbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5409'">(Sao2roomairbldapulseox): @root SHALL have value '2.16.578.1.34.10.5409'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5409
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5409']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5409']]/hl7:code[(@code='59410-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sao2roomairbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5409']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5409']]/hl7:code[(@code='59410-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-ea68990f-f90f-46e0-9992-1f4aa0bb9b71">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2roomairbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="@nullFlavor or (@code='59410-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Oxygen saturation in Arterial blood by Pulse oximetry --on room air')">(Sao2roomairbldapulseox): The element value SHALL be code '59410-1' codeSystem '2.16.840.1.113883.6.1' displayName='Oxygen saturation in Arterial blood by Pulse oximetry --on room air'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5409
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5409']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5409']]/hl7:text
Item: (Sao2roomairbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5409']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5409']]/hl7:text"
         id="tmp-r-7c161095-60c2-4e80-be87-2ae3e927e395">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2roomairbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Sao2roomairbldapulseox): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Sao2roomairbldapulseox): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5409
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5409']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5409']]/hl7:text/hl7:reference
Item: (Sao2roomairbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5409']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5409']]/hl7:text/hl7:reference"
         id="tmp-r-6b9b3212-c51c-4bf5-99a6-7a53b2922f6d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2roomairbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5409
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5409']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5409']]/hl7:statusCode
Item: (Sao2roomairbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5409']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5409']]/hl7:statusCode"
         id="tmp-r-2c3ae0fa-a142-45f9-8ad1-63e29373e698">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2roomairbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Sao2roomairbldapulseox): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Sao2roomairbldapulseox): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5409
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5409']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5409']]/hl7:value
Item: (Sao2roomairbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5409']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5409']]/hl7:value"
         id="tmp-r-d714f848-6141-47d0-b59d-6ba8ff63af17">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2roomairbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='%'))">(Sao2roomairbldapulseox): value SHALL use unit '%' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Sao2roomairbldapulseox): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5409-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Sao2roomairbldapulseox): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
