<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5419
Name: SaO2 pre BD % BldA PulseOx
Description: Template Oxygen saturation in Arterial blood by Pulse oximetry - -pre bronchodilation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5419-2014-03-30T000000">
   <title>SaO2 pre BD % BldA PulseOx</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5419
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5419']]
Item: (Sao2prebdbldapulseox)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5419
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5419']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5419']]
Item: (Sao2prebdbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5419']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5419']]"
         id="tmp-r-addde989-20e7-40bc-bd20-5d9b3e605cc0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Sao2prebdbldapulseox): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Sao2prebdbldapulseox): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5419'])&gt;=1 ">(Sao2prebdbldapulseox): element hl7:templateId[@root='2.16.578.1.34.10.5419'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5419'])&lt;=1">(Sao2prebdbldapulseox): element hl7:templateId[@root='2.16.578.1.34.10.5419'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="count(hl7:code[(@code='59414-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='59414-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sao2prebdbldapulseox): element hl7:code[(@code='59414-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="count(hl7:code[(@code='59414-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sao2prebdbldapulseox): element hl7:code[(@code='59414-3' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Sao2prebdbldapulseox): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Sao2prebdbldapulseox): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Sao2prebdbldapulseox): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Sao2prebdbldapulseox): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5419
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5419']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5419']]/hl7:templateId
Item: (Sao2prebdbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5419']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5419']]/hl7:templateId"
         id="tmp-r-a06ca963-5343-4348-8c2c-aa60edef3f68">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2prebdbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5419'">(Sao2prebdbldapulseox): @root SHALL have value '2.16.578.1.34.10.5419'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5419
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5419']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5419']]/hl7:code[(@code='59414-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sao2prebdbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5419']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5419']]/hl7:code[(@code='59414-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-7a09bc94-8b5e-4a26-acd5-5ec33f095ed8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2prebdbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="@nullFlavor or (@code='59414-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Oxygen saturation in Arterial blood by Pulse oximetry --pre bronchodilation')">(Sao2prebdbldapulseox): The element value SHALL be code '59414-3' codeSystem '2.16.840.1.113883.6.1' displayName='Oxygen saturation in Arterial blood by Pulse oximetry --pre bronchodilation'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5419
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5419']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5419']]/hl7:text
Item: (Sao2prebdbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5419']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5419']]/hl7:text"
         id="tmp-r-07858c2c-3015-49c0-b1b4-99f08cf53364">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2prebdbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Sao2prebdbldapulseox): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Sao2prebdbldapulseox): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5419
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5419']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5419']]/hl7:text/hl7:reference
Item: (Sao2prebdbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5419']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5419']]/hl7:text/hl7:reference"
         id="tmp-r-a96a0ef8-18a6-49ec-bffa-ae5e7616b6dc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2prebdbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5419
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5419']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5419']]/hl7:statusCode
Item: (Sao2prebdbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5419']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5419']]/hl7:statusCode"
         id="tmp-r-a1653328-23f1-4e5c-8d13-2679c4e1771f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2prebdbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Sao2prebdbldapulseox): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Sao2prebdbldapulseox): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5419
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5419']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5419']]/hl7:value
Item: (Sao2prebdbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5419']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5419']]/hl7:value"
         id="tmp-r-a08afbbe-a068-4743-a95f-245e7866e75a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2prebdbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='%'))">(Sao2prebdbldapulseox): value SHALL use unit '%' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Sao2prebdbldapulseox): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5419-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Sao2prebdbldapulseox): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
