<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5421
Name: SaO2 pre PT % BldA PulseOx
Description: Template Oxygen saturation in Arterial blood by Pulse oximetry - -pre physiotherapy
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5421-2014-03-30T000000">
   <title>SaO2 pre PT % BldA PulseOx</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5421
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5421']]
Item: (Sao2preptbldapulseox)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5421
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5421']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5421']]
Item: (Sao2preptbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5421']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5421']]"
         id="tmp-r-6f645b11-bf80-47c4-b8bc-0abee4d92e71">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Sao2preptbldapulseox): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Sao2preptbldapulseox): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5421'])&gt;=1 ">(Sao2preptbldapulseox): element hl7:templateId[@root='2.16.578.1.34.10.5421'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5421'])&lt;=1">(Sao2preptbldapulseox): element hl7:templateId[@root='2.16.578.1.34.10.5421'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="count(hl7:code[(@code='59415-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='59415-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sao2preptbldapulseox): element hl7:code[(@code='59415-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="count(hl7:code[(@code='59415-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sao2preptbldapulseox): element hl7:code[(@code='59415-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Sao2preptbldapulseox): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Sao2preptbldapulseox): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Sao2preptbldapulseox): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Sao2preptbldapulseox): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5421
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5421']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5421']]/hl7:templateId
Item: (Sao2preptbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5421']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5421']]/hl7:templateId"
         id="tmp-r-aaa5dd2f-8ce3-4dae-905a-0d205ad0bf59">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2preptbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5421'">(Sao2preptbldapulseox): @root SHALL have value '2.16.578.1.34.10.5421'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5421
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5421']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5421']]/hl7:code[(@code='59415-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sao2preptbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5421']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5421']]/hl7:code[(@code='59415-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-0de92119-95ff-458f-96f2-80362198d27a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2preptbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="@nullFlavor or (@code='59415-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Oxygen saturation in Arterial blood by Pulse oximetry --pre physiotherapy')">(Sao2preptbldapulseox): The element value SHALL be code '59415-0' codeSystem '2.16.840.1.113883.6.1' displayName='Oxygen saturation in Arterial blood by Pulse oximetry --pre physiotherapy'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5421
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5421']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5421']]/hl7:text
Item: (Sao2preptbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5421']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5421']]/hl7:text"
         id="tmp-r-434468ff-fc27-4a3d-a378-927c5e1c0fbe">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2preptbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Sao2preptbldapulseox): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Sao2preptbldapulseox): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5421
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5421']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5421']]/hl7:text/hl7:reference
Item: (Sao2preptbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5421']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5421']]/hl7:text/hl7:reference"
         id="tmp-r-dd392291-ff21-44f9-89e5-8b8b823bf24d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2preptbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5421
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5421']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5421']]/hl7:statusCode
Item: (Sao2preptbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5421']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5421']]/hl7:statusCode"
         id="tmp-r-29a81c71-e1ae-4555-b47a-96743973f8f3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2preptbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Sao2preptbldapulseox): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Sao2preptbldapulseox): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5421
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5421']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5421']]/hl7:value
Item: (Sao2preptbldapulseox)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5421']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5421']]/hl7:value"
         id="tmp-r-e14d0e05-996b-44cc-8230-a05ed5fdc239">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sao2preptbldapulseox): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='%'))">(Sao2preptbldapulseox): value SHALL use unit '%' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Sao2preptbldapulseox): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5421-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Sao2preptbldapulseox): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
