<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5429
Name: FIO2 He SB
Description: Template Oxygen/Inspired gas Inhaled gas by Helium single breath
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5429-2014-03-30T000000">
   <title>FIO2 He SB</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5429
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5429']]
Item: (Fio2hesb)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5429
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5429']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5429']]
Item: (Fio2hesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5429']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5429']]"
         id="tmp-r-93f1d6b0-92ed-413a-9117-9416ed127b3f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fio2hesb): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fio2hesb): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5429'])&gt;=1 ">(Fio2hesb): element hl7:templateId[@root='2.16.578.1.34.10.5429'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5429'])&lt;=1">(Fio2hesb): element hl7:templateId[@root='2.16.578.1.34.10.5429'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19992-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19992-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fio2hesb): element hl7:code[(@code='19992-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19992-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fio2hesb): element hl7:code[(@code='19992-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fio2hesb): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fio2hesb): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fio2hesb): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fio2hesb): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5429
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5429']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5429']]/hl7:templateId
Item: (Fio2hesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5429']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5429']]/hl7:templateId"
         id="tmp-r-f21e5384-5c3d-4ae6-81f4-aec2f2e18835">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fio2hesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5429'">(Fio2hesb): @root SHALL have value '2.16.578.1.34.10.5429'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5429
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5429']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5429']]/hl7:code[(@code='19992-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fio2hesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5429']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5429']]/hl7:code[(@code='19992-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-a2c54cec-0289-4ae6-a3e2-7516b5fc1567">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fio2hesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19992-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Oxygen/Inspired gas Inhaled gas by Helium single breath')">(Fio2hesb): The element value SHALL be code '19992-7' codeSystem '2.16.840.1.113883.6.1' displayName='Oxygen/Inspired gas Inhaled gas by Helium single breath'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5429
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5429']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5429']]/hl7:text
Item: (Fio2hesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5429']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5429']]/hl7:text"
         id="tmp-r-7f67034e-a42a-4c5a-8072-2413628caf88">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fio2hesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fio2hesb): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fio2hesb): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5429
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5429']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5429']]/hl7:text/hl7:reference
Item: (Fio2hesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5429']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5429']]/hl7:text/hl7:reference"
         id="tmp-r-0e84a677-33aa-469c-bb58-f63bc2529045">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fio2hesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5429
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5429']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5429']]/hl7:statusCode
Item: (Fio2hesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5429']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5429']]/hl7:statusCode"
         id="tmp-r-a16db0be-d94e-4261-8722-ec2a9b2290b2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fio2hesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fio2hesb): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fio2hesb): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5429
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5429']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5429']]/hl7:value
Item: (Fio2hesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5429']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5429']]/hl7:value"
         id="tmp-r-15620ef9-5a66-4f0b-b632-a456c7016e73">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fio2hesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='%'))">(Fio2hesb): value SHALL use unit '%' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fio2hesb): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5429-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fio2hesb): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
