<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5445
Name: Resp rate
Description: Template Respiratory rate
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5445-2014-03-30T000000">
   <title>Resp rate</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5445
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5445']]
Item: (Resprate)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5445
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5445']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5445']]
Item: (Resprate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5445']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5445']]"
         id="tmp-r-a052da95-1553-46c3-9965-95ab39276d38">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Resprate): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Resprate): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5445'])&gt;=1 ">(Resprate): element hl7:templateId[@root='2.16.578.1.34.10.5445'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5445'])&lt;=1">(Resprate): element hl7:templateId[@root='2.16.578.1.34.10.5445'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="count(hl7:code[(@code='9279-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='9279-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Resprate): element hl7:code[(@code='9279-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="count(hl7:code[(@code='9279-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Resprate): element hl7:code[(@code='9279-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Resprate): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Resprate): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Resprate): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Resprate): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5445
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5445']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5445']]/hl7:templateId
Item: (Resprate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5445']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5445']]/hl7:templateId"
         id="tmp-r-8782d9e0-7a25-474d-aa3c-f869bff69315">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resprate): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5445'">(Resprate): @root SHALL have value '2.16.578.1.34.10.5445'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5445
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5445']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5445']]/hl7:code[(@code='9279-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Resprate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5445']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5445']]/hl7:code[(@code='9279-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-e2208c51-9e5d-45ac-8bd6-af8356fa2b48">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resprate): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="@nullFlavor or (@code='9279-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Respiratory rate')">(Resprate): The element value SHALL be code '9279-1' codeSystem '2.16.840.1.113883.6.1' displayName='Respiratory rate'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5445
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5445']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5445']]/hl7:text
Item: (Resprate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5445']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5445']]/hl7:text"
         id="tmp-r-29a70156-fbad-46ad-855f-ac166e8a0f33">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resprate): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Resprate): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Resprate): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5445
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5445']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5445']]/hl7:text/hl7:reference
Item: (Resprate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5445']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5445']]/hl7:text/hl7:reference"
         id="tmp-r-eb80a3da-2021-495c-9d17-575c454dacb9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resprate): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5445
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5445']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5445']]/hl7:statusCode
Item: (Resprate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5445']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5445']]/hl7:statusCode"
         id="tmp-r-0f408c26-fc51-4396-a455-60de7c8d4510">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resprate): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Resprate): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Resprate): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5445
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5445']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5445']]/hl7:value
Item: (Resprate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5445']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5445']]/hl7:value"
         id="tmp-r-334ca24a-3032-4ac4-8596-b3cb361d5510">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resprate): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='{breaths}/min'))">(Resprate): value SHALL use unit '{breaths}/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Resprate): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5445-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Resprate): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
