<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5447
Name: Resp rate Resting
Description: Template Respiratory rate - -resting
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5447-2014-03-30T000000">
   <title>Resp rate Resting</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5447
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5447']]
Item: (Resprateresting)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5447
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5447']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5447']]
Item: (Resprateresting)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5447']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5447']]"
         id="tmp-r-11d4eee9-53ce-4ad5-87b0-c73a18c276c0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Resprateresting): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Resprateresting): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5447'])&gt;=1 ">(Resprateresting): element hl7:templateId[@root='2.16.578.1.34.10.5447'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5447'])&lt;=1">(Resprateresting): element hl7:templateId[@root='2.16.578.1.34.10.5447'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="count(hl7:code[(@code='9303-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='9303-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Resprateresting): element hl7:code[(@code='9303-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="count(hl7:code[(@code='9303-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Resprateresting): element hl7:code[(@code='9303-9' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Resprateresting): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Resprateresting): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Resprateresting): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Resprateresting): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5447
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5447']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5447']]/hl7:templateId
Item: (Resprateresting)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5447']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5447']]/hl7:templateId"
         id="tmp-r-5cfe4f01-63f4-4036-8dee-ae5a5d373a42">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resprateresting): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5447'">(Resprateresting): @root SHALL have value '2.16.578.1.34.10.5447'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5447
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5447']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5447']]/hl7:code[(@code='9303-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Resprateresting)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5447']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5447']]/hl7:code[(@code='9303-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-65989104-de31-4c2a-8090-8000dcb510cc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resprateresting): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="@nullFlavor or (@code='9303-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Respiratory rate --resting')">(Resprateresting): The element value SHALL be code '9303-9' codeSystem '2.16.840.1.113883.6.1' displayName='Respiratory rate --resting'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5447
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5447']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5447']]/hl7:text
Item: (Resprateresting)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5447']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5447']]/hl7:text"
         id="tmp-r-efb9b233-535e-4a0c-b0ed-3e09671b8029">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resprateresting): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Resprateresting): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Resprateresting): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5447
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5447']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5447']]/hl7:text/hl7:reference
Item: (Resprateresting)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5447']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5447']]/hl7:text/hl7:reference"
         id="tmp-r-a7bb4b8b-7d92-43a9-8cda-2a9299c82c04">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resprateresting): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5447
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5447']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5447']]/hl7:statusCode
Item: (Resprateresting)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5447']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5447']]/hl7:statusCode"
         id="tmp-r-89b53a52-63ff-463e-a8f4-971ef406a446">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resprateresting): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Resprateresting): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Resprateresting): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5447
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5447']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5447']]/hl7:value
Item: (Resprateresting)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5447']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5447']]/hl7:value"
         id="tmp-r-56cca8bc-4eee-4ba5-9c85-e6c0ba04decb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resprateresting): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='{breaths}/min'))">(Resprateresting): value SHALL use unit '{breaths}/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Resprateresting): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5447-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Resprateresting): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
