<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5449
Name: Compl last 20% of breath/Entire breath
Description: Template Compliance of last 20% of breath/Compliance of entire breath
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5449-2014-03-30T000000">
   <title>Compl last 20% of breath/Entire breath</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5449
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5449']]
Item: (Compllast20ofbreathentirebreath)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5449
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5449']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5449']]
Item: (Compllast20ofbreathentirebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5449']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5449']]"
         id="tmp-r-d084d61d-2b2d-4c9e-b420-7952f8125a56">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Compllast20ofbreathentirebreath): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Compllast20ofbreathentirebreath): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5449'])&gt;=1 ">(Compllast20ofbreathentirebreath): element hl7:templateId[@root='2.16.578.1.34.10.5449'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5449'])&lt;=1">(Compllast20ofbreathentirebreath): element hl7:templateId[@root='2.16.578.1.34.10.5449'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="count(hl7:code[(@code='33457-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='33457-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Compllast20ofbreathentirebreath): element hl7:code[(@code='33457-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="count(hl7:code[(@code='33457-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Compllast20ofbreathentirebreath): element hl7:code[(@code='33457-3' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Compllast20ofbreathentirebreath): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Compllast20ofbreathentirebreath): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Compllast20ofbreathentirebreath): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Compllast20ofbreathentirebreath): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5449
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5449']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5449']]/hl7:templateId
Item: (Compllast20ofbreathentirebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5449']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5449']]/hl7:templateId"
         id="tmp-r-e5738ef1-f895-46c2-8f8a-527acb4deb2d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Compllast20ofbreathentirebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5449'">(Compllast20ofbreathentirebreath): @root SHALL have value '2.16.578.1.34.10.5449'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5449
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5449']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5449']]/hl7:code[(@code='33457-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Compllast20ofbreathentirebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5449']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5449']]/hl7:code[(@code='33457-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-a41577a4-201f-47a8-b97f-0c609560c3e5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Compllast20ofbreathentirebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="@nullFlavor or (@code='33457-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Compliance of last 20% of breath/Compliance of entire breath')">(Compllast20ofbreathentirebreath): The element value SHALL be code '33457-3' codeSystem '2.16.840.1.113883.6.1' displayName='Compliance of last 20% of breath/Compliance of entire breath'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5449
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5449']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5449']]/hl7:text
Item: (Compllast20ofbreathentirebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5449']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5449']]/hl7:text"
         id="tmp-r-ea41ffcf-baa9-4161-a2a0-8578b92a3939">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Compllast20ofbreathentirebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Compllast20ofbreathentirebreath): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Compllast20ofbreathentirebreath): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5449
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5449']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5449']]/hl7:text/hl7:reference
Item: (Compllast20ofbreathentirebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5449']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5449']]/hl7:text/hl7:reference"
         id="tmp-r-b103ba41-558d-4349-9bd5-97f18d75fcb0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Compllast20ofbreathentirebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5449
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5449']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5449']]/hl7:statusCode
Item: (Compllast20ofbreathentirebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5449']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5449']]/hl7:statusCode"
         id="tmp-r-7027acb9-d8b5-4037-87a7-e79697e2bcb7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Compllast20ofbreathentirebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Compllast20ofbreathentirebreath): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5449-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Compllast20ofbreathentirebreath): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5449
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5449']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5449']]/hl7:value
Item: (Compllast20ofbreathentirebreath)
-->
</pattern>
