<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5453
Name: Hx of Respiratory disorders
Description: Template History of Respiratory system disorders
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5453-2014-03-30T000000">
   <title>Hx of Respiratory disorders</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5453
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5453']]
Item: (Hxofrespiratorydisorders)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5453
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5453']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5453']]
Item: (Hxofrespiratorydisorders)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5453']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5453']]"
         id="tmp-r-0406a33b-9bfc-4fff-aed2-b7af720035dc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Hxofrespiratorydisorders): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Hxofrespiratorydisorders): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5453'])&gt;=1 ">(Hxofrespiratorydisorders): element hl7:templateId[@root='2.16.578.1.34.10.5453'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5453'])&lt;=1">(Hxofrespiratorydisorders): element hl7:templateId[@root='2.16.578.1.34.10.5453'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="count(hl7:code[(@code='8686-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='8686-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Hxofrespiratorydisorders): element hl7:code[(@code='8686-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="count(hl7:code[(@code='8686-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Hxofrespiratorydisorders): element hl7:code[(@code='8686-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Hxofrespiratorydisorders): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Hxofrespiratorydisorders): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Hxofrespiratorydisorders): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Hxofrespiratorydisorders): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5453
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5453']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5453']]/hl7:templateId
Item: (Hxofrespiratorydisorders)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5453']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5453']]/hl7:templateId"
         id="tmp-r-ea732abc-451f-4400-aee1-72006ea39d5e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hxofrespiratorydisorders): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5453'">(Hxofrespiratorydisorders): @root SHALL have value '2.16.578.1.34.10.5453'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5453
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5453']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5453']]/hl7:code[(@code='8686-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Hxofrespiratorydisorders)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5453']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5453']]/hl7:code[(@code='8686-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-7ebe7ad6-fb7e-4fa3-a8bd-f338d0bfffda">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hxofrespiratorydisorders): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="@nullFlavor or (@code='8686-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of Respiratory system disorders')">(Hxofrespiratorydisorders): The element value SHALL be code '8686-8' codeSystem '2.16.840.1.113883.6.1' displayName='History of Respiratory system disorders'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5453
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5453']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5453']]/hl7:text
Item: (Hxofrespiratorydisorders)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5453']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5453']]/hl7:text"
         id="tmp-r-1c1f3d44-dc3e-4403-8d1f-f72fdfac4950">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hxofrespiratorydisorders): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Hxofrespiratorydisorders): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Hxofrespiratorydisorders): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5453
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5453']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5453']]/hl7:text/hl7:reference
Item: (Hxofrespiratorydisorders)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5453']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5453']]/hl7:text/hl7:reference"
         id="tmp-r-bf84b0d0-43e3-4557-b3de-4deb23f32a40">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hxofrespiratorydisorders): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5453
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5453']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5453']]/hl7:statusCode
Item: (Hxofrespiratorydisorders)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5453']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5453']]/hl7:statusCode"
         id="tmp-r-27ffd97c-9fc1-4d3b-800e-ccd6cfd657f4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hxofrespiratorydisorders): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Hxofrespiratorydisorders): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5453-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Hxofrespiratorydisorders): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5453
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5453']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5453']]/hl7:value
Item: (Hxofrespiratorydisorders)
-->
</pattern>
