<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5455
Name: pO2 IhG
Description: Template Oxygen [Partial pressure] in Inhaled gas
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5455-2014-03-30T000000">
   <title>pO2 IhG</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5455
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5455']]
Item: (po2ihg)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5455
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5455']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5455']]
Item: (po2ihg)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5455']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5455']]"
         id="tmp-r-50425b57-5a22-48d0-bd85-e89e7628bbbd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(po2ihg): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(po2ihg): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5455'])&gt;=1 ">(po2ihg): element hl7:templateId[@root='2.16.578.1.34.10.5455'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5455'])&lt;=1">(po2ihg): element hl7:templateId[@root='2.16.578.1.34.10.5455'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="count(hl7:code[(@code='3149-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='3149-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(po2ihg): element hl7:code[(@code='3149-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="count(hl7:code[(@code='3149-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(po2ihg): element hl7:code[(@code='3149-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(po2ihg): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(po2ihg): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(po2ihg): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(po2ihg): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5455
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5455']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5455']]/hl7:templateId
Item: (po2ihg)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5455']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5455']]/hl7:templateId"
         id="tmp-r-45a879ae-518d-4a67-a015-b25f458d1d17">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(po2ihg): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5455'">(po2ihg): @root SHALL have value '2.16.578.1.34.10.5455'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5455
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5455']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5455']]/hl7:code[(@code='3149-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (po2ihg)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5455']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5455']]/hl7:code[(@code='3149-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-46a5f0af-d926-4bd4-8d09-9f03260e3e23">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(po2ihg): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="@nullFlavor or (@code='3149-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Oxygen [Partial pressure] in Inhaled gas')">(po2ihg): The element value SHALL be code '3149-2' codeSystem '2.16.840.1.113883.6.1' displayName='Oxygen [Partial pressure] in Inhaled gas'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5455
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5455']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5455']]/hl7:text
Item: (po2ihg)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5455']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5455']]/hl7:text"
         id="tmp-r-a89f4986-db53-4af0-a968-bd55a00bb8b7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(po2ihg): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(po2ihg): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(po2ihg): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5455
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5455']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5455']]/hl7:text/hl7:reference
Item: (po2ihg)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5455']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5455']]/hl7:text/hl7:reference"
         id="tmp-r-8e739b8a-a2a8-413b-bd4a-3deae04d862b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(po2ihg): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5455
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5455']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5455']]/hl7:statusCode
Item: (po2ihg)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5455']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5455']]/hl7:statusCode"
         id="tmp-r-38610367-af0c-4075-86e4-3557bba5e352">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(po2ihg): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(po2ihg): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(po2ihg): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5455
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5455']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5455']]/hl7:value
Item: (po2ihg)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5455']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5455']]/hl7:value"
         id="tmp-r-f6c337f7-3053-4e9b-a7b7-e92c158f7850">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(po2ihg): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='mm[Hg]')) or (@nullFlavor or (@unit='kPa'))">(po2ihg): value SHALL use unit 'mm[Hg]'  or use unit 'kPa' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(po2ihg): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5455-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(po2ihg): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
