<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5461
Name: Pulmonary function test method
Description: Template Pulmonary function test method
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5461-2014-03-30T000000">
   <title>Pulmonary function test method</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5461
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5461']]
Item: (Pulmonaryfunctiontestmethod)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5461
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5461']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5461']]
Item: (Pulmonaryfunctiontestmethod)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5461']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5461']]"
         id="tmp-r-2a68e67e-78ff-4e02-9285-b27d82f57e2d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Pulmonaryfunctiontestmethod): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Pulmonaryfunctiontestmethod): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5461'])&gt;=1 ">(Pulmonaryfunctiontestmethod): element hl7:templateId[@root='2.16.578.1.34.10.5461'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5461'])&lt;=1">(Pulmonaryfunctiontestmethod): element hl7:templateId[@root='2.16.578.1.34.10.5461'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20080-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20080-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Pulmonaryfunctiontestmethod): element hl7:code[(@code='20080-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20080-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Pulmonaryfunctiontestmethod): element hl7:code[(@code='20080-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Pulmonaryfunctiontestmethod): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Pulmonaryfunctiontestmethod): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Pulmonaryfunctiontestmethod): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Pulmonaryfunctiontestmethod): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5461
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5461']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5461']]/hl7:templateId
Item: (Pulmonaryfunctiontestmethod)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5461']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5461']]/hl7:templateId"
         id="tmp-r-a7b0d91e-e606-43bb-bbd1-6cb1454dafe0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pulmonaryfunctiontestmethod): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5461'">(Pulmonaryfunctiontestmethod): @root SHALL have value '2.16.578.1.34.10.5461'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5461
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5461']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5461']]/hl7:code[(@code='20080-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Pulmonaryfunctiontestmethod)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5461']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5461']]/hl7:code[(@code='20080-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-27fd797a-96f8-4c0e-b9d9-5d3c94ee8640">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pulmonaryfunctiontestmethod): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20080-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Pulmonary function test method')">(Pulmonaryfunctiontestmethod): The element value SHALL be code '20080-8' codeSystem '2.16.840.1.113883.6.1' displayName='Pulmonary function test method'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5461
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5461']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5461']]/hl7:text
Item: (Pulmonaryfunctiontestmethod)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5461']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5461']]/hl7:text"
         id="tmp-r-ddc2fda2-2d17-485c-a392-e3d7b98c77e8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pulmonaryfunctiontestmethod): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Pulmonaryfunctiontestmethod): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Pulmonaryfunctiontestmethod): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5461
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5461']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5461']]/hl7:text/hl7:reference
Item: (Pulmonaryfunctiontestmethod)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5461']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5461']]/hl7:text/hl7:reference"
         id="tmp-r-9174e11b-d78f-4a79-a4d2-54254687a942">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pulmonaryfunctiontestmethod): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5461
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5461']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5461']]/hl7:statusCode
Item: (Pulmonaryfunctiontestmethod)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5461']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5461']]/hl7:statusCode"
         id="tmp-r-b132e36f-1d57-4d66-b6ce-4c9cbf2a89e6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pulmonaryfunctiontestmethod): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Pulmonaryfunctiontestmethod): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5461-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Pulmonaryfunctiontestmethod): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5461
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5461']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5461']]/hl7:value
Item: (Pulmonaryfunctiontestmethod)
-->
</pattern>
