<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5465
Name: Respiratory test prediction method
Description: Template Respiratory test prediction method
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5465-2014-03-30T000000">
   <title>Respiratory test prediction method</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5465
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5465']]
Item: (Respiratorytestpredictionmethod)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5465
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5465']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5465']]
Item: (Respiratorytestpredictionmethod)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5465']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5465']]"
         id="tmp-r-2a80bd1f-b287-48a4-8920-cc18384dc720">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Respiratorytestpredictionmethod): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Respiratorytestpredictionmethod): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5465'])&gt;=1 ">(Respiratorytestpredictionmethod): element hl7:templateId[@root='2.16.578.1.34.10.5465'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5465'])&lt;=1">(Respiratorytestpredictionmethod): element hl7:templateId[@root='2.16.578.1.34.10.5465'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20088-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20088-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Respiratorytestpredictionmethod): element hl7:code[(@code='20088-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20088-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Respiratorytestpredictionmethod): element hl7:code[(@code='20088-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Respiratorytestpredictionmethod): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Respiratorytestpredictionmethod): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Respiratorytestpredictionmethod): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Respiratorytestpredictionmethod): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5465
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5465']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5465']]/hl7:templateId
Item: (Respiratorytestpredictionmethod)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5465']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5465']]/hl7:templateId"
         id="tmp-r-30c9d11b-3846-4cd3-91c3-f920eff0eab8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respiratorytestpredictionmethod): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5465'">(Respiratorytestpredictionmethod): @root SHALL have value '2.16.578.1.34.10.5465'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5465
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5465']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5465']]/hl7:code[(@code='20088-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Respiratorytestpredictionmethod)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5465']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5465']]/hl7:code[(@code='20088-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-87a600ba-c620-45cd-aa5e-cf3a1f171a05">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respiratorytestpredictionmethod): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20088-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Respiratory test prediction method')">(Respiratorytestpredictionmethod): The element value SHALL be code '20088-1' codeSystem '2.16.840.1.113883.6.1' displayName='Respiratory test prediction method'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5465
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5465']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5465']]/hl7:text
Item: (Respiratorytestpredictionmethod)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5465']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5465']]/hl7:text"
         id="tmp-r-be97b8a5-b7d8-4d48-b971-d496de1740ac">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respiratorytestpredictionmethod): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Respiratorytestpredictionmethod): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Respiratorytestpredictionmethod): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5465
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5465']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5465']]/hl7:text/hl7:reference
Item: (Respiratorytestpredictionmethod)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5465']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5465']]/hl7:text/hl7:reference"
         id="tmp-r-7302b617-eeb4-40d5-865b-ff2a6fdde46e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respiratorytestpredictionmethod): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5465
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5465']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5465']]/hl7:statusCode
Item: (Respiratorytestpredictionmethod)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5465']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5465']]/hl7:statusCode"
         id="tmp-r-4ea19e96-afc5-4961-9b93-9f53526ef363">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respiratorytestpredictionmethod): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Respiratorytestpredictionmethod): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5465-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Respiratorytestpredictionmethod): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5465
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5465']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5465']]/hl7:value
Item: (Respiratorytestpredictionmethod)
-->
</pattern>
