<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5467
Name: Respiratory therapy goal
Description: Template Respiratory therapy goal Respiratory therapy
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5467-2014-03-30T000000">
   <title>Respiratory therapy goal</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5467
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5467']]
Item: (Respiratorytherapygoal)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5467
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5467']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5467']]
Item: (Respiratorytherapygoal)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5467']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5467']]"
         id="tmp-r-d3cabade-9447-4b23-b081-7d64a9f27665">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Respiratorytherapygoal): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Respiratorytherapygoal): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5467'])&gt;=1 ">(Respiratorytherapygoal): element hl7:templateId[@root='2.16.578.1.34.10.5467'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5467'])&lt;=1">(Respiratorytherapygoal): element hl7:templateId[@root='2.16.578.1.34.10.5467'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="count(hl7:code[(@code='33449-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='33449-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Respiratorytherapygoal): element hl7:code[(@code='33449-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="count(hl7:code[(@code='33449-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Respiratorytherapygoal): element hl7:code[(@code='33449-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Respiratorytherapygoal): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Respiratorytherapygoal): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Respiratorytherapygoal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Respiratorytherapygoal): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5467
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5467']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5467']]/hl7:templateId
Item: (Respiratorytherapygoal)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5467']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5467']]/hl7:templateId"
         id="tmp-r-b0e64d49-6f37-417c-8f46-878171f71414">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respiratorytherapygoal): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5467'">(Respiratorytherapygoal): @root SHALL have value '2.16.578.1.34.10.5467'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5467
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5467']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5467']]/hl7:code[(@code='33449-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Respiratorytherapygoal)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5467']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5467']]/hl7:code[(@code='33449-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-7f25d627-0b87-4804-be5c-fce635fb2b55">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respiratorytherapygoal): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="@nullFlavor or (@code='33449-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Respiratory therapy goal Respiratory therapy')">(Respiratorytherapygoal): The element value SHALL be code '33449-0' codeSystem '2.16.840.1.113883.6.1' displayName='Respiratory therapy goal Respiratory therapy'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5467
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5467']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5467']]/hl7:text
Item: (Respiratorytherapygoal)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5467']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5467']]/hl7:text"
         id="tmp-r-0d94da07-5bf5-4bee-a0d2-3ec916a7b422">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respiratorytherapygoal): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Respiratorytherapygoal): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Respiratorytherapygoal): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5467
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5467']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5467']]/hl7:text/hl7:reference
Item: (Respiratorytherapygoal)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5467']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5467']]/hl7:text/hl7:reference"
         id="tmp-r-2aa3f728-73dc-41c9-8174-7758107c6bd5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respiratorytherapygoal): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5467
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5467']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5467']]/hl7:statusCode
Item: (Respiratorytherapygoal)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5467']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5467']]/hl7:statusCode"
         id="tmp-r-a009141c-653f-49b4-a427-e4d46c769770">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Respiratorytherapygoal): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Respiratorytherapygoal): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5467-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Respiratorytherapygoal): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5467
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5467']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5467']]/hl7:value
Item: (Respiratorytherapygoal)
-->
</pattern>
