<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.2001
Name: EKG report
Description: 
                 EKG Study 
                 Use Case 
                    In this use case, an EKG (electrocardiogram) report is captured and conveyed by means of a CDA document. 
                    It is not the intention to cover the EKG itself. Although contained in the use case, the waveform representation is not part of the CDA document.
                Storyboard ekg-1 
                Eva Christensen (* April 9, 1955) is admitted to Haukeland University Hospital. Due to her condition, her doctor, Dr. Dyregod asks for an EKG to be recorded. Nurse Betty records an EKG and transfers the recording to TraceMasterVue (TMV). 
                Doctor Heart views the EKG in TMV and writes his interpretation in TMV text field.
                 
                He then transfers the data to the EHR system, DIPS in CDA format.
                 
                 
                Later the same day, Dr. Dyregod opens Eve Everywoman's journal in DIPS. 
                He reviews the recordin
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.2001-2012-12-12T000000">
   <title>EKG report</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2001
Context: /
Item: (EKGreport)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]
Item: (EKGreport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]"
         id="tmp-r-621e1cc0-f5f6-4718-b05e-9f5e4947c6e8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(EKGreport): The value for @classCode SHALL be 'DOCCLIN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(EKGreport): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:realmCode[@code='NO'])&gt;=1 and not(hl7:realmCode[@code='NO']/@nullFlavor)">(EKGreport): element hl7:realmCode[@code='NO'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:realmCode[@code='NO'])&lt;=1">(EKGreport): element hl7:realmCode[@code='NO'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(EKGreport): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(EKGreport): element hl7:typeId[@root='2.16.840.1.113883.1.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.2001'])&gt;=1 and not(hl7:templateId[@root='2.16.578.1.34.10.2001']/@nullFlavor)">(EKGreport): element hl7:templateId[@root='2.16.578.1.34.10.2001'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.2001'])&lt;=1">(EKGreport): element hl7:templateId[@root='2.16.578.1.34.10.2001'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.1000'])&gt;=1 and not(hl7:templateId[@root='2.16.578.1.34.10.1000']/@nullFlavor)">(EKGreport): element hl7:templateId[@root='2.16.578.1.34.10.1000'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.1000'])&lt;=1">(EKGreport): element hl7:templateId[@root='2.16.578.1.34.10.1000'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(EKGreport): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:id)&lt;=1">(EKGreport): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(EKGreport): element hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(EKGreport): element hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(EKGreport): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(EKGreport): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(EKGreport): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(EKGreport): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(EKGreport): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:languageCode)&gt;=1 and not(hl7:languageCode/@nullFlavor)">(EKGreport): element hl7:languageCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:languageCode)&lt;=1">(EKGreport): element hl7:languageCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(EKGreport): element hl7:setId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:setId)&lt;=1">(EKGreport): element hl7:setId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(EKGreport): element hl7:versionNumber is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(EKGreport): element hl7:versionNumber appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(EKGreport): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(EKGreport): element hl7:recordTarget appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(EKGreport): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(EKGreport): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:custodian)&lt;=1">(EKGreport): element hl7:custodian appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]])&lt;=1">(EKGreport): element hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900800
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:realmCode[@code='NO']
Item: (CDArealmCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:realmCode[@code='NO']"
         id="tmp-r-d04a832d-6b0c-4083-a290-bdc969892b64">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900800-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArealmCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900800-2012-12-12T000000.html"
              test="@nullFlavor or (@code='NO')">(CDArealmCode): The element value SHALL be code 'NO'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900801
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-81ef827e-d7c3-4eec-96c0-bb0aeeaab10b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900801-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtypeId): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900801-2012-12-12T000000.html"
              test="string(@extension)='POCD_HD000040'">(CDAtypeId): The value for @extension SHALL be 'POCD_HD000040'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900801-2012-12-12T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(CDAtypeId): @root SHALL have value '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.10.2001']
Item: (EKGreport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.10.2001']"
         id="tmp-r-8ee3e4f0-2519-4247-96a4-200683106fe9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EKGreport): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.2001'">(EKGreport): @root SHALL have value '2.16.578.1.34.10.2001'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.10.1000']
Item: (EKGreport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.10.1000']"
         id="tmp-r-2c3763a1-cba5-4008-a300-b55d4b031032">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EKGreport): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.1000'">(EKGreport): @root SHALL have value '2.16.578.1.34.10.1000'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900802
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:id
Item: (CDAid)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:id"
         id="tmp-r-37359a9a-1199-4803-9659-53c2b11f9cf1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900802-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAid): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (EKGreport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-e5bdbdf2-7785-43bb-b960-53124b2b21fa">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EKGreport): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="@nullFlavor or (@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')">(EKGreport): The element value SHALL be code '11524-6' codeSystem '2.16.840.1.113883.6.1'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:translation)&lt;=1">(EKGreport): element hl7:translation appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation
Item: (EKGreport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation"
         id="tmp-r-24237d93-c147-4339-9b97-f1704b2ba92e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EKGreport): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900803
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:title
Item: (CDAtitle)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:title"
         id="tmp-r-62e519ad-fbf4-4e33-a4b8-662b18f37d8f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900803-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtitle): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900804
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:effectiveTime
Item: (CDAeffectiveTime)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:effectiveTime"
         id="tmp-r-e4aebac1-ee3f-440e-a974-99680a3d0a72">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900804-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAeffectiveTime): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900805
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (CDAconfidentialityCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-9ca6cc0b-0f38-4a01-9337-a3776a0bc4ec">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900805-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAconfidentialityCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900805-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAconfidentialityCode): The element value SHALL be BasicConfidentialityKind x_BasicConfidentialityKind (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900805-2012-12-12T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(CDAconfidentialityCode): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set BasicConfidentialityKind x_BasicConfidentialityKind (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900806
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:languageCode
Item: (CDAlanguageCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:languageCode"
         id="tmp-r-550efec1-d986-4da0-8f87-84bea8067ce0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900806-2012-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAlanguageCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS.LANG"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900807
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:setId
Item: (CDAsetIdversionNumber)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:setId"
         id="tmp-r-64db47bb-94a8-43fe-ba96-e565af3b9ae1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900807-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAsetIdversionNumber): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900807
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:versionNumber
Item: (CDAsetIdversionNumber)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:versionNumber"
         id="tmp-r-617fb527-59af-4e5d-b93a-f878ce984cd6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900807-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAsetIdversionNumber): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900807-2012-12-12T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(CDAsetIdversionNumber): value SHALL be in range [1..]  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900807-2012-12-12T000000.html"
              test="$digitok or @nullFlavor">(CDAsetIdversionNumber): @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget"
         id="tmp-r-06c1c58b-2867-4825-abde-b6a2b57447d3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@typeCode)='RCT'">(CDArecordTarget): The value for @typeCode SHALL be 'RCT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@contextControlCode)='OP'">(CDArecordTarget): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:patientRole)&gt;=1 ">(CDArecordTarget): element hl7:patientRole is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): element hl7:patientRole appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole"
         id="tmp-r-6fdadd32-41fd-427e-9f23-1ea77af26de0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@classCode)='PAT'">(CDArecordTarget): The value for @classCode SHALL be 'PAT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDArecordTarget): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): element hl7:patient appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:providerOrganization)&lt;=1">(CDArecordTarget): element hl7:providerOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:id
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:id"
         id="tmp-r-4a61b362-0994-42b6-a459-f6c73dfda04e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:addr
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:addr"
         id="tmp-r-ca1f823d-04e1-4186-b291-aac83146e234">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:telecom
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:telecom"
         id="tmp-r-4c27f4f7-d595-4dc4-ae5f-53633069eef7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-r-a3eb5cf6-8250-438f-8109-e962b41425dc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDArecordTarget): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDArecordTarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 ">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(CDArecordTarget): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): element hl7:birthTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:maritalStatusCode)&lt;=1">(CDArecordTarget): element hl7:maritalStatusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:birthPlace)&lt;=1">(CDArecordTarget): element hl7:birthPlace appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-r-164755e0-d584-4a9f-8ec7-b7101ece0b62">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-1644a8e9-201b-4d31-979a-5224eca15e8b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): The element value SHALL be AdministrativeGender (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(CDArecordTarget): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set AdministrativeGender (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-r-c905d9dd-b510-445e-9b3b-3fa4b738350f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:maritalStatusCode
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:maritalStatusCode"
         id="tmp-r-3b7a9381-99fc-422e-a0c9-91ab45a8962a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.12212-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): The element value SHALL be MaritalStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.12212-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(CDArecordTarget): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set MaritalStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace"
         id="tmp-r-d8fb87b2-1683-4f51-ba7f-ed8cdbd70dc0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:place)&gt;=1 and not(hl7:place/@nullFlavor)">(CDArecordTarget): element hl7:place is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:place)&lt;=1">(CDArecordTarget): element hl7:place appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place"
         id="tmp-r-23e7f7ef-f743-4bd7-9baf-1a78e5bd0acf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(CDArecordTarget): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:addr)&lt;=1">(CDArecordTarget): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place/hl7:addr
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place/hl7:addr"
         id="tmp-r-7d932603-6683-467c-9e84-91d51b667b8f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization"
         id="tmp-r-fae8112c-fda0-43f9-a1c6-f612ce2567b8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDArecordTarget): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&gt;=1 and not(hl7:id[@root='2.16.578.1.34.1000.5']/@nullFlavor)">(CDArecordTarget): element hl7:id[@root='2.16.578.1.34.1000.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDArecordTarget): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-44f73f44-4b29-4a72-9265-5eb6bb52c27b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@extension)='983658725'">(CDArecordTarget): The value for @extension SHALL be '983658725'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArecordTarget): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author"
         id="tmp-r-c5a7eb84-939c-4810-9c5c-136b0b007707">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@typeCode)='AUT'">(CDAauthor): The value for @typeCode SHALL be 'AUT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@contextControlCode)='OP'">(CDAauthor): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDAauthor): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(CDAauthor): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): element hl7:assignedAuthor appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:time
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:time"
         id="tmp-r-0fc6eec4-97e1-45a5-9e35-81b94282ad66">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor"
         id="tmp-r-6179b920-2957-444f-a3fe-b9cbe3a6cbcf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAauthor): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.578.1.34.1000.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthor): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-r-0b029799-b1f6-44ba-bb93-84fe64192855">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.578.1.34.1000.3']
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.578.1.34.1000.3']"
         id="tmp-r-5ae31497-40e4-4c2c-a4df-b9b5485a029e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.3'">(CDAassignedEntityIdentification): @root SHALL have value '2.16.578.1.34.1000.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="tmp-r-bd1684cb-e2fe-408d-9a09-a4866f89a523">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:addr"
         id="tmp-r-46fd1ce6-b138-44c8-8644-44ee1a81940e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-0594720a-6495-4bc8-ac40-295440794d53">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDAauthor): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900817
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-36a6c8d3-df33-47e5-b67e-8b5b67efbe18">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900817-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-59152fbf-7bcc-4192-87ad-11f74308aa4f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAauthor): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-579aa7c5-18b8-43ff-85de-db2e7ef7ed74">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-e68be080-62a0-4e11-abc0-98ab9505ec2e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-65f4ccc2-51c2-4d3b-b4c7-c6ff4f825fd6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-4630f2c3-20ec-49ca-aa05-06ba77addab8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900810
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:custodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:custodian"
         id="tmp-r-38edd0c6-c046-4209-b3af-10f6c32e371d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="string(@typeCode)='CST'">(CDAcustodian): The value for @typeCode SHALL be 'CST'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(CDAcustodian): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(CDAcustodian): element hl7:assignedCustodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900810
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian"
         id="tmp-r-aa765749-adbc-4f3c-832f-7ebfd4586371">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAcustodian): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): element hl7:representedCustodianOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900810
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-r-5c98ab9a-fea3-45f0-8433-cec89e1e98c5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAcustodian): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAcustodian): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAcustodian): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAcustodian): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAcustodian): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-4ae18cb2-9da6-4c3b-be37-de29e5cdbe0f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name"
         id="tmp-r-3eef1cf2-fe24-4cbe-a486-1db94119666f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom"
         id="tmp-r-69d92687-85cf-4fe2-9d80-e66f93574df1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr"
         id="tmp-r-553c5248-8ada-497f-8405-7eb490ad7dba">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900811
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient"
         id="tmp-r-937b381f-b6b0-4fb6-9ad9-332a2c16e7b2">
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@typeCode,' ') return if ($code=('PRCP','TRC')) then ($code) else ())"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAinformationRecipient): The value for typeCode SHALL be 'code PRCP or code TRC'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="count(hl7:intendedRecipient)&gt;=1 and not(hl7:intendedRecipient/@nullFlavor)">(CDAinformationRecipient): element hl7:intendedRecipient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="count(hl7:intendedRecipient)&lt;=1">(CDAinformationRecipient): element hl7:intendedRecipient appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900811
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient"
         id="tmp-r-569950d9-1f61-4746-9470-c5701b606741">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAinformationRecipient): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="count(hl7:informationRecipient)&lt;=1">(CDAinformationRecipient): element hl7:informationRecipient appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAinformationRecipient): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900811
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:id
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:id"
         id="tmp-r-d510e6f6-243b-40a5-a1a7-3d815a9b39af">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAinformationRecipient): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900811
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient"
         id="tmp-r-a3d15232-bc51-4340-b491-18a47e857ef1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDAinformationRecipient): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAinformationRecipient): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAinformationRecipient): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900811
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/hl7:name
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/hl7:name"
         id="tmp-r-0c77d9eb-1961-4c82-9189-754ec0e3c6c4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAinformationRecipient): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900811
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization"
         id="tmp-r-7bb021db-a802-45d3-bbf8-1c62bd9a0de7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAinformationRecipient): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAinformationRecipient): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAinformationRecipient): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAinformationRecipient): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAinformationRecipient): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-123871fe-11e8-4109-8b7f-9707aca83330">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization/hl7:name"
         id="tmp-r-ee666899-6428-462e-b6c8-c8ce3a4bf801">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-cfa6756c-68f5-4b27-9ce0-153defb36c14">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization/hl7:addr"
         id="tmp-r-0567325a-8287-42ca-8393-daf8b58cbee3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900812
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator
Item: (CDAauthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator"
         id="tmp-r-d9f65309-fce0-4db8-ad97-94e431bfa463">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="string(@typeCode)='AUTHEN'">(CDAauthenticator): The value for @typeCode SHALL be 'AUTHEN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDAauthenticator): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthenticator): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:signatureCode[@code='S'])&gt;=1 and not(hl7:signatureCode[@code='S']/@nullFlavor)">(CDAauthenticator): element hl7:signatureCode[@code='S'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:signatureCode[@code='S'])&lt;=1">(CDAauthenticator): element hl7:signatureCode[@code='S'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(CDAauthenticator): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDAauthenticator): element hl7:assignedEntity appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900812
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:time
Item: (CDAauthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:time"
         id="tmp-r-ce0ecda9-f925-4144-941b-e6d13cf80136">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthenticator): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900812
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:signatureCode[@code='S']
Item: (CDAauthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:signatureCode[@code='S']"
         id="tmp-r-a29749eb-6ef2-4e47-9156-ebdea8b3e1de">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthenticator): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="@nullFlavor or (@code='S')">(CDAauthenticator): The element value SHALL be code 'S'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900812
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity
Item: (CDAauthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity"
         id="tmp-r-2b8dfc47-1b70-4728-9e15-0c6279c43edf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAauthenticator): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&lt;=1">(CDAauthenticator): element hl7:id[@root='2.16.578.1.34.1000.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(CDAauthenticator): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAauthenticator): element hl7:addr appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(CDAauthenticator): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthenticator): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthenticator): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:id
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:id"
         id="tmp-r-1abb2913-8f3a-4d07-a504-44deb5ad9a67">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']"
         id="tmp-r-b2a048d8-8a95-4b07-aa98-2bd3b705e717">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.3'">(CDAassignedEntityIdentification): @root SHALL have value '2.16.578.1.34.1000.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:code"
         id="tmp-r-42a1bb2a-59a7-470a-b650-7636bb93077a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:addr"
         id="tmp-r-3479a5f5-aa67-4fef-8a4f-9ce8b471abd3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-751bf04b-7995-44a5-8b51-e361a0a77a32">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-f3a4c1a0-11a5-4e0f-a29d-683e423bb874">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDAAssignedEntity): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900817
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-417e272b-3280-4a83-9e32-e07ecbeb9fa1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900817-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-43bec0d5-812b-4f6a-a818-40c0c589ca13">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAAssignedEntity): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAAssignedEntity): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAAssignedEntity): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAAssignedEntity): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-e5330aa5-f22a-4e07-b973-c15c49e112b4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-r-ebec1feb-91c2-40cc-863b-d5dfa493e7ce">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-6a19dbdf-4d13-4b2d-a03d-e93e6206c600">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-r-853f5c63-18b6-46eb-b34b-5d959de75aed">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900813
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator
Item: (CDlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator"
         id="tmp-r-6f03db94-875c-41d6-a758-32c208476fb9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="string(@typeCode)='LA'">(CDlegalAuthenticator): The value for @typeCode SHALL be 'LA'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDlegalAuthenticator): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:time)&lt;=1">(CDlegalAuthenticator): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:signatureCode[@code='S'])&gt;=1 and not(hl7:signatureCode[@code='S']/@nullFlavor)">(CDlegalAuthenticator): element hl7:signatureCode[@code='S'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:signatureCode[@code='S'])&lt;=1">(CDlegalAuthenticator): element hl7:signatureCode[@code='S'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(CDlegalAuthenticator): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDlegalAuthenticator): element hl7:assignedEntity appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900813
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:time
Item: (CDlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:time"
         id="tmp-r-f69a5eaf-0720-4063-9972-b61274f02ef1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDlegalAuthenticator): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900813
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:signatureCode[@code='S']
Item: (CDlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:signatureCode[@code='S']"
         id="tmp-r-f28c8329-3a48-4484-a5ae-631dc5ae13b5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDlegalAuthenticator): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="@nullFlavor or (@code='S')">(CDlegalAuthenticator): The element value SHALL be code 'S'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900813
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity
Item: (CDlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity"
         id="tmp-r-72b391f6-7753-4bb6-bcb8-1f65b60420ef">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDlegalAuthenticator): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&lt;=1">(CDlegalAuthenticator): element hl7:id[@root='2.16.578.1.34.1000.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(CDlegalAuthenticator): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:addr)&lt;=1">(CDlegalAuthenticator): element hl7:addr appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(CDlegalAuthenticator): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDlegalAuthenticator): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDlegalAuthenticator): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id"
         id="tmp-r-55511de4-f68a-4fd2-9b3a-cdcc66509292">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']"
         id="tmp-r-2272b273-a96c-4e37-9cc1-de986ecb867e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.3'">(CDAassignedEntityIdentification): @root SHALL have value '2.16.578.1.34.1000.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:code"
         id="tmp-r-706b0e48-3574-4812-a9fa-c10465826ce3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:addr"
         id="tmp-r-5199615a-628b-471a-9d4d-1b9d5f305135">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-b59012bc-d8ef-4f02-95cf-1df3fd18bae1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-e3a72ddf-f7cb-4793-8d13-40fdf0d5e2c6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDAAssignedEntity): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900817
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-7e7dd208-6605-4731-a1dc-671b56991406">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900817-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-eb0cdb13-8a87-43eb-9b7d-e5af4e560449">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAAssignedEntity): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAAssignedEntity): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAAssignedEntity): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAAssignedEntity): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-59efaf3a-0bf6-4e91-96c3-2d331a4800d3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-r-d44368ec-9bc7-4b3c-bdce-f47f6b7d9473">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-439f06a8-1126-4875-8552-53f50abd2fce">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-r-5a79868a-e4c5-4503-9475-3b4a6b08dd57">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900814
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument"
         id="tmp-r-8a28e357-5f95-4073-9848-5328acb6462a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="string(@typeCode)='RPLC'">(CDArelatedDocument): The value for @typeCode SHALL be 'RPLC'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="count(hl7:parentDocument)&gt;=1 and not(hl7:parentDocument/@nullFlavor)">(CDArelatedDocument): element hl7:parentDocument is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="count(hl7:parentDocument)&lt;=1">(CDArelatedDocument): element hl7:parentDocument appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900814
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument"
         id="tmp-r-ac4f2459-54da-49bc-92d6-8e4b737c7ead">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="string(@classCode)='DOCCLIN'">(CDArelatedDocument): The value for @classCode SHALL be 'DOCCLIN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(CDArelatedDocument): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDArelatedDocument): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="count(hl7:id)&lt;=1">(CDArelatedDocument): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(CDArelatedDocument): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(CDArelatedDocument): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="count(hl7:setId)&lt;=1">(CDArelatedDocument): element hl7:setId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(CDArelatedDocument): element hl7:versionNumber appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900814
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:id
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:id"
         id="tmp-r-36316734-078c-4484-a38f-15a25e1d3c9c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArelatedDocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900814
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:code
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:code"
         id="tmp-r-1aa0c780-90d6-49b3-bc51-4bd64fd61ea0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArelatedDocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900814
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:text
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:text"
         id="tmp-r-707e8be8-03c2-4b4a-832e-8aaef83697a2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArelatedDocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900814
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:setId
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:setId"
         id="tmp-r-481db725-ac6c-423b-bdc4-86d46df31525">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArelatedDocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900814
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:versionNumber
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:versionNumber"
         id="tmp-r-27e95bd0-a80b-4e8a-831e-3667f12e983a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArelatedDocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(CDArelatedDocument): value SHALL be in range [1..]  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="$digitok or @nullFlavor">(CDArelatedDocument): @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900815
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]
Item: (CDAdocumentationOfEKG)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]"
         id="tmp-r-12ebdc8c-fa32-4f9e-8d44-78bae131001d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="string(@typeCode)='DOC'">(CDAdocumentationOfEKG): The value for @typeCode SHALL be 'DOC'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]])&gt;=1 and not(hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]/@nullFlavor)">(CDAdocumentationOfEKG): element hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]])&lt;=1">(CDAdocumentationOfEKG): element hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900815
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent
Item: (CDAdocumentationOfEKG)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent"
         id="tmp-r-d29837ce-7717-4aa8-bb3c-79389bbb13a8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="string(@classCode)='OBS'">(CDAdocumentationOfEKG): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(CDAdocumentationOfEKG): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAdocumentationOfEKG): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:id)&lt;=1">(CDAdocumentationOfEKG): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(CDAdocumentationOfEKG): element hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(CDAdocumentationOfEKG): element hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAdocumentationOfEKG): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:performer)&gt;=1 ">(CDAdocumentationOfEKG): element hl7:performer is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:performer)&lt;=1">(CDAdocumentationOfEKG): element hl7:performer appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900815
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:id
Item: (CDAdocumentationOfEKG)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:id"
         id="tmp-r-318c993b-8700-4f0e-b406-4147056730d2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOfEKG): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900815
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (CDAdocumentationOfEKG)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-28765d46-864a-467c-8a22-6089a2dec2bf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOfEKG): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="@nullFlavor or (@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')">(CDAdocumentationOfEKG): The element value SHALL be code 'CARD' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900815
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:effectiveTime
Item: (CDAdocumentationOfEKG)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:effectiveTime"
         id="tmp-r-eacb75f0-9b48-4d7e-97e8-42b4329b10c4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOfEKG): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900815
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer
Item: (CDAdocumentationOfEKG)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer"
         id="tmp-r-8f871b66-60ed-41b0-8d3f-9941e41987e9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="string(@typeCode)='PRF'">(CDAdocumentationOfEKG): The value for @typeCode SHALL be 'PRF'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 ">(CDAdocumentationOfEKG): element hl7:assignedEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDAdocumentationOfEKG): element hl7:assignedEntity appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900815
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity
Item: (CDAdocumentationOfEKG)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity"
         id="tmp-r-e09b0284-d84b-4b13-8fbf-3775d2f26ea6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAdocumentationOfEKG): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&lt;=1">(CDAdocumentationOfEKG): element hl7:id[@root='2.16.578.1.34.1000.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(CDAdocumentationOfEKG): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAdocumentationOfEKG): element hl7:addr appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(CDAdocumentationOfEKG): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAdocumentationOfEKG): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900815-2012-12-12T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAdocumentationOfEKG): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-r-cf347d25-fcfe-4c23-80de-9b7fa8d085cf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']"
         id="tmp-r-22ac434c-2a16-4516-ac53-62bc5d54b012">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.3'">(CDAassignedEntityIdentification): @root SHALL have value '2.16.578.1.34.1000.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-r-631c6842-5ed7-47d1-a273-ec0660cc1120">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:addr"
         id="tmp-r-5bf70722-0179-40d4-b2d9-1661f92a5dac">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-de4c1a50-f0d2-4b54-a6c3-9fb97e7969e3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-e2eb613e-1345-4941-9c35-5a86bd81d508">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDAAssignedEntity): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900817
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-093c5eb8-8d55-43b9-8c54-e7771b5ee8c3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900817-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-e2d33f8c-abb2-4e49-8043-2e75554e85fe">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAAssignedEntity): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAAssignedEntity): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAAssignedEntity): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAAssignedEntity): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-34abee63-d9cc-495f-8a81-dc33a5eb3738">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-r-5d3248cb-f5e7-423e-943c-7880b6c3eeea">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-1d058714-1764-4e83-81e0-45ed86212c16">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='CARD' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-r-92ccfaa7-5da0-408f-ba94-8a7408fb4c2c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:component
Item: (EKGreport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:component"
         id="tmp-r-fd0c4b15-d525-49de-9e57-d91e4545d14f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(EKGreport): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="string(@contextConductionInd)='true'">(EKGreport): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody
Item: (EKGreport)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody"
         id="tmp-r-490a5ded-4cdb-436d-a6bd-c302a30f6882">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="string(@classCode)='DOCBODY'">(EKGreport): The value for @classCode SHALL be 'DOCBODY'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(EKGreport): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3001']]])&lt;=1">(EKGreport): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3001']]] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]]/@nullFlavor)">(EKGreport): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]])&lt;=1">(EKGreport): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]] appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3001']]]
Item: (EKGreport)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3001']]]"
         id="tmp-r-9c960a94-ffef-487c-be58-7bc824138b18">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(EKGreport): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="string(@contextConductionInd)='true'">(EKGreport): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]]
Item: (EKGreport)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2001' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3002']]]"
         id="tmp-r-0870bea0-51ec-4c31-94b5-bf0dbcb17c5a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(EKGreport): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2001-2012-12-12T000000.html"
              test="string(@contextConductionInd)='true'">(EKGreport): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
</pattern>
