<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.2002
Name: Anesthesia record
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.2002-2012-12-12T000000">
   <title>Anesthesia record</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2002
Context: /
Item: (Anesthesiarecord)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]
Item: (Anesthesiarecord)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]"
         id="tmp-r-b0f97fb5-48a3-4b33-92cb-7d6020340e31">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(Anesthesiarecord): The value for @classCode SHALL be 'DOCCLIN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(Anesthesiarecord): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:realmCode[@code='NO'])&gt;=1 and not(hl7:realmCode[@code='NO']/@nullFlavor)">(Anesthesiarecord): element hl7:realmCode[@code='NO'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:realmCode[@code='NO'])&lt;=1">(Anesthesiarecord): element hl7:realmCode[@code='NO'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(Anesthesiarecord): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(Anesthesiarecord): element hl7:typeId[@root='2.16.840.1.113883.1.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.2002'])&gt;=1 and not(hl7:templateId[@root='2.16.578.1.34.10.2002']/@nullFlavor)">(Anesthesiarecord): element hl7:templateId[@root='2.16.578.1.34.10.2002'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.2002'])&lt;=1">(Anesthesiarecord): element hl7:templateId[@root='2.16.578.1.34.10.2002'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.1000'])&gt;=1 and not(hl7:templateId[@root='2.16.578.1.34.10.1000']/@nullFlavor)">(Anesthesiarecord): element hl7:templateId[@root='2.16.578.1.34.10.1000'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.1000'])&lt;=1">(Anesthesiarecord): element hl7:templateId[@root='2.16.578.1.34.10.1000'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Anesthesiarecord): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:id)&lt;=1">(Anesthesiarecord): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:code[(@code='11485-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11485-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Anesthesiarecord): element hl7:code[(@code='11485-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:code[(@code='11485-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Anesthesiarecord): element hl7:code[(@code='11485-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(Anesthesiarecord): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(Anesthesiarecord): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Anesthesiarecord): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(Anesthesiarecord): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(Anesthesiarecord): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:languageCode)&gt;=1 and not(hl7:languageCode/@nullFlavor)">(Anesthesiarecord): element hl7:languageCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:languageCode)&lt;=1">(Anesthesiarecord): element hl7:languageCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(Anesthesiarecord): element hl7:setId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:setId)&lt;=1">(Anesthesiarecord): element hl7:setId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(Anesthesiarecord): element hl7:versionNumber is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(Anesthesiarecord): element hl7:versionNumber appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(Anesthesiarecord): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(Anesthesiarecord): element hl7:recordTarget appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(Anesthesiarecord): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(Anesthesiarecord): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:custodian)&lt;=1">(Anesthesiarecord): element hl7:custodian appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']])&lt;=1">(Anesthesiarecord): element hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]])&lt;=1">(Anesthesiarecord): element hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900800
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:realmCode[@code='NO']
Item: (CDArealmCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:realmCode[@code='NO']"
         id="tmp-r-1e9a743b-0f5d-4a34-9b61-14bbda952e21">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900800-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArealmCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900800-2012-12-12T000000.html"
              test="@nullFlavor or (@code='NO')">(CDArealmCode): The element value SHALL be code 'NO'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900801
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-d63bf875-affc-48f9-89a4-d77316c24978">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900801-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtypeId): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900801-2012-12-12T000000.html"
              test="string(@extension)='POCD_HD000040'">(CDAtypeId): The value for @extension SHALL be 'POCD_HD000040'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900801-2012-12-12T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(CDAtypeId): @root SHALL have value '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.10.2002']
Item: (Anesthesiarecord)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.10.2002']"
         id="tmp-r-b5d83170-3a56-466d-8af7-4d2ff59517d9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Anesthesiarecord): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.2002'">(Anesthesiarecord): @root SHALL have value '2.16.578.1.34.10.2002'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.10.1000']
Item: (Anesthesiarecord)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:templateId[@root='2.16.578.1.34.10.1000']"
         id="tmp-r-fff1007f-aca4-4df5-a2d1-31f40fc4a404">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Anesthesiarecord): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.1000'">(Anesthesiarecord): @root SHALL have value '2.16.578.1.34.10.1000'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900802
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:id
Item: (CDAid)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:id"
         id="tmp-r-95b80f4a-5b2b-4270-9443-ab66174810f3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900802-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAid): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:code[(@code='11485-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Anesthesiarecord)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:code[(@code='11485-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-311cceb4-fcb0-4f3a-8d45-10ca779226ea">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Anesthesiarecord): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="@nullFlavor or (@code='11485-0' and @codeSystem='2.16.840.1.113883.6.1')">(Anesthesiarecord): The element value SHALL be code '11485-0' codeSystem '2.16.840.1.113883.6.1'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:translation)&lt;=1">(Anesthesiarecord): element hl7:translation appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:code[(@code='11485-0' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation
Item: (Anesthesiarecord)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:code[(@code='11485-0' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation"
         id="tmp-r-ce612f0c-4121-4a9c-9c6b-9ff6506d2d5b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Anesthesiarecord): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900803
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:title
Item: (CDAtitle)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:title"
         id="tmp-r-6f72539e-f4b4-4f95-b226-b1903aa02fa9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900803-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtitle): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900804
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:effectiveTime
Item: (CDAeffectiveTime)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:effectiveTime"
         id="tmp-r-3860b7ba-7635-42e2-9270-49d6c18b538e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900804-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAeffectiveTime): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900805
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (CDAconfidentialityCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-4b332b7b-9c48-4410-9dda-d43458d7c6c5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900805-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAconfidentialityCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900805-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAconfidentialityCode): The element value SHALL be BasicConfidentialityKind x_BasicConfidentialityKind (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900805-2012-12-12T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(CDAconfidentialityCode): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set BasicConfidentialityKind x_BasicConfidentialityKind (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900806
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:languageCode
Item: (CDAlanguageCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:languageCode"
         id="tmp-r-ada9b189-bbe0-4748-bc24-5de0ef9e3454">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900806-2012-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAlanguageCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS.LANG"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900807
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:setId
Item: (CDAsetIdversionNumber)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:setId"
         id="tmp-r-a4a9a506-ea0a-4c44-9a3e-1ccd5ab3b98f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900807-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAsetIdversionNumber): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900807
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:versionNumber
Item: (CDAsetIdversionNumber)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:versionNumber"
         id="tmp-r-305bb737-5554-4e0f-8c9b-0009d242664e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900807-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAsetIdversionNumber): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900807-2012-12-12T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(CDAsetIdversionNumber): value SHALL be in range [1..]  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900807-2012-12-12T000000.html"
              test="$digitok or @nullFlavor">(CDAsetIdversionNumber): @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget"
         id="tmp-r-1cd45079-f663-4f27-a6fd-c6d15af354dc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@typeCode)='RCT'">(CDArecordTarget): The value for @typeCode SHALL be 'RCT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@contextControlCode)='OP'">(CDArecordTarget): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:patientRole)&gt;=1 ">(CDArecordTarget): element hl7:patientRole is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): element hl7:patientRole appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole"
         id="tmp-r-942a4b59-f696-4109-9a24-2831f577b9c6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@classCode)='PAT'">(CDArecordTarget): The value for @classCode SHALL be 'PAT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDArecordTarget): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): element hl7:patient appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:providerOrganization)&lt;=1">(CDArecordTarget): element hl7:providerOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:id
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:id"
         id="tmp-r-43f24014-49e4-480e-8576-355c9483b60f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:addr
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:addr"
         id="tmp-r-6f831e55-913c-46f6-9ff3-1ad039f34684">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:telecom
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:telecom"
         id="tmp-r-e58bedee-3535-44b1-9066-3eaaf60556b6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-r-ab245c8a-1247-4eb5-8cc6-f8b99c6b551c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDArecordTarget): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDArecordTarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 ">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(CDArecordTarget): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): element hl7:birthTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:maritalStatusCode)&lt;=1">(CDArecordTarget): element hl7:maritalStatusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:birthPlace)&lt;=1">(CDArecordTarget): element hl7:birthPlace appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-r-be53f74f-4e89-4dc3-970d-f15eeae47dd5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-f43e946d-5ed8-43e0-95ef-7ec0134258dd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): The element value SHALL be AdministrativeGender (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(CDArecordTarget): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set AdministrativeGender (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-r-0b7c474b-935b-4332-b38b-c8339f537092">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:maritalStatusCode
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:maritalStatusCode"
         id="tmp-r-393f14cd-9ec1-4b4f-a891-e6efae41d3de">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.12212-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): The element value SHALL be MaritalStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.12212-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(CDArecordTarget): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set MaritalStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace"
         id="tmp-r-cb117975-fb73-4b5a-8d82-3d4aa4d20cc2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:place)&gt;=1 and not(hl7:place/@nullFlavor)">(CDArecordTarget): element hl7:place is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:place)&lt;=1">(CDArecordTarget): element hl7:place appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place"
         id="tmp-r-3aa9af9d-498f-411b-ac49-8fe4f65d3fca">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(CDArecordTarget): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:addr)&lt;=1">(CDArecordTarget): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place/hl7:addr
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthPlace/hl7:place/hl7:addr"
         id="tmp-r-89812415-a4b0-4508-b349-d4b867f6e10e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization"
         id="tmp-r-7185acd8-ab34-4bfd-9f79-60ace8141665">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDArecordTarget): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&gt;=1 and not(hl7:id[@root='2.16.578.1.34.1000.5']/@nullFlavor)">(CDArecordTarget): element hl7:id[@root='2.16.578.1.34.1000.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDArecordTarget): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900808
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-b6aee805-fb76-4dbd-bad1-4bc3be6b48a4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@extension)='983658725'">(CDArecordTarget): The value for @extension SHALL be '983658725'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900808-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArecordTarget): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author"
         id="tmp-r-c875f234-2860-4dc8-91fb-ff58a1ee2ba6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@typeCode)='AUT'">(CDAauthor): The value for @typeCode SHALL be 'AUT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@contextControlCode)='OP'">(CDAauthor): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDAauthor): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(CDAauthor): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): element hl7:assignedAuthor appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:time
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:time"
         id="tmp-r-03b84668-eda8-443f-9866-589c7b827d13">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor"
         id="tmp-r-861448b0-ce49-4275-8393-5e8d93ff61cb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAauthor): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.578.1.34.1000.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthor): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-r-111f6c8b-db51-4093-b969-627e5509ff9d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.578.1.34.1000.3']
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:id[@root='2.16.578.1.34.1000.3']"
         id="tmp-r-d61bfe7c-238c-4b3a-b5ed-872b6d654385">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.3'">(CDAassignedEntityIdentification): @root SHALL have value '2.16.578.1.34.1000.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="tmp-r-8aec0a75-13e7-47ec-8145-96c50ba8fc96">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:addr"
         id="tmp-r-227345ec-2a00-4f3e-b3d4-4e6133f2d6fa">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-24bb533b-8721-45ec-bf8b-f1d4229f458e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDAauthor): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900817
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-65fa53e2-6dbd-4ca5-aa75-a2d3ad88246d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900817-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900816
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-4d61b358-847b-4486-aac2-0894c91f38e7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAauthor): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAauthor): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900816-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-44a27698-8aa9-44f4-b7b7-28f6df87c64b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-8e76843e-8f11-48ea-9bab-eb94489a251b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-4d074394-1d57-4b01-a68d-8adf9f39ba4b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-cf721d4a-a17b-4377-926c-bd18f59486fb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900810
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:custodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:custodian"
         id="tmp-r-7bd56437-1b11-48f2-9dba-bf6375e6b6da">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="string(@typeCode)='CST'">(CDAcustodian): The value for @typeCode SHALL be 'CST'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(CDAcustodian): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(CDAcustodian): element hl7:assignedCustodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900810
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian"
         id="tmp-r-2f2c04ac-fd15-4adb-80bc-830428544ca8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAcustodian): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): element hl7:representedCustodianOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900810
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-r-a281e6b1-e69a-4e56-b5bc-e1ea7597bace">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAcustodian): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAcustodian): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAcustodian): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAcustodian): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900810-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAcustodian): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-6381353e-cce0-448b-92d2-75c2fb025074">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name"
         id="tmp-r-a3849444-5618-4977-b62b-08c6f36fd8f8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom"
         id="tmp-r-9bea7efc-9979-4b1f-a19b-69e242820111">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr"
         id="tmp-r-9cc693f1-b701-49d4-a837-c042c7e8b845">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900811
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient"
         id="tmp-r-149a531f-b2f5-44b8-8c9f-d43a34a69897">
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@typeCode,' ') return if ($code=('PRCP','TRC')) then ($code) else ())"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAinformationRecipient): The value for typeCode SHALL be 'code PRCP or code TRC'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="count(hl7:intendedRecipient)&gt;=1 and not(hl7:intendedRecipient/@nullFlavor)">(CDAinformationRecipient): element hl7:intendedRecipient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="count(hl7:intendedRecipient)&lt;=1">(CDAinformationRecipient): element hl7:intendedRecipient appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900811
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient"
         id="tmp-r-333764c0-5e3e-44ef-99de-9f895703ddc6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAinformationRecipient): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="count(hl7:informationRecipient)&lt;=1">(CDAinformationRecipient): element hl7:informationRecipient appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAinformationRecipient): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900811
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:id
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:id"
         id="tmp-r-52bb247b-8655-4c27-95ca-2b860925e969">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAinformationRecipient): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900811
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient"
         id="tmp-r-5d2bb86f-8942-47a2-ad58-38860df02c8b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDAinformationRecipient): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAinformationRecipient): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAinformationRecipient): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900811
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/hl7:name
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/hl7:name"
         id="tmp-r-efb2c3f7-b2e6-4877-aac0-db951e244e56">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAinformationRecipient): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900811
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization"
         id="tmp-r-692d6a0e-4a09-4515-a8fc-736bcf882086">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAinformationRecipient): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAinformationRecipient): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAinformationRecipient): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAinformationRecipient): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900811-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAinformationRecipient): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-f5919d4d-738b-4e18-b9ba-303a10d7f3a4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization/hl7:name"
         id="tmp-r-b264aada-8fdf-434b-aa35-55a1e5f50e33">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-b9f3b7a0-9376-4c53-8312-b6b1ca3910c0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:informationRecipient/hl7:intendedRecipient/hl7:representedOrganization/hl7:addr"
         id="tmp-r-529240f0-07c3-4b37-9940-674c2f1e4128">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900812
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator
Item: (CDAauthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator"
         id="tmp-r-43651605-42e7-4145-9b83-5e83781f8b4d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="string(@typeCode)='AUTHEN'">(CDAauthenticator): The value for @typeCode SHALL be 'AUTHEN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDAauthenticator): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthenticator): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:signatureCode[@code='S'])&gt;=1 and not(hl7:signatureCode[@code='S']/@nullFlavor)">(CDAauthenticator): element hl7:signatureCode[@code='S'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:signatureCode[@code='S'])&lt;=1">(CDAauthenticator): element hl7:signatureCode[@code='S'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(CDAauthenticator): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDAauthenticator): element hl7:assignedEntity appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900812
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:time
Item: (CDAauthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:time"
         id="tmp-r-e1a9fe1e-f45f-4adb-8c36-92281ee4948b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthenticator): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900812
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:signatureCode[@code='S']
Item: (CDAauthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:signatureCode[@code='S']"
         id="tmp-r-941d3ef3-03d4-4ff3-b4a4-40fa9fbccf15">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthenticator): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="@nullFlavor or (@code='S')">(CDAauthenticator): The element value SHALL be code 'S'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900812
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity
Item: (CDAauthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity"
         id="tmp-r-3f0287b3-e529-4ee3-bd68-afe654605638">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAauthenticator): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&lt;=1">(CDAauthenticator): element hl7:id[@root='2.16.578.1.34.1000.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(CDAauthenticator): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAauthenticator): element hl7:addr appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(CDAauthenticator): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthenticator): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900812-2012-12-12T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthenticator): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:id
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:id"
         id="tmp-r-38dc6e0c-0d5e-4a35-99d7-1dc6ab3a4650">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']"
         id="tmp-r-5a63eda9-388e-46f1-bdb5-fff29b18a739">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.3'">(CDAassignedEntityIdentification): @root SHALL have value '2.16.578.1.34.1000.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:code"
         id="tmp-r-1db07f1e-68ee-4a39-91af-c639ec6054bd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:addr"
         id="tmp-r-1107c1ed-0353-4a0f-a299-e2965aa1949e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-9a4841a8-d2e0-40ef-9a47-0d9340f9ae91">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-29e23d6c-e186-40bb-ba8e-09d6c8f6921b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDAAssignedEntity): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900817
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-d6765f9f-6149-4cf0-97d7-a0e38fa3688f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900817-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-9d6cc914-d3f9-49a1-b786-52ea09b9e0a6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAAssignedEntity): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAAssignedEntity): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAAssignedEntity): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAAssignedEntity): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-b1ea01bf-98fa-4d92-8550-fc0e9bcfc434">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-r-f631a8df-a88a-49c1-8b14-824b13fcac53">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-b10fc3fb-8d49-4937-8874-11c70e9024ad">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-r-865a498b-8c4a-4562-a532-c35b002464b1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900813
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator
Item: (CDlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator"
         id="tmp-r-810e0d10-291b-4e0c-a602-043bb0148330">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="string(@typeCode)='LA'">(CDlegalAuthenticator): The value for @typeCode SHALL be 'LA'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDlegalAuthenticator): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:time)&lt;=1">(CDlegalAuthenticator): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:signatureCode[@code='S'])&gt;=1 and not(hl7:signatureCode[@code='S']/@nullFlavor)">(CDlegalAuthenticator): element hl7:signatureCode[@code='S'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:signatureCode[@code='S'])&lt;=1">(CDlegalAuthenticator): element hl7:signatureCode[@code='S'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(CDlegalAuthenticator): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDlegalAuthenticator): element hl7:assignedEntity appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900813
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:time
Item: (CDlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:time"
         id="tmp-r-6e5f9cc8-e3aa-4801-b9bc-9cef511507d7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDlegalAuthenticator): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900813
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:signatureCode[@code='S']
Item: (CDlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:signatureCode[@code='S']"
         id="tmp-r-cf332704-ffc7-4c43-bc6c-b39bcdcd3c89">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDlegalAuthenticator): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="@nullFlavor or (@code='S')">(CDlegalAuthenticator): The element value SHALL be code 'S'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900813
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity
Item: (CDlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity"
         id="tmp-r-f1cb78ce-c0bc-48ef-a64e-5f060ca021ad">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDlegalAuthenticator): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&lt;=1">(CDlegalAuthenticator): element hl7:id[@root='2.16.578.1.34.1000.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(CDlegalAuthenticator): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:addr)&lt;=1">(CDlegalAuthenticator): element hl7:addr appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(CDlegalAuthenticator): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDlegalAuthenticator): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900813-2012-12-12T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDlegalAuthenticator): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id"
         id="tmp-r-34292ec2-d8fd-4b3f-aea8-930ce3ff886a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']"
         id="tmp-r-8ede7dc2-e53b-4768-839d-46721dd7666d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.3'">(CDAassignedEntityIdentification): @root SHALL have value '2.16.578.1.34.1000.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:code"
         id="tmp-r-de2de136-d248-4bbf-a89c-a913ea9bdb90">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:addr"
         id="tmp-r-afbfaa5b-159d-4c8b-9f9f-1adc2d50d100">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-f8b2c2d2-1077-4cdf-ab79-6307e100c6e5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-7fb8c96d-d42c-4565-a40c-7a3e05547260">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDAAssignedEntity): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900817
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-feeae475-4539-4e6e-9c68-7e54a1fb6f72">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900817-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-f237330a-05d0-492c-b031-f40676014d35">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAAssignedEntity): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAAssignedEntity): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAAssignedEntity): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAAssignedEntity): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-a99e757c-cdc6-4193-92da-14d4dcda5ac6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-r-9fe36012-aac3-421a-8f0a-9c6850d8d1f1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-37af6f8f-00dc-498d-b2ae-b80e2b2ed26d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-r-26b3920f-5bc6-4be9-b2b2-c686be0fb00f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900814
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument"
         id="tmp-r-419ce6f3-c5cf-4d17-951c-045e94af5641">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="string(@typeCode)='RPLC'">(CDArelatedDocument): The value for @typeCode SHALL be 'RPLC'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="count(hl7:parentDocument)&gt;=1 and not(hl7:parentDocument/@nullFlavor)">(CDArelatedDocument): element hl7:parentDocument is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="count(hl7:parentDocument)&lt;=1">(CDArelatedDocument): element hl7:parentDocument appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900814
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument"
         id="tmp-r-c7cb7400-cbab-41a6-9839-2eae4159e36b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="string(@classCode)='DOCCLIN'">(CDArelatedDocument): The value for @classCode SHALL be 'DOCCLIN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(CDArelatedDocument): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDArelatedDocument): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="count(hl7:id)&lt;=1">(CDArelatedDocument): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(CDArelatedDocument): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(CDArelatedDocument): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="count(hl7:setId)&lt;=1">(CDArelatedDocument): element hl7:setId appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(CDArelatedDocument): element hl7:versionNumber appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900814
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:id
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:id"
         id="tmp-r-2e32bacb-b6f6-4f86-8aeb-a5e00eb9a4d4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArelatedDocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900814
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:code
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:code"
         id="tmp-r-a2a83a72-8289-4745-a67b-db67e9b80ad4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArelatedDocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900814
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:text
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:text"
         id="tmp-r-fc5efc97-8305-441c-9728-b80234b3e9da">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArelatedDocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900814
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:setId
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:setId"
         id="tmp-r-bbba6a5b-0107-49de-9b91-86f9038d0e7c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArelatedDocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900814
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:versionNumber
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:relatedDocument/hl7:parentDocument/hl7:versionNumber"
         id="tmp-r-ef783f72-bfc6-4774-9e60-ef1d23d8f7f4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArelatedDocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(CDArelatedDocument): value SHALL be in range [1..]  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900814-2012-12-12T000000.html"
              test="$digitok or @nullFlavor">(CDArelatedDocument): @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900818
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]
Item: (CDAdocumentationOfAnaestesia)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]"
         id="tmp-r-cfac88b4-a2c6-410b-984e-81ed92222ab5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="string(@typeCode)='DOC'">(CDAdocumentationOfAnaestesia): The value for @typeCode SHALL be 'DOC'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]])&gt;=1 and not(hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/@nullFlavor)">(CDAdocumentationOfAnaestesia): element hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]])&lt;=1">(CDAdocumentationOfAnaestesia): element hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900818
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]
Item: (CDAdocumentationOfAnaestesia)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]"
         id="tmp-r-0014d49b-be65-462b-ae74-3e6ca40d4cf1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="string(@classCode)='OBS'">(CDAdocumentationOfAnaestesia): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(CDAdocumentationOfAnaestesia): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAdocumentationOfAnaestesia): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:id)&lt;=1">(CDAdocumentationOfAnaestesia): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(CDAdocumentationOfAnaestesia): element hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(CDAdocumentationOfAnaestesia): element hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAdocumentationOfAnaestesia): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:performer)&gt;=1 ">(CDAdocumentationOfAnaestesia): element hl7:performer is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:performer)&lt;=1">(CDAdocumentationOfAnaestesia): element hl7:performer appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900818
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:id
Item: (CDAdocumentationOfAnaestesia)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:id"
         id="tmp-r-4675879c-a5ca-4b18-8967-9b84961e2149">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOfAnaestesia): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900818
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code
Item: (CDAdocumentationOfAnaestesia)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code"
         id="tmp-r-02745e84-51b5-4823-9811-80ba4173d5bd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOfAnaestesia): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="@nullFlavor or (@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')">(CDAdocumentationOfAnaestesia): The element value SHALL be code 'CANC' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900818
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:effectiveTime
Item: (CDAdocumentationOfAnaestesia)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:effectiveTime"
         id="tmp-r-2f2b3977-b7ba-4966-b023-cec19fa95485">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOfAnaestesia): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900818
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer
Item: (CDAdocumentationOfAnaestesia)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer"
         id="tmp-r-0a563892-adca-4ad0-96c5-ee2178e34e39">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="string(@typeCode)='PRF'">(CDAdocumentationOfAnaestesia): The value for @typeCode SHALL be 'PRF'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 ">(CDAdocumentationOfAnaestesia): element hl7:assignedEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDAdocumentationOfAnaestesia): element hl7:assignedEntity appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900818
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity
Item: (CDAdocumentationOfAnaestesia)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity"
         id="tmp-r-0eb1899f-6f24-4838-b7ee-dc41a0a2749c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAdocumentationOfAnaestesia): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&lt;=1">(CDAdocumentationOfAnaestesia): element hl7:id[@root='2.16.578.1.34.1000.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(CDAdocumentationOfAnaestesia): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAdocumentationOfAnaestesia): element hl7:addr appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(CDAdocumentationOfAnaestesia): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAdocumentationOfAnaestesia): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900818-2012-12-12T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAdocumentationOfAnaestesia): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:id
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-r-a88bae37-5ff3-4484-8c24-d6234b2ba270">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']"
         id="tmp-r-1b640680-974b-49f4-9686-94faa939449c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.3'">(CDAassignedEntityIdentification): @root SHALL have value '2.16.578.1.34.1000.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-r-96458617-3041-45cd-b810-0b2f6b8cbdd2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:addr"
         id="tmp-r-4abdb281-6ae1-496e-9385-920688f3c712">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-c0a3da72-0bb0-4834-9f7a-34a6b18b3dae">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-474f55ed-fe92-4fd9-aa87-7ae87864a89f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDAAssignedEntity): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900817
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-1a5d04f8-a9f3-4245-81f1-f04d0f9d095a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900817-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-fad2cb0a-6c24-4cfb-a89c-3a2818b28d3b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAAssignedEntity): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAAssignedEntity): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAAssignedEntity): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAAssignedEntity): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-621c0d7e-1aa7-45a1-a646-d8436758eb9d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-r-d8654eb4-bb6f-4a2b-902b-385814e55105">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-127bf444-46b9-4c9a-a361-6421aabfe9ed">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[@code='CANC']]/hl7:serviceEvent[hl7:code[(@code='CANC' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-r-acff61da-96df-4780-aa7c-d829dc6a8a4c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900832
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]
Item: (CDAdocumentationOfSurgicalProcedure)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]"
         id="tmp-r-80dc67a3-3fb6-4d18-a48a-f300ee63b798">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="string(@typeCode)='DOC'">(CDAdocumentationOfSurgicalProcedure): The value for @typeCode SHALL be 'DOC'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:serviceEvent)&gt;=1 and not(hl7:serviceEvent/@nullFlavor)">(CDAdocumentationOfSurgicalProcedure): element hl7:serviceEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:serviceEvent)&lt;=1">(CDAdocumentationOfSurgicalProcedure): element hl7:serviceEvent appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900832
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent
Item: (CDAdocumentationOfSurgicalProcedure)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent"
         id="tmp-r-5685c267-6973-43cb-bcfb-ff7202e76195">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="string(@classCode)='OBS'">(CDAdocumentationOfSurgicalProcedure): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(CDAdocumentationOfSurgicalProcedure): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAdocumentationOfSurgicalProcedure): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:id)&lt;=1">(CDAdocumentationOfSurgicalProcedure): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(CDAdocumentationOfSurgicalProcedure): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(CDAdocumentationOfSurgicalProcedure): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAdocumentationOfSurgicalProcedure): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:performer)&gt;=1 ">(CDAdocumentationOfSurgicalProcedure): element hl7:performer is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:performer)&lt;=1">(CDAdocumentationOfSurgicalProcedure): element hl7:performer appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900832
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:id
Item: (CDAdocumentationOfSurgicalProcedure)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:id"
         id="tmp-r-bf88c51c-e3d2-48d6-948b-cd5db60fbea3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOfSurgicalProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900832
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:code
Item: (CDAdocumentationOfSurgicalProcedure)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:code"
         id="tmp-r-c30c25e5-2975-4044-b486-31d2fd110429">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOfSurgicalProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900832
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:effectiveTime
Item: (CDAdocumentationOfSurgicalProcedure)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:effectiveTime"
         id="tmp-r-2815d0d6-93c3-49ee-ac74-674c5e0fda6f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOfSurgicalProcedure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900832
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer
Item: (CDAdocumentationOfSurgicalProcedure)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer"
         id="tmp-r-894f6964-a00d-462f-b640-921cf3765fc5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="string(@typeCode)='PRF'">(CDAdocumentationOfSurgicalProcedure): The value for @typeCode SHALL be 'PRF'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 ">(CDAdocumentationOfSurgicalProcedure): element hl7:assignedEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDAdocumentationOfSurgicalProcedure): element hl7:assignedEntity appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900832
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity
Item: (CDAdocumentationOfSurgicalProcedure)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity"
         id="tmp-r-c98c24e3-7443-40ca-ae0d-dbf364524a60">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="string(@classCode)='ASSIGNED'">(CDAdocumentationOfSurgicalProcedure): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.3'])&lt;=1">(CDAdocumentationOfSurgicalProcedure): element hl7:id[@root='2.16.578.1.34.1000.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(CDAdocumentationOfSurgicalProcedure): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAdocumentationOfSurgicalProcedure): element hl7:addr appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(CDAdocumentationOfSurgicalProcedure): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAdocumentationOfSurgicalProcedure): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900832-2012-12-12T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAdocumentationOfSurgicalProcedure): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-r-579ee1dc-ed29-459b-ba31-9875615626c7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900829
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']
Item: (CDAassignedEntityIdentification)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id[@root='2.16.578.1.34.1000.3']"
         id="tmp-r-0e80505b-834b-41f9-ad3f-71890bd778c3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAassignedEntityIdentification): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900829-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.3'">(CDAassignedEntityIdentification): @root SHALL have value '2.16.578.1.34.1000.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-r-1c271b27-f1fd-4809-950b-cc48f6ea3af4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:addr"
         id="tmp-r-f1c7c37d-5ccb-4b14-a5c9-fc34419fc88f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-af934d49-e723-455c-87d3-2ab69025f830">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-2083207e-9e4c-4fa3-9670-e9b017eeb07c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='PSN'">(CDAAssignedEntity): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900817
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-eaf6fbe2-0746-45dd-822d-bbd512b534c4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900817-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900833
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-9ecf154d-e2cd-4c7e-9b18-09da5d9d84f1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@classCode)='ORG'">(CDAAssignedEntity): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="string(@determinerCode)='INSTANCE'">(CDAAssignedEntity): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:id[@root='2.16.578.1.34.1000.5'])&lt;=1">(CDAAssignedEntity): element hl7:id[@root='2.16.578.1.34.1000.5'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAAssignedEntity): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900833-2012-12-12T000000.html"
              test="count(hl7:name)&lt;=1">(CDAAssignedEntity): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.578.1.34.1000.5']"
         id="tmp-r-68c7dba2-aa56-45e2-b2e7-89eaf7211af1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.1000.5'">(CDArepresentedOrganization): @root SHALL have value '2.16.578.1.34.1000.5'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-r-75945594-3bb9-4555-af72-adf77dd45de5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-606a4a13-b6fa-482f-8fa6-02f202917fd1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.900809
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDArepresentedOrganization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:documentationOf[hl7:serviceEvent/hl7:code[not(@code='CANC')]]/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-r-d6245445-106d-4ae4-bf48-cc2905651a46">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.900809-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArepresentedOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component
Item: (Anesthesiarecord)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component"
         id="tmp-r-cdae5e26-3ab9-4472-abff-3e69e279c30b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(Anesthesiarecord): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@contextConductionInd)='true'">(Anesthesiarecord): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody
Item: (Anesthesiarecord)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody"
         id="tmp-r-0511307d-9b20-476b-87df-3177489ed081">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@classCode)='DOCBODY'">(Anesthesiarecord): The value for @classCode SHALL be 'DOCBODY'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@moodCode)='EVN'">(Anesthesiarecord): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3003']]])&lt;=1">(Anesthesiarecord): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3003']]] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3005']]])&lt;=1">(Anesthesiarecord): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3005']]] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3006']]])&lt;=1">(Anesthesiarecord): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3006']]] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]])&lt;=1">(Anesthesiarecord): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3008']]])&lt;=1">(Anesthesiarecord): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3008']]] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3009']]])&lt;=1">(Anesthesiarecord): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3009']]] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]])&lt;=1">(Anesthesiarecord): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3012']]])&lt;=1">(Anesthesiarecord): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3012']]] appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3003']]]
Item: (Anesthesiarecord)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3003']]]"
         id="tmp-r-172f1251-b858-47e9-b1e3-b154cb01886d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(Anesthesiarecord): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@contextConductionInd)='true'">(Anesthesiarecord): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3005']]]
Item: (Anesthesiarecord)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3005']]]"
         id="tmp-r-7098a32a-f1a2-4197-ad23-9e35f75fd892">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(Anesthesiarecord): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@contextConductionInd)='true'">(Anesthesiarecord): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3006']]]
Item: (Anesthesiarecord)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3006']]]"
         id="tmp-r-152ab362-09a0-49ac-8152-fbc7aa1a81f0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(Anesthesiarecord): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@contextConductionInd)='true'">(Anesthesiarecord): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]]
Item: (Anesthesiarecord)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]]"
         id="tmp-r-544e0a05-79fb-46aa-a368-ef6d089a3a77">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(Anesthesiarecord): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@contextConductionInd)='true'">(Anesthesiarecord): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3008']]]
Item: (Anesthesiarecord)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3008']]]"
         id="tmp-r-30234c50-6c03-4abf-8011-61931a3cbeed">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(Anesthesiarecord): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@contextConductionInd)='true'">(Anesthesiarecord): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3009']]]
Item: (Anesthesiarecord)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3009']]]"
         id="tmp-r-573b392a-eff5-4907-b97e-f5db0fc8047b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(Anesthesiarecord): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@contextConductionInd)='true'">(Anesthesiarecord): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]]
Item: (Anesthesiarecord)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]]"
         id="tmp-r-b2a7dbf7-6641-4a6b-a13a-d5b313f97975">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(Anesthesiarecord): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@contextConductionInd)='true'">(Anesthesiarecord): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3012']]]
Item: (Anesthesiarecord)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.578.1.34.10.2002' or @root='2.16.578.1.34.10.1000']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3012']]]"
         id="tmp-r-21e57725-735e-42ea-8694-23cb9e20eee9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(Anesthesiarecord): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.2002-2012-12-12T000000.html"
              test="string(@contextConductionInd)='true'">(Anesthesiarecord): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
</pattern>
